#! /bin/sh
# Guess values for system-dependent variables and create Makefiles.
# Generated by GNU Autoconf 2.69 for XEmacs 21.5.
#
# Report bugs to <xemacs-beta@xemacs.org>.
#
#
# Copyright (C) 1992-1996, 1998-2012 Free Software Foundation, Inc.
#
#
# This configure script is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.
#
# Configuration script for XEmacs.  Largely divergent from FSF.
# Guess values for system-dependent variables and create Makefiles.
#
# Copyright (C) 1992-1999, 2001-2006 Free Software Foundation, Inc.
# Copyright (C) 1993, 1994, 1995 Board of Trustees, University of Illinois.
# Copyright (C) 1996, 1997 Sun Microsystems, Inc.
# Copyright (C) 1995, 1996, 2002, 2003, 2004 Ben Wing.
# Copyright (C) 2000, 2001 Martin Buchholz.
# Copyright (C) 1998, 1999 J. Kean Johnston.
# Copyright (C) 2005 Malcolm Purvis
#
# Don't edit this script!
# This script was automatically generated by the `autoconf' program
# from the file `./configure.ac'.  To rebuild it, execute the command:
#
# 	autoconf
#
# in the this directory.  You must have autoconf version 2.59.
#
# This file is part of XEmacs.
#
# XEmacs is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation, either version 3 of the License, or (at your
# option) any later version.
#
# XEmacs is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License
# along with XEmacs.  If not, see <http://www.gnu.org/licenses/>.
#
# For usage, run `./configure --help'
# For more detailed information on building and installing XEmacs,
# read the file `INSTALL'.
#
# If configure succeeds, it leaves its status in config.status.
# A log of configuration tests can be found in config.log.
# If configure fails after disturbing the status quo,
# 	config.status is removed.
#
## -------------------- ##
## M4sh Initialization. ##
## -------------------- ##

# Be more Bourne compatible
DUALCASE=1; export DUALCASE # for MKS sh
if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then :
  emulate sh
  NULLCMD=:
  # Pre-4.2 versions of Zsh do word splitting on ${1+"$@"}, which
  # is contrary to our usage.  Disable this feature.
  alias -g '${1+"$@"}'='"$@"'
  setopt NO_GLOB_SUBST
else
  case `(set -o) 2>/dev/null` in #(
  *posix*) :
    set -o posix ;; #(
  *) :
     ;;
esac
fi


as_nl='
'
export as_nl
# Printing a long string crashes Solaris 7 /usr/bin/printf.
as_echo='\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'
as_echo=$as_echo$as_echo$as_echo$as_echo$as_echo
as_echo=$as_echo$as_echo$as_echo$as_echo$as_echo$as_echo
# Prefer a ksh shell builtin over an external printf program on Solaris,
# but without wasting forks for bash or zsh.
if test -z "$BASH_VERSION$ZSH_VERSION" \
    && (test "X`print -r -- $as_echo`" = "X$as_echo") 2>/dev/null; then
  as_echo='print -r --'
  as_echo_n='print -rn --'
elif (test "X`printf %s $as_echo`" = "X$as_echo") 2>/dev/null; then
  as_echo='printf %s\n'
  as_echo_n='printf %s'
else
  if test "X`(/usr/ucb/echo -n -n $as_echo) 2>/dev/null`" = "X-n $as_echo"; then
    as_echo_body='eval /usr/ucb/echo -n "$1$as_nl"'
    as_echo_n='/usr/ucb/echo -n'
  else
    as_echo_body='eval expr "X$1" : "X\\(.*\\)"'
    as_echo_n_body='eval
      arg=$1;
      case $arg in #(
      *"$as_nl"*)
	expr "X$arg" : "X\\(.*\\)$as_nl";
	arg=`expr "X$arg" : ".*$as_nl\\(.*\\)"`;;
      esac;
      expr "X$arg" : "X\\(.*\\)" | tr -d "$as_nl"
    '
    export as_echo_n_body
    as_echo_n='sh -c $as_echo_n_body as_echo'
  fi
  export as_echo_body
  as_echo='sh -c $as_echo_body as_echo'
fi

# The user is always right.
if test "${PATH_SEPARATOR+set}" != set; then
  PATH_SEPARATOR=:
  (PATH='/bin;/bin'; FPATH=$PATH; sh -c :) >/dev/null 2>&1 && {
    (PATH='/bin:/bin'; FPATH=$PATH; sh -c :) >/dev/null 2>&1 ||
      PATH_SEPARATOR=';'
  }
fi


# IFS
# We need space, tab and new line, in precisely that order.  Quoting is
# there to prevent editors from complaining about space-tab.
# (If _AS_PATH_WALK were called with IFS unset, it would disable word
# splitting by setting IFS to empty value.)
IFS=" ""	$as_nl"

# Find who we are.  Look in the path if we contain no directory separator.
as_myself=
case $0 in #((
  *[\\/]* ) as_myself=$0 ;;
  *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
  done
IFS=$as_save_IFS

     ;;
esac
# We did not find ourselves, most probably we were run as `sh COMMAND'
# in which case we are not to be found in the path.
if test "x$as_myself" = x; then
  as_myself=$0
fi
if test ! -f "$as_myself"; then
  $as_echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
  exit 1
fi

# Unset variables that we do not need and which cause bugs (e.g. in
# pre-3.0 UWIN ksh).  But do not cause bugs in bash 2.01; the "|| exit 1"
# suppresses any "Segmentation fault" message there.  '((' could
# trigger a bug in pdksh 5.2.14.
for as_var in BASH_ENV ENV MAIL MAILPATH
do eval test x\${$as_var+set} = xset \
  && ( (unset $as_var) || exit 1) >/dev/null 2>&1 && unset $as_var || :
done
PS1='$ '
PS2='> '
PS4='+ '

# NLS nuisances.
LC_ALL=C
export LC_ALL
LANGUAGE=C
export LANGUAGE

# CDPATH.
(unset CDPATH) >/dev/null 2>&1 && unset CDPATH

# Use a proper internal environment variable to ensure we don't fall
  # into an infinite loop, continuously re-executing ourselves.
  if test x"${_as_can_reexec}" != xno && test "x$CONFIG_SHELL" != x; then
    _as_can_reexec=no; export _as_can_reexec;
    # We cannot yet assume a decent shell, so we have to provide a
# neutralization value for shells without unset; and this also
# works around shells that cannot unset nonexistent variables.
# Preserve -v and -x to the replacement shell.
BASH_ENV=/dev/null
ENV=/dev/null
(unset BASH_ENV) >/dev/null 2>&1 && unset BASH_ENV ENV
case $- in # ((((
  *v*x* | *x*v* ) as_opts=-vx ;;
  *v* ) as_opts=-v ;;
  *x* ) as_opts=-x ;;
  * ) as_opts= ;;
esac
exec $CONFIG_SHELL $as_opts "$as_myself" ${1+"$@"}
# Admittedly, this is quite paranoid, since all the known shells bail
# out after a failed `exec'.
$as_echo "$0: could not re-execute with $CONFIG_SHELL" >&2
as_fn_exit 255
  fi
  # We don't want this to propagate to other subprocesses.
          { _as_can_reexec=; unset _as_can_reexec;}
if test "x$CONFIG_SHELL" = x; then
  as_bourne_compatible="if test -n \"\${ZSH_VERSION+set}\" && (emulate sh) >/dev/null 2>&1; then :
  emulate sh
  NULLCMD=:
  # Pre-4.2 versions of Zsh do word splitting on \${1+\"\$@\"}, which
  # is contrary to our usage.  Disable this feature.
  alias -g '\${1+\"\$@\"}'='\"\$@\"'
  setopt NO_GLOB_SUBST
else
  case \`(set -o) 2>/dev/null\` in #(
  *posix*) :
    set -o posix ;; #(
  *) :
     ;;
esac
fi
"
  as_required="as_fn_return () { (exit \$1); }
as_fn_success () { as_fn_return 0; }
as_fn_failure () { as_fn_return 1; }
as_fn_ret_success () { return 0; }
as_fn_ret_failure () { return 1; }

exitcode=0
as_fn_success || { exitcode=1; echo as_fn_success failed.; }
as_fn_failure && { exitcode=1; echo as_fn_failure succeeded.; }
as_fn_ret_success || { exitcode=1; echo as_fn_ret_success failed.; }
as_fn_ret_failure && { exitcode=1; echo as_fn_ret_failure succeeded.; }
if ( set x; as_fn_ret_success y && test x = \"\$1\" ); then :

else
  exitcode=1; echo positional parameters were not saved.
fi
test x\$exitcode = x0 || exit 1
test -x / || exit 1"
  as_suggested="  as_lineno_1=";as_suggested=$as_suggested$LINENO;as_suggested=$as_suggested" as_lineno_1a=\$LINENO
  as_lineno_2=";as_suggested=$as_suggested$LINENO;as_suggested=$as_suggested" as_lineno_2a=\$LINENO
  eval 'test \"x\$as_lineno_1'\$as_run'\" != \"x\$as_lineno_2'\$as_run'\" &&
  test \"x\`expr \$as_lineno_1'\$as_run' + 1\`\" = \"x\$as_lineno_2'\$as_run'\"' || exit 1
test \$(( 1 + 1 )) = 2 || exit 1"
  if (eval "$as_required") 2>/dev/null; then :
  as_have_required=yes
else
  as_have_required=no
fi
  if test x$as_have_required = xyes && (eval "$as_suggested") 2>/dev/null; then :

else
  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
as_found=false
for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
  as_found=:
  case $as_dir in #(
	 /*)
	   for as_base in sh bash ksh sh5; do
	     # Try only shells that exist, to save several forks.
	     as_shell=$as_dir/$as_base
	     if { test -f "$as_shell" || test -f "$as_shell.exe"; } &&
		    { $as_echo "$as_bourne_compatible""$as_required" | as_run=a "$as_shell"; } 2>/dev/null; then :
  CONFIG_SHELL=$as_shell as_have_required=yes
		   if { $as_echo "$as_bourne_compatible""$as_suggested" | as_run=a "$as_shell"; } 2>/dev/null; then :
  break 2
fi
fi
	   done;;
       esac
  as_found=false
done
$as_found || { if { test -f "$SHELL" || test -f "$SHELL.exe"; } &&
	      { $as_echo "$as_bourne_compatible""$as_required" | as_run=a "$SHELL"; } 2>/dev/null; then :
  CONFIG_SHELL=$SHELL as_have_required=yes
fi; }
IFS=$as_save_IFS


      if test "x$CONFIG_SHELL" != x; then :
  export CONFIG_SHELL
             # We cannot yet assume a decent shell, so we have to provide a
# neutralization value for shells without unset; and this also
# works around shells that cannot unset nonexistent variables.
# Preserve -v and -x to the replacement shell.
BASH_ENV=/dev/null
ENV=/dev/null
(unset BASH_ENV) >/dev/null 2>&1 && unset BASH_ENV ENV
case $- in # ((((
  *v*x* | *x*v* ) as_opts=-vx ;;
  *v* ) as_opts=-v ;;
  *x* ) as_opts=-x ;;
  * ) as_opts= ;;
esac
exec $CONFIG_SHELL $as_opts "$as_myself" ${1+"$@"}
# Admittedly, this is quite paranoid, since all the known shells bail
# out after a failed `exec'.
$as_echo "$0: could not re-execute with $CONFIG_SHELL" >&2
exit 255
fi

    if test x$as_have_required = xno; then :
  $as_echo "$0: This script requires a shell more modern than all"
  $as_echo "$0: the shells that I found on your system."
  if test x${ZSH_VERSION+set} = xset ; then
    $as_echo "$0: In particular, zsh $ZSH_VERSION has bugs and should"
    $as_echo "$0: be upgraded to zsh 4.3.4 or later."
  else
    $as_echo "$0: Please tell bug-autoconf@gnu.org and
$0: xemacs-beta@xemacs.org about your system, including any
$0: error possibly output before this message. Then install
$0: a modern shell, or manually run the script under such a
$0: shell if you do have one."
  fi
  exit 1
fi
fi
fi
SHELL=${CONFIG_SHELL-/bin/sh}
export SHELL
# Unset more variables known to interfere with behavior of common tools.
CLICOLOR_FORCE= GREP_OPTIONS=
unset CLICOLOR_FORCE GREP_OPTIONS

## --------------------- ##
## M4sh Shell Functions. ##
## --------------------- ##
# as_fn_unset VAR
# ---------------
# Portably unset VAR.
as_fn_unset ()
{
  { eval $1=; unset $1;}
}
as_unset=as_fn_unset

# as_fn_set_status STATUS
# -----------------------
# Set $? to STATUS, without forking.
as_fn_set_status ()
{
  return $1
} # as_fn_set_status

# as_fn_exit STATUS
# -----------------
# Exit the shell with STATUS, even in a "trap 0" or "set -e" context.
as_fn_exit ()
{
  set +e
  as_fn_set_status $1
  exit $1
} # as_fn_exit

# as_fn_mkdir_p
# -------------
# Create "$as_dir" as a directory, including parents if necessary.
as_fn_mkdir_p ()
{

  case $as_dir in #(
  -*) as_dir=./$as_dir;;
  esac
  test -d "$as_dir" || eval $as_mkdir_p || {
    as_dirs=
    while :; do
      case $as_dir in #(
      *\'*) as_qdir=`$as_echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #'(
      *) as_qdir=$as_dir;;
      esac
      as_dirs="'$as_qdir' $as_dirs"
      as_dir=`$as_dirname -- "$as_dir" ||
$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
	 X"$as_dir" : 'X\(//\)[^/]' \| \
	 X"$as_dir" : 'X\(//\)$' \| \
	 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
$as_echo X"$as_dir" |
    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
	    s//\1/
	    q
	  }
	  /^X\(\/\/\)[^/].*/{
	    s//\1/
	    q
	  }
	  /^X\(\/\/\)$/{
	    s//\1/
	    q
	  }
	  /^X\(\/\).*/{
	    s//\1/
	    q
	  }
	  s/.*/./; q'`
      test -d "$as_dir" && break
    done
    test -z "$as_dirs" || eval "mkdir $as_dirs"
  } || test -d "$as_dir" || as_fn_error $? "cannot create directory $as_dir"


} # as_fn_mkdir_p

# as_fn_executable_p FILE
# -----------------------
# Test if FILE is an executable regular file.
as_fn_executable_p ()
{
  test -f "$1" && test -x "$1"
} # as_fn_executable_p
# as_fn_append VAR VALUE
# ----------------------
# Append the text in VALUE to the end of the definition contained in VAR. Take
# advantage of any shell optimizations that allow amortized linear growth over
# repeated appends, instead of the typical quadratic growth present in naive
# implementations.
if (eval "as_var=1; as_var+=2; test x\$as_var = x12") 2>/dev/null; then :
  eval 'as_fn_append ()
  {
    eval $1+=\$2
  }'
else
  as_fn_append ()
  {
    eval $1=\$$1\$2
  }
fi # as_fn_append

# as_fn_arith ARG...
# ------------------
# Perform arithmetic evaluation on the ARGs, and store the result in the
# global $as_val. Take advantage of shells that can avoid forks. The arguments
# must be portable across $(()) and expr.
if (eval "test \$(( 1 + 1 )) = 2") 2>/dev/null; then :
  eval 'as_fn_arith ()
  {
    as_val=$(( $* ))
  }'
else
  as_fn_arith ()
  {
    as_val=`expr "$@" || test $? -eq 1`
  }
fi # as_fn_arith


# as_fn_error STATUS ERROR [LINENO LOG_FD]
# ----------------------------------------
# Output "`basename $0`: error: ERROR" to stderr. If LINENO and LOG_FD are
# provided, also output the error to LOG_FD, referencing LINENO. Then exit the
# script with STATUS, using 1 if that was 0.
as_fn_error ()
{
  as_status=$1; test $as_status -eq 0 && as_status=1
  if test "$4"; then
    as_lineno=${as_lineno-"$3"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
    $as_echo "$as_me:${as_lineno-$LINENO}: error: $2" >&$4
  fi
  $as_echo "$as_me: error: $2" >&2
  as_fn_exit $as_status
} # as_fn_error

if expr a : '\(a\)' >/dev/null 2>&1 &&
   test "X`expr 00001 : '.*\(...\)'`" = X001; then
  as_expr=expr
else
  as_expr=false
fi

if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
  as_basename=basename
else
  as_basename=false
fi

if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
  as_dirname=dirname
else
  as_dirname=false
fi

as_me=`$as_basename -- "$0" ||
$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
	 X"$0" : 'X\(//\)$' \| \
	 X"$0" : 'X\(/\)' \| . 2>/dev/null ||
$as_echo X/"$0" |
    sed '/^.*\/\([^/][^/]*\)\/*$/{
	    s//\1/
	    q
	  }
	  /^X\/\(\/\/\)$/{
	    s//\1/
	    q
	  }
	  /^X\/\(\/\).*/{
	    s//\1/
	    q
	  }
	  s/.*/./; q'`

# Avoid depending upon Character Ranges.
as_cr_letters='abcdefghijklmnopqrstuvwxyz'
as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
as_cr_Letters=$as_cr_letters$as_cr_LETTERS
as_cr_digits='0123456789'
as_cr_alnum=$as_cr_Letters$as_cr_digits


  as_lineno_1=$LINENO as_lineno_1a=$LINENO
  as_lineno_2=$LINENO as_lineno_2a=$LINENO
  eval 'test "x$as_lineno_1'$as_run'" != "x$as_lineno_2'$as_run'" &&
  test "x`expr $as_lineno_1'$as_run' + 1`" = "x$as_lineno_2'$as_run'"' || {
  # Blame Lee E. McMahon (1931-1989) for sed's syntax.  :-)
  sed -n '
    p
    /[$]LINENO/=
  ' <$as_myself |
    sed '
      s/[$]LINENO.*/&-/
      t lineno
      b
      :lineno
      N
      :loop
      s/[$]LINENO\([^'$as_cr_alnum'_].*\n\)\(.*\)/\2\1\2/
      t loop
      s/-\n.*//
    ' >$as_me.lineno &&
  chmod +x "$as_me.lineno" ||
    { $as_echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2; as_fn_exit 1; }

  # If we had to re-execute with $CONFIG_SHELL, we're ensured to have
  # already done that, so ensure we don't try to do so again and fall
  # in an infinite loop.  This has already happened in practice.
  _as_can_reexec=no; export _as_can_reexec
  # Don't try to exec as it changes $[0], causing all sort of problems
  # (the dirname of $[0] is not the place where we might find the
  # original and so on.  Autoconf is especially sensitive to this).
  . "./$as_me.lineno"
  # Exit status is that of the last command.
  exit
}

ECHO_C= ECHO_N= ECHO_T=
case `echo -n x` in #(((((
-n*)
  case `echo 'xy\c'` in
  *c*) ECHO_T='	';;	# ECHO_T is single tab character.
  xy)  ECHO_C='\c';;
  *)   echo `echo ksh88 bug on AIX 6.1` > /dev/null
       ECHO_T='	';;
  esac;;
*)
  ECHO_N='-n';;
esac

rm -f conf$$ conf$$.exe conf$$.file
if test -d conf$$.dir; then
  rm -f conf$$.dir/conf$$.file
else
  rm -f conf$$.dir
  mkdir conf$$.dir 2>/dev/null
fi
if (echo >conf$$.file) 2>/dev/null; then
  if ln -s conf$$.file conf$$ 2>/dev/null; then
    as_ln_s='ln -s'
    # ... but there are two gotchas:
    # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
    # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
    # In both cases, we have to default to `cp -pR'.
    ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
      as_ln_s='cp -pR'
  elif ln conf$$.file conf$$ 2>/dev/null; then
    as_ln_s=ln
  else
    as_ln_s='cp -pR'
  fi
else
  as_ln_s='cp -pR'
fi
rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
rmdir conf$$.dir 2>/dev/null

if mkdir -p . 2>/dev/null; then
  as_mkdir_p='mkdir -p "$as_dir"'
else
  test -d ./-p && rmdir ./-p
  as_mkdir_p=false
fi

as_test_x='test -x'
as_executable_p=as_fn_executable_p

# Sed expression to map a string onto a valid CPP name.
as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"

# Sed expression to map a string onto a valid variable name.
as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"


test -n "$DJDIR" || exec 7<&0 </dev/null
exec 6>&1

# Name of the host.
# hostname on some systems (SVR3.2, old GNU/Linux) returns a bogus exit status,
# so uname gets run too.
ac_hostname=`(hostname || uname -n) 2>/dev/null | sed 1q`

#
# Initializations.
#
ac_default_prefix=/usr/local
ac_clean_files=
ac_config_libobj_dir=.
LIBOBJS=
cross_compiling=no
subdirs=
MFLAGS=
MAKEFLAGS=

# Identity of this package.
PACKAGE_NAME='XEmacs'
PACKAGE_TARNAME='xemacs'
PACKAGE_VERSION='21.5'
PACKAGE_STRING='XEmacs 21.5'
PACKAGE_BUGREPORT='xemacs-beta@xemacs.org'
PACKAGE_URL=''

ac_unique_file="src/lisp.h"
# Factoring default headers for most tests.
ac_includes_default="\
#include <stdio.h>
#ifdef HAVE_SYS_TYPES_H
# include <sys/types.h>
#endif
#ifdef HAVE_SYS_STAT_H
# include <sys/stat.h>
#endif
#ifdef STDC_HEADERS
# include <stdlib.h>
# include <stddef.h>
#else
# ifdef HAVE_STDLIB_H
#  include <stdlib.h>
# endif
#endif
#ifdef HAVE_STRING_H
# if !defined STDC_HEADERS && defined HAVE_MEMORY_H
#  include <memory.h>
# endif
# include <string.h>
#endif
#ifdef HAVE_STRINGS_H
# include <strings.h>
#endif
#ifdef HAVE_INTTYPES_H
# include <inttypes.h>
#endif
#ifdef HAVE_STDINT_H
# include <stdint.h>
#endif
#ifdef HAVE_UNISTD_H
# include <unistd.h>
#endif"

ac_subst_vars='LTLIBOBJS
LIBOBJS
internal_makefile_list
XE_CFLAGS
XEMACS_CC
sound_cflags
native_sound_lib
RECURSIVE_MAKE_ARGS
ld_libs_all
ld_libs_window_system
ld_libs_general
ld_switch_all
ld_switch_window_system
ld_switch_general
c_switch_all
c_switch_window_system
c_switch_general
opsysfile
machfile
extra_objs
bitmapdir
DOCDIR
DOCDIR_USER_DEFINED
ARCHLIBDIR
ARCHLIBDIR_USER_DEFINED
archlibdir
ETCDIR
ETCDIR_USER_DEFINED
etcdir
SITEMODULEDIR
SITEMODULEDIR_USER_DEFINED
sitemoduledir
SITELISPDIR
SITELISPDIR_USER_DEFINED
sitelispdir
MODULEDIR
MODULEDIR_USER_DEFINED
moduledir
LISPDIR
LISPDIR_USER_DEFINED
lispdir
PACKAGE_PATH
PACKAGE_PATH_USER_DEFINED
package_path
LAST_PACKAGE_DIRECTORIES
LAST_PACKAGE_DIRECTORIES_USER_DEFINED
last_packages
LATE_PACKAGE_DIRECTORIES
LATE_PACKAGE_DIRECTORIES_USER_DEFINED
late_packages
EARLY_PACKAGE_DIRECTORIES
EARLY_PACKAGE_DIRECTORIES_USER_DEFINED
early_packages
INFOPATH
INFOPATH_USER_DEFINED
infopath
INFODIR
INFODIR_USER_DEFINED
EXEC_PREFIX
EXEC_PREFIX_USER_DEFINED
PREFIX
PREFIX_USER_DEFINED
extra_includes
srcdir
instvardir
verbose_version
version
PROGNAME
SUBDIR_MAKEFILES
MAKE_SUBDIR
INSTALL_ARCH_DEP_SUBDIR
SRC_SUBDIR_DEPS
ac_ct_CXX
CXXFLAGS
CXX
have_esd_config
ALLOCA
canna_libs
lwlib_objs
postgresql_libs
ldap_libs
OBJECT_TO_BUILD
MOD_INSTALL_PROGRAM
INSTALLPATH
MODCFLAGS
MAKE_DOCFILE
MODARCHDIR
MOD_CC
with_modules
ld_dynamic_link_flags
dll_ldo
dll_post
dll_ldflags
dll_cflags
dll_ld
LIBSTDCPP
dnd_objs
libs_xauth
install_pp
X_EXTRA_LIBS
X_LIBS
X_PRE_LIBS
X_CFLAGS
XMKMF
GTK_CONFIG
SET_MAKE
YFLAGS
YACC
INSTALL_DATA
INSTALL_SCRIPT
INSTALL_PROGRAM
RANLIB
AR
lib_gcc
ld
start_files
ld_switch_shared
start_flags
EGREP
GREP
CPP
OBJEXT
EXEEXT
ac_ct_CC
CPPFLAGS
LDFLAGS
CFLAGS
CC
configuration
SHEBANG_PROGNAME
build_os
build_vendor
build_cpu
build
blddir
LN_S
statedir
inststaticdir
target_alias
host_alias
build_alias
LIBS
ECHO_T
ECHO_N
ECHO_C
DEFS
mandir
localedir
libdir
psdir
pdfdir
dvidir
htmldir
infodir
docdir
oldincludedir
includedir
localstatedir
sharedstatedir
sysconfdir
datadir
datarootdir
libexecdir
sbindir
bindir
program_transform_name
prefix
exec_prefix
PACKAGE_URL
PACKAGE_BUGREPORT
PACKAGE_STRING
PACKAGE_VERSION
PACKAGE_TARNAME
PACKAGE_NAME
PATH_SEPARATOR
SHELL'
ac_subst_files=''
ac_user_opts='
enable_option_checking
enable_compiler
with_compiler
enable_xemacs_compiler
with_xemacs_compiler
enable_gcc
with_gcc
enable_cflags
with_cflags
enable_cflags_warning
with_cflags_warning
enable_optimization
with_optimization
enable_cflags_optimization
with_cflags_optimization
enable_cflags_debugging
with_cflags_debugging
enable_cpp
with_cpp
enable_cppflags
with_cppflags
enable_libs=LIBS
with_libs=LIBS
enable_ldflags=FLAGS
with_ldflags=FLAGS
enable_site_includes
with_site_includes
enable_site_libraries
with_site_libraries
enable_site_prefixes
with_site_prefixes
enable_site_runtime_libraries
with_site_runtime_libraries
enable_dynamic
with_dynamic
enable_prefix
with_prefix
enable_netinstall
with_netinstall
enable_statedir
with_statedir
enable_lispdir
with_lispdir
enable_archlibdir
with_archlibdir
enable_moduledir
with_moduledir
enable_etcdir
with_etcdir
enable_docdir
with_docdir
enable_site_lisp
with_site_lisp
enable_site_modules
with_site_modules
enable_early_packages
with_early_packages
enable_user_packages
with_user_packages
enable_late_packages
with_late_packages
enable_system_packages
with_system_packages
enable_last_packages
with_last_packages
enable_legacy_packages
with_legacy_packages
enable_package_path
with_package_path
enable_infopath
with_infopath
enable_xft
with_xft
enable_gtk
with_gtk
enable_gnome
with_gnome
enable_msw
with_msw
enable_toolbars
with_toolbars
enable_wmcommand
with_wmcommand
enable_athena
with_athena
enable_menubars
with_menubars
enable_scrollbars
with_scrollbars
enable_dialogs
with_dialogs
enable_widgets
with_widgets
enable_dragndrop
with_dragndrop
enable_cde
with_cde
enable_external_widget
with_external_widget
enable_tty
with_tty
enable_ncurses
with_ncurses
enable_gpm
with_gpm
enable_xpm
with_xpm
enable_png
with_png
enable_jpeg
with_jpeg
enable_tiff
with_tiff
enable_xface
with_xface
enable_gif
with_gif
enable_sound
with_sound
enable_native_sound_lib
with_native_sound_lib
enable_mule
with_mule
enable_xim
with_xim
enable_canna
with_canna
enable_wnn
with_wnn
enable_wnn6
with_wnn6
enable_xfs
with_xfs
enable_default_eol_detection
with_default_eol_detection
enable_clash_detection
with_clash_detection
enable_zlib
with_zlib
enable_database
with_database
enable_ldap
with_ldap
enable_postgresql
with_postgresql
enable_mail_locking
with_mail_locking
enable_pop
with_pop
enable_kerberos
with_kerberos
enable_hesiod
with_hesiod
enable_tooltalk
with_tooltalk
enable_socks
with_socks
enable_dnet
with_dnet
enable_ipv6_cname
with_ipv6_cname
enable_rel_alloc
with_rel_alloc
enable_dlmalloc
with_dlmalloc
enable_system_malloc
with_system_malloc
enable_debug_malloc
with_debug_malloc
enable_pdump
with_pdump
enable_dump_in_exec
with_dump_in_exec
enable_kkcc
with_kkcc
enable_newgc
with_newgc
enable_vdb
with_vdb
enable_modules
with_modules
enable_bignum
with_bignum
enable_workshop
with_workshop
enable_sparcworks
with_sparcworks
enable_debug
with_debug
enable_error_checking
with_error_checking
enable_assertions
with_assertions
enable_memory_usage_stats
with_memory_usage_stats
enable_quick_build
with_quick_build
enable_union_type
with_union_type
enable_quantify
with_quantify
enable_purify
with_purify
enable_valgrind
with_valgrind
with_x
'
      ac_precious_vars='build_alias
host_alias
target_alias
CC
CFLAGS
LDFLAGS
LIBS
CPPFLAGS
CPP
YACC
YFLAGS
XMKMF
CXX
CXXFLAGS
CCC'


# Initialize some variables set by options.
ac_init_help=
ac_init_version=false
ac_unrecognized_opts=
ac_unrecognized_sep=
# The variables have the same names as the options, with
# dashes changed to underlines.
cache_file=/dev/null
exec_prefix=NONE
no_create=
no_recursion=
prefix=NONE
program_prefix=NONE
program_suffix=NONE
program_transform_name=s,x,x,
silent=
site=
srcdir=
verbose=
x_includes=NONE
x_libraries=NONE

# Installation directory options.
# These are left unexpanded so users can "make install exec_prefix=/foo"
# and all the variables that are supposed to be based on exec_prefix
# by default will actually change.
# Use braces instead of parens because sh, perl, etc. also accept them.
# (The list follows the same order as the GNU Coding Standards.)
bindir='${exec_prefix}/bin'
sbindir='${exec_prefix}/sbin'
libexecdir='${exec_prefix}/libexec'
datarootdir='${prefix}/share'
datadir='${datarootdir}'
sysconfdir='${prefix}/etc'
sharedstatedir='${prefix}/com'
localstatedir='${prefix}/var'
includedir='${prefix}/include'
oldincludedir='/usr/include'
docdir='${datarootdir}/doc/${PACKAGE_TARNAME}'
infodir='${datarootdir}/info'
htmldir='${docdir}'
dvidir='${docdir}'
pdfdir='${docdir}'
psdir='${docdir}'
libdir='${exec_prefix}/lib'
localedir='${datarootdir}/locale'
mandir='${datarootdir}/man'

ac_prev=
ac_dashdash=
for ac_option
do
  # If the previous option needs an argument, assign it.
  if test -n "$ac_prev"; then
    eval $ac_prev=\$ac_option
    ac_prev=
    continue
  fi

  case $ac_option in
  *=?*) ac_optarg=`expr "X$ac_option" : '[^=]*=\(.*\)'` ;;
  *=)   ac_optarg= ;;
  *)    ac_optarg=yes ;;
  esac

  # Accept the important Cygnus configure options, so we can diagnose typos.

  case $ac_dashdash$ac_option in
  --)
    ac_dashdash=yes ;;

  -bindir | --bindir | --bindi | --bind | --bin | --bi)
    ac_prev=bindir ;;
  -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
    bindir=$ac_optarg ;;

  -build | --build | --buil | --bui | --bu)
    ac_prev=build_alias ;;
  -build=* | --build=* | --buil=* | --bui=* | --bu=*)
    build_alias=$ac_optarg ;;

  -cache-file | --cache-file | --cache-fil | --cache-fi \
  | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
    ac_prev=cache_file ;;
  -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
  | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
    cache_file=$ac_optarg ;;

  --config-cache | -C)
    cache_file=config.cache ;;

  -datadir | --datadir | --datadi | --datad)
    ac_prev=datadir ;;
  -datadir=* | --datadir=* | --datadi=* | --datad=*)
    datadir=$ac_optarg ;;

  -datarootdir | --datarootdir | --datarootdi | --datarootd | --dataroot \
  | --dataroo | --dataro | --datar)
    ac_prev=datarootdir ;;
  -datarootdir=* | --datarootdir=* | --datarootdi=* | --datarootd=* \
  | --dataroot=* | --dataroo=* | --dataro=* | --datar=*)
    datarootdir=$ac_optarg ;;

  -disable-* | --disable-*)
    ac_useropt=`expr "x$ac_option" : 'x-*disable-\(.*\)'`
    # Reject names that are not valid shell variable names.
    expr "x$ac_useropt" : ".*[^-+._$as_cr_alnum]" >/dev/null &&
      as_fn_error $? "invalid feature name: $ac_useropt"
    ac_useropt_orig=$ac_useropt
    ac_useropt=`$as_echo "$ac_useropt" | sed 's/[-+.]/_/g'`
    case $ac_user_opts in
      *"
"enable_$ac_useropt"
"*) ;;
      *) ac_unrecognized_opts="$ac_unrecognized_opts$ac_unrecognized_sep--disable-$ac_useropt_orig"
	 ac_unrecognized_sep=', ';;
    esac
    eval enable_$ac_useropt=no ;;

  -docdir | --docdir | --docdi | --doc | --do)
    ac_prev=docdir ;;
  -docdir=* | --docdir=* | --docdi=* | --doc=* | --do=*)
    docdir=$ac_optarg ;;

  -dvidir | --dvidir | --dvidi | --dvid | --dvi | --dv)
    ac_prev=dvidir ;;
  -dvidir=* | --dvidir=* | --dvidi=* | --dvid=* | --dvi=* | --dv=*)
    dvidir=$ac_optarg ;;

  -enable-* | --enable-*)
    ac_useropt=`expr "x$ac_option" : 'x-*enable-\([^=]*\)'`
    # Reject names that are not valid shell variable names.
    expr "x$ac_useropt" : ".*[^-+._$as_cr_alnum]" >/dev/null &&
      as_fn_error $? "invalid feature name: $ac_useropt"
    ac_useropt_orig=$ac_useropt
    ac_useropt=`$as_echo "$ac_useropt" | sed 's/[-+.]/_/g'`
    case $ac_user_opts in
      *"
"enable_$ac_useropt"
"*) ;;
      *) ac_unrecognized_opts="$ac_unrecognized_opts$ac_unrecognized_sep--enable-$ac_useropt_orig"
	 ac_unrecognized_sep=', ';;
    esac
    eval enable_$ac_useropt=\$ac_optarg ;;

  -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
  | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
  | --exec | --exe | --ex)
    ac_prev=exec_prefix ;;
  -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
  | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
  | --exec=* | --exe=* | --ex=*)
    exec_prefix=$ac_optarg ;;

  -gas | --gas | --ga | --g)
    # Obsolete; use --with-gas.
    with_gas=yes ;;

  -help | --help | --hel | --he | -h)
    ac_init_help=long ;;
  -help=r* | --help=r* | --hel=r* | --he=r* | -hr*)
    ac_init_help=recursive ;;
  -help=s* | --help=s* | --hel=s* | --he=s* | -hs*)
    ac_init_help=short ;;

  -host | --host | --hos | --ho)
    ac_prev=host_alias ;;
  -host=* | --host=* | --hos=* | --ho=*)
    host_alias=$ac_optarg ;;

  -htmldir | --htmldir | --htmldi | --htmld | --html | --htm | --ht)
    ac_prev=htmldir ;;
  -htmldir=* | --htmldir=* | --htmldi=* | --htmld=* | --html=* | --htm=* \
  | --ht=*)
    htmldir=$ac_optarg ;;

  -includedir | --includedir | --includedi | --included | --include \
  | --includ | --inclu | --incl | --inc)
    ac_prev=includedir ;;
  -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
  | --includ=* | --inclu=* | --incl=* | --inc=*)
    includedir=$ac_optarg ;;

  -infodir | --infodir | --infodi | --infod | --info | --inf)
    ac_prev=infodir ;;
  -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
    infodir=$ac_optarg ;;

  -libdir | --libdir | --libdi | --libd)
    ac_prev=libdir ;;
  -libdir=* | --libdir=* | --libdi=* | --libd=*)
    libdir=$ac_optarg ;;

  -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
  | --libexe | --libex | --libe)
    ac_prev=libexecdir ;;
  -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
  | --libexe=* | --libex=* | --libe=*)
    libexecdir=$ac_optarg ;;

  -localedir | --localedir | --localedi | --localed | --locale)
    ac_prev=localedir ;;
  -localedir=* | --localedir=* | --localedi=* | --localed=* | --locale=*)
    localedir=$ac_optarg ;;

  -localstatedir | --localstatedir | --localstatedi | --localstated \
  | --localstate | --localstat | --localsta | --localst | --locals)
    ac_prev=localstatedir ;;
  -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
  | --localstate=* | --localstat=* | --localsta=* | --localst=* | --locals=*)
    localstatedir=$ac_optarg ;;

  -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
    ac_prev=mandir ;;
  -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
    mandir=$ac_optarg ;;

  -nfp | --nfp | --nf)
    # Obsolete; use --without-fp.
    with_fp=no ;;

  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
  | --no-cr | --no-c | -n)
    no_create=yes ;;

  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
    no_recursion=yes ;;

  -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
  | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
  | --oldin | --oldi | --old | --ol | --o)
    ac_prev=oldincludedir ;;
  -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
  | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
  | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
    oldincludedir=$ac_optarg ;;

  -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
    ac_prev=prefix ;;
  -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
    prefix=$ac_optarg ;;

  -program-prefix | --program-prefix | --program-prefi | --program-pref \
  | --program-pre | --program-pr | --program-p)
    ac_prev=program_prefix ;;
  -program-prefix=* | --program-prefix=* | --program-prefi=* \
  | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
    program_prefix=$ac_optarg ;;

  -program-suffix | --program-suffix | --program-suffi | --program-suff \
  | --program-suf | --program-su | --program-s)
    ac_prev=program_suffix ;;
  -program-suffix=* | --program-suffix=* | --program-suffi=* \
  | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
    program_suffix=$ac_optarg ;;

  -program-transform-name | --program-transform-name \
  | --program-transform-nam | --program-transform-na \
  | --program-transform-n | --program-transform- \
  | --program-transform | --program-transfor \
  | --program-transfo | --program-transf \
  | --program-trans | --program-tran \
  | --progr-tra | --program-tr | --program-t)
    ac_prev=program_transform_name ;;
  -program-transform-name=* | --program-transform-name=* \
  | --program-transform-nam=* | --program-transform-na=* \
  | --program-transform-n=* | --program-transform-=* \
  | --program-transform=* | --program-transfor=* \
  | --program-transfo=* | --program-transf=* \
  | --program-trans=* | --program-tran=* \
  | --progr-tra=* | --program-tr=* | --program-t=*)
    program_transform_name=$ac_optarg ;;

  -pdfdir | --pdfdir | --pdfdi | --pdfd | --pdf | --pd)
    ac_prev=pdfdir ;;
  -pdfdir=* | --pdfdir=* | --pdfdi=* | --pdfd=* | --pdf=* | --pd=*)
    pdfdir=$ac_optarg ;;

  -psdir | --psdir | --psdi | --psd | --ps)
    ac_prev=psdir ;;
  -psdir=* | --psdir=* | --psdi=* | --psd=* | --ps=*)
    psdir=$ac_optarg ;;

  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
  | -silent | --silent | --silen | --sile | --sil)
    silent=yes ;;

  -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
    ac_prev=sbindir ;;
  -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
  | --sbi=* | --sb=*)
    sbindir=$ac_optarg ;;

  -sharedstatedir | --sharedstatedir | --sharedstatedi \
  | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
  | --sharedst | --shareds | --shared | --share | --shar \
  | --sha | --sh)
    ac_prev=sharedstatedir ;;
  -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
  | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
  | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
  | --sha=* | --sh=*)
    sharedstatedir=$ac_optarg ;;

  -site | --site | --sit)
    ac_prev=site ;;
  -site=* | --site=* | --sit=*)
    site=$ac_optarg ;;

  -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
    ac_prev=srcdir ;;
  -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
    srcdir=$ac_optarg ;;

  -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
  | --syscon | --sysco | --sysc | --sys | --sy)
    ac_prev=sysconfdir ;;
  -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
  | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
    sysconfdir=$ac_optarg ;;

  -target | --target | --targe | --targ | --tar | --ta | --t)
    ac_prev=target_alias ;;
  -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
    target_alias=$ac_optarg ;;

  -v | -verbose | --verbose | --verbos | --verbo | --verb)
    verbose=yes ;;

  -version | --version | --versio | --versi | --vers | -V)
    ac_init_version=: ;;

  -with-* | --with-*)
    ac_useropt=`expr "x$ac_option" : 'x-*with-\([^=]*\)'`
    # Reject names that are not valid shell variable names.
    expr "x$ac_useropt" : ".*[^-+._$as_cr_alnum]" >/dev/null &&
      as_fn_error $? "invalid package name: $ac_useropt"
    ac_useropt_orig=$ac_useropt
    ac_useropt=`$as_echo "$ac_useropt" | sed 's/[-+.]/_/g'`
    case $ac_user_opts in
      *"
"with_$ac_useropt"
"*) ;;
      *) ac_unrecognized_opts="$ac_unrecognized_opts$ac_unrecognized_sep--with-$ac_useropt_orig"
	 ac_unrecognized_sep=', ';;
    esac
    eval with_$ac_useropt=\$ac_optarg ;;

  -without-* | --without-*)
    ac_useropt=`expr "x$ac_option" : 'x-*without-\(.*\)'`
    # Reject names that are not valid shell variable names.
    expr "x$ac_useropt" : ".*[^-+._$as_cr_alnum]" >/dev/null &&
      as_fn_error $? "invalid package name: $ac_useropt"
    ac_useropt_orig=$ac_useropt
    ac_useropt=`$as_echo "$ac_useropt" | sed 's/[-+.]/_/g'`
    case $ac_user_opts in
      *"
"with_$ac_useropt"
"*) ;;
      *) ac_unrecognized_opts="$ac_unrecognized_opts$ac_unrecognized_sep--without-$ac_useropt_orig"
	 ac_unrecognized_sep=', ';;
    esac
    eval with_$ac_useropt=no ;;

  --x)
    # Obsolete; use --with-x.
    with_x=yes ;;

  -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
  | --x-incl | --x-inc | --x-in | --x-i)
    ac_prev=x_includes ;;
  -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
  | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
    x_includes=$ac_optarg ;;

  -x-libraries | --x-libraries | --x-librarie | --x-librari \
  | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
    ac_prev=x_libraries ;;
  -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
  | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
    x_libraries=$ac_optarg ;;

  -*) as_fn_error $? "unrecognized option: \`$ac_option'
Try \`$0 --help' for more information"
    ;;

  *=*)
    ac_envvar=`expr "x$ac_option" : 'x\([^=]*\)='`
    # Reject names that are not valid shell variable names.
    case $ac_envvar in #(
      '' | [0-9]* | *[!_$as_cr_alnum]* )
      as_fn_error $? "invalid variable name: \`$ac_envvar'" ;;
    esac
    eval $ac_envvar=\$ac_optarg
    export $ac_envvar ;;

  *)
    # FIXME: should be removed in autoconf 3.0.
    $as_echo "$as_me: WARNING: you should use --build, --host, --target" >&2
    expr "x$ac_option" : ".*[^-._$as_cr_alnum]" >/dev/null &&
      $as_echo "$as_me: WARNING: invalid host type: $ac_option" >&2
    : "${build_alias=$ac_option} ${host_alias=$ac_option} ${target_alias=$ac_option}"
    ;;

  esac
done

if test -n "$ac_prev"; then
  ac_option=--`echo $ac_prev | sed 's/_/-/g'`
  as_fn_error $? "missing argument to $ac_option"
fi

if test -n "$ac_unrecognized_opts"; then
  case $enable_option_checking in
    no) ;;
    fatal) as_fn_error $? "unrecognized options: $ac_unrecognized_opts" ;;
    *)     $as_echo "$as_me: WARNING: unrecognized options: $ac_unrecognized_opts" >&2 ;;
  esac
fi

# Check all directory arguments for consistency.
for ac_var in	exec_prefix prefix bindir sbindir libexecdir datarootdir \
		datadir sysconfdir sharedstatedir localstatedir includedir \
		oldincludedir docdir infodir htmldir dvidir pdfdir psdir \
		libdir localedir mandir
do
  eval ac_val=\$$ac_var
  # Remove trailing slashes.
  case $ac_val in
    */ )
      ac_val=`expr "X$ac_val" : 'X\(.*[^/]\)' \| "X$ac_val" : 'X\(.*\)'`
      eval $ac_var=\$ac_val;;
  esac
  # Be sure to have absolute directory names.
  case $ac_val in
    [\\/$]* | ?:[\\/]* )  continue;;
    NONE | '' ) case $ac_var in *prefix ) continue;; esac;;
  esac
  as_fn_error $? "expected an absolute directory name for --$ac_var: $ac_val"
done

# There might be people who depend on the old broken behavior: `$host'
# used to hold the argument of --host etc.
# FIXME: To remove some day.
build=$build_alias
host=$host_alias
target=$target_alias

# FIXME: To remove some day.
if test "x$host_alias" != x; then
  if test "x$build_alias" = x; then
    cross_compiling=maybe
  elif test "x$build_alias" != "x$host_alias"; then
    cross_compiling=yes
  fi
fi

ac_tool_prefix=
test -n "$host_alias" && ac_tool_prefix=$host_alias-

test "$silent" = yes && exec 6>/dev/null


ac_pwd=`pwd` && test -n "$ac_pwd" &&
ac_ls_di=`ls -di .` &&
ac_pwd_ls_di=`cd "$ac_pwd" && ls -di .` ||
  as_fn_error $? "working directory cannot be determined"
test "X$ac_ls_di" = "X$ac_pwd_ls_di" ||
  as_fn_error $? "pwd does not report name of working directory"


# Find the source files, if location was not specified.
if test -z "$srcdir"; then
  ac_srcdir_defaulted=yes
  # Try the directory containing this script, then the parent directory.
  ac_confdir=`$as_dirname -- "$as_myself" ||
$as_expr X"$as_myself" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
	 X"$as_myself" : 'X\(//\)[^/]' \| \
	 X"$as_myself" : 'X\(//\)$' \| \
	 X"$as_myself" : 'X\(/\)' \| . 2>/dev/null ||
$as_echo X"$as_myself" |
    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
	    s//\1/
	    q
	  }
	  /^X\(\/\/\)[^/].*/{
	    s//\1/
	    q
	  }
	  /^X\(\/\/\)$/{
	    s//\1/
	    q
	  }
	  /^X\(\/\).*/{
	    s//\1/
	    q
	  }
	  s/.*/./; q'`
  srcdir=$ac_confdir
  if test ! -r "$srcdir/$ac_unique_file"; then
    srcdir=..
  fi
else
  ac_srcdir_defaulted=no
fi
if test ! -r "$srcdir/$ac_unique_file"; then
  test "$ac_srcdir_defaulted" = yes && srcdir="$ac_confdir or .."
  as_fn_error $? "cannot find sources ($ac_unique_file) in $srcdir"
fi
ac_msg="sources are in $srcdir, but \`cd $srcdir' does not work"
ac_abs_confdir=`(
	cd "$srcdir" && test -r "./$ac_unique_file" || as_fn_error $? "$ac_msg"
	pwd)`
# When building in place, set srcdir=.
if test "$ac_abs_confdir" = "$ac_pwd"; then
  srcdir=.
fi
# Remove unnecessary trailing slashes from srcdir.
# Double slashes in file names in object file debugging info
# mess up M-x gdb in Emacs.
case $srcdir in
*/) srcdir=`expr "X$srcdir" : 'X\(.*[^/]\)' \| "X$srcdir" : 'X\(.*\)'`;;
esac
for ac_var in $ac_precious_vars; do
  eval ac_env_${ac_var}_set=\${${ac_var}+set}
  eval ac_env_${ac_var}_value=\$${ac_var}
  eval ac_cv_env_${ac_var}_set=\${${ac_var}+set}
  eval ac_cv_env_${ac_var}_value=\$${ac_var}
done

#
# Report the --help message.
#
if test "$ac_init_help" = "long"; then
  # Omit some internal or obsolete options to make the list less imposing.
  # This message is too long to be a string in the A/UX 3.1 sh.
  cat <<_ACEOF
\`configure' configures XEmacs 21.5 to adapt to many kinds of systems.

Usage: $0 [OPTION]... [VAR=VALUE]...

To assign environment variables (e.g., CC, CFLAGS...), specify them as
VAR=VALUE.  See below for descriptions of some of the useful variables.

Defaults for the options are specified in brackets.

Configuration:
  -h, --help              display this help and exit
      --help=short        display options specific to this package
      --help=recursive    display the short help of all the included packages
  -V, --version           display version information and exit
  -q, --quiet, --silent   do not print \`checking ...' messages
      --cache-file=FILE   cache test results in FILE [disabled]
  -C, --config-cache      alias for \`--cache-file=config.cache'
  -n, --no-create         do not create output files
      --srcdir=DIR        find the sources in DIR [configure dir or \`..']

Installation directories:
  --prefix=PREFIX         install architecture-independent files in PREFIX
                          [$ac_default_prefix]
  --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
                          [PREFIX]

By default, \`make install' will install all the files in
\`$ac_default_prefix/bin', \`$ac_default_prefix/lib' etc.  You can specify
an installation prefix other than \`$ac_default_prefix' using \`--prefix',
for instance \`--prefix=\$HOME'.

For better control, use the options below.

Fine tuning of the installation directories:
  --bindir=DIR            user executables [EPREFIX/bin]
  --sbindir=DIR           system admin executables [EPREFIX/sbin]
  --libexecdir=DIR        program executables [EPREFIX/libexec]
  --sysconfdir=DIR        read-only single-machine data [PREFIX/etc]
  --sharedstatedir=DIR    modifiable architecture-independent data [PREFIX/com]
  --localstatedir=DIR     modifiable single-machine data [PREFIX/var]
  --libdir=DIR            object code libraries [EPREFIX/lib]
  --includedir=DIR        C header files [PREFIX/include]
  --oldincludedir=DIR     C header files for non-gcc [/usr/include]
  --datarootdir=DIR       read-only arch.-independent data root [PREFIX/share]
  --datadir=DIR           read-only architecture-independent data [DATAROOTDIR]
  --infodir=DIR           info documentation [DATAROOTDIR/info]
  --localedir=DIR         locale-dependent data [DATAROOTDIR/locale]
  --mandir=DIR            man documentation [DATAROOTDIR/man]
  --docdir=DIR            documentation root [DATAROOTDIR/doc/xemacs]
  --htmldir=DIR           html documentation [DOCDIR]
  --dvidir=DIR            dvi documentation [DOCDIR]
  --pdfdir=DIR            pdf documentation [DOCDIR]
  --psdir=DIR             ps documentation [DOCDIR]
_ACEOF

  cat <<\_ACEOF

X features:
  --x-includes=DIR    X include files are in DIR
  --x-libraries=DIR   X library files are in DIR

System types:
  --build=BUILD     configure for building on BUILD [guessed]
_ACEOF
fi

if test -n "$ac_init_help"; then
  case $ac_init_help in
     short | recursive ) echo "Configuration of XEmacs 21.5:";;
   esac
  cat <<\_ACEOF

Optional Features:
  --with-FEATURE[=ARG]    include FEATURE [ARG=yes]
  --enable-FEATURE[=ARG]  alias for --with-FEATURE
  --without-FEATURE       do not use FEATURE (same as --with-FEATURE=no)
  --disable-FEATURE       alias for --without-FEATURE

Compilation options
-------------------

  --with-compiler         C compiler to use
  --with-xemacs-compiler  compiler to use to compile just the xemacs
                          executable and C modules. If you want to compile
                          XEmacs as C++, use e.g.
                          `--with-xemacs-compiler=g++'. This turns on a lot of
                          additional error-checking.
  --with-gcc              Use GCC to compile XEmacs.
  --with-cflags=FLAGS     Compiler flags. These flags will be placed after any
                          flags inserted for warnings, debugging or
                          optimization; setting this does not disable the
                          insertion of those flags. Use configure settings
                          such as `--with-optimization=no' or `with-debug=no'
                          to turn them off, or override them with
                          `--with-cflags-optimization',
                          `--with-cflags-debugging', or `with-cflags-warning'.
  --with-cflags-warning=FLAGS
                          Override compiler flags used to control warnings.
                          Normally, don't set this, as XEmacs already turns on
                          the maximum safe warning level.
  --with-optimization     Control whether compilation is optimized. By
                          default, optimization is on in release versions and
                          off in beta versions, since it can interfere with
                          proper stack backtraces.
  --with-cflags-optimization=FLAGS
                          Override compiler flags used to control
                          optimization. If blank, forces no optimization; if
                          non-blank, forces optimization. Normally, don't set
                          this; XEmacs automatically sets the maximum safe
                          optimization flags appropriate for the compiler
                          being invoked. If you just want to turn optimization
                          on or off, use `with-optimization' instead.
  --with-cflags-debugging=FLAGS
                          Override compiler flags used to add debugging
                          information to the executable. Normally, debugging
                          information is added whenever possible (i.e. unless
                          optimization is turned on and the compiler does not
                          permit debugging and optimization simultaneously).
  --with-cpp              C preprocessor to use (e.g. /usr/ccs/lib/cpp or cc
                          -E)
  --with-cppflags         C preprocessor flags (e.g. -I/foo or -Dfoo=bar)
  --with-libs             Additional libraries (e.g. -lfoo)
  --with-ldflags          Additional linker flags (e.g. -L/foo)
  --with-site-includes=PATHS
                          Prepend to include search path.
  --with-site-libraries=PATHS
                          Prepend to library search path.
  --with-site-prefixes=PATHS
                          Prepend to include and library search paths, with
                          /include and /lib added. Comes after site-includes
                          and site-libraries, if any.
  --with-site-runtime-libraries=PATHS
                          Prepend to the runtime library search path
  --with-dynamic          Link dynamically if supported by system. 'No' forces
                          static linking.

Installation options
--------------------

  --with-prefix=no        Don't compile the value for `prefix' into the
                          executable.
  --with-netinstall       Support for installation over the internet. Only
                          functional on the MS Windows platforms.
  --with-statedir=DIR
  --with-lispdir=DIR
  --with-archlibdir=DIR
  --with-moduledir=DIR
  --with-etcdir=DIR
  --with-docdir=DIR

Run-time path-searching options
-------------------------------

  --with-site-lisp=no     Allow for a site-lisp directory in the XEmacs
                          hierarchy searched before the installation packages.
  --with-site-modules=no  Disable site-modules directory in the XEmacs
                          hierarchy, which is searched before the installation
                          modules.
  --with-early-packages=DIR
                          Specify location of early/user packages (instead of
                          ~/.xemacs; same as --with-user-packages).
  --with-user-packages=DIR
                          Specify location of early/user packages (instead of
                          ~/.xemacs; same as --with-early-packages).
  --with-late-packages=DIR
                          Specify location of late/system packages (instead of
                          default location; same as --with-system-packages).
  --with-system-packages=DIR
                          Specify location of late/system packages (instead of
                          default location; same as --with-late-packages).
  --with-last-packages=DIR
                          Specify location of last/legacy packages (instead of
                          default location; same as --with-legacy-packages).
  --with-legacy-packages=DIR
                          Specify location of last/legacy packages (instead of
                          default location; same as --with-last-packages).
  --with-package-path=PATH
                          Search path for package directories.
  --with-infopath=PATH    Location of info directories

Window-system options
---------------------

  --with-xft              Compile with support for Xft client-side font
                          rendering and anti-aliasing. Components that can use
                          Xft are `emacs' (buffers), `menubars', `tabs', and
                          `gauges'. Prefix component with `no' to disable its
                          use of Xft. Requires X11, Xft, Xrender, freetype,
                          and fontconfig support. Default is `noemacs,
                          nomenubars, notabs, nogauges'. The default when
                          selected is `emacs, nomenubars, notabs, nogauges'.
  --with-gtk              Support GTK on the X Window System. (EXPERIMENTAL)
  --with-gnome            Support GNOME on the X Window System. (EXPERIMENTAL)
  --with-msw              Support MS Windows as a window system (only under
                          Cygwin and MinGW). `--with-msw=no' may be needed on
                          *nix systems with Wine installed.
  --with-toolbars         Enable toolbar support. Default: yes.
  --with-wmcommand        Compile without realized leader window which will
                          keep the WM_COMMAND property.
  --with-athena=TYPE      Use TYPE Athena widgets (`xaw', `3d', `next', `95',
                          or `xpm').
  --with-menubars=TYPE    Use TYPE menubars ('yes', '`no', `lucid', `motif',
                          `athena', `gtk', or `msw'). The Lucid widgets
                          emulate Motif (mostly) but are faster. *WARNING* The
                          Motif menubar is currently broken. Lucid menubars
                          are the default.
  --with-scrollbars=TYPE  Use TYPE scrollbars 'yes', '`no', `lucid', `motif',
                          `athena', `gtk', or `msw'). Lucid scrollbars are the
                          default.
  --with-dialogs=TYPE     Use TYPE dialog boxes 'yes', '`no', `lucid',
                          `motif', `athena', `gtk', or `msw'). There are no
                          true Lucid dialogs; Motif dialogs will be used if
                          Motif can be found, else Athena is used.
  --with-widgets=TYPE     Use TYPE native widgets ('yes', '`no', `lucid',
                          `motif', `athena', `gtk', or `msw'). Other widget
                          types are currently unsupported. There are no true
                          Lucid widgets; Motif widgets will be used if Motif
                          can be found, else Athena is used.
  --with-dragndrop        Compile in the generic drag and drop API. This is
                          automatically added if one of the drag and drop
                          protocols is found (currently CDE, MSWindows, and
                          GTK). *WARNING* The Drag'n'drop support is under
                          development and is considered experimental.
  --with-cde              Compile in support for CDE drag and drop.
  --with-external-widget  Support XEmacs server for text widgets in other
                          applications.

TTY (character terminal) options
--------------------------------

  --with-tty              Enable TTY support. Default: yes.
  --with-ncurses          Use the ncurses library for tty support.
  --with-gpm              Compile in GPM mouse support for ttys.

Image options
-------------

  --with-xpm              Compile with support for XPM images. PRACTICALLY
                          REQUIRED. Although this library is nonstandard and a
                          real hassle to build, many basic things (e.g.
                          toolbars) depend on it, and you will run into many
                          problems without it.
  --with-png              Compile with support for PNG images. Recommended
                          because the images on the About page are not
                          viewable without it.
  --with-jpeg             Compile with support for JPEG images. Useful if you
                          are using a mail, news reader, or web browser in
                          XEmacs, so that JPEG images can be displayed.
  --with-tiff             Compile with support for TIFF images. Possibly
                          useful, for the same reason as JPEG images.
  --with-xface            Compile with support for X-Face mail headers.
                          Requires the compface package.
  --with-gif              Compile with support for GIF images.

Sound options
-------------

  --with-sound=TYPE       Compile with sound support. Valid types are
                          `native', `alsa', `nas' and `esd'. Prefix a type
                          with 'no' to disable. The first type can be `none'
                          or `all'. `none' means
                          `nonative,noalsa,nonas,noesd'. `all' means
                          `native,alsa,nas,esd'. Later options override
                          earlier ones for the same TYPE. The default is to
                          autodetect all sound support except for ESD which
                          defaults to off.
  --with-native-sound-lib Path to sound library (for systems with name
                          conflicts).

Internationalization options
----------------------------

  --with-mule             Compile with Mule (Multi-Lingual Emacs) support,
                          needed to support non-Latin-1 (including Asian)
                          languages.
  --with-xim==TYPE        Enable XIM support. TYPE is `yes', `no', `xlib', or
                          `motif'
  --with-canna            Support the Canna Japanese input method. Requires
                          Mule.
  --with-wnn              Support the Wnn Asian language input method.
                          Requires Mule.
  --with-wnn6             Support the Wnn6 Asian language input method
                          (proprietary). Requires Mule.
  --with-xfs              Enable XFontSet support for internationalized
                          menubar. Incompatible with `--with-xim=motif' and
                          `--with-xft'. `--with-menubars=lucid' (the default)
                          is desirable.

File-related options
--------------------

  --with-default-eol-detection
                          Turns on by default auto-detection of end-of-line
                          type when reading a file. Applies to those platforms
                          where auto-detection is off by default (non-Mule
                          Unix). Has no effect otherwise.
  --with-clash-detection  Disable use of lock files to detect multiple edits
                          of the same file.
  --with-zlib             Support inflate (de)compression internally.

Database options
----------------

  --with-database=TYPE    Compile with database support. Valid types are `no'
                          or a comma-separated list of one or more of `berkdb'
                          and either `dbm' or `gdbm'.
  --with-ldap             Support the LDAP protocol.
  --with-postgresql       Support the PostgreSQL RDBMS.

Mail options
------------

  --with-mail-locking=TYPE
                          Specify the locking to be used by movemail to
                          prevent concurrent updates of mail spool files.
                          Valid types are `lockf', `flock', `file', `locking',
                          `mmdf' or `pop'.
  --with-pop              Support POP for mail retrieval.
  --with-kerberos         Support Kerberos-authenticated POP.
  --with-hesiod           Support Hesiod to get the POP server host.

Networking options
------------------

  --with-tooltalk         Support the ToolTalk IPC protocol.
  --with-socks            Compile with support for SOCKS (an Internet proxy).
  --with-dnet             Compile with support for DECnet.
  --with-ipv6-cname       Try IPv6 information first when canonicalizing host
                          names. This option has no effect unless system
                          supports getaddrinfo(3) and getnameinfo(3).

Memory allocation options
-------------------------

  --with-rel-alloc        Enable the relocating allocator.
  --with-dlmalloc         Use Doug Lea's malloc implementation.
  --with-system-malloc    Use the system malloc, not the one distributed with
                          XEmacs.
  --with-debug-malloc     Use a debugging malloc.
  --with-pdump            Enable portable LISP preloader.
  --with-dump-in-exec     Enable dumping into executable (enabled by default
                          for `pdump', not enabled by default in combination
                          with `newgc').
  --with-kkcc             Enable experimental new GC mark algorithms.
  --with-newgc            Enable new incremental garbage collector and new
                          allocator.
  --with-vdb=TYPE         Override auto-detection of virtual-dirty-bit
                          write-barrier implementation for the new garbage
                          collector. TYPE must be one of "auto" (for
                          auto-detection), "posix", "win32", "mach", or "fake"
                          (uses the new garbage collector but disables
                          incremental collections). The default is to use
                          auto-detection.

Emacs Lisp options
------------------

  --with-modules          Compile in experimental support for dynamically
                          loaded libraries (Dynamic Shared Objects).
  --with-bignum=TYPE      Compile in support for bignums, ratios, or bigfloats
                          using library support. TYPE must be one of "gmp"
                          (for GNU MP), "mp" (for BSD MP), or "no" (disabled).

Platform Specific options
-------------------------

  --with-workshop         Support the Sun WorkShop (formerly Sparcworks)
                          development environment.
  --with-sparcworks       Alias for --with-workshop

Debugging options
-----------------

  --with-debug            Enable additional debugging information. No
                          noticeable time cost (unlike
                          `--with-error-checking'). This turns adds `-g' to
                          the compiler options so that debug information is
                          compiled into the XEmacs executable. It also turns
                          on assert checks in the source code (i.e. same as
                          `--with-assertions'); enables Lisp commands for
                          determining detailed memory usage statistics (same
                          as `--with-memory-usage-stats'); adds various Lisp
                          variables and functions that allow one to display
                          internal structures, show the internal workings of
                          certain subsystems, and exit to the debugger; causes
                          Lisp errors during building to exit to the debugger
                          or dump core; and adds debugging-related C functions
                          meant to be called from a debugger.
  --with-error-checking=CLASS|all|none
                          Compile with internal error-checking added. Causes
                          noticeable loss of speed. Valid classes are
                          `byte_code', `display' (redisplay), `extents', `gc'
                          (garbage collection), `glyphs', `malloc' (memory
                          allocation), `structures' (C structures), `text'
                          (text handling and conversion), `types' (correct
                          Lisp-object type for type-specific operations).
                          `all' or `none' can be given to set all or no
                          classes, respectively. Any of the classes can be
                          prefixed with `no' to turn the class off. A
                          comma-separated list of classes can also be given.
                          For example, `all,nogc' turns on all but
                          garbage-collection-related checking. Omitting any
                          argument or specifying just `yes' is the same as
                          `all'.
  --with-assertions       Compile in runtime assertions.
  --with-memory-usage-stats
                          Enable LISP memory usage API.
  --with-quick-build      Speed up the build cycle by leaving out steps where
                          XEmacs will still work (more or less) without them.
                          Potentially dangerous if you don't know what you're
                          doing. This (1) Doesn't garbage-collect after
                          loading each file during dumping, (2) Doesn't
                          automatically rebuild the DOC file (remove it by
                          hand to get it rebuilt), (3) Removes config.h,
                          lisp.h and associated files from the dependency
                          lists, so changes to these files don't automatically
                          cause all .c files to be rebuilt, (4) Doesn't check
                          for Lisp shadows.
  --with-union-type       Use union definition of Lisp_Object type. Known to
                          trigger bugs in some compilers.
  --with-quantify         Support performance debugging using Quantify.
  --with-purify           Support memory debugging using Purify.
  --with-valgrind         Support memory debugging using Valgrind.

Optional Packages:
  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
  --with-x                use the X Window System

Some influential environment variables:
  CC          C compiler command
  CFLAGS      C compiler flags
  LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
              nonstandard directory <lib dir>
  LIBS        libraries to pass to the linker, e.g. -l<library>
  CPPFLAGS    (Objective) C/C++ preprocessor flags, e.g. -I<include dir> if
              you have headers in a nonstandard directory <include dir>
  CPP         C preprocessor
  YACC        The `Yet Another Compiler Compiler' implementation to use.
              Defaults to the first program found out of: `bison -y', `byacc',
              `yacc'.
  YFLAGS      The list of arguments that will be passed by default to $YACC.
              This script will default YFLAGS to the empty string to avoid a
              default value of `-d' given by some make applications.
  XMKMF       Path to xmkmf, Makefile generator for X Window System
  CXX         C++ compiler command
  CXXFLAGS    C++ compiler flags

Use these variables to override the choices made by `configure' or to help
it to find libraries and programs with nonstandard names/locations.

Report bugs to <xemacs-beta@xemacs.org>.
_ACEOF
ac_status=$?
fi

if test "$ac_init_help" = "recursive"; then
  # If there are subdirs, report their specific --help.
  for ac_dir in : $ac_subdirs_all; do test "x$ac_dir" = x: && continue
    test -d "$ac_dir" ||
      { cd "$srcdir" && ac_pwd=`pwd` && srcdir=. && test -d "$ac_dir"; } ||
      continue
    ac_builddir=.

case "$ac_dir" in
.) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
*)
  ac_dir_suffix=/`$as_echo "$ac_dir" | sed 's|^\.[\\/]||'`
  # A ".." for each directory in $ac_dir_suffix.
  ac_top_builddir_sub=`$as_echo "$ac_dir_suffix" | sed 's|/[^\\/]*|/..|g;s|/||'`
  case $ac_top_builddir_sub in
  "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
  *)  ac_top_build_prefix=$ac_top_builddir_sub/ ;;
  esac ;;
esac
ac_abs_top_builddir=$ac_pwd
ac_abs_builddir=$ac_pwd$ac_dir_suffix
# for backward compatibility:
ac_top_builddir=$ac_top_build_prefix

case $srcdir in
  .)  # We are building in place.
    ac_srcdir=.
    ac_top_srcdir=$ac_top_builddir_sub
    ac_abs_top_srcdir=$ac_pwd ;;
  [\\/]* | ?:[\\/]* )  # Absolute name.
    ac_srcdir=$srcdir$ac_dir_suffix;
    ac_top_srcdir=$srcdir
    ac_abs_top_srcdir=$srcdir ;;
  *) # Relative name.
    ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
    ac_top_srcdir=$ac_top_build_prefix$srcdir
    ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
esac
ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix

    cd "$ac_dir" || { ac_status=$?; continue; }
    # Check for guested configure.
    if test -f "$ac_srcdir/configure.gnu"; then
      echo &&
      $SHELL "$ac_srcdir/configure.gnu" --help=recursive
    elif test -f "$ac_srcdir/configure"; then
      echo &&
      $SHELL "$ac_srcdir/configure" --help=recursive
    else
      $as_echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2
    fi || ac_status=$?
    cd "$ac_pwd" || { ac_status=$?; break; }
  done
fi

test -n "$ac_init_help" && exit $ac_status
if $ac_init_version; then
  cat <<\_ACEOF
XEmacs configure 21.5
generated by GNU Autoconf 2.69

Copyright (C) 2012 Free Software Foundation, Inc.
This configure script is free software; the Free Software Foundation
gives unlimited permission to copy, distribute and modify it.

Configuration script for XEmacs.  Largely divergent from FSF.
Guess values for system-dependent variables and create Makefiles.

Copyright (C) 1992-1999, 2001-2006 Free Software Foundation, Inc.
Copyright (C) 1993, 1994, 1995 Board of Trustees, University of Illinois.
Copyright (C) 1996, 1997 Sun Microsystems, Inc.
Copyright (C) 1995, 1996, 2002, 2003, 2004 Ben Wing.
Copyright (C) 2000, 2001 Martin Buchholz.
Copyright (C) 1998, 1999 J. Kean Johnston.
Copyright (C) 2005 Malcolm Purvis

Don't edit this script!
This script was automatically generated by the `autoconf' program
from the file `./configure.ac'.  To rebuild it, execute the command:

	autoconf

in the this directory.  You must have autoconf version 2.59.

This file is part of XEmacs.

XEmacs is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

XEmacs is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with XEmacs.  If not, see <http://www.gnu.org/licenses/>.

For usage, run `./configure --help'
For more detailed information on building and installing XEmacs,
read the file `INSTALL'.

If configure succeeds, it leaves its status in config.status.
A log of configuration tests can be found in config.log.
If configure fails after disturbing the status quo,
	config.status is removed.

_ACEOF
  exit
fi

## ------------------------ ##
## Autoconf initialization. ##
## ------------------------ ##

# ac_fn_c_try_compile LINENO
# --------------------------
# Try to compile conftest.$ac_ext, and return whether this succeeded.
ac_fn_c_try_compile ()
{
  as_lineno=${as_lineno-"$1"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
  rm -f conftest.$ac_objext
  if { { ac_try="$ac_compile"
case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
$as_echo "$ac_try_echo"; } >&5
  (eval "$ac_compile") 2>conftest.err
  ac_status=$?
  if test -s conftest.err; then
    grep -v '^ *+' conftest.err >conftest.er1
    cat conftest.er1 >&5
    mv -f conftest.er1 conftest.err
  fi
  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
  test $ac_status = 0; } && {
	 test -z "$ac_c_werror_flag" ||
	 test ! -s conftest.err
       } && test -s conftest.$ac_objext; then :
  ac_retval=0
else
  $as_echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5

	ac_retval=1
fi
  eval $as_lineno_stack; ${as_lineno_stack:+:} unset as_lineno
  as_fn_set_status $ac_retval

} # ac_fn_c_try_compile

# ac_fn_c_try_cpp LINENO
# ----------------------
# Try to preprocess conftest.$ac_ext, and return whether this succeeded.
ac_fn_c_try_cpp ()
{
  as_lineno=${as_lineno-"$1"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
  if { { ac_try="$ac_cpp conftest.$ac_ext"
case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
$as_echo "$ac_try_echo"; } >&5
  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.err
  ac_status=$?
  if test -s conftest.err; then
    grep -v '^ *+' conftest.err >conftest.er1
    cat conftest.er1 >&5
    mv -f conftest.er1 conftest.err
  fi
  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
  test $ac_status = 0; } > conftest.i && {
	 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
	 test ! -s conftest.err
       }; then :
  ac_retval=0
else
  $as_echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5

    ac_retval=1
fi
  eval $as_lineno_stack; ${as_lineno_stack:+:} unset as_lineno
  as_fn_set_status $ac_retval

} # ac_fn_c_try_cpp

# ac_fn_c_check_header_mongrel LINENO HEADER VAR INCLUDES
# -------------------------------------------------------
# Tests whether HEADER exists, giving a warning if it cannot be compiled using
# the include files in INCLUDES and setting the cache variable VAR
# accordingly.
ac_fn_c_check_header_mongrel ()
{
  as_lineno=${as_lineno-"$1"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
  if eval \${$3+:} false; then :
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for $2" >&5
$as_echo_n "checking for $2... " >&6; }
if eval \${$3+:} false; then :
  $as_echo_n "(cached) " >&6
fi
eval ac_res=\$$3
	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
$as_echo "$ac_res" >&6; }
else
  # Is the header compilable?
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking $2 usability" >&5
$as_echo_n "checking $2 usability... " >&6; }
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$4
#include <$2>
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_header_compiler=yes
else
  ac_header_compiler=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_header_compiler" >&5
$as_echo "$ac_header_compiler" >&6; }

# Is the header present?
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking $2 presence" >&5
$as_echo_n "checking $2 presence... " >&6; }
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <$2>
_ACEOF
if ac_fn_c_try_cpp "$LINENO"; then :
  ac_header_preproc=yes
else
  ac_header_preproc=no
fi
rm -f conftest.err conftest.i conftest.$ac_ext
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_header_preproc" >&5
$as_echo "$ac_header_preproc" >&6; }

# So?  What about this header?
case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in #((
  yes:no: )
    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: $2: accepted by the compiler, rejected by the preprocessor!" >&5
$as_echo "$as_me: WARNING: $2: accepted by the compiler, rejected by the preprocessor!" >&2;}
    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: $2: proceeding with the compiler's result" >&5
$as_echo "$as_me: WARNING: $2: proceeding with the compiler's result" >&2;}
    ;;
  no:yes:* )
    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: $2: present but cannot be compiled" >&5
$as_echo "$as_me: WARNING: $2: present but cannot be compiled" >&2;}
    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: $2:     check for missing prerequisite headers?" >&5
$as_echo "$as_me: WARNING: $2:     check for missing prerequisite headers?" >&2;}
    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: $2: see the Autoconf documentation" >&5
$as_echo "$as_me: WARNING: $2: see the Autoconf documentation" >&2;}
    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: $2:     section \"Present But Cannot Be Compiled\"" >&5
$as_echo "$as_me: WARNING: $2:     section \"Present But Cannot Be Compiled\"" >&2;}
    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: $2: proceeding with the compiler's result" >&5
$as_echo "$as_me: WARNING: $2: proceeding with the compiler's result" >&2;}
( $as_echo "## ------------------------------------- ##
## Report this to xemacs-beta@xemacs.org ##
## ------------------------------------- ##"
     ) | sed "s/^/$as_me: WARNING:     /" >&2
    ;;
esac
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for $2" >&5
$as_echo_n "checking for $2... " >&6; }
if eval \${$3+:} false; then :
  $as_echo_n "(cached) " >&6
else
  eval "$3=\$ac_header_compiler"
fi
eval ac_res=\$$3
	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
$as_echo "$ac_res" >&6; }
fi
  eval $as_lineno_stack; ${as_lineno_stack:+:} unset as_lineno

} # ac_fn_c_check_header_mongrel

# ac_fn_c_try_run LINENO
# ----------------------
# Try to link conftest.$ac_ext, and return whether this succeeded. Assumes
# that executables *can* be run.
ac_fn_c_try_run ()
{
  as_lineno=${as_lineno-"$1"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
  if { { ac_try="$ac_link"
case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
$as_echo "$ac_try_echo"; } >&5
  (eval "$ac_link") 2>&5
  ac_status=$?
  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
  test $ac_status = 0; } && { ac_try='./conftest$ac_exeext'
  { { case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
$as_echo "$ac_try_echo"; } >&5
  (eval "$ac_try") 2>&5
  ac_status=$?
  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
  test $ac_status = 0; }; }; then :
  ac_retval=0
else
  $as_echo "$as_me: program exited with status $ac_status" >&5
       $as_echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5

       ac_retval=$ac_status
fi
  rm -rf conftest.dSYM conftest_ipa8_conftest.oo
  eval $as_lineno_stack; ${as_lineno_stack:+:} unset as_lineno
  as_fn_set_status $ac_retval

} # ac_fn_c_try_run

# ac_fn_c_check_header_compile LINENO HEADER VAR INCLUDES
# -------------------------------------------------------
# Tests whether HEADER exists and can be compiled using the include files in
# INCLUDES, setting the cache variable VAR accordingly.
ac_fn_c_check_header_compile ()
{
  as_lineno=${as_lineno-"$1"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for $2" >&5
$as_echo_n "checking for $2... " >&6; }
if eval \${$3+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$4
#include <$2>
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  eval "$3=yes"
else
  eval "$3=no"
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
eval ac_res=\$$3
	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
$as_echo "$ac_res" >&6; }
  eval $as_lineno_stack; ${as_lineno_stack:+:} unset as_lineno

} # ac_fn_c_check_header_compile

# ac_fn_c_try_link LINENO
# -----------------------
# Try to link conftest.$ac_ext, and return whether this succeeded.
ac_fn_c_try_link ()
{
  as_lineno=${as_lineno-"$1"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
  rm -f conftest.$ac_objext conftest$ac_exeext
  if { { ac_try="$ac_link"
case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
$as_echo "$ac_try_echo"; } >&5
  (eval "$ac_link") 2>conftest.err
  ac_status=$?
  if test -s conftest.err; then
    grep -v '^ *+' conftest.err >conftest.er1
    cat conftest.er1 >&5
    mv -f conftest.er1 conftest.err
  fi
  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
  test $ac_status = 0; } && {
	 test -z "$ac_c_werror_flag" ||
	 test ! -s conftest.err
       } && test -s conftest$ac_exeext && {
	 test "$cross_compiling" = yes ||
	 test -x conftest$ac_exeext
       }; then :
  ac_retval=0
else
  $as_echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5

	ac_retval=1
fi
  # Delete the IPA/IPO (Inter Procedural Analysis/Optimization) information
  # created by the PGI compiler (conftest_ipa8_conftest.oo), as it would
  # interfere with the next link command; also delete a directory that is
  # left behind by Apple's compiler.  We do this before executing the actions.
  rm -rf conftest.dSYM conftest_ipa8_conftest.oo
  eval $as_lineno_stack; ${as_lineno_stack:+:} unset as_lineno
  as_fn_set_status $ac_retval

} # ac_fn_c_try_link

# ac_fn_c_check_func LINENO FUNC VAR
# ----------------------------------
# Tests whether FUNC exists, setting the cache variable VAR accordingly
ac_fn_c_check_func ()
{
  as_lineno=${as_lineno-"$1"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for $2" >&5
$as_echo_n "checking for $2... " >&6; }
if eval \${$3+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
/* Define $2 to an innocuous variant, in case <limits.h> declares $2.
   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
#define $2 innocuous_$2

/* System header to define __stub macros and hopefully few prototypes,
    which can conflict with char $2 (); below.
    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
    <limits.h> exists even on freestanding compilers.  */

#ifdef __STDC__
# include <limits.h>
#else
# include <assert.h>
#endif

#undef $2

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char $2 ();
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined __stub_$2 || defined __stub___$2
choke me
#endif

int
main ()
{
return $2 ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  eval "$3=yes"
else
  eval "$3=no"
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
fi
eval ac_res=\$$3
	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
$as_echo "$ac_res" >&6; }
  eval $as_lineno_stack; ${as_lineno_stack:+:} unset as_lineno

} # ac_fn_c_check_func

# ac_fn_c_check_decl LINENO SYMBOL VAR INCLUDES
# ---------------------------------------------
# Tests whether SYMBOL is declared in INCLUDES, setting cache variable VAR
# accordingly.
ac_fn_c_check_decl ()
{
  as_lineno=${as_lineno-"$1"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
  as_decl_name=`echo $2|sed 's/ *(.*//'`
  as_decl_use=`echo $2|sed -e 's/(/((/' -e 's/)/) 0&/' -e 's/,/) 0& (/g'`
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether $as_decl_name is declared" >&5
$as_echo_n "checking whether $as_decl_name is declared... " >&6; }
if eval \${$3+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$4
int
main ()
{
#ifndef $as_decl_name
#ifdef __cplusplus
  (void) $as_decl_use;
#else
  (void) $as_decl_name;
#endif
#endif

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  eval "$3=yes"
else
  eval "$3=no"
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
eval ac_res=\$$3
	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
$as_echo "$ac_res" >&6; }
  eval $as_lineno_stack; ${as_lineno_stack:+:} unset as_lineno

} # ac_fn_c_check_decl

# ac_fn_c_check_type LINENO TYPE VAR INCLUDES
# -------------------------------------------
# Tests whether TYPE exists after having included INCLUDES, setting cache
# variable VAR accordingly.
ac_fn_c_check_type ()
{
  as_lineno=${as_lineno-"$1"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for $2" >&5
$as_echo_n "checking for $2... " >&6; }
if eval \${$3+:} false; then :
  $as_echo_n "(cached) " >&6
else
  eval "$3=no"
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$4
int
main ()
{
if (sizeof ($2))
	 return 0;
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$4
int
main ()
{
if (sizeof (($2)))
	    return 0;
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :

else
  eval "$3=yes"
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
eval ac_res=\$$3
	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
$as_echo "$ac_res" >&6; }
  eval $as_lineno_stack; ${as_lineno_stack:+:} unset as_lineno

} # ac_fn_c_check_type

# ac_fn_c_check_member LINENO AGGR MEMBER VAR INCLUDES
# ----------------------------------------------------
# Tries to find if the field MEMBER exists in type AGGR, after including
# INCLUDES, setting cache variable VAR accordingly.
ac_fn_c_check_member ()
{
  as_lineno=${as_lineno-"$1"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for $2.$3" >&5
$as_echo_n "checking for $2.$3... " >&6; }
if eval \${$4+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$5
int
main ()
{
static $2 ac_aggr;
if (ac_aggr.$3)
return 0;
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  eval "$4=yes"
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$5
int
main ()
{
static $2 ac_aggr;
if (sizeof ac_aggr.$3)
return 0;
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  eval "$4=yes"
else
  eval "$4=no"
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
eval ac_res=\$$4
	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
$as_echo "$ac_res" >&6; }
  eval $as_lineno_stack; ${as_lineno_stack:+:} unset as_lineno

} # ac_fn_c_check_member

# ac_fn_c_compute_int LINENO EXPR VAR INCLUDES
# --------------------------------------------
# Tries to find the compile-time value of EXPR in a program that includes
# INCLUDES, setting VAR accordingly. Returns whether the value could be
# computed
ac_fn_c_compute_int ()
{
  as_lineno=${as_lineno-"$1"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
  if test "$cross_compiling" = yes; then
    # Depending upon the size, compute the lo and hi bounds.
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$4
int
main ()
{
static int test_array [1 - 2 * !(($2) >= 0)];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_lo=0 ac_mid=0
  while :; do
    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$4
int
main ()
{
static int test_array [1 - 2 * !(($2) <= $ac_mid)];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_hi=$ac_mid; break
else
  as_fn_arith $ac_mid + 1 && ac_lo=$as_val
			if test $ac_lo -le $ac_mid; then
			  ac_lo= ac_hi=
			  break
			fi
			as_fn_arith 2 '*' $ac_mid + 1 && ac_mid=$as_val
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
  done
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$4
int
main ()
{
static int test_array [1 - 2 * !(($2) < 0)];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_hi=-1 ac_mid=-1
  while :; do
    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$4
int
main ()
{
static int test_array [1 - 2 * !(($2) >= $ac_mid)];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_lo=$ac_mid; break
else
  as_fn_arith '(' $ac_mid ')' - 1 && ac_hi=$as_val
			if test $ac_mid -le $ac_hi; then
			  ac_lo= ac_hi=
			  break
			fi
			as_fn_arith 2 '*' $ac_mid && ac_mid=$as_val
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
  done
else
  ac_lo= ac_hi=
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
# Binary search between lo and hi bounds.
while test "x$ac_lo" != "x$ac_hi"; do
  as_fn_arith '(' $ac_hi - $ac_lo ')' / 2 + $ac_lo && ac_mid=$as_val
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$4
int
main ()
{
static int test_array [1 - 2 * !(($2) <= $ac_mid)];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_hi=$ac_mid
else
  as_fn_arith '(' $ac_mid ')' + 1 && ac_lo=$as_val
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
done
case $ac_lo in #((
?*) eval "$3=\$ac_lo"; ac_retval=0 ;;
'') ac_retval=1 ;;
esac
  else
    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$4
static long int longval () { return $2; }
static unsigned long int ulongval () { return $2; }
#include <stdio.h>
#include <stdlib.h>
int
main ()
{

  FILE *f = fopen ("conftest.val", "w");
  if (! f)
    return 1;
  if (($2) < 0)
    {
      long int i = longval ();
      if (i != ($2))
	return 1;
      fprintf (f, "%ld", i);
    }
  else
    {
      unsigned long int i = ulongval ();
      if (i != ($2))
	return 1;
      fprintf (f, "%lu", i);
    }
  /* Do not output a trailing newline, as this causes \r\n confusion
     on some platforms.  */
  return ferror (f) || fclose (f) != 0;

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_run "$LINENO"; then :
  echo >>conftest.val; read $3 <conftest.val; ac_retval=0
else
  ac_retval=1
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
  conftest.$ac_objext conftest.beam conftest.$ac_ext
rm -f conftest.val

  fi
  eval $as_lineno_stack; ${as_lineno_stack:+:} unset as_lineno
  as_fn_set_status $ac_retval

} # ac_fn_c_compute_int

# ac_fn_cxx_try_compile LINENO
# ----------------------------
# Try to compile conftest.$ac_ext, and return whether this succeeded.
ac_fn_cxx_try_compile ()
{
  as_lineno=${as_lineno-"$1"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
  rm -f conftest.$ac_objext
  if { { ac_try="$ac_compile"
case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
$as_echo "$ac_try_echo"; } >&5
  (eval "$ac_compile") 2>conftest.err
  ac_status=$?
  if test -s conftest.err; then
    grep -v '^ *+' conftest.err >conftest.er1
    cat conftest.er1 >&5
    mv -f conftest.er1 conftest.err
  fi
  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
  test $ac_status = 0; } && {
	 test -z "$ac_cxx_werror_flag" ||
	 test ! -s conftest.err
       } && test -s conftest.$ac_objext; then :
  ac_retval=0
else
  $as_echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5

	ac_retval=1
fi
  eval $as_lineno_stack; ${as_lineno_stack:+:} unset as_lineno
  as_fn_set_status $ac_retval

} # ac_fn_cxx_try_compile
cat >config.log <<_ACEOF
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.

It was created by XEmacs $as_me 21.5, which was
generated by GNU Autoconf 2.69.  Invocation command line was

  $ $0 $@

_ACEOF
exec 5>>config.log
{
cat <<_ASUNAME
## --------- ##
## Platform. ##
## --------- ##

hostname = `(hostname || uname -n) 2>/dev/null | sed 1q`
uname -m = `(uname -m) 2>/dev/null || echo unknown`
uname -r = `(uname -r) 2>/dev/null || echo unknown`
uname -s = `(uname -s) 2>/dev/null || echo unknown`
uname -v = `(uname -v) 2>/dev/null || echo unknown`

/usr/bin/uname -p = `(/usr/bin/uname -p) 2>/dev/null || echo unknown`
/bin/uname -X     = `(/bin/uname -X) 2>/dev/null     || echo unknown`

/bin/arch              = `(/bin/arch) 2>/dev/null              || echo unknown`
/usr/bin/arch -k       = `(/usr/bin/arch -k) 2>/dev/null       || echo unknown`
/usr/convex/getsysinfo = `(/usr/convex/getsysinfo) 2>/dev/null || echo unknown`
/usr/bin/hostinfo      = `(/usr/bin/hostinfo) 2>/dev/null      || echo unknown`
/bin/machine           = `(/bin/machine) 2>/dev/null           || echo unknown`
/usr/bin/oslevel       = `(/usr/bin/oslevel) 2>/dev/null       || echo unknown`
/bin/universe          = `(/bin/universe) 2>/dev/null          || echo unknown`

_ASUNAME

as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    $as_echo "PATH: $as_dir"
  done
IFS=$as_save_IFS

} >&5

cat >&5 <<_ACEOF


## ----------- ##
## Core tests. ##
## ----------- ##

_ACEOF


# Keep a trace of the command line.
# Strip out --no-create and --no-recursion so they do not pile up.
# Strip out --silent because we don't want to record it for future runs.
# Also quote any args containing shell meta-characters.
# Make two passes to allow for proper duplicate-argument suppression.
ac_configure_args=
ac_configure_args0=
ac_configure_args1=
ac_must_keep_next=false
for ac_pass in 1 2
do
  for ac_arg
  do
    case $ac_arg in
    -no-create | --no-c* | -n | -no-recursion | --no-r*) continue ;;
    -q | -quiet | --quiet | --quie | --qui | --qu | --q \
    | -silent | --silent | --silen | --sile | --sil)
      continue ;;
    *\'*)
      ac_arg=`$as_echo "$ac_arg" | sed "s/'/'\\\\\\\\''/g"` ;;
    esac
    case $ac_pass in
    1) as_fn_append ac_configure_args0 " '$ac_arg'" ;;
    2)
      as_fn_append ac_configure_args1 " '$ac_arg'"
      if test $ac_must_keep_next = true; then
	ac_must_keep_next=false # Got value, back to normal.
      else
	case $ac_arg in
	  *=* | --config-cache | -C | -disable-* | --disable-* \
	  | -enable-* | --enable-* | -gas | --g* | -nfp | --nf* \
	  | -q | -quiet | --q* | -silent | --sil* | -v | -verb* \
	  | -with-* | --with-* | -without-* | --without-* | --x)
	    case "$ac_configure_args0 " in
	      "$ac_configure_args1"*" '$ac_arg' "* ) continue ;;
	    esac
	    ;;
	  -* ) ac_must_keep_next=true ;;
	esac
      fi
      as_fn_append ac_configure_args " '$ac_arg'"
      ;;
    esac
  done
done
{ ac_configure_args0=; unset ac_configure_args0;}
{ ac_configure_args1=; unset ac_configure_args1;}

# When interrupted or exit'd, cleanup temporary files, and complete
# config.log.  We remove comments because anyway the quotes in there
# would cause problems or look ugly.
# WARNING: Use '\'' to represent an apostrophe within the trap.
# WARNING: Do not start the trap code with a newline, due to a FreeBSD 4.0 bug.
trap 'exit_status=$?
  # Save into config.log some information that might help in debugging.
  {
    echo

    $as_echo "## ---------------- ##
## Cache variables. ##
## ---------------- ##"
    echo
    # The following way of writing the cache mishandles newlines in values,
(
  for ac_var in `(set) 2>&1 | sed -n '\''s/^\([a-zA-Z_][a-zA-Z0-9_]*\)=.*/\1/p'\''`; do
    eval ac_val=\$$ac_var
    case $ac_val in #(
    *${as_nl}*)
      case $ac_var in #(
      *_cv_*) { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: cache variable $ac_var contains a newline" >&5
$as_echo "$as_me: WARNING: cache variable $ac_var contains a newline" >&2;} ;;
      esac
      case $ac_var in #(
      _ | IFS | as_nl) ;; #(
      BASH_ARGV | BASH_SOURCE) eval $ac_var= ;; #(
      *) { eval $ac_var=; unset $ac_var;} ;;
      esac ;;
    esac
  done
  (set) 2>&1 |
    case $as_nl`(ac_space='\'' '\''; set) 2>&1` in #(
    *${as_nl}ac_space=\ *)
      sed -n \
	"s/'\''/'\''\\\\'\'''\''/g;
	  s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1='\''\\2'\''/p"
      ;; #(
    *)
      sed -n "/^[_$as_cr_alnum]*_cv_[_$as_cr_alnum]*=/p"
      ;;
    esac |
    sort
)
    echo

    $as_echo "## ----------------- ##
## Output variables. ##
## ----------------- ##"
    echo
    for ac_var in $ac_subst_vars
    do
      eval ac_val=\$$ac_var
      case $ac_val in
      *\'\''*) ac_val=`$as_echo "$ac_val" | sed "s/'\''/'\''\\\\\\\\'\'''\''/g"`;;
      esac
      $as_echo "$ac_var='\''$ac_val'\''"
    done | sort
    echo

    if test -n "$ac_subst_files"; then
      $as_echo "## ------------------- ##
## File substitutions. ##
## ------------------- ##"
      echo
      for ac_var in $ac_subst_files
      do
	eval ac_val=\$$ac_var
	case $ac_val in
	*\'\''*) ac_val=`$as_echo "$ac_val" | sed "s/'\''/'\''\\\\\\\\'\'''\''/g"`;;
	esac
	$as_echo "$ac_var='\''$ac_val'\''"
      done | sort
      echo
    fi

    if test -s confdefs.h; then
      $as_echo "## ----------- ##
## confdefs.h. ##
## ----------- ##"
      echo
      cat confdefs.h
      echo
    fi
    test "$ac_signal" != 0 &&
      $as_echo "$as_me: caught signal $ac_signal"
    $as_echo "$as_me: exit $exit_status"
  } >&5
  rm -f core *.core core.conftest.* &&
    rm -f -r conftest* confdefs* conf$$* $ac_clean_files &&
    exit $exit_status
' 0
for ac_signal in 1 2 13 15; do
  trap 'ac_signal='$ac_signal'; as_fn_exit 1' $ac_signal
done
ac_signal=0

# confdefs.h avoids OS command line length limits that DEFS can exceed.
rm -f -r conftest* confdefs.h

$as_echo "/* confdefs.h */" > confdefs.h

# Predefined preprocessor variables.

cat >>confdefs.h <<_ACEOF
#define PACKAGE_NAME "$PACKAGE_NAME"
_ACEOF

cat >>confdefs.h <<_ACEOF
#define PACKAGE_TARNAME "$PACKAGE_TARNAME"
_ACEOF

cat >>confdefs.h <<_ACEOF
#define PACKAGE_VERSION "$PACKAGE_VERSION"
_ACEOF

cat >>confdefs.h <<_ACEOF
#define PACKAGE_STRING "$PACKAGE_STRING"
_ACEOF

cat >>confdefs.h <<_ACEOF
#define PACKAGE_BUGREPORT "$PACKAGE_BUGREPORT"
_ACEOF

cat >>confdefs.h <<_ACEOF
#define PACKAGE_URL "$PACKAGE_URL"
_ACEOF


# Let the site file select an alternate cache file if it wants to.
# Prefer an explicitly selected file to automatically selected ones.
ac_site_file1=NONE
ac_site_file2=NONE
if test -n "$CONFIG_SITE"; then
  # We do not want a PATH search for config.site.
  case $CONFIG_SITE in #((
    -*)  ac_site_file1=./$CONFIG_SITE;;
    */*) ac_site_file1=$CONFIG_SITE;;
    *)   ac_site_file1=./$CONFIG_SITE;;
  esac
elif test "x$prefix" != xNONE; then
  ac_site_file1=$prefix/share/config.site
  ac_site_file2=$prefix/etc/config.site
else
  ac_site_file1=$ac_default_prefix/share/config.site
  ac_site_file2=$ac_default_prefix/etc/config.site
fi
for ac_site_file in "$ac_site_file1" "$ac_site_file2"
do
  test "x$ac_site_file" = xNONE && continue
  if test /dev/null != "$ac_site_file" && test -r "$ac_site_file"; then
    { $as_echo "$as_me:${as_lineno-$LINENO}: loading site script $ac_site_file" >&5
$as_echo "$as_me: loading site script $ac_site_file" >&6;}
    sed 's/^/| /' "$ac_site_file" >&5
    . "$ac_site_file" \
      || { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error $? "failed to load site script $ac_site_file
See \`config.log' for more details" "$LINENO" 5; }
  fi
done

if test -r "$cache_file"; then
  # Some versions of bash will fail to source /dev/null (special files
  # actually), so we avoid doing that.  DJGPP emulates it as a regular file.
  if test /dev/null != "$cache_file" && test -f "$cache_file"; then
    { $as_echo "$as_me:${as_lineno-$LINENO}: loading cache $cache_file" >&5
$as_echo "$as_me: loading cache $cache_file" >&6;}
    case $cache_file in
      [\\/]* | ?:[\\/]* ) . "$cache_file";;
      *)                      . "./$cache_file";;
    esac
  fi
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: creating cache $cache_file" >&5
$as_echo "$as_me: creating cache $cache_file" >&6;}
  >$cache_file
fi

# Check that the precious variables saved in the cache have kept the same
# value.
ac_cache_corrupted=false
for ac_var in $ac_precious_vars; do
  eval ac_old_set=\$ac_cv_env_${ac_var}_set
  eval ac_new_set=\$ac_env_${ac_var}_set
  eval ac_old_val=\$ac_cv_env_${ac_var}_value
  eval ac_new_val=\$ac_env_${ac_var}_value
  case $ac_old_set,$ac_new_set in
    set,)
      { $as_echo "$as_me:${as_lineno-$LINENO}: error: \`$ac_var' was set to \`$ac_old_val' in the previous run" >&5
$as_echo "$as_me: error: \`$ac_var' was set to \`$ac_old_val' in the previous run" >&2;}
      ac_cache_corrupted=: ;;
    ,set)
      { $as_echo "$as_me:${as_lineno-$LINENO}: error: \`$ac_var' was not set in the previous run" >&5
$as_echo "$as_me: error: \`$ac_var' was not set in the previous run" >&2;}
      ac_cache_corrupted=: ;;
    ,);;
    *)
      if test "x$ac_old_val" != "x$ac_new_val"; then
	# differences in whitespace do not lead to failure.
	ac_old_val_w=`echo x $ac_old_val`
	ac_new_val_w=`echo x $ac_new_val`
	if test "$ac_old_val_w" != "$ac_new_val_w"; then
	  { $as_echo "$as_me:${as_lineno-$LINENO}: error: \`$ac_var' has changed since the previous run:" >&5
$as_echo "$as_me: error: \`$ac_var' has changed since the previous run:" >&2;}
	  ac_cache_corrupted=:
	else
	  { $as_echo "$as_me:${as_lineno-$LINENO}: warning: ignoring whitespace changes in \`$ac_var' since the previous run:" >&5
$as_echo "$as_me: warning: ignoring whitespace changes in \`$ac_var' since the previous run:" >&2;}
	  eval $ac_var=\$ac_old_val
	fi
	{ $as_echo "$as_me:${as_lineno-$LINENO}:   former value:  \`$ac_old_val'" >&5
$as_echo "$as_me:   former value:  \`$ac_old_val'" >&2;}
	{ $as_echo "$as_me:${as_lineno-$LINENO}:   current value: \`$ac_new_val'" >&5
$as_echo "$as_me:   current value: \`$ac_new_val'" >&2;}
      fi;;
  esac
  # Pass precious variables to config.status.
  if test "$ac_new_set" = set; then
    case $ac_new_val in
    *\'*) ac_arg=$ac_var=`$as_echo "$ac_new_val" | sed "s/'/'\\\\\\\\''/g"` ;;
    *) ac_arg=$ac_var=$ac_new_val ;;
    esac
    case " $ac_configure_args " in
      *" '$ac_arg' "*) ;; # Avoid dups.  Use of quotes ensures accuracy.
      *) as_fn_append ac_configure_args " '$ac_arg'" ;;
    esac
  fi
done
if $ac_cache_corrupted; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
  { $as_echo "$as_me:${as_lineno-$LINENO}: error: changes in the environment can compromise the build" >&5
$as_echo "$as_me: error: changes in the environment can compromise the build" >&2;}
  as_fn_error $? "run \`make distclean' and/or \`rm $cache_file' and start over" "$LINENO" 5
fi
## -------------------- ##
## Main body of script. ##
## -------------------- ##

ac_ext=c
xe_cppflags='$CPPFLAGS $c_switch_site $c_switch_machine $c_switch_system $c_switch_x_site $X_CFLAGS'
xe_ldflags='$LDFLAGS $ld_switch_site $ld_switch_machine $ld_switch_system $ld_switch_x_site $ld_switch_run'
xe_libs='$ld_call_shared $xe_check_libs $X_EXTRA_LIBS $libs_x $libs_gtk $X_PRE_LIBS $LIBS $libs_machine $libs_system $libs_standard'
ac_cpp='$CPP '"$xe_cppflags"
ac_compile='$CC -c $CFLAGS '"$xe_cppflags"' conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS '"$xe_cppflags $xe_ldflags"' conftest.$ac_ext '"$xe_libs"' >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu




progname="`echo $0 | sed 's:^\./\./:\./:'`"

MAKE_SUBDIR="$MAKE_SUBDIR lib-src" &&  if test "$verbose" = "yes"; then echo "    Appending \"lib-src\" to \$MAKE_SUBDIR"; fi
INSTALL_ARCH_DEP_SUBDIR="$INSTALL_ARCH_DEP_SUBDIR lib-src" &&  if test "$verbose" = "yes"; then echo "    Appending \"lib-src\" to \$INSTALL_ARCH_DEP_SUBDIR"; fi
with_dragndrop_default="no"

# If --with-compiler or --without-compiler were given then copy the value to the
# equivalent enable_compiler variable.
if test "${with_compiler+set}" = set; then
  enable_compiler="$with_compiler"
fi;
# If -enable-compiler or --disable-compiler were given then copy the value to the
# equivalent with_compiler variable.
if test "${enable_compiler+set}" = set; then
  with_compiler="$enable_compiler"
fi;
# Check whether --with-compiler or --without-compiler was given.
if test "${with_compiler+set}" = set; then
  enableval="$with_compiler"
  withval="$with_compiler"

fi;
# If --with-xemacs-compiler or --without-xemacs-compiler were given then copy the value to the
# equivalent enable_xemacs-compiler variable.
if test "${with_xemacs_compiler+set}" = set; then
  enable_xemacs_compiler="$with_xemacs_compiler"
fi;
# If -enable-xemacs-compiler or --disable-xemacs-compiler were given then copy the value to the
# equivalent with_xemacs-compiler variable.
if test "${enable_xemacs_compiler+set}" = set; then
  with_xemacs_compiler="$enable_xemacs_compiler"
fi;
# Check whether --with-xemacs-compiler or --without-xemacs-compiler was given.
if test "${with_xemacs_compiler+set}" = set; then
  enableval="$with_xemacs_compiler"
  withval="$with_xemacs_compiler"

fi;
# If --with-gcc or --without-gcc were given then copy the value to the
# equivalent enable_gcc variable.
if test "${with_gcc+set}" = set; then
  enable_gcc="$with_gcc"
fi;
# If -enable-gcc or --disable-gcc were given then copy the value to the
# equivalent with_gcc variable.
if test "${enable_gcc+set}" = set; then
  with_gcc="$enable_gcc"
fi;
# Check whether --with-gcc or --without-gcc was given.
if test "${with_gcc+set}" = set; then
  enableval="$with_gcc"
  withval="$with_gcc"

fi;
# If --with-cflags or --without-cflags were given then copy the value to the
# equivalent enable_cflags variable.
if test "${with_cflags+set}" = set; then
  enable_cflags="$with_cflags"
fi;
# If -enable-cflags or --disable-cflags were given then copy the value to the
# equivalent with_cflags variable.
if test "${enable_cflags+set}" = set; then
  with_cflags="$enable_cflags"
fi;
# Check whether --with-cflags or --without-cflags was given.
if test "${with_cflags+set}" = set; then
  enableval="$with_cflags"
  withval="$with_cflags"

fi;
# If --with-cflags-warning or --without-cflags-warning were given then copy the value to the
# equivalent enable_cflags-warning variable.
if test "${with_cflags_warning+set}" = set; then
  enable_cflags_warning="$with_cflags_warning"
fi;
# If -enable-cflags-warning or --disable-cflags-warning were given then copy the value to the
# equivalent with_cflags-warning variable.
if test "${enable_cflags_warning+set}" = set; then
  with_cflags_warning="$enable_cflags_warning"
fi;
# Check whether --with-cflags-warning or --without-cflags-warning was given.
if test "${with_cflags_warning+set}" = set; then
  enableval="$with_cflags_warning"
  withval="$with_cflags_warning"

fi;
# If --with-optimization or --without-optimization were given then copy the value to the
# equivalent enable_optimization variable.
if test "${with_optimization+set}" = set; then
  enable_optimization="$with_optimization"
fi;
# If -enable-optimization or --disable-optimization were given then copy the value to the
# equivalent with_optimization variable.
if test "${enable_optimization+set}" = set; then
  with_optimization="$enable_optimization"
fi;
# Check whether --with-optimization or --without-optimization was given.
if test "${with_optimization+set}" = set; then
  enableval="$with_optimization"
  withval="$with_optimization"

fi;
# If --with-cflags-optimization or --without-cflags-optimization were given then copy the value to the
# equivalent enable_cflags-optimization variable.
if test "${with_cflags_optimization+set}" = set; then
  enable_cflags_optimization="$with_cflags_optimization"
fi;
# If -enable-cflags-optimization or --disable-cflags-optimization were given then copy the value to the
# equivalent with_cflags-optimization variable.
if test "${enable_cflags_optimization+set}" = set; then
  with_cflags_optimization="$enable_cflags_optimization"
fi;
# Check whether --with-cflags-optimization or --without-cflags-optimization was given.
if test "${with_cflags_optimization+set}" = set; then
  enableval="$with_cflags_optimization"
  withval="$with_cflags_optimization"

fi;
# If --with-cflags-debugging or --without-cflags-debugging were given then copy the value to the
# equivalent enable_cflags-debugging variable.
if test "${with_cflags_debugging+set}" = set; then
  enable_cflags_debugging="$with_cflags_debugging"
fi;
# If -enable-cflags-debugging or --disable-cflags-debugging were given then copy the value to the
# equivalent with_cflags-debugging variable.
if test "${enable_cflags_debugging+set}" = set; then
  with_cflags_debugging="$enable_cflags_debugging"
fi;
# Check whether --with-cflags-debugging or --without-cflags-debugging was given.
if test "${with_cflags_debugging+set}" = set; then
  enableval="$with_cflags_debugging"
  withval="$with_cflags_debugging"

fi;
# If --with-cpp or --without-cpp were given then copy the value to the
# equivalent enable_cpp variable.
if test "${with_cpp+set}" = set; then
  enable_cpp="$with_cpp"
fi;
# If -enable-cpp or --disable-cpp were given then copy the value to the
# equivalent with_cpp variable.
if test "${enable_cpp+set}" = set; then
  with_cpp="$enable_cpp"
fi;
# Check whether --with-cpp or --without-cpp was given.
if test "${with_cpp+set}" = set; then
  enableval="$with_cpp"
  withval="$with_cpp"
  CPP="$with_cpp"
fi;
# If --with-cppflags or --without-cppflags were given then copy the value to the
# equivalent enable_cppflags variable.
if test "${with_cppflags+set}" = set; then
  enable_cppflags="$with_cppflags"
fi;
# If -enable-cppflags or --disable-cppflags were given then copy the value to the
# equivalent with_cppflags variable.
if test "${enable_cppflags+set}" = set; then
  with_cppflags="$enable_cppflags"
fi;
# Check whether --with-cppflags or --without-cppflags was given.
if test "${with_cppflags+set}" = set; then
  enableval="$with_cppflags"
  withval="$with_cppflags"
  CPPFLAGS="$with_cppflags"
fi;
# If --with-libs=LIBS or --without-libs=LIBS were given then copy the value to the
# equivalent enable_libs=LIBS variable.
if test "${with_libs=LIBS+set}" = set; then
  enable_libs=LIBS="$with_libs=LIBS"
fi;
# If -enable-libs=LIBS or --disable-libs=LIBS were given then copy the value to the
# equivalent with_libs=LIBS variable.
if test "${enable_libs=LIBS+set}" = set; then
  with_libs=LIBS="$enable_libs=LIBS"
fi;
# Check whether --with-libs=LIBS or --without-libs=LIBS was given.
if test "${with_libs=LIBS+set}" = set; then
  enableval="$with_libs=LIBS"
  withval="$with_libs=LIBS"
  LIBS="$with_libs"
fi;
# If --with-ldflags=FLAGS or --without-ldflags=FLAGS were given then copy the value to the
# equivalent enable_ldflags=FLAGS variable.
if test "${with_ldflags=FLAGS+set}" = set; then
  enable_ldflags=FLAGS="$with_ldflags=FLAGS"
fi;
# If -enable-ldflags=FLAGS or --disable-ldflags=FLAGS were given then copy the value to the
# equivalent with_ldflags=FLAGS variable.
if test "${enable_ldflags=FLAGS+set}" = set; then
  with_ldflags=FLAGS="$enable_ldflags=FLAGS"
fi;
# Check whether --with-ldflags=FLAGS or --without-ldflags=FLAGS was given.
if test "${with_ldflags=FLAGS+set}" = set; then
  enableval="$with_ldflags=FLAGS"
  withval="$with_ldflags=FLAGS"
  LDFLAGS="$with_ldflags"
fi;
# If --with-site-includes or --without-site-includes were given then copy the value to the
# equivalent enable_site-includes variable.
if test "${with_site_includes+set}" = set; then
  enable_site_includes="$with_site_includes"
fi;
# If -enable-site-includes or --disable-site-includes were given then copy the value to the
# equivalent with_site-includes variable.
if test "${enable_site_includes+set}" = set; then
  with_site_includes="$enable_site_includes"
fi;
# Check whether --with-site-includes or --without-site-includes was given.
if test "${with_site_includes+set}" = set; then
  enableval="$with_site_includes"
  withval="$with_site_includes"

fi;
# If --with-site-libraries or --without-site-libraries were given then copy the value to the
# equivalent enable_site-libraries variable.
if test "${with_site_libraries+set}" = set; then
  enable_site_libraries="$with_site_libraries"
fi;
# If -enable-site-libraries or --disable-site-libraries were given then copy the value to the
# equivalent with_site-libraries variable.
if test "${enable_site_libraries+set}" = set; then
  with_site_libraries="$enable_site_libraries"
fi;
# Check whether --with-site-libraries or --without-site-libraries was given.
if test "${with_site_libraries+set}" = set; then
  enableval="$with_site_libraries"
  withval="$with_site_libraries"

fi;
# If --with-site-prefixes or --without-site-prefixes were given then copy the value to the
# equivalent enable_site-prefixes variable.
if test "${with_site_prefixes+set}" = set; then
  enable_site_prefixes="$with_site_prefixes"
fi;
# If -enable-site-prefixes or --disable-site-prefixes were given then copy the value to the
# equivalent with_site-prefixes variable.
if test "${enable_site_prefixes+set}" = set; then
  with_site_prefixes="$enable_site_prefixes"
fi;
# Check whether --with-site-prefixes or --without-site-prefixes was given.
if test "${with_site_prefixes+set}" = set; then
  enableval="$with_site_prefixes"
  withval="$with_site_prefixes"

fi;
# If --with-site-runtime-libraries or --without-site-runtime-libraries were given then copy the value to the
# equivalent enable_site-runtime-libraries variable.
if test "${with_site_runtime_libraries+set}" = set; then
  enable_site_runtime_libraries="$with_site_runtime_libraries"
fi;
# If -enable-site-runtime-libraries or --disable-site-runtime-libraries were given then copy the value to the
# equivalent with_site-runtime-libraries variable.
if test "${enable_site_runtime_libraries+set}" = set; then
  with_site_runtime_libraries="$enable_site_runtime_libraries"
fi;
# Check whether --with-site-runtime-libraries or --without-site-runtime-libraries was given.
if test "${with_site_runtime_libraries+set}" = set; then
  enableval="$with_site_runtime_libraries"
  withval="$with_site_runtime_libraries"

fi;
# If --with-dynamic or --without-dynamic were given then copy the value to the
# equivalent enable_dynamic variable.
if test "${with_dynamic+set}" = set; then
  enable_dynamic="$with_dynamic"
fi;
# If -enable-dynamic or --disable-dynamic were given then copy the value to the
# equivalent with_dynamic variable.
if test "${enable_dynamic+set}" = set; then
  with_dynamic="$enable_dynamic"
fi;
# Check whether --with-dynamic or --without-dynamic was given.
if test "${with_dynamic+set}" = set; then
  enableval="$with_dynamic"
  withval="$with_dynamic"

fi;

# If --with-prefix or --without-prefix were given then copy the value to the
# equivalent enable_prefix variable.
if test "${with_prefix+set}" = set; then
  enable_prefix="$with_prefix"
fi;
# If -enable-prefix or --disable-prefix were given then copy the value to the
# equivalent with_prefix variable.
if test "${enable_prefix+set}" = set; then
  with_prefix="$enable_prefix"
fi;
# Check whether --with-prefix or --without-prefix was given.
if test "${with_prefix+set}" = set; then
  enableval="$with_prefix"
  withval="$with_prefix"
  true
else
  with_prefix=yes
fi;
# If --with-netinstall or --without-netinstall were given then copy the value to the
# equivalent enable_netinstall variable.
if test "${with_netinstall+set}" = set; then
  enable_netinstall="$with_netinstall"
fi;
# If -enable-netinstall or --disable-netinstall were given then copy the value to the
# equivalent with_netinstall variable.
if test "${enable_netinstall+set}" = set; then
  with_netinstall="$enable_netinstall"
fi;
# Check whether --with-netinstall or --without-netinstall was given.
if test "${with_netinstall+set}" = set; then
  enableval="$with_netinstall"
  withval="$with_netinstall"

else
  with_netinstall="no"
fi;
# If --with-statedir or --without-statedir were given then copy the value to the
# equivalent enable_statedir variable.
if test "${with_statedir+set}" = set; then
  enable_statedir="$with_statedir"
fi;
# If -enable-statedir or --disable-statedir were given then copy the value to the
# equivalent with_statedir variable.
if test "${enable_statedir+set}" = set; then
  with_statedir="$enable_statedir"
fi;
# Check whether --with-statedir or --without-statedir was given.
if test "${with_statedir+set}" = set; then
  enableval="$with_statedir"
  withval="$with_statedir"

else
  with_statedir='${prefix}/lib'
fi;
# If --with-lispdir or --without-lispdir were given then copy the value to the
# equivalent enable_lispdir variable.
if test "${with_lispdir+set}" = set; then
  enable_lispdir="$with_lispdir"
fi;
# If -enable-lispdir or --disable-lispdir were given then copy the value to the
# equivalent with_lispdir variable.
if test "${enable_lispdir+set}" = set; then
  with_lispdir="$enable_lispdir"
fi;
# Check whether --with-lispdir or --without-lispdir was given.
if test "${with_lispdir+set}" = set; then
  enableval="$with_lispdir"
  withval="$with_lispdir"
  $as_echo "#define LISPDIR_USER_DEFINED 1" >>confdefs.h

else
  with_lispdir='${datadir}/${instvardir}/lisp'
fi;
# If --with-archlibdir or --without-archlibdir were given then copy the value to the
# equivalent enable_archlibdir variable.
if test "${with_archlibdir+set}" = set; then
  enable_archlibdir="$with_archlibdir"
fi;
# If -enable-archlibdir or --disable-archlibdir were given then copy the value to the
# equivalent with_archlibdir variable.
if test "${enable_archlibdir+set}" = set; then
  with_archlibdir="$enable_archlibdir"
fi;
# Check whether --with-archlibdir or --without-archlibdir was given.
if test "${with_archlibdir+set}" = set; then
  enableval="$with_archlibdir"
  withval="$with_archlibdir"
  $as_echo "#define ARCHLIBDIR_USER_DEFINED 1" >>confdefs.h

else
  with_archlibdir='${libdir}/${instvardir}/${configuration}'
fi;
# If --with-moduledir or --without-moduledir were given then copy the value to the
# equivalent enable_moduledir variable.
if test "${with_moduledir+set}" = set; then
  enable_moduledir="$with_moduledir"
fi;
# If -enable-moduledir or --disable-moduledir were given then copy the value to the
# equivalent with_moduledir variable.
if test "${enable_moduledir+set}" = set; then
  with_moduledir="$enable_moduledir"
fi;
# Check whether --with-moduledir or --without-moduledir was given.
if test "${with_moduledir+set}" = set; then
  enableval="$with_moduledir"
  withval="$with_moduledir"
  $as_echo "#define MODULEDIR_USER_DEFINED 1" >>confdefs.h

else
  with_moduledir='${libdir}/${instvardir}/${configuration}/modules'
fi;
# If --with-etcdir or --without-etcdir were given then copy the value to the
# equivalent enable_etcdir variable.
if test "${with_etcdir+set}" = set; then
  enable_etcdir="$with_etcdir"
fi;
# If -enable-etcdir or --disable-etcdir were given then copy the value to the
# equivalent with_etcdir variable.
if test "${enable_etcdir+set}" = set; then
  with_etcdir="$enable_etcdir"
fi;
# Check whether --with-etcdir or --without-etcdir was given.
if test "${with_etcdir+set}" = set; then
  enableval="$with_etcdir"
  withval="$with_etcdir"
  $as_echo "#define ETCDIR_USER_DEFINED 1" >>confdefs.h

else
  with_etcdir='${datadir}/${instvardir}/etc'
fi;
# If --with-docdir or --without-docdir were given then copy the value to the
# equivalent enable_docdir variable.
if test "${with_docdir+set}" = set; then
  enable_docdir="$with_docdir"
fi;
# If -enable-docdir or --disable-docdir were given then copy the value to the
# equivalent with_docdir variable.
if test "${enable_docdir+set}" = set; then
  with_docdir="$enable_docdir"
fi;
# Check whether --with-docdir or --without-docdir was given.
if test "${with_docdir+set}" = set; then
  enableval="$with_docdir"
  withval="$with_docdir"
  $as_echo "#define DOCDIR_USER_DEFINED 1" >>confdefs.h

else
  with_docdir='${archlibdir}'
fi;

# If --with-site-lisp or --without-site-lisp were given then copy the value to the
# equivalent enable_site-lisp variable.
if test "${with_site_lisp+set}" = set; then
  enable_site_lisp="$with_site_lisp"
fi;
# If -enable-site-lisp or --disable-site-lisp were given then copy the value to the
# equivalent with_site-lisp variable.
if test "${enable_site_lisp+set}" = set; then
  with_site_lisp="$enable_site_lisp"
fi;
# Check whether --with-site-lisp or --without-site-lisp was given.
if test "${with_site_lisp+set}" = set; then
  enableval="$with_site_lisp"
  withval="$with_site_lisp"
  true
else
  with_site_lisp=no
fi;
# If --with-site-modules or --without-site-modules were given then copy the value to the
# equivalent enable_site-modules variable.
if test "${with_site_modules+set}" = set; then
  enable_site_modules="$with_site_modules"
fi;
# If -enable-site-modules or --disable-site-modules were given then copy the value to the
# equivalent with_site-modules variable.
if test "${enable_site_modules+set}" = set; then
  with_site_modules="$enable_site_modules"
fi;
# Check whether --with-site-modules or --without-site-modules was given.
if test "${with_site_modules+set}" = set; then
  enableval="$with_site_modules"
  withval="$with_site_modules"

fi;
# If --with-early-packages or --without-early-packages were given then copy the value to the
# equivalent enable_early-packages variable.
if test "${with_early_packages+set}" = set; then
  enable_early_packages="$with_early_packages"
fi;
# If -enable-early-packages or --disable-early-packages were given then copy the value to the
# equivalent with_early-packages variable.
if test "${enable_early_packages+set}" = set; then
  with_early_packages="$enable_early_packages"
fi;
# Check whether --with-early-packages or --without-early-packages was given.
if test "${with_early_packages+set}" = set; then
  enableval="$with_early_packages"
  withval="$with_early_packages"
  $as_echo "#define EARLY_PACKAGE_DIRECTORIES_USER_DEFINED 1" >>confdefs.h

fi;
# If --with-user-packages or --without-user-packages were given then copy the value to the
# equivalent enable_user-packages variable.
if test "${with_user_packages+set}" = set; then
  enable_user_packages="$with_user_packages"
fi;
# If -enable-user-packages or --disable-user-packages were given then copy the value to the
# equivalent with_user-packages variable.
if test "${enable_user_packages+set}" = set; then
  with_user_packages="$enable_user_packages"
fi;
# Check whether --with-user-packages or --without-user-packages was given.
if test "${with_user_packages+set}" = set; then
  enableval="$with_user_packages"
  withval="$with_user_packages"
  $as_echo "#define EARLY_PACKAGE_DIRECTORIES_USER_DEFINED 1" >>confdefs.h

fi;
# If --with-late-packages or --without-late-packages were given then copy the value to the
# equivalent enable_late-packages variable.
if test "${with_late_packages+set}" = set; then
  enable_late_packages="$with_late_packages"
fi;
# If -enable-late-packages or --disable-late-packages were given then copy the value to the
# equivalent with_late-packages variable.
if test "${enable_late_packages+set}" = set; then
  with_late_packages="$enable_late_packages"
fi;
# Check whether --with-late-packages or --without-late-packages was given.
if test "${with_late_packages+set}" = set; then
  enableval="$with_late_packages"
  withval="$with_late_packages"
  $as_echo "#define LATE_PACKAGE_DIRECTORIES_USER_DEFINED 1" >>confdefs.h

fi;
# If --with-system-packages or --without-system-packages were given then copy the value to the
# equivalent enable_system-packages variable.
if test "${with_system_packages+set}" = set; then
  enable_system_packages="$with_system_packages"
fi;
# If -enable-system-packages or --disable-system-packages were given then copy the value to the
# equivalent with_system-packages variable.
if test "${enable_system_packages+set}" = set; then
  with_system_packages="$enable_system_packages"
fi;
# Check whether --with-system-packages or --without-system-packages was given.
if test "${with_system_packages+set}" = set; then
  enableval="$with_system_packages"
  withval="$with_system_packages"
  $as_echo "#define LATE_PACKAGE_DIRECTORIES_USER_DEFINED 1" >>confdefs.h

fi;
# If --with-last-packages or --without-last-packages were given then copy the value to the
# equivalent enable_last-packages variable.
if test "${with_last_packages+set}" = set; then
  enable_last_packages="$with_last_packages"
fi;
# If -enable-last-packages or --disable-last-packages were given then copy the value to the
# equivalent with_last-packages variable.
if test "${enable_last_packages+set}" = set; then
  with_last_packages="$enable_last_packages"
fi;
# Check whether --with-last-packages or --without-last-packages was given.
if test "${with_last_packages+set}" = set; then
  enableval="$with_last_packages"
  withval="$with_last_packages"
  $as_echo "#define LAST_PACKAGE_DIRECTORIES_USER_DEFINED 1" >>confdefs.h

fi;
# If --with-legacy-packages or --without-legacy-packages were given then copy the value to the
# equivalent enable_legacy-packages variable.
if test "${with_legacy_packages+set}" = set; then
  enable_legacy_packages="$with_legacy_packages"
fi;
# If -enable-legacy-packages or --disable-legacy-packages were given then copy the value to the
# equivalent with_legacy-packages variable.
if test "${enable_legacy_packages+set}" = set; then
  with_legacy_packages="$enable_legacy_packages"
fi;
# Check whether --with-legacy-packages or --without-legacy-packages was given.
if test "${with_legacy_packages+set}" = set; then
  enableval="$with_legacy_packages"
  withval="$with_legacy_packages"
  $as_echo "#define LAST_PACKAGE_DIRECTORIES_USER_DEFINED 1" >>confdefs.h

fi;
# If --with-package-path or --without-package-path were given then copy the value to the
# equivalent enable_package-path variable.
if test "${with_package_path+set}" = set; then
  enable_package_path="$with_package_path"
fi;
# If -enable-package-path or --disable-package-path were given then copy the value to the
# equivalent with_package-path variable.
if test "${enable_package_path+set}" = set; then
  with_package_path="$enable_package_path"
fi;
# Check whether --with-package-path or --without-package-path was given.
if test "${with_package_path+set}" = set; then
  enableval="$with_package_path"
  withval="$with_package_path"
  $as_echo "#define PACKAGE_PATH_USER_DEFINED 1" >>confdefs.h

fi;
# If --with-infopath or --without-infopath were given then copy the value to the
# equivalent enable_infopath variable.
if test "${with_infopath+set}" = set; then
  enable_infopath="$with_infopath"
fi;
# If -enable-infopath or --disable-infopath were given then copy the value to the
# equivalent with_infopath variable.
if test "${enable_infopath+set}" = set; then
  with_infopath="$enable_infopath"
fi;
# Check whether --with-infopath or --without-infopath was given.
if test "${with_infopath+set}" = set; then
  enableval="$with_infopath"
  withval="$with_infopath"
  $as_echo "#define INFOPATH_USER_DEFINED 1" >>confdefs.h

fi;

_xft_notfirst=""
_xft_emacs_default=yes
_xft_menubars_default=no
_xft_tabs_default=no
_xft_gauges_default=no
_xft_types="emacs menubars tabs gauges"
_xft_default="emacs,nomenubars,notabs,nogauges"

# If --with-xft or --without-xft were given then copy the value to the
# equivalent enable_xft variable.
if test "${with_xft+set}" = set; then
  enable_xft="$with_xft"
fi;
# If -enable-xft or --disable-xft were given then copy the value to the
# equivalent with_xft variable.
if test "${enable_xft+set}" = set; then
  with_xft="$enable_xft"
fi;
# Check whether --with-xft or --without-xft was given.
if test "${with_xft+set}" = set; then
  enableval="$with_xft"
  withval="$with_xft"
  _xft_all_default=""
_require_xft=""
case "$with_xft" in
    n | no | non | none )         _xft_all_default=no ;;
    n,* | no,* | non,* | none,* ) _xft_all_default=no ;;
    a | al | all | both )         _xft_all_default=yes ;;
    a,* | al,* | all,* | both,* ) _xft_all_default=yes ;;
    y | yes )                     _require_xft=yes ;;
esac
if test -n "$_xft_all_default$_require_xft"; then
    _with_xft_args=`echo $with_xft | sed -e 's/^[a-z]*\(,\(.*\)\)\{0,1\}$/\2/'`
else
    _with_xft_args=$with_xft
fi
for y in $_xft_types; do
    if test -n "$_xft_all_default" ; then
        eval "with_xft_${y}=$_xft_all_default"
    else
	eval "with_xft_$y=\$_xft_${y}_default"
    fi
done
for x in `echo "$_with_xft_args" | sed -e 's/,/ /g'` ; do
    _xft_found=""
    for y in $_xft_types; do
        if test "$x" = "$y"; then
            _xft_found=yes
            eval "with_xft_$y=yes"
        elif test "$x" = "no$y"; then
            _xft_found=yes
            eval "with_xft_$y=no"
        fi
    done
    test -z "$_xft_found" && \
	(echo "$progname: Usage error:"
echo " " "\
Invalid type list supplied.  Valid types for the --with-xft option are:
	$_xft_types.
  A prefix of \"no\" (eg, \"notype\" for \"type\") turns a type off.
  Types not explicitly specified or negated take their defaults.
  The list of defaults is \"$_xft_default\".  Prefixing \`all' or
  \`none' to the list sets all defaults to on and off respectively.
  \`yes' as the sole argument is equivalent to omitting the argument."
echo "  Use \`$progname --help' to show usage.") >&2 && exit 1
done
for y in $_xft_types; do
  eval "enable_xft_$y=\$with_xft_$y"
  unset _xft_${y}_default
done
unset _xft_types _xft_default _xft_all_default _xft_use_defaults
unset _with_xft_args _xft_found x y _require_xft



else

# set default for each type
for y in $_xft_types; do
    eval "with_xft_$y=\$_xft_${y}_default"
    eval "enable_xft_$y=\$_xft_${y}_default"
    unset _xft_${y}_default
done
with_xft_emacs=no
fi;
# If --with-gtk or --without-gtk were given then copy the value to the
# equivalent enable_gtk variable.
if test "${with_gtk+set}" = set; then
  enable_gtk="$with_gtk"
fi;
# If -enable-gtk or --disable-gtk were given then copy the value to the
# equivalent with_gtk variable.
if test "${enable_gtk+set}" = set; then
  with_gtk="$enable_gtk"
fi;
# Check whether --with-gtk or --without-gtk was given.
if test "${with_gtk+set}" = set; then
  enableval="$with_gtk"
  withval="$with_gtk"
  true
else
  with_gtk=no
fi;
# If --with-gnome or --without-gnome were given then copy the value to the
# equivalent enable_gnome variable.
if test "${with_gnome+set}" = set; then
  enable_gnome="$with_gnome"
fi;
# If -enable-gnome or --disable-gnome were given then copy the value to the
# equivalent with_gnome variable.
if test "${enable_gnome+set}" = set; then
  with_gnome="$enable_gnome"
fi;
# Check whether --with-gnome or --without-gnome was given.
if test "${with_gnome+set}" = set; then
  enableval="$with_gnome"
  withval="$with_gnome"
  true
else
  with_gnome=no
fi;
# If --with-msw or --without-msw were given then copy the value to the
# equivalent enable_msw variable.
if test "${with_msw+set}" = set; then
  enable_msw="$with_msw"
fi;
# If -enable-msw or --disable-msw were given then copy the value to the
# equivalent with_msw variable.
if test "${enable_msw+set}" = set; then
  with_msw="$enable_msw"
fi;
# Check whether --with-msw or --without-msw was given.
if test "${with_msw+set}" = set; then
  enableval="$with_msw"
  withval="$with_msw"

fi;
# If --with-toolbars or --without-toolbars were given then copy the value to the
# equivalent enable_toolbars variable.
if test "${with_toolbars+set}" = set; then
  enable_toolbars="$with_toolbars"
fi;
# If -enable-toolbars or --disable-toolbars were given then copy the value to the
# equivalent with_toolbars variable.
if test "${enable_toolbars+set}" = set; then
  with_toolbars="$enable_toolbars"
fi;
# Check whether --with-toolbars or --without-toolbars was given.
if test "${with_toolbars+set}" = set; then
  enableval="$with_toolbars"
  withval="$with_toolbars"

fi;
# If --with-wmcommand or --without-wmcommand were given then copy the value to the
# equivalent enable_wmcommand variable.
if test "${with_wmcommand+set}" = set; then
  enable_wmcommand="$with_wmcommand"
fi;
# If -enable-wmcommand or --disable-wmcommand were given then copy the value to the
# equivalent with_wmcommand variable.
if test "${enable_wmcommand+set}" = set; then
  with_wmcommand="$enable_wmcommand"
fi;
# Check whether --with-wmcommand or --without-wmcommand was given.
if test "${with_wmcommand+set}" = set; then
  enableval="$with_wmcommand"
  withval="$with_wmcommand"

fi;

# If --with-athena or --without-athena were given then copy the value to the
# equivalent enable_athena variable.
if test "${with_athena+set}" = set; then
  enable_athena="$with_athena"
fi;
# If -enable-athena or --disable-athena were given then copy the value to the
# equivalent with_athena variable.
if test "${enable_athena+set}" = set; then
  with_athena="$enable_athena"
fi;
# Check whether --with-athena or --without-athena was given.
if test "${with_athena+set}" = set; then
  enableval="$with_athena"
  withval="$with_athena"
  _athena_bogus=yes
 for x in xaw 3d next 95 xpm ; do
   if test $x = $with_athena ; then
	_athena_bogus=no
   fi
 done
 if test "$_athena_bogus" = "yes" ; then
	(echo "$progname: Usage error:"
echo " " "The --with-athena option must have one of these values: \`xaw',\`3d',\`next',\`95',\`xpm'."
echo "  Use \`$progname --help' to show usage.") >&2 && exit 1
 fi
unset _athena_bogus



fi;
# If --with-menubars or --without-menubars were given then copy the value to the
# equivalent enable_menubars variable.
if test "${with_menubars+set}" = set; then
  enable_menubars="$with_menubars"
fi;
# If -enable-menubars or --disable-menubars were given then copy the value to the
# equivalent with_menubars variable.
if test "${enable_menubars+set}" = set; then
  with_menubars="$enable_menubars"
fi;
# Check whether --with-menubars or --without-menubars was given.
if test "${with_menubars+set}" = set; then
  enableval="$with_menubars"
  withval="$with_menubars"
  _menubars_bogus=yes
 for x in yes no lucid motif athena gtk msw ; do
   if test $x = $with_menubars ; then
	_menubars_bogus=no
   fi
 done
 if test "$_menubars_bogus" = "yes" ; then
	(echo "$progname: Usage error:"
echo " " "The --with-menubars option must have one of these values: \`yes',\`no',\`lucid',\`motif',\`athena',\`gtk',\`msw'."
echo "  Use \`$progname --help' to show usage.") >&2 && exit 1
 fi
unset _menubars_bogus



fi;

# If --with-scrollbars or --without-scrollbars were given then copy the value to the
# equivalent enable_scrollbars variable.
if test "${with_scrollbars+set}" = set; then
  enable_scrollbars="$with_scrollbars"
fi;
# If -enable-scrollbars or --disable-scrollbars were given then copy the value to the
# equivalent with_scrollbars variable.
if test "${enable_scrollbars+set}" = set; then
  with_scrollbars="$enable_scrollbars"
fi;
# Check whether --with-scrollbars or --without-scrollbars was given.
if test "${with_scrollbars+set}" = set; then
  enableval="$with_scrollbars"
  withval="$with_scrollbars"
  _scrollbars_bogus=yes
 for x in yes no lucid motif athena gtk msw ; do
   if test $x = $with_scrollbars ; then
	_scrollbars_bogus=no
   fi
 done
 if test "$_scrollbars_bogus" = "yes" ; then
	(echo "$progname: Usage error:"
echo " " "The --with-scrollbars option must have one of these values: \`yes',\`no',\`lucid',\`motif',\`athena',\`gtk',\`msw'."
echo "  Use \`$progname --help' to show usage.") >&2 && exit 1
 fi
unset _scrollbars_bogus



fi;

# If --with-dialogs or --without-dialogs were given then copy the value to the
# equivalent enable_dialogs variable.
if test "${with_dialogs+set}" = set; then
  enable_dialogs="$with_dialogs"
fi;
# If -enable-dialogs or --disable-dialogs were given then copy the value to the
# equivalent with_dialogs variable.
if test "${enable_dialogs+set}" = set; then
  with_dialogs="$enable_dialogs"
fi;
# Check whether --with-dialogs or --without-dialogs was given.
if test "${with_dialogs+set}" = set; then
  enableval="$with_dialogs"
  withval="$with_dialogs"
  _dialogs_bogus=yes
 for x in yes no lucid motif athena gtk msw ; do
   if test $x = $with_dialogs ; then
	_dialogs_bogus=no
   fi
 done
 if test "$_dialogs_bogus" = "yes" ; then
	(echo "$progname: Usage error:"
echo " " "The --with-dialogs option must have one of these values: \`yes',\`no',\`lucid',\`motif',\`athena',\`gtk',\`msw'."
echo "  Use \`$progname --help' to show usage.") >&2 && exit 1
 fi
unset _dialogs_bogus



fi;

# If --with-widgets or --without-widgets were given then copy the value to the
# equivalent enable_widgets variable.
if test "${with_widgets+set}" = set; then
  enable_widgets="$with_widgets"
fi;
# If -enable-widgets or --disable-widgets were given then copy the value to the
# equivalent with_widgets variable.
if test "${enable_widgets+set}" = set; then
  with_widgets="$enable_widgets"
fi;
# Check whether --with-widgets or --without-widgets was given.
if test "${with_widgets+set}" = set; then
  enableval="$with_widgets"
  withval="$with_widgets"
  _widgets_bogus=yes
 for x in yes no lucid motif athena gtk msw ; do
   if test $x = $with_widgets ; then
	_widgets_bogus=no
   fi
 done
 if test "$_widgets_bogus" = "yes" ; then
	(echo "$progname: Usage error:"
echo " " "The --with-widgets option must have one of these values: \`yes',\`no',\`lucid',\`motif',\`athena',\`gtk',\`msw'."
echo "  Use \`$progname --help' to show usage.") >&2 && exit 1
 fi
unset _widgets_bogus



fi;
# If --with-dragndrop or --without-dragndrop were given then copy the value to the
# equivalent enable_dragndrop variable.
if test "${with_dragndrop+set}" = set; then
  enable_dragndrop="$with_dragndrop"
fi;
# If -enable-dragndrop or --disable-dragndrop were given then copy the value to the
# equivalent with_dragndrop variable.
if test "${enable_dragndrop+set}" = set; then
  with_dragndrop="$enable_dragndrop"
fi;
# Check whether --with-dragndrop or --without-dragndrop was given.
if test "${with_dragndrop+set}" = set; then
  enableval="$with_dragndrop"
  withval="$with_dragndrop"

fi;
# If --with-cde or --without-cde were given then copy the value to the
# equivalent enable_cde variable.
if test "${with_cde+set}" = set; then
  enable_cde="$with_cde"
fi;
# If -enable-cde or --disable-cde were given then copy the value to the
# equivalent with_cde variable.
if test "${enable_cde+set}" = set; then
  with_cde="$enable_cde"
fi;
# Check whether --with-cde or --without-cde was given.
if test "${with_cde+set}" = set; then
  enableval="$with_cde"
  withval="$with_cde"

fi;
# If --with-external-widget or --without-external-widget were given then copy the value to the
# equivalent enable_external-widget variable.
if test "${with_external_widget+set}" = set; then
  enable_external_widget="$with_external_widget"
fi;
# If -enable-external-widget or --disable-external-widget were given then copy the value to the
# equivalent with_external-widget variable.
if test "${enable_external_widget+set}" = set; then
  with_external_widget="$enable_external_widget"
fi;
# Check whether --with-external-widget or --without-external-widget was given.
if test "${with_external_widget+set}" = set; then
  enableval="$with_external_widget"
  withval="$with_external_widget"

fi;

# If --with-tty or --without-tty were given then copy the value to the
# equivalent enable_tty variable.
if test "${with_tty+set}" = set; then
  enable_tty="$with_tty"
fi;
# If -enable-tty or --disable-tty were given then copy the value to the
# equivalent with_tty variable.
if test "${enable_tty+set}" = set; then
  with_tty="$enable_tty"
fi;
# Check whether --with-tty or --without-tty was given.
if test "${with_tty+set}" = set; then
  enableval="$with_tty"
  withval="$with_tty"

fi;
# If --with-ncurses or --without-ncurses were given then copy the value to the
# equivalent enable_ncurses variable.
if test "${with_ncurses+set}" = set; then
  enable_ncurses="$with_ncurses"
fi;
# If -enable-ncurses or --disable-ncurses were given then copy the value to the
# equivalent with_ncurses variable.
if test "${enable_ncurses+set}" = set; then
  with_ncurses="$enable_ncurses"
fi;
# Check whether --with-ncurses or --without-ncurses was given.
if test "${with_ncurses+set}" = set; then
  enableval="$with_ncurses"
  withval="$with_ncurses"

fi;
# If --with-gpm or --without-gpm were given then copy the value to the
# equivalent enable_gpm variable.
if test "${with_gpm+set}" = set; then
  enable_gpm="$with_gpm"
fi;
# If -enable-gpm or --disable-gpm were given then copy the value to the
# equivalent with_gpm variable.
if test "${enable_gpm+set}" = set; then
  with_gpm="$enable_gpm"
fi;
# Check whether --with-gpm or --without-gpm was given.
if test "${with_gpm+set}" = set; then
  enableval="$with_gpm"
  withval="$with_gpm"

fi;

# If --with-xpm or --without-xpm were given then copy the value to the
# equivalent enable_xpm variable.
if test "${with_xpm+set}" = set; then
  enable_xpm="$with_xpm"
fi;
# If -enable-xpm or --disable-xpm were given then copy the value to the
# equivalent with_xpm variable.
if test "${enable_xpm+set}" = set; then
  with_xpm="$enable_xpm"
fi;
# Check whether --with-xpm or --without-xpm was given.
if test "${with_xpm+set}" = set; then
  enableval="$with_xpm"
  withval="$with_xpm"

fi;
# If --with-png or --without-png were given then copy the value to the
# equivalent enable_png variable.
if test "${with_png+set}" = set; then
  enable_png="$with_png"
fi;
# If -enable-png or --disable-png were given then copy the value to the
# equivalent with_png variable.
if test "${enable_png+set}" = set; then
  with_png="$enable_png"
fi;
# Check whether --with-png or --without-png was given.
if test "${with_png+set}" = set; then
  enableval="$with_png"
  withval="$with_png"

fi;
# If --with-jpeg or --without-jpeg were given then copy the value to the
# equivalent enable_jpeg variable.
if test "${with_jpeg+set}" = set; then
  enable_jpeg="$with_jpeg"
fi;
# If -enable-jpeg or --disable-jpeg were given then copy the value to the
# equivalent with_jpeg variable.
if test "${enable_jpeg+set}" = set; then
  with_jpeg="$enable_jpeg"
fi;
# Check whether --with-jpeg or --without-jpeg was given.
if test "${with_jpeg+set}" = set; then
  enableval="$with_jpeg"
  withval="$with_jpeg"

fi;
# If --with-tiff or --without-tiff were given then copy the value to the
# equivalent enable_tiff variable.
if test "${with_tiff+set}" = set; then
  enable_tiff="$with_tiff"
fi;
# If -enable-tiff or --disable-tiff were given then copy the value to the
# equivalent with_tiff variable.
if test "${enable_tiff+set}" = set; then
  with_tiff="$enable_tiff"
fi;
# Check whether --with-tiff or --without-tiff was given.
if test "${with_tiff+set}" = set; then
  enableval="$with_tiff"
  withval="$with_tiff"

fi;
# If --with-xface or --without-xface were given then copy the value to the
# equivalent enable_xface variable.
if test "${with_xface+set}" = set; then
  enable_xface="$with_xface"
fi;
# If -enable-xface or --disable-xface were given then copy the value to the
# equivalent with_xface variable.
if test "${enable_xface+set}" = set; then
  with_xface="$enable_xface"
fi;
# Check whether --with-xface or --without-xface was given.
if test "${with_xface+set}" = set; then
  enableval="$with_xface"
  withval="$with_xface"

fi;
# If --with-gif or --without-gif were given then copy the value to the
# equivalent enable_gif variable.
if test "${with_gif+set}" = set; then
  enable_gif="$with_gif"
fi;
# If -enable-gif or --disable-gif were given then copy the value to the
# equivalent with_gif variable.
if test "${enable_gif+set}" = set; then
  with_gif="$enable_gif"
fi;
# Check whether --with-gif or --without-gif was given.
if test "${with_gif+set}" = set; then
  enableval="$with_gif"
  withval="$with_gif"

fi;

_sound_notfirst=""
_sound_native_default=""
_sound_alsa_default=""
_sound_nas_default=""
_sound_esd_default=no
_sound_types="native alsa nas esd"
_sound_default="native,alsa,nas,noesd"

# If --with-sound or --without-sound were given then copy the value to the
# equivalent enable_sound variable.
if test "${with_sound+set}" = set; then
  enable_sound="$with_sound"
fi;
# If -enable-sound or --disable-sound were given then copy the value to the
# equivalent with_sound variable.
if test "${enable_sound+set}" = set; then
  with_sound="$enable_sound"
fi;
# Check whether --with-sound or --without-sound was given.
if test "${with_sound+set}" = set; then
  enableval="$with_sound"
  withval="$with_sound"
  _sound_all_default=""
_require_sound=""
case "$with_sound" in
    n | no | non | none )         _sound_all_default=no ;;
    n,* | no,* | non,* | none,* ) _sound_all_default=no ;;
    a | al | all | both )         _sound_all_default=yes ;;
    a,* | al,* | all,* | both,* ) _sound_all_default=yes ;;
    y | yes )                     _require_sound=yes ;;
esac
if test -n "$_sound_all_default$_require_sound"; then
    _with_sound_args=`echo $with_sound | sed -e 's/^[a-z]*\(,\(.*\)\)\{0,1\}$/\2/'`
else
    _with_sound_args=$with_sound
fi
for y in $_sound_types; do
    if test -n "$_sound_all_default" ; then
        eval "with_sound_${y}=$_sound_all_default"
    else
	eval "with_sound_$y=\$_sound_${y}_default"
    fi
done
for x in `echo "$_with_sound_args" | sed -e 's/,/ /g'` ; do
    _sound_found=""
    for y in $_sound_types; do
        if test "$x" = "$y"; then
            _sound_found=yes
            eval "with_sound_$y=yes"
        elif test "$x" = "no$y"; then
            _sound_found=yes
            eval "with_sound_$y=no"
        fi
    done
    test -z "$_sound_found" && \
	(echo "$progname: Usage error:"
echo " " "\
Invalid type list supplied.  Valid types for the --with-sound option are:
	$_sound_types.
  A prefix of \"no\" (eg, \"notype\" for \"type\") turns a type off.
  Types not explicitly specified or negated take their defaults.
  The list of defaults is \"$_sound_default\".  Prefixing \`all' or
  \`none' to the list sets all defaults to on and off respectively.
  \`yes' as the sole argument is equivalent to omitting the argument."
echo "  Use \`$progname --help' to show usage.") >&2 && exit 1
done
for y in $_sound_types; do
  eval "enable_sound_$y=\$with_sound_$y"
  unset _sound_${y}_default
done
unset _sound_types _sound_default _sound_all_default _sound_use_defaults
unset _with_sound_args _sound_found x y _require_sound



else

# set default for each type
for y in $_sound_types; do
    eval "with_sound_$y=\$_sound_${y}_default"
    eval "enable_sound_$y=\$_sound_${y}_default"
    unset _sound_${y}_default
done
with_sound_nas=""
fi;
# If --with-native-sound-lib or --without-native-sound-lib were given then copy the value to the
# equivalent enable_native-sound-lib variable.
if test "${with_native_sound_lib+set}" = set; then
  enable_native_sound_lib="$with_native_sound_lib"
fi;
# If -enable-native-sound-lib or --disable-native-sound-lib were given then copy the value to the
# equivalent with_native-sound-lib variable.
if test "${enable_native_sound_lib+set}" = set; then
  with_native_sound_lib="$enable_native_sound_lib"
fi;
# Check whether --with-native-sound-lib or --without-native-sound-lib was given.
if test "${with_native_sound_lib+set}" = set; then
  enableval="$with_native_sound_lib"
  withval="$with_native_sound_lib"

fi;

# If --with-mule or --without-mule were given then copy the value to the
# equivalent enable_mule variable.
if test "${with_mule+set}" = set; then
  enable_mule="$with_mule"
fi;
# If -enable-mule or --disable-mule were given then copy the value to the
# equivalent with_mule variable.
if test "${enable_mule+set}" = set; then
  with_mule="$enable_mule"
fi;
# Check whether --with-mule or --without-mule was given.
if test "${with_mule+set}" = set; then
  enableval="$with_mule"
  withval="$with_mule"

fi;

# If --with-xim or --without-xim were given then copy the value to the
# equivalent enable_xim variable.
if test "${with_xim+set}" = set; then
  enable_xim="$with_xim"
fi;
# If -enable-xim or --disable-xim were given then copy the value to the
# equivalent with_xim variable.
if test "${enable_xim+set}" = set; then
  with_xim="$enable_xim"
fi;
# Check whether --with-xim or --without-xim was given.
if test "${with_xim+set}" = set; then
  enableval="$with_xim"
  withval="$with_xim"
  _xim_bogus=yes
 for x in yes no xlib motif ; do
   if test $x = $with_xim ; then
	_xim_bogus=no
   fi
 done
 if test "$_xim_bogus" = "yes" ; then
	(echo "$progname: Usage error:"
echo " " "The --with-xim option must have one of these values: \`yes',\`no',\`xlib',\`motif'."
echo "  Use \`$progname --help' to show usage.") >&2 && exit 1
 fi
unset _xim_bogus



fi; # If --with-canna or --without-canna were given then copy the value to the
# equivalent enable_canna variable.
if test "${with_canna+set}" = set; then
  enable_canna="$with_canna"
fi;
# If -enable-canna or --disable-canna were given then copy the value to the
# equivalent with_canna variable.
if test "${enable_canna+set}" = set; then
  with_canna="$enable_canna"
fi;
# Check whether --with-canna or --without-canna was given.
if test "${with_canna+set}" = set; then
  enableval="$with_canna"
  withval="$with_canna"

fi;
# If --with-wnn or --without-wnn were given then copy the value to the
# equivalent enable_wnn variable.
if test "${with_wnn+set}" = set; then
  enable_wnn="$with_wnn"
fi;
# If -enable-wnn or --disable-wnn were given then copy the value to the
# equivalent with_wnn variable.
if test "${enable_wnn+set}" = set; then
  with_wnn="$enable_wnn"
fi;
# Check whether --with-wnn or --without-wnn was given.
if test "${with_wnn+set}" = set; then
  enableval="$with_wnn"
  withval="$with_wnn"

fi;
# If --with-wnn6 or --without-wnn6 were given then copy the value to the
# equivalent enable_wnn6 variable.
if test "${with_wnn6+set}" = set; then
  enable_wnn6="$with_wnn6"
fi;
# If -enable-wnn6 or --disable-wnn6 were given then copy the value to the
# equivalent with_wnn6 variable.
if test "${enable_wnn6+set}" = set; then
  with_wnn6="$enable_wnn6"
fi;
# Check whether --with-wnn6 or --without-wnn6 was given.
if test "${with_wnn6+set}" = set; then
  enableval="$with_wnn6"
  withval="$with_wnn6"

fi;
# If --with-xfs or --without-xfs were given then copy the value to the
# equivalent enable_xfs variable.
if test "${with_xfs+set}" = set; then
  enable_xfs="$with_xfs"
fi;
# If -enable-xfs or --disable-xfs were given then copy the value to the
# equivalent with_xfs variable.
if test "${enable_xfs+set}" = set; then
  with_xfs="$enable_xfs"
fi;
# Check whether --with-xfs or --without-xfs was given.
if test "${with_xfs+set}" = set; then
  enableval="$with_xfs"
  withval="$with_xfs"

fi;

# If --with-default-eol-detection or --without-default-eol-detection were given then copy the value to the
# equivalent enable_default-eol-detection variable.
if test "${with_default_eol_detection+set}" = set; then
  enable_default_eol_detection="$with_default_eol_detection"
fi;
# If -enable-default-eol-detection or --disable-default-eol-detection were given then copy the value to the
# equivalent with_default-eol-detection variable.
if test "${enable_default_eol_detection+set}" = set; then
  with_default_eol_detection="$enable_default_eol_detection"
fi;
# Check whether --with-default-eol-detection or --without-default-eol-detection was given.
if test "${with_default_eol_detection+set}" = set; then
  enableval="$with_default_eol_detection"
  withval="$with_default_eol_detection"

fi;
# If --with-clash-detection or --without-clash-detection were given then copy the value to the
# equivalent enable_clash-detection variable.
if test "${with_clash_detection+set}" = set; then
  enable_clash_detection="$with_clash_detection"
fi;
# If -enable-clash-detection or --disable-clash-detection were given then copy the value to the
# equivalent with_clash-detection variable.
if test "${enable_clash_detection+set}" = set; then
  with_clash_detection="$enable_clash_detection"
fi;
# Check whether --with-clash-detection or --without-clash-detection was given.
if test "${with_clash_detection+set}" = set; then
  enableval="$with_clash_detection"
  withval="$with_clash_detection"

fi;
# If --with-zlib or --without-zlib were given then copy the value to the
# equivalent enable_zlib variable.
if test "${with_zlib+set}" = set; then
  enable_zlib="$with_zlib"
fi;
# If -enable-zlib or --disable-zlib were given then copy the value to the
# equivalent with_zlib variable.
if test "${enable_zlib+set}" = set; then
  with_zlib="$enable_zlib"
fi;
# Check whether --with-zlib or --without-zlib was given.
if test "${with_zlib+set}" = set; then
  enableval="$with_zlib"
  withval="$with_zlib"

fi;

_database_notfirst=""
_database_berkdb_default=""
_database_dbm_default=""
_database_gdbm_default=""
_database_types="berkdb dbm gdbm"
_database_default="berkdb,dbm,gdbm"

# If --with-database or --without-database were given then copy the value to the
# equivalent enable_database variable.
if test "${with_database+set}" = set; then
  enable_database="$with_database"
fi;
# If -enable-database or --disable-database were given then copy the value to the
# equivalent with_database variable.
if test "${enable_database+set}" = set; then
  with_database="$enable_database"
fi;
# Check whether --with-database or --without-database was given.
if test "${with_database+set}" = set; then
  enableval="$with_database"
  withval="$with_database"
  _database_all_default=""
_require_database=""
case "$with_database" in
    n | no | non | none )         _database_all_default=no ;;
    n,* | no,* | non,* | none,* ) _database_all_default=no ;;
    a | al | all | both )         _database_all_default=yes ;;
    a,* | al,* | all,* | both,* ) _database_all_default=yes ;;
    y | yes )                     _require_database=yes ;;
esac
if test -n "$_database_all_default$_require_database"; then
    _with_database_args=`echo $with_database | sed -e 's/^[a-z]*\(,\(.*\)\)\{0,1\}$/\2/'`
else
    _with_database_args=$with_database
fi
for y in $_database_types; do
    if test -n "$_database_all_default" ; then
        eval "with_database_${y}=$_database_all_default"
    else
	eval "with_database_$y=\$_database_${y}_default"
    fi
done
for x in `echo "$_with_database_args" | sed -e 's/,/ /g'` ; do
    _database_found=""
    for y in $_database_types; do
        if test "$x" = "$y"; then
            _database_found=yes
            eval "with_database_$y=yes"
        elif test "$x" = "no$y"; then
            _database_found=yes
            eval "with_database_$y=no"
        fi
    done
    test -z "$_database_found" && \
	(echo "$progname: Usage error:"
echo " " "\
Invalid type list supplied.  Valid types for the --with-database option are:
	$_database_types.
  A prefix of \"no\" (eg, \"notype\" for \"type\") turns a type off.
  Types not explicitly specified or negated take their defaults.
  The list of defaults is \"$_database_default\".  Prefixing \`all' or
  \`none' to the list sets all defaults to on and off respectively.
  \`yes' as the sole argument is equivalent to omitting the argument."
echo "  Use \`$progname --help' to show usage.") >&2 && exit 1
done
for y in $_database_types; do
  eval "enable_database_$y=\$with_database_$y"
  unset _database_${y}_default
done
unset _database_types _database_default _database_all_default _database_use_defaults
unset _with_database_args _database_found x y _require_database


if test "$with_database_dbm"  = "yes" -a "$with_database_gdbm" = "yes"; then
	(echo "$progname: Usage error:"
echo " " "Only one of \`dbm' and \`gdbm' may be specified
with the \`--with-database' option."
echo "  Use \`$progname --help' to show usage.") >&2 && exit 1
fi


else

# set default for each type
for y in $_database_types; do
    eval "with_database_$y=\$_database_${y}_default"
    eval "enable_database_$y=\$_database_${y}_default"
    unset _database_${y}_default
done

fi;
# If --with-ldap or --without-ldap were given then copy the value to the
# equivalent enable_ldap variable.
if test "${with_ldap+set}" = set; then
  enable_ldap="$with_ldap"
fi;
# If -enable-ldap or --disable-ldap were given then copy the value to the
# equivalent with_ldap variable.
if test "${enable_ldap+set}" = set; then
  with_ldap="$enable_ldap"
fi;
# Check whether --with-ldap or --without-ldap was given.
if test "${with_ldap+set}" = set; then
  enableval="$with_ldap"
  withval="$with_ldap"

fi;
# If --with-postgresql or --without-postgresql were given then copy the value to the
# equivalent enable_postgresql variable.
if test "${with_postgresql+set}" = set; then
  enable_postgresql="$with_postgresql"
fi;
# If -enable-postgresql or --disable-postgresql were given then copy the value to the
# equivalent with_postgresql variable.
if test "${enable_postgresql+set}" = set; then
  with_postgresql="$enable_postgresql"
fi;
# Check whether --with-postgresql or --without-postgresql was given.
if test "${with_postgresql+set}" = set; then
  enableval="$with_postgresql"
  withval="$with_postgresql"

fi;


# If --with-mail-locking or --without-mail-locking were given then copy the value to the
# equivalent enable_mail-locking variable.
if test "${with_mail_locking+set}" = set; then
  enable_mail_locking="$with_mail_locking"
fi;
# If -enable-mail-locking or --disable-mail-locking were given then copy the value to the
# equivalent with_mail-locking variable.
if test "${enable_mail_locking+set}" = set; then
  with_mail_locking="$enable_mail_locking"
fi;
# Check whether --with-mail-locking or --without-mail-locking was given.
if test "${with_mail_locking+set}" = set; then
  enableval="$with_mail_locking"
  withval="$with_mail_locking"
  _mail_locking_bogus=yes
 for x in lockf flock file locking mmdf pop ; do
   if test $x = $with_mail_locking ; then
	_mail_locking_bogus=no
   fi
 done
 if test "$_mail_locking_bogus" = "yes" ; then
	(echo "$progname: Usage error:"
echo " " "The --with-mail-locking option must have one of these values: \`lockf',\`flock',\`file',\`locking',\`mmdf',\`pop'."
echo "  Use \`$progname --help' to show usage.") >&2 && exit 1
 fi
unset _mail_locking_bogus



fi; # If --with-pop or --without-pop were given then copy the value to the
# equivalent enable_pop variable.
if test "${with_pop+set}" = set; then
  enable_pop="$with_pop"
fi;
# If -enable-pop or --disable-pop were given then copy the value to the
# equivalent with_pop variable.
if test "${enable_pop+set}" = set; then
  with_pop="$enable_pop"
fi;
# Check whether --with-pop or --without-pop was given.
if test "${with_pop+set}" = set; then
  enableval="$with_pop"
  withval="$with_pop"

fi;
# If --with-kerberos or --without-kerberos were given then copy the value to the
# equivalent enable_kerberos variable.
if test "${with_kerberos+set}" = set; then
  enable_kerberos="$with_kerberos"
fi;
# If -enable-kerberos or --disable-kerberos were given then copy the value to the
# equivalent with_kerberos variable.
if test "${enable_kerberos+set}" = set; then
  with_kerberos="$enable_kerberos"
fi;
# Check whether --with-kerberos or --without-kerberos was given.
if test "${with_kerberos+set}" = set; then
  enableval="$with_kerberos"
  withval="$with_kerberos"

fi;
# If --with-hesiod or --without-hesiod were given then copy the value to the
# equivalent enable_hesiod variable.
if test "${with_hesiod+set}" = set; then
  enable_hesiod="$with_hesiod"
fi;
# If -enable-hesiod or --disable-hesiod were given then copy the value to the
# equivalent with_hesiod variable.
if test "${enable_hesiod+set}" = set; then
  with_hesiod="$enable_hesiod"
fi;
# Check whether --with-hesiod or --without-hesiod was given.
if test "${with_hesiod+set}" = set; then
  enableval="$with_hesiod"
  withval="$with_hesiod"

fi;

# If --with-tooltalk or --without-tooltalk were given then copy the value to the
# equivalent enable_tooltalk variable.
if test "${with_tooltalk+set}" = set; then
  enable_tooltalk="$with_tooltalk"
fi;
# If -enable-tooltalk or --disable-tooltalk were given then copy the value to the
# equivalent with_tooltalk variable.
if test "${enable_tooltalk+set}" = set; then
  with_tooltalk="$enable_tooltalk"
fi;
# Check whether --with-tooltalk or --without-tooltalk was given.
if test "${with_tooltalk+set}" = set; then
  enableval="$with_tooltalk"
  withval="$with_tooltalk"

fi;
# If --with-socks or --without-socks were given then copy the value to the
# equivalent enable_socks variable.
if test "${with_socks+set}" = set; then
  enable_socks="$with_socks"
fi;
# If -enable-socks or --disable-socks were given then copy the value to the
# equivalent with_socks variable.
if test "${enable_socks+set}" = set; then
  with_socks="$enable_socks"
fi;
# Check whether --with-socks or --without-socks was given.
if test "${with_socks+set}" = set; then
  enableval="$with_socks"
  withval="$with_socks"

fi;
# If --with-dnet or --without-dnet were given then copy the value to the
# equivalent enable_dnet variable.
if test "${with_dnet+set}" = set; then
  enable_dnet="$with_dnet"
fi;
# If -enable-dnet or --disable-dnet were given then copy the value to the
# equivalent with_dnet variable.
if test "${enable_dnet+set}" = set; then
  with_dnet="$enable_dnet"
fi;
# Check whether --with-dnet or --without-dnet was given.
if test "${with_dnet+set}" = set; then
  enableval="$with_dnet"
  withval="$with_dnet"

fi;
# If --with-ipv6-cname or --without-ipv6-cname were given then copy the value to the
# equivalent enable_ipv6-cname variable.
if test "${with_ipv6_cname+set}" = set; then
  enable_ipv6_cname="$with_ipv6_cname"
fi;
# If -enable-ipv6-cname or --disable-ipv6-cname were given then copy the value to the
# equivalent with_ipv6-cname variable.
if test "${enable_ipv6_cname+set}" = set; then
  with_ipv6_cname="$enable_ipv6_cname"
fi;
# Check whether --with-ipv6-cname or --without-ipv6-cname was given.
if test "${with_ipv6_cname+set}" = set; then
  enableval="$with_ipv6_cname"
  withval="$with_ipv6_cname"

else
  with_ipv6_cname="no"
fi;

# If --with-rel-alloc or --without-rel-alloc were given then copy the value to the
# equivalent enable_rel-alloc variable.
if test "${with_rel_alloc+set}" = set; then
  enable_rel_alloc="$with_rel_alloc"
fi;
# If -enable-rel-alloc or --disable-rel-alloc were given then copy the value to the
# equivalent with_rel-alloc variable.
if test "${enable_rel_alloc+set}" = set; then
  with_rel_alloc="$enable_rel_alloc"
fi;
# Check whether --with-rel-alloc or --without-rel-alloc was given.
if test "${with_rel_alloc+set}" = set; then
  enableval="$with_rel_alloc"
  withval="$with_rel_alloc"

else
  with_rel_alloc='default'
fi;
# If --with-dlmalloc or --without-dlmalloc were given then copy the value to the
# equivalent enable_dlmalloc variable.
if test "${with_dlmalloc+set}" = set; then
  enable_dlmalloc="$with_dlmalloc"
fi;
# If -enable-dlmalloc or --disable-dlmalloc were given then copy the value to the
# equivalent with_dlmalloc variable.
if test "${enable_dlmalloc+set}" = set; then
  with_dlmalloc="$enable_dlmalloc"
fi;
# Check whether --with-dlmalloc or --without-dlmalloc was given.
if test "${with_dlmalloc+set}" = set; then
  enableval="$with_dlmalloc"
  withval="$with_dlmalloc"

else
  with_dlmalloc='default'
fi;
# If --with-system-malloc or --without-system-malloc were given then copy the value to the
# equivalent enable_system-malloc variable.
if test "${with_system_malloc+set}" = set; then
  enable_system_malloc="$with_system_malloc"
fi;
# If -enable-system-malloc or --disable-system-malloc were given then copy the value to the
# equivalent with_system-malloc variable.
if test "${enable_system_malloc+set}" = set; then
  with_system_malloc="$enable_system_malloc"
fi;
# Check whether --with-system-malloc or --without-system-malloc was given.
if test "${with_system_malloc+set}" = set; then
  enableval="$with_system_malloc"
  withval="$with_system_malloc"

else
  with_system_malloc='default'
fi;
# If --with-debug-malloc or --without-debug-malloc were given then copy the value to the
# equivalent enable_debug-malloc variable.
if test "${with_debug_malloc+set}" = set; then
  enable_debug_malloc="$with_debug_malloc"
fi;
# If -enable-debug-malloc or --disable-debug-malloc were given then copy the value to the
# equivalent with_debug-malloc variable.
if test "${enable_debug_malloc+set}" = set; then
  with_debug_malloc="$enable_debug_malloc"
fi;
# Check whether --with-debug-malloc or --without-debug-malloc was given.
if test "${with_debug_malloc+set}" = set; then
  enableval="$with_debug_malloc"
  withval="$with_debug_malloc"

fi;
# If --with-pdump or --without-pdump were given then copy the value to the
# equivalent enable_pdump variable.
if test "${with_pdump+set}" = set; then
  enable_pdump="$with_pdump"
fi;
# If -enable-pdump or --disable-pdump were given then copy the value to the
# equivalent with_pdump variable.
if test "${enable_pdump+set}" = set; then
  with_pdump="$enable_pdump"
fi;
# Check whether --with-pdump or --without-pdump was given.
if test "${with_pdump+set}" = set; then
  enableval="$with_pdump"
  withval="$with_pdump"

fi;
# If --with-dump-in-exec or --without-dump-in-exec were given then copy the value to the
# equivalent enable_dump-in-exec variable.
if test "${with_dump_in_exec+set}" = set; then
  enable_dump_in_exec="$with_dump_in_exec"
fi;
# If -enable-dump-in-exec or --disable-dump-in-exec were given then copy the value to the
# equivalent with_dump-in-exec variable.
if test "${enable_dump_in_exec+set}" = set; then
  with_dump_in_exec="$enable_dump_in_exec"
fi;
# Check whether --with-dump-in-exec or --without-dump-in-exec was given.
if test "${with_dump_in_exec+set}" = set; then
  enableval="$with_dump_in_exec"
  withval="$with_dump_in_exec"

fi;
# If --with-kkcc or --without-kkcc were given then copy the value to the
# equivalent enable_kkcc variable.
if test "${with_kkcc+set}" = set; then
  enable_kkcc="$with_kkcc"
fi;
# If -enable-kkcc or --disable-kkcc were given then copy the value to the
# equivalent with_kkcc variable.
if test "${enable_kkcc+set}" = set; then
  with_kkcc="$enable_kkcc"
fi;
# Check whether --with-kkcc or --without-kkcc was given.
if test "${with_kkcc+set}" = set; then
  enableval="$with_kkcc"
  withval="$with_kkcc"

else
  with_kkcc=yes
fi;

# If --with-newgc or --without-newgc were given then copy the value to the
# equivalent enable_newgc variable.
if test "${with_newgc+set}" = set; then
  enable_newgc="$with_newgc"
fi;
# If -enable-newgc or --disable-newgc were given then copy the value to the
# equivalent with_newgc variable.
if test "${enable_newgc+set}" = set; then
  with_newgc="$enable_newgc"
fi;
# Check whether --with-newgc or --without-newgc was given.
if test "${with_newgc+set}" = set; then
  enableval="$with_newgc"
  withval="$with_newgc"

fi;
_vdb_notfirst=""
_vdb_auto_default=
_vdb_posix_default=
_vdb_win32_default=
_vdb_mach_default=
_vdb_fake_default=
_vdb_no_default=
_vdb_types="auto posix win32 mach fake no"
_vdb_default="auto,posix,win32,mach,fake,no"

# If --with-vdb or --without-vdb were given then copy the value to the
# equivalent enable_vdb variable.
if test "${with_vdb+set}" = set; then
  enable_vdb="$with_vdb"
fi;
# If -enable-vdb or --disable-vdb were given then copy the value to the
# equivalent with_vdb variable.
if test "${enable_vdb+set}" = set; then
  with_vdb="$enable_vdb"
fi;
# Check whether --with-vdb or --without-vdb was given.
if test "${with_vdb+set}" = set; then
  enableval="$with_vdb"
  withval="$with_vdb"
  _vdb_all_default=""
_require_vdb=""
case "$with_vdb" in
    n | no | non | none )         _vdb_all_default=no ;;
    n,* | no,* | non,* | none,* ) _vdb_all_default=no ;;
    a | al | all | both )         _vdb_all_default=yes ;;
    a,* | al,* | all,* | both,* ) _vdb_all_default=yes ;;
    y | yes )                     _require_vdb=yes ;;
esac
if test -n "$_vdb_all_default$_require_vdb"; then
    _with_vdb_args=`echo $with_vdb | sed -e 's/^[a-z]*\(,\(.*\)\)\{0,1\}$/\2/'`
else
    _with_vdb_args=$with_vdb
fi
for y in $_vdb_types; do
    if test -n "$_vdb_all_default" ; then
        eval "with_vdb_${y}=$_vdb_all_default"
    else
	eval "with_vdb_$y=\$_vdb_${y}_default"
    fi
done
for x in `echo "$_with_vdb_args" | sed -e 's/,/ /g'` ; do
    _vdb_found=""
    for y in $_vdb_types; do
        if test "$x" = "$y"; then
            _vdb_found=yes
            eval "with_vdb_$y=yes"
        elif test "$x" = "no$y"; then
            _vdb_found=yes
            eval "with_vdb_$y=no"
        fi
    done
    test -z "$_vdb_found" && \
	(echo "$progname: Usage error:"
echo " " "\
Invalid type list supplied.  Valid types for the --with-vdb option are:
	$_vdb_types.
  A prefix of \"no\" (eg, \"notype\" for \"type\") turns a type off.
  Types not explicitly specified or negated take their defaults.
  The list of defaults is \"$_vdb_default\".  Prefixing \`all' or
  \`none' to the list sets all defaults to on and off respectively.
  \`yes' as the sole argument is equivalent to omitting the argument."
echo "  Use \`$progname --help' to show usage.") >&2 && exit 1
done
for y in $_vdb_types; do
  eval "enable_vdb_$y=\$with_vdb_$y"
  unset _vdb_${y}_default
done
unset _vdb_types _vdb_default _vdb_all_default _vdb_use_defaults
unset _with_vdb_args _vdb_found x y _require_vdb



else

# set default for each type
for y in $_vdb_types; do
    eval "with_vdb_$y=\$_vdb_${y}_default"
    eval "enable_vdb_$y=\$_vdb_${y}_default"
    unset _vdb_${y}_default
done
with_vdb="auto"
fi;

# If --with-modules or --without-modules were given then copy the value to the
# equivalent enable_modules variable.
if test "${with_modules+set}" = set; then
  enable_modules="$with_modules"
fi;
# If -enable-modules or --disable-modules were given then copy the value to the
# equivalent with_modules variable.
if test "${enable_modules+set}" = set; then
  with_modules="$enable_modules"
fi;
# Check whether --with-modules or --without-modules was given.
if test "${with_modules+set}" = set; then
  enableval="$with_modules"
  withval="$with_modules"

fi;

# If --with-bignum or --without-bignum were given then copy the value to the
# equivalent enable_bignum variable.
if test "${with_bignum+set}" = set; then
  enable_bignum="$with_bignum"
fi;
# If -enable-bignum or --disable-bignum were given then copy the value to the
# equivalent with_bignum variable.
if test "${enable_bignum+set}" = set; then
  with_bignum="$enable_bignum"
fi;
# Check whether --with-bignum or --without-bignum was given.
if test "${with_bignum+set}" = set; then
  enableval="$with_bignum"
  withval="$with_bignum"
  _bignum_bogus=yes
 for x in no gmp mp ; do
   if test $x = $with_bignum ; then
	_bignum_bogus=no
   fi
 done
 if test "$_bignum_bogus" = "yes" ; then
	(echo "$progname: Usage error:"
echo " " "The --with-bignum option must have one of these values: \`no',\`gmp',\`mp'."
echo "  Use \`$progname --help' to show usage.") >&2 && exit 1
 fi
unset _bignum_bogus



else
  with_bignum="no"
fi;

# If --with-workshop or --without-workshop were given then copy the value to the
# equivalent enable_workshop variable.
if test "${with_workshop+set}" = set; then
  enable_workshop="$with_workshop"
fi;
# If -enable-workshop or --disable-workshop were given then copy the value to the
# equivalent with_workshop variable.
if test "${enable_workshop+set}" = set; then
  with_workshop="$enable_workshop"
fi;
# Check whether --with-workshop or --without-workshop was given.
if test "${with_workshop+set}" = set; then
  enableval="$with_workshop"
  withval="$with_workshop"

fi;
# If --with-sparcworks or --without-sparcworks were given then copy the value to the
# equivalent enable_sparcworks variable.
if test "${with_sparcworks+set}" = set; then
  enable_sparcworks="$with_sparcworks"
fi;
# If -enable-sparcworks or --disable-sparcworks were given then copy the value to the
# equivalent with_sparcworks variable.
if test "${enable_sparcworks+set}" = set; then
  with_sparcworks="$enable_sparcworks"
fi;
# Check whether --with-sparcworks or --without-sparcworks was given.
if test "${with_sparcworks+set}" = set; then
  enableval="$with_sparcworks"
  withval="$with_sparcworks"

fi;

# If --with-debug or --without-debug were given then copy the value to the
# equivalent enable_debug variable.
if test "${with_debug+set}" = set; then
  enable_debug="$with_debug"
fi;
# If -enable-debug or --disable-debug were given then copy the value to the
# equivalent with_debug variable.
if test "${enable_debug+set}" = set; then
  with_debug="$enable_debug"
fi;
# Check whether --with-debug or --without-debug was given.
if test "${with_debug+set}" = set; then
  enableval="$with_debug"
  withval="$with_debug"

fi;
if test "$with_error_checking" = "yes"; then
  with_error_checking=all
fi
_error_checking_notfirst=""
_error_checking_byte_code_default=""
_error_checking_display_default=""
_error_checking_extents_default=""
_error_checking_gc_default=""
_error_checking_glyphs_default=""
_error_checking_malloc_default=""
_error_checking_structures_default=""
_error_checking_text_default=""
_error_checking_types_default=""
_error_checking_types="byte_code display extents gc glyphs malloc structures text types"
_error_checking_default="byte_code,display,extents,gc,glyphs,malloc,structures,text,types"

# If --with-error-checking or --without-error-checking were given then copy the value to the
# equivalent enable_error-checking variable.
if test "${with_error_checking+set}" = set; then
  enable_error_checking="$with_error_checking"
fi;
# If -enable-error-checking or --disable-error-checking were given then copy the value to the
# equivalent with_error-checking variable.
if test "${enable_error_checking+set}" = set; then
  with_error_checking="$enable_error_checking"
fi;
# Check whether --with-error-checking or --without-error-checking was given.
if test "${with_error_checking+set}" = set; then
  enableval="$with_error_checking"
  withval="$with_error_checking"
  _error_checking_all_default=""
_require_error_checking=""
case "$with_error_checking" in
    n | no | non | none )         _error_checking_all_default=no ;;
    n,* | no,* | non,* | none,* ) _error_checking_all_default=no ;;
    a | al | all | both )         _error_checking_all_default=yes ;;
    a,* | al,* | all,* | both,* ) _error_checking_all_default=yes ;;
    y | yes )                     _require_error_checking=yes ;;
esac
if test -n "$_error_checking_all_default$_require_error_checking"; then
    _with_error_checking_args=`echo $with_error_checking | sed -e 's/^[a-z]*\(,\(.*\)\)\{0,1\}$/\2/'`
else
    _with_error_checking_args=$with_error_checking
fi
for y in $_error_checking_types; do
    if test -n "$_error_checking_all_default" ; then
        eval "with_error_checking_${y}=$_error_checking_all_default"
    else
	eval "with_error_checking_$y=\$_error_checking_${y}_default"
    fi
done
for x in `echo "$_with_error_checking_args" | sed -e 's/,/ /g'` ; do
    _error_checking_found=""
    for y in $_error_checking_types; do
        if test "$x" = "$y"; then
            _error_checking_found=yes
            eval "with_error_checking_$y=yes"
        elif test "$x" = "no$y"; then
            _error_checking_found=yes
            eval "with_error_checking_$y=no"
        fi
    done
    test -z "$_error_checking_found" && \
	(echo "$progname: Usage error:"
echo " " "\
Invalid type list supplied.  Valid types for the --with-error-checking option are:
	$_error_checking_types.
  A prefix of \"no\" (eg, \"notype\" for \"type\") turns a type off.
  Types not explicitly specified or negated take their defaults.
  The list of defaults is \"$_error_checking_default\".  Prefixing \`all' or
  \`none' to the list sets all defaults to on and off respectively.
  \`yes' as the sole argument is equivalent to omitting the argument."
echo "  Use \`$progname --help' to show usage.") >&2 && exit 1
done
for y in $_error_checking_types; do
  eval "enable_error_checking_$y=\$with_error_checking_$y"
  unset _error_checking_${y}_default
done
unset _error_checking_types _error_checking_default _error_checking_all_default _error_checking_use_defaults
unset _with_error_checking_args _error_checking_found x y _require_error_checking



else

# set default for each type
for y in $_error_checking_types; do
    eval "with_error_checking_$y=\$_error_checking_${y}_default"
    eval "enable_error_checking_$y=\$_error_checking_${y}_default"
    unset _error_checking_${y}_default
done

fi;
# If --with-assertions or --without-assertions were given then copy the value to the
# equivalent enable_assertions variable.
if test "${with_assertions+set}" = set; then
  enable_assertions="$with_assertions"
fi;
# If -enable-assertions or --disable-assertions were given then copy the value to the
# equivalent with_assertions variable.
if test "${enable_assertions+set}" = set; then
  with_assertions="$enable_assertions"
fi;
# Check whether --with-assertions or --without-assertions was given.
if test "${with_assertions+set}" = set; then
  enableval="$with_assertions"
  withval="$with_assertions"

fi;
# If --with-memory-usage-stats or --without-memory-usage-stats were given then copy the value to the
# equivalent enable_memory-usage-stats variable.
if test "${with_memory_usage_stats+set}" = set; then
  enable_memory_usage_stats="$with_memory_usage_stats"
fi;
# If -enable-memory-usage-stats or --disable-memory-usage-stats were given then copy the value to the
# equivalent with_memory-usage-stats variable.
if test "${enable_memory_usage_stats+set}" = set; then
  with_memory_usage_stats="$enable_memory_usage_stats"
fi;
# Check whether --with-memory-usage-stats or --without-memory-usage-stats was given.
if test "${with_memory_usage_stats+set}" = set; then
  enableval="$with_memory_usage_stats"
  withval="$with_memory_usage_stats"

fi;
# If --with-quick-build or --without-quick-build were given then copy the value to the
# equivalent enable_quick-build variable.
if test "${with_quick_build+set}" = set; then
  enable_quick_build="$with_quick_build"
fi;
# If -enable-quick-build or --disable-quick-build were given then copy the value to the
# equivalent with_quick-build variable.
if test "${enable_quick_build+set}" = set; then
  with_quick_build="$enable_quick_build"
fi;
# Check whether --with-quick-build or --without-quick-build was given.
if test "${with_quick_build+set}" = set; then
  enableval="$with_quick_build"
  withval="$with_quick_build"

fi;
# If --with-union-type or --without-union-type were given then copy the value to the
# equivalent enable_union-type variable.
if test "${with_union_type+set}" = set; then
  enable_union_type="$with_union_type"
fi;
# If -enable-union-type or --disable-union-type were given then copy the value to the
# equivalent with_union-type variable.
if test "${enable_union_type+set}" = set; then
  with_union_type="$enable_union_type"
fi;
# Check whether --with-union-type or --without-union-type was given.
if test "${with_union_type+set}" = set; then
  enableval="$with_union_type"
  withval="$with_union_type"

fi;
# If --with-quantify or --without-quantify were given then copy the value to the
# equivalent enable_quantify variable.
if test "${with_quantify+set}" = set; then
  enable_quantify="$with_quantify"
fi;
# If -enable-quantify or --disable-quantify were given then copy the value to the
# equivalent with_quantify variable.
if test "${enable_quantify+set}" = set; then
  with_quantify="$enable_quantify"
fi;
# Check whether --with-quantify or --without-quantify was given.
if test "${with_quantify+set}" = set; then
  enableval="$with_quantify"
  withval="$with_quantify"

fi;
# If --with-purify or --without-purify were given then copy the value to the
# equivalent enable_purify variable.
if test "${with_purify+set}" = set; then
  enable_purify="$with_purify"
fi;
# If -enable-purify or --disable-purify were given then copy the value to the
# equivalent with_purify variable.
if test "${enable_purify+set}" = set; then
  with_purify="$enable_purify"
fi;
# Check whether --with-purify or --without-purify was given.
if test "${with_purify+set}" = set; then
  enableval="$with_purify"
  withval="$with_purify"

fi;
# If --with-valgrind or --without-valgrind were given then copy the value to the
# equivalent enable_valgrind variable.
if test "${with_valgrind+set}" = set; then
  enable_valgrind="$with_valgrind"
fi;
# If -enable-valgrind or --disable-valgrind were given then copy the value to the
# equivalent with_valgrind variable.
if test "${enable_valgrind+set}" = set; then
  with_valgrind="$enable_valgrind"
fi;
# Check whether --with-valgrind or --without-valgrind was given.
if test "${with_valgrind+set}" = set; then
  enableval="$with_valgrind"
  withval="$with_valgrind"

fi;

if test "$with_purify" = "yes" -o "$with_quantify" = "yes"; then
  test "$with_system_malloc" = "default" && with_system_malloc=yes
fi

if test "$with_cde $with_tooltalk" = "yes no"; then
  (echo "$progname: Usage error:"
echo " " "--with-cde requires --with-tooltalk"
echo "  Use \`$progname --help' to show usage.") >&2 && exit 1
elif test "$with_tooltalk" = "no" ; then with_cde=no
elif test "$with_cde" = "yes"; then with_tooltalk=yes
fi


if test \( "$with_xft_menubars" = "yes" -o "$with_xft_tabs" = "yes" \
           -o "$with_xft_gauges" = "yes" \) -a "$with_xft_emacs" = "no"; then
    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: Forcing --with-xft=emacs because Xft is enabled" >&5
$as_echo "$as_me: WARNING: Forcing --with-xft=emacs because Xft is enabled" >&2;}
    with_xft_emacs=yes
fi

if test "$with_xfs" = "yes" -a "$with_xft_menubars" = "yes"; then
  (echo "$progname: Usage error:"
echo " " "XFS and Xft in the menubars are incompatible!"
echo "  Use \`$progname --help' to show usage.") >&2 && exit 1
fi

test "x$prefix" = xNONE && prefix=$ac_default_prefix
# Let make expand exec_prefix.
if test "x$exec_prefix" = xNONE
then
  exec_prefix='${prefix}'
else
  $as_echo "#define EXEC_PREFIX_USER_DEFINED 1" >>confdefs.h

fi


prefix_expanded=$prefix
while true; do
  case "$prefix_expanded" in
    *\$* ) eval "prefix_expanded=$prefix_expanded" ;;
    *) break ;;
  esac
done
datadir_expanded=$datadir
while true; do
  case "$datadir_expanded" in
    *\$* ) eval "datadir_expanded=$datadir_expanded" ;;
    *) break ;;
  esac
done
exec_prefix_expanded=$exec_prefix
while true; do
  case "$exec_prefix_expanded" in
    *\$* ) eval "exec_prefix_expanded=$exec_prefix_expanded" ;;
    *) break ;;
  esac
done
libdir_expanded=$libdir
while true; do
  case "$libdir_expanded" in
    *\$* ) eval "libdir_expanded=$libdir_expanded" ;;
    *) break ;;
  esac
done
infodir_expanded=$infodir
while true; do
  case "$infodir_expanded" in
    *\$* ) eval "infodir_expanded=$infodir_expanded" ;;
    *) break ;;
  esac
done

if test "x$datadir" != "x\${datarootdir}"
then
  $as_echo "#define INFODIR_USER_DEFINED 1" >>confdefs.h

  $as_echo "#define LISPDIR_USER_DEFINED 1" >>confdefs.h

  $as_echo "#define ETCDIR_USER_DEFINED 1" >>confdefs.h

  $as_echo "#define LATE_PACKAGE_DIRECTORIES_USER_DEFINED 1" >>confdefs.h

fi

if test "x$libdir" != "x\${exec_prefix}/lib"
then
  $as_echo "#define MODULEDIR_USER_DEFINED 1" >>confdefs.h

  $as_echo "#define ARCHLIBDIR_USER_DEFINED 1" >>confdefs.h

  $as_echo "#define DOCDIR_USER_DEFINED 1" >>confdefs.h

fi

if test "x$infodir" != "x\${datarootdir}/info"
then
  $as_echo "#define INFODIR_USER_DEFINED 1" >>confdefs.h

else
  infodir='${datarootdir}/${instvardir}/info'
fi

with_sitelispdir='${datadir}/${inststaticdir}/site-lisp'
inststaticdir='${PROGNAME}'
instvardir='${PROGNAME}-${version}'
sitemoduledir='${libdir}/${inststaticdir}/site-modules'
with_late_packages='${datadir}/${PROGNAME}'


statedir=$with_statedir



{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether ln -s works" >&5
$as_echo_n "checking whether ln -s works... " >&6; }
LN_S=$as_ln_s
if test "$LN_S" = "ln -s"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
$as_echo "yes" >&6; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no, using $LN_S" >&5
$as_echo "no, using $LN_S" >&6; }
fi


for dir in lisp etc man info tests; do
  if test ! -d "$dir" ; then
    echo Making symbolic link to "$srcdir/$dir"
    ${LN_S} "$srcdir/$dir" "$dir"
  fi
done

absolute_pwd="`pwd`";
if test -n "$PWD" -a "`cd $PWD && pwd`" = "$absolute_pwd"
then blddir="$PWD"
else blddir="$absolute_pwd"; if test -d "/net"; then
  if test -d "/tmp_mnt/net"; then tdir="tmp_mnt/net"; else tdir="tmp_mnt"; fi
  blddir=`echo "$blddir" | \
   sed -e "s|^${tdir}/|/net/|" -e "s|^/a/|/net/|" -e "s|^/amd/|/net/|"`
fi
fi


case "$srcdir" in
  /* ) ;;
  .  ) srcdir="$blddir" ;;
  *  ) srcdir="`cd $srcdir && pwd`"; if test -d "/net"; then
  if test -d "/tmp_mnt/net"; then tdir="tmp_mnt/net"; else tdir="tmp_mnt"; fi
  srcdir=`echo "$srcdir" | \
   sed -e "s|^${tdir}/|/net/|" -e "s|^/a/|/net/|" -e "s|^/amd/|/net/|"`
fi ;;
esac

if test `pwd` != `sh -c cd $srcdir && pwd`  \
   && test -f "$srcdir/src/config.h"; then
  (echo "$progname: WARNING: The directory tree \`$srcdir' is being used"
   echo "   as a build directory right now; it has been configured in its own"
   echo "   right.  To configure in another directory as well, you MUST"
   echo "   use GNU make.  If you do not have GNU make, then you must"
   echo "   now do \`make distclean' in $srcdir,"
   echo "   and then run $progname again.") >&2
  extrasub='/^VPATH[	 ]*=/c\
vpath %.c $(srcdir)\
vpath %.h $(srcdir)\
vpath %.y $(srcdir)\
vpath %.l $(srcdir)\
vpath %.s $(srcdir)\
vpath %.in $(srcdir)'
fi

ac_aux_dir=
for ac_dir in "$srcdir" "$srcdir/.." "$srcdir/../.."; do
  if test -f "$ac_dir/install-sh"; then
    ac_aux_dir=$ac_dir
    ac_install_sh="$ac_aux_dir/install-sh -c"
    break
  elif test -f "$ac_dir/install.sh"; then
    ac_aux_dir=$ac_dir
    ac_install_sh="$ac_aux_dir/install.sh -c"
    break
  elif test -f "$ac_dir/shtool"; then
    ac_aux_dir=$ac_dir
    ac_install_sh="$ac_aux_dir/shtool install -c"
    break
  fi
done
if test -z "$ac_aux_dir"; then
  as_fn_error $? "cannot find install-sh, install.sh, or shtool in \"$srcdir\" \"$srcdir/..\" \"$srcdir/../..\"" "$LINENO" 5
fi

# These three variables are undocumented and unsupported,
# and are intended to be withdrawn in a future Autoconf release.
# They can cause serious problems if a builder's source tree is in a directory
# whose full name contains unusual characters.
ac_config_guess="$SHELL $ac_aux_dir/config.guess"  # Please don't use this var.
ac_config_sub="$SHELL $ac_aux_dir/config.sub"  # Please don't use this var.
ac_configure="$SHELL $ac_aux_dir/configure"  # Please don't use this var.


# Make sure we can run config.sub.
$SHELL "$ac_aux_dir/config.sub" sun4 >/dev/null 2>&1 ||
  as_fn_error $? "cannot run $SHELL $ac_aux_dir/config.sub" "$LINENO" 5

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking build system type" >&5
$as_echo_n "checking build system type... " >&6; }
if ${ac_cv_build+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_build_alias=$build_alias
test "x$ac_build_alias" = x &&
  ac_build_alias=`$SHELL "$ac_aux_dir/config.guess"`
test "x$ac_build_alias" = x &&
  as_fn_error $? "cannot guess build type; you must specify one" "$LINENO" 5
ac_cv_build=`$SHELL "$ac_aux_dir/config.sub" $ac_build_alias` ||
  as_fn_error $? "$SHELL $ac_aux_dir/config.sub $ac_build_alias failed" "$LINENO" 5

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_build" >&5
$as_echo "$ac_cv_build" >&6; }
case $ac_cv_build in
*-*-*) ;;
*) as_fn_error $? "invalid value of canonical build" "$LINENO" 5;;
esac
build=$ac_cv_build
ac_save_IFS=$IFS; IFS='-'
set x $ac_cv_build
shift
build_cpu=$1
build_vendor=$2
shift; shift
# Remember, the first character of IFS is used to create $*,
# except with old shells:
build_os=$*
IFS=$ac_save_IFS
case $build_os in *\ *) build_os=`echo "$build_os" | sed 's/ /-/g'`;; esac



cp "$srcdir/version.sh.in" "$srcdir/version.sh"
if test -d "$srcdir/.hg"; then
    (cd "$srcdir"; hg identify | cut -d " " -f 1 >> version.sh)
fi
. "$srcdir/version.sh" || exit 1;
if test -n "$emacs_is_beta"; then beta=yes; else beta=no; fi
: "${verbose=$beta}"
version="${emacs_major_version}.${emacs_minor_version}"
cat >>confdefs.h <<_ACEOF
#define EMACS_MAJOR_VERSION $emacs_major_version
_ACEOF

cat >>confdefs.h <<_ACEOF
#define EMACS_MINOR_VERSION $emacs_minor_version
_ACEOF

if test -n "$emacs_beta_version" ; then
  if test "$beta" = "yes"; then
  	version="${version}-b${emacs_beta_version}"
  	cat >>confdefs.h <<_ACEOF
#define EMACS_BETA_VERSION $emacs_beta_version
_ACEOF

  else
	version="${version}.${emacs_beta_version}"
	cat >>confdefs.h <<_ACEOF
#define EMACS_PATCH_LEVEL $emacs_beta_version
_ACEOF

  fi
fi
cat >>confdefs.h <<_ACEOF
#define XEMACS_CODENAME "$xemacs_codename"
_ACEOF

verbose_version=$version
if test "$xemacs_extra_name" != ""; then
  cat >>confdefs.h <<_ACEOF
#define XEMACS_EXTRA_NAME "$xemacs_extra_name"
_ACEOF

  verbose_version="$verbose_version $xemacs_extra_name"
fi
if test "$xemacs_release_date" != ""; then
  cat >>confdefs.h <<_ACEOF
#define XEMACS_RELEASE_DATE "$xemacs_release_date"
_ACEOF

fi
cat >>confdefs.h <<_ACEOF
#define EMACS_VERSION "$version"
_ACEOF


PROGNAME=xemacs
SHEBANG_PROGNAME=xemacs-script



cat >>confdefs.h <<_ACEOF
#define EMACS_PROGNAME "$PROGNAME"
_ACEOF


cat >>confdefs.h <<_ACEOF
#define SHEBANG_PROGNAME "${PROGNAME}-script"
_ACEOF


if test -n "$emacs_is_beta"; then beta=yes; else beta=no; fi
test "${with_error_checking_extents:=$beta}"    = yes && $as_echo "#define ERROR_CHECK_EXTENTS 1" >>confdefs.h

test "${with_error_checking_types:=$beta}"      = yes && $as_echo "#define ERROR_CHECK_TYPES 1" >>confdefs.h

test "${with_error_checking_text:=$beta}"       = yes && $as_echo "#define ERROR_CHECK_TEXT 1" >>confdefs.h

test "${with_error_checking_gc:=$beta}"         = yes && $as_echo "#define ERROR_CHECK_GC 1" >>confdefs.h

test "${with_error_checking_malloc:=$beta}"     = yes && $as_echo "#define ERROR_CHECK_MALLOC 1" >>confdefs.h

test "${with_error_checking_byte_code:=$beta}"  = yes && $as_echo "#define ERROR_CHECK_BYTE_CODE 1" >>confdefs.h

test "${with_error_checking_glyphs:=$beta}"     = yes && $as_echo "#define ERROR_CHECK_GLYPHS 1" >>confdefs.h

test "${with_error_checking_display:=$beta}"    = yes && $as_echo "#define ERROR_CHECK_DISPLAY 1" >>confdefs.h

test "${with_error_checking_structures:=$beta}" = yes && $as_echo "#define ERROR_CHECK_STRUCTURES 1" >>confdefs.h

if test "${with_debug:=$beta}" = "yes"; then
  with_assertions=yes
  with_memory_usage_stats=yes
  $as_echo "#define DEBUG_XEMACS 1" >>confdefs.h

fi
test "$with_assertions"         = "yes" && $as_echo "#define USE_ASSERTIONS 1" >>confdefs.h

test "$with_memory_usage_stats" = "yes" && $as_echo "#define MEMORY_USAGE_STATS 1" >>confdefs.h



ac_cv_build_alias=`echo "$ac_cv_build_alias" | sed 's/^\([^-][^-]*-[^-][^-]*-[^-][^-]*\)-.*$/\1/'`
ac_cv_build=`echo "$ac_cv_build" | sed 's/^\([^-][^-]*-[^-][^-]*-[^-][^-]*\)-.*$/\1/'`
configuration=$ac_cv_build






machine='' opsys=''

case "$ac_cv_build" in
  sparc-*-*        ) machine=sparc ;;
  alpha*-*-*       ) machine=alpha ;;
  mips*-*          ) machine=mips ;;
  rs6000-ibm-aix*  ) machine=ibmrs6000 ;;
  powerpc-ibm-aix* ) machine=ibmrs6000 ;;
  powerpc*-*       ) machine=powerpc ;;
  hppa-*-*         ) machine=hp800 ;;
  arm*             ) machine=arm ;;
  i[3-9]86-*-*   ) machine=intel386 ;;
esac

case "$ac_cv_build" in
  *-*-linux*    ) opsys=linux ;;
  *-*-netbsd*   ) opsys=netbsd ;;
  *-*-openbsd*	) opsys=openbsd ;;

    *-*-aix[4-9]* ) opsys=aix4-2   ;;

    *-gnu* )			opsys=gnu    ;;
  *-*-bsd4.3 )			opsys=bsd-common ;;
  *-*-aos*   )			opsys=bsd-common ;;
  *-*-sysv4.1* | *-*-sysvr4.1* )opsys=usg5-4 NON_GNU_CPP=/usr/lib/cpp ;;
  *-*-sysv4.[2-9]* | *-sysvr4.[2-9]* )
	if test -z "$NON_GNU_CPP" ; then
	  for prog in "/usr/ccs/lib/cpp" "/lib/cpp"; do
	    if test -f "$prog"; then NON_GNU_CPP="$prog"; break; fi
	  done
	fi
	opsys=usg5-4-2 ;;
    *-sysv4* | *-sysvr4* )	opsys=usg5-4 ;;
    *-*-mach_bsd4.3* )          opsys=mach-bsd4-3 ;;
esac

case "$ac_cv_build" in

    *-*-darwin*)
    opsys=darwin
        $as_echo "#define USE_PARAM_H 1" >>confdefs.h

    ;;

    *-hp-hpux* ) machine=hp800 opsys=hpux11
    NON_GNU_CC="cc -Ae" NON_GNU_CPP="cc -Ae -E"

    case "$ac_cv_build" in *-hp-hpux*shr* ) opsys="${opsys}-shr" ;; esac
  ;;

        mips-mips-bsd* ) opsys=bsd-common ;;
  mips-mips-*    ) opsys=usg5-4-2 ;;

      mips-sgi-irix6*     ) opsys=irix6-5 ;;

    *-*-solaris* | *-sun-mach* | *-sun-bsd* )
        case "$ac_cv_build" in *-sunos5*)
      ac_cv_build=`echo $ac_cv_build | sed -e s/sunos5/solaris2/`;;
    esac

    case "$ac_cv_build" in
      *-solaris2* )
	#test -f /usr/ccs/lib/cpp && NON_GNU_CPP=/usr/ccs/lib/cpp
	RANLIB=':' ;;
    esac

    case "$ac_cv_build" in
      *-solaris* )
	opsys=sol2
	os_release_major=`uname -r | sed -e 's/^\([0-9]\{1,\}\)\.\([0-9]\{1,\}\).*/\1/'`
	os_release_minor=`uname -r | sed -e 's/^\([0-9]\{1,\}\)\.\([0-9]\{1,\}\).*/\2/'`
	case "$os_release_minor" in [0-9])
	  os_release_minor="0${os_release_minor}";;
	esac
	os_release="${os_release_major}${os_release_minor}"
	cat >>confdefs.h <<_ACEOF
#define OS_RELEASE $os_release
_ACEOF
 ;;

      *-mach*		  ) opsys=mach-bsd4-3	;;
      *			  ) opsys=bsd-common	;;
    esac

        test "$opsys $CC" = "sol2 /usr/ucb/cc" && CC=""
  ;;

    i[3-9]86-*-* )
    case "$ac_cv_build" in
      *-mach* )			opsys=mach-bsd4-3 ;;
      *-sysv5* )		opsys=usg5-4-2 ;;
      *-freebsd* )		opsys=freebsd ;;
      *-pc-cygwin* )		opsys=cygwin32 ;;
      *-pc-mingw* )		opsys=mingw32 ;
				test -z "$with_tty" && with_tty="no";;
          esac
  ;;

esac

test -z "$machine" && machine=`echo $ac_cv_build | sed 's/-.*$//'`

test -z "$opsys"   && opsys=`uname -s | tr ABCDEFGHIJKLMNOPQRSTUVWXYZ abcdefghijklmnopqrstuvwxyz`

if test -r "${srcdir}/src/m/${machine}.h"; then
  machfile="m/${machine}.h"
  cat >>confdefs.h <<_ACEOF
#define config_machfile "$machfile"
_ACEOF

else
  echo "XEmacs has no builtin knowledge of \`$machine' machines."
  echo "Using configure-time autodetection only."
fi

if test -r "${srcdir}/src/s/${opsys}.h"; then
  opsysfile="s/${opsys}.h"
  cat >>confdefs.h <<_ACEOF
#define config_opsysfile "$opsysfile"
_ACEOF

else
  echo "XEmacs has no builtin knowledge of \`$opsys' operating systems."
  echo "Using configure-time autodetection only."
fi



if test -z "$with_pdump"; then
  case "$opsys" in
    linux* )  with_pdump=yes ;;              darwin )  with_pdump=yes ;;              cygwin* ) with_pdump=yes ;;              * )       with_pdump=no ;;
  esac
fi

if test "$with_newgc" = "yes"; then
  if test "$with_vdb" = "auto"; then
    case "$opsys" in
      darwin )  case "$machine" in
		  intel386 ) check_vdb_posix=yes ;;
		  * ) $as_echo "#define VDB_MACH 1" >>confdefs.h
  have_vdb_mach=yes ;;
		esac ;;
      cygwin* ) $as_echo "#define VDB_WIN32 1" >>confdefs.h
 have_vdb_win32=yes ;;
      linux* )  check_vdb_posix=yes ;;
      freebsd ) check_vdb_posix=yes ;;
      * )       check_vdb_posix=yes ;;
    esac
  else
    case "$with_vdb" in
      mach )  $as_echo "#define VDB_MACH 1" >>confdefs.h
  have_vdb_mach=yes ;;
      win32 ) $as_echo "#define VDB_WIN32 1" >>confdefs.h
 have_vdb_win32=yes ;;
      posix ) check_vdb_posix=yes ;;
      fake )  have_vdb_fake=yes ;;
      no )    have_vdb_fake=yes ;;
    esac
  fi
fi

if test -z "$with_dynamic"; then
  case "$opsys" in
    hpux* ) with_dynamic=no ;;
    *) with_dynamic=yes ;;
  esac
fi
if test "$with_dynamic" = "yes"; then
  case "$opsys" in
    hpux* ) opsys="${opsys}-shr" ;;
  esac
else   case "$opsys" in
    sol2 )
      echo "Static linking is not supported on Solaris 2."
      echo "Rerun configure without specifying --without-dynamic."
      exit 1 ;;
    linux   ) ld_call_shared="-Bstatic" ;;
  esac
fi

case "$opsys" in
  aix* )   NON_GNU_CC=xlc ;;        darwin ) RANLIB="ranlib -c" ;;  esac

stack_trace_eye_catcher=`echo ${PROGNAME}_${version}_${ac_cv_build} | sed 'y/.-/__/'`
cat >>confdefs.h <<_ACEOF
#define STACK_TRACE_EYE_CATCHER $stack_trace_eye_catcher
_ACEOF



test "$with_sparcworks" = "yes" && with_workshop=yes # compatibility alias
if test "$with_workshop $with_tooltalk" = "yes no"; then
  (echo "$progname: Usage error:"
echo " " "--with-workshop requires --with-tooltalk"
echo "  Use \`$progname --help' to show usage.") >&2 && exit 1
elif test "$with_tooltalk" = "no" ; then with_workshop=no
elif test "$with_workshop" = "yes"; then with_tooltalk=yes
fi

if test "$with_workshop" = "yes"; then
  $as_echo "#define SUNPRO 1" >>confdefs.h

fi

if test "$with_clash_detection" != "no"; then
  $as_echo "#define CLASH_DETECTION 1" >>confdefs.h

fi

test -n "$with_compiler" && CC="$with_compiler"
if test "$with_gcc" = "no"; then   case "$CC" in "" | *gcc* ) CC="${NON_GNU_CC-cc}" ;; esac
fi

test "${with_cflags-unset}" != unset && CFLAGS="$with_cflags"
if test "${CFLAGS-unset}" != unset
  then cflags_specified=yes;
  else cflags_specified=no;
fi

if test "${with_cflags_warning-unset}" != unset
  then cflags_warning_specified=yes;
  else cflags_warning_specified=no;
fi

if test "${with_cflags_optimization-unset}" != unset
  then cflags_optimization_specified=yes;
  else cflags_optimization_specified=no;
fi

if test "${with_cflags_debugging-unset}" != unset
  then cflags_debugging_specified=yes;
  else cflags_debugging_specified=no;
fi

xe_save_CFLAGS="$CFLAGS"

ac_ext=c
xe_cppflags='$CPPFLAGS $c_switch_site $c_switch_machine $c_switch_system $c_switch_x_site $X_CFLAGS'
xe_ldflags='$LDFLAGS $ld_switch_site $ld_switch_machine $ld_switch_system $ld_switch_x_site $ld_switch_run'
xe_libs='$ld_call_shared $xe_check_libs $X_EXTRA_LIBS $libs_x $libs_gtk $X_PRE_LIBS $LIBS $libs_machine $libs_system $libs_standard'
ac_cpp='$CPP '"$xe_cppflags"
ac_compile='$CC -c $CFLAGS '"$xe_cppflags"' conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS '"$xe_cppflags $xe_ldflags"' conftest.$ac_ext '"$xe_libs"' >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu
if test -n "$ac_tool_prefix"; then
  # Extract the first word of "${ac_tool_prefix}gcc", so it can be a program name with args.
set dummy ${ac_tool_prefix}gcc; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_CC+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$CC"; then
  ac_cv_prog_CC="$CC" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_CC="${ac_tool_prefix}gcc"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
CC=$ac_cv_prog_CC
if test -n "$CC"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $CC" >&5
$as_echo "$CC" >&6; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
fi


fi
if test -z "$ac_cv_prog_CC"; then
  ac_ct_CC=$CC
  # Extract the first word of "gcc", so it can be a program name with args.
set dummy gcc; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_ac_ct_CC+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$ac_ct_CC"; then
  ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_ac_ct_CC="gcc"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
ac_ct_CC=$ac_cv_prog_ac_ct_CC
if test -n "$ac_ct_CC"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_ct_CC" >&5
$as_echo "$ac_ct_CC" >&6; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
fi

  if test "x$ac_ct_CC" = x; then
    CC=""
  else
    case $cross_compiling:$ac_tool_warned in
yes:)
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
$as_echo "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
ac_tool_warned=yes ;;
esac
    CC=$ac_ct_CC
  fi
else
  CC="$ac_cv_prog_CC"
fi

if test -z "$CC"; then
          if test -n "$ac_tool_prefix"; then
    # Extract the first word of "${ac_tool_prefix}cc", so it can be a program name with args.
set dummy ${ac_tool_prefix}cc; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_CC+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$CC"; then
  ac_cv_prog_CC="$CC" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_CC="${ac_tool_prefix}cc"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
CC=$ac_cv_prog_CC
if test -n "$CC"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $CC" >&5
$as_echo "$CC" >&6; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
fi


  fi
fi
if test -z "$CC"; then
  # Extract the first word of "cc", so it can be a program name with args.
set dummy cc; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_CC+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$CC"; then
  ac_cv_prog_CC="$CC" # Let the user override the test.
else
  ac_prog_rejected=no
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    if test "$as_dir/$ac_word$ac_exec_ext" = "/usr/ucb/cc"; then
       ac_prog_rejected=yes
       continue
     fi
    ac_cv_prog_CC="cc"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

if test $ac_prog_rejected = yes; then
  # We found a bogon in the path, so make sure we never use it.
  set dummy $ac_cv_prog_CC
  shift
  if test $# != 0; then
    # We chose a different compiler from the bogus one.
    # However, it has the same basename, so the bogon will be chosen
    # first if we set CC to just the basename; use the full file name.
    shift
    ac_cv_prog_CC="$as_dir/$ac_word${1+' '}$@"
  fi
fi
fi
fi
CC=$ac_cv_prog_CC
if test -n "$CC"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $CC" >&5
$as_echo "$CC" >&6; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
fi


fi
if test -z "$CC"; then
  if test -n "$ac_tool_prefix"; then
  for ac_prog in cl.exe
  do
    # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
set dummy $ac_tool_prefix$ac_prog; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_CC+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$CC"; then
  ac_cv_prog_CC="$CC" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_CC="$ac_tool_prefix$ac_prog"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
CC=$ac_cv_prog_CC
if test -n "$CC"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $CC" >&5
$as_echo "$CC" >&6; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
fi


    test -n "$CC" && break
  done
fi
if test -z "$CC"; then
  ac_ct_CC=$CC
  for ac_prog in cl.exe
do
  # Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_ac_ct_CC+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$ac_ct_CC"; then
  ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_ac_ct_CC="$ac_prog"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
ac_ct_CC=$ac_cv_prog_ac_ct_CC
if test -n "$ac_ct_CC"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_ct_CC" >&5
$as_echo "$ac_ct_CC" >&6; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
fi


  test -n "$ac_ct_CC" && break
done

  if test "x$ac_ct_CC" = x; then
    CC=""
  else
    case $cross_compiling:$ac_tool_warned in
yes:)
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
$as_echo "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
ac_tool_warned=yes ;;
esac
    CC=$ac_ct_CC
  fi
fi

fi


test -z "$CC" && { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error $? "no acceptable C compiler found in \$PATH
See \`config.log' for more details" "$LINENO" 5; }

# Provide some information about the compiler.
$as_echo "$as_me:${as_lineno-$LINENO}: checking for C compiler version" >&5
set X $ac_compile
ac_compiler=$2
for ac_option in --version -v -V -qversion; do
  { { ac_try="$ac_compiler $ac_option >&5"
case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
$as_echo "$ac_try_echo"; } >&5
  (eval "$ac_compiler $ac_option >&5") 2>conftest.err
  ac_status=$?
  if test -s conftest.err; then
    sed '10a\
... rest of stderr output deleted ...
         10q' conftest.err >conftest.er1
    cat conftest.er1 >&5
  fi
  rm -f conftest.er1 conftest.err
  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
  test $ac_status = 0; }
done

cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
ac_clean_files_save=$ac_clean_files
ac_clean_files="$ac_clean_files a.out a.out.dSYM a.exe b.out"
# Try to create an executable without -o first, disregard a.out.
# It will help us diagnose broken compilers, and finding out an intuition
# of exeext.
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether the C compiler works" >&5
$as_echo_n "checking whether the C compiler works... " >&6; }
ac_link_default=`$as_echo "$ac_link" | sed 's/ -o *conftest[^ ]*//'`

# The possible output files:
ac_files="a.out conftest.exe conftest a.exe a_out.exe b.out conftest.*"

ac_rmfiles=
for ac_file in $ac_files
do
  case $ac_file in
    *.$ac_ext | *.xcoff | *.tds | *.d | *.pdb | *.xSYM | *.bb | *.bbg | *.map | *.inf | *.dSYM | *.o | *.obj ) ;;
    * ) ac_rmfiles="$ac_rmfiles $ac_file";;
  esac
done
rm -f $ac_rmfiles

if { { ac_try="$ac_link_default"
case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
$as_echo "$ac_try_echo"; } >&5
  (eval "$ac_link_default") 2>&5
  ac_status=$?
  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
  test $ac_status = 0; }; then :
  # Autoconf-2.13 could set the ac_cv_exeext variable to `no'.
# So ignore a value of `no', otherwise this would lead to `EXEEXT = no'
# in a Makefile.  We should not override ac_cv_exeext if it was cached,
# so that the user can short-circuit this test for compilers unknown to
# Autoconf.
for ac_file in $ac_files ''
do
  test -f "$ac_file" || continue
  case $ac_file in
    *.$ac_ext | *.xcoff | *.tds | *.d | *.pdb | *.xSYM | *.bb | *.bbg | *.map | *.inf | *.dSYM | *.o | *.obj )
	;;
    [ab].out )
	# We found the default executable, but exeext='' is most
	# certainly right.
	break;;
    *.* )
	if test "${ac_cv_exeext+set}" = set && test "$ac_cv_exeext" != no;
	then :; else
	   ac_cv_exeext=`expr "$ac_file" : '[^.]*\(\..*\)'`
	fi
	# We set ac_cv_exeext here because the later test for it is not
	# safe: cross compilers may not add the suffix if given an `-o'
	# argument, so we may need to know it at that point already.
	# Even if this section looks crufty: it has the advantage of
	# actually working.
	break;;
    * )
	break;;
  esac
done
test "$ac_cv_exeext" = no && ac_cv_exeext=

else
  ac_file=''
fi
if test -z "$ac_file"; then :
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
$as_echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5

{ { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error 77 "C compiler cannot create executables
See \`config.log' for more details" "$LINENO" 5; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
$as_echo "yes" >&6; }
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for C compiler default output file name" >&5
$as_echo_n "checking for C compiler default output file name... " >&6; }
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_file" >&5
$as_echo "$ac_file" >&6; }
ac_exeext=$ac_cv_exeext

rm -f -r a.out a.out.dSYM a.exe conftest$ac_cv_exeext b.out
ac_clean_files=$ac_clean_files_save
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for suffix of executables" >&5
$as_echo_n "checking for suffix of executables... " >&6; }
if { { ac_try="$ac_link"
case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
$as_echo "$ac_try_echo"; } >&5
  (eval "$ac_link") 2>&5
  ac_status=$?
  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
  test $ac_status = 0; }; then :
  # If both `conftest.exe' and `conftest' are `present' (well, observable)
# catch `conftest.exe'.  For instance with Cygwin, `ls conftest' will
# work properly (i.e., refer to `conftest.exe'), while it won't with
# `rm'.
for ac_file in conftest.exe conftest conftest.*; do
  test -f "$ac_file" || continue
  case $ac_file in
    *.$ac_ext | *.xcoff | *.tds | *.d | *.pdb | *.xSYM | *.bb | *.bbg | *.map | *.inf | *.dSYM | *.o | *.obj ) ;;
    *.* ) ac_cv_exeext=`expr "$ac_file" : '[^.]*\(\..*\)'`
	  break;;
    * ) break;;
  esac
done
else
  { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error $? "cannot compute suffix of executables: cannot compile and link
See \`config.log' for more details" "$LINENO" 5; }
fi
rm -f conftest conftest$ac_cv_exeext
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_exeext" >&5
$as_echo "$ac_cv_exeext" >&6; }

rm -f conftest.$ac_ext
EXEEXT=$ac_cv_exeext
ac_exeext=$EXEEXT
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <stdio.h>
int
main ()
{
FILE *f = fopen ("conftest.out", "w");
 return ferror (f) || fclose (f) != 0;

  ;
  return 0;
}
_ACEOF
ac_clean_files="$ac_clean_files conftest.out"
# Check that the compiler produces executables we can run.  If not, either
# the compiler is broken, or we cross compile.
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether we are cross compiling" >&5
$as_echo_n "checking whether we are cross compiling... " >&6; }
if test "$cross_compiling" != yes; then
  { { ac_try="$ac_link"
case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
$as_echo "$ac_try_echo"; } >&5
  (eval "$ac_link") 2>&5
  ac_status=$?
  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
  test $ac_status = 0; }
  if { ac_try='./conftest$ac_cv_exeext'
  { { case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
$as_echo "$ac_try_echo"; } >&5
  (eval "$ac_try") 2>&5
  ac_status=$?
  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
  test $ac_status = 0; }; }; then
    cross_compiling=no
  else
    if test "$cross_compiling" = maybe; then
	cross_compiling=yes
    else
	{ { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error $? "cannot run C compiled programs.
If you meant to cross compile, use \`--host'.
See \`config.log' for more details" "$LINENO" 5; }
    fi
  fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $cross_compiling" >&5
$as_echo "$cross_compiling" >&6; }

rm -f conftest.$ac_ext conftest$ac_cv_exeext conftest.out
ac_clean_files=$ac_clean_files_save
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for suffix of object files" >&5
$as_echo_n "checking for suffix of object files... " >&6; }
if ${ac_cv_objext+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
rm -f conftest.o conftest.obj
if { { ac_try="$ac_compile"
case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
$as_echo "$ac_try_echo"; } >&5
  (eval "$ac_compile") 2>&5
  ac_status=$?
  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
  test $ac_status = 0; }; then :
  for ac_file in conftest.o conftest.obj conftest.*; do
  test -f "$ac_file" || continue;
  case $ac_file in
    *.$ac_ext | *.xcoff | *.tds | *.d | *.pdb | *.xSYM | *.bb | *.bbg | *.map | *.inf | *.dSYM ) ;;
    *) ac_cv_objext=`expr "$ac_file" : '.*\.\(.*\)'`
       break;;
  esac
done
else
  $as_echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5

{ { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error $? "cannot compute suffix of object files: cannot compile
See \`config.log' for more details" "$LINENO" 5; }
fi
rm -f conftest.$ac_cv_objext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_objext" >&5
$as_echo "$ac_cv_objext" >&6; }
OBJEXT=$ac_cv_objext
ac_objext=$OBJEXT
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether we are using the GNU C compiler" >&5
$as_echo_n "checking whether we are using the GNU C compiler... " >&6; }
if ${ac_cv_c_compiler_gnu+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{
#ifndef __GNUC__
       choke me
#endif

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_compiler_gnu=yes
else
  ac_compiler_gnu=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
ac_cv_c_compiler_gnu=$ac_compiler_gnu

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_c_compiler_gnu" >&5
$as_echo "$ac_cv_c_compiler_gnu" >&6; }
if test $ac_compiler_gnu = yes; then
  GCC=yes
else
  GCC=
fi
ac_test_CFLAGS=${CFLAGS+set}
ac_save_CFLAGS=$CFLAGS
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether $CC accepts -g" >&5
$as_echo_n "checking whether $CC accepts -g... " >&6; }
if ${ac_cv_prog_cc_g+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_save_c_werror_flag=$ac_c_werror_flag
   ac_c_werror_flag=yes
   ac_cv_prog_cc_g=no
   CFLAGS="-g"
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_prog_cc_g=yes
else
  CFLAGS=""
      cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :

else
  ac_c_werror_flag=$ac_save_c_werror_flag
	 CFLAGS="-g"
	 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_prog_cc_g=yes
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
   ac_c_werror_flag=$ac_save_c_werror_flag
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_prog_cc_g" >&5
$as_echo "$ac_cv_prog_cc_g" >&6; }
if test "$ac_test_CFLAGS" = set; then
  CFLAGS=$ac_save_CFLAGS
elif test $ac_cv_prog_cc_g = yes; then
  if test "$GCC" = yes; then
    CFLAGS="-g -O2"
  else
    CFLAGS="-g"
  fi
else
  if test "$GCC" = yes; then
    CFLAGS="-O2"
  else
    CFLAGS=
  fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $CC option to accept ISO C89" >&5
$as_echo_n "checking for $CC option to accept ISO C89... " >&6; }
if ${ac_cv_prog_cc_c89+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_cv_prog_cc_c89=no
ac_save_CC=$CC
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <stdarg.h>
#include <stdio.h>
struct stat;
/* Most of the following tests are stolen from RCS 5.7's src/conf.sh.  */
struct buf { int x; };
FILE * (*rcsopen) (struct buf *, struct stat *, int);
static char *e (p, i)
     char **p;
     int i;
{
  return p[i];
}
static char *f (char * (*g) (char **, int), char **p, ...)
{
  char *s;
  va_list v;
  va_start (v,p);
  s = g (p, va_arg (v,int));
  va_end (v);
  return s;
}

/* OSF 4.0 Compaq cc is some sort of almost-ANSI by default.  It has
   function prototypes and stuff, but not '\xHH' hex character constants.
   These don't provoke an error unfortunately, instead are silently treated
   as 'x'.  The following induces an error, until -std is added to get
   proper ANSI mode.  Curiously '\x00'!='x' always comes out true, for an
   array size at least.  It's necessary to write '\x00'==0 to get something
   that's true only with -std.  */
int osf4_cc_array ['\x00' == 0 ? 1 : -1];

/* IBM C 6 for AIX is almost-ANSI by default, but it replaces macro parameters
   inside strings and character constants.  */
#define FOO(x) 'x'
int xlc6_cc_array[FOO(a) == 'x' ? 1 : -1];

int test (int i, double x);
struct s1 {int (*f) (int a);};
struct s2 {int (*f) (double a);};
int pairnames (int, char **, FILE *(*)(struct buf *, struct stat *, int), int, int);
int argc;
char **argv;
int
main ()
{
return f (e, argv, 0) != argv[0]  ||  f (e, argv, 1) != argv[1];
  ;
  return 0;
}
_ACEOF
for ac_arg in '' -qlanglvl=extc89 -qlanglvl=ansi -std \
	-Ae "-Aa -D_HPUX_SOURCE" "-Xc -D__EXTENSIONS__"
do
  CC="$ac_save_CC $ac_arg"
  if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_prog_cc_c89=$ac_arg
fi
rm -f core conftest.err conftest.$ac_objext
  test "x$ac_cv_prog_cc_c89" != "xno" && break
done
rm -f conftest.$ac_ext
CC=$ac_save_CC

fi
# AC_CACHE_VAL
case "x$ac_cv_prog_cc_c89" in
  x)
    { $as_echo "$as_me:${as_lineno-$LINENO}: result: none needed" >&5
$as_echo "none needed" >&6; } ;;
  xno)
    { $as_echo "$as_me:${as_lineno-$LINENO}: result: unsupported" >&5
$as_echo "unsupported" >&6; } ;;
  *)
    CC="$CC $ac_cv_prog_cc_c89"
    { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_prog_cc_c89" >&5
$as_echo "$ac_cv_prog_cc_c89" >&6; } ;;
esac
if test "x$ac_cv_prog_cc_c89" != xno; then :

fi

ac_ext=c
xe_cppflags='$CPPFLAGS $c_switch_site $c_switch_machine $c_switch_system $c_switch_x_site $X_CFLAGS'
xe_ldflags='$LDFLAGS $ld_switch_site $ld_switch_machine $ld_switch_system $ld_switch_x_site $ld_switch_run'
xe_libs='$ld_call_shared $xe_check_libs $X_EXTRA_LIBS $libs_x $libs_gtk $X_PRE_LIBS $LIBS $libs_machine $libs_system $libs_standard'
ac_cpp='$CPP '"$xe_cppflags"
ac_compile='$CC -c $CFLAGS '"$xe_cppflags"' conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS '"$xe_cppflags $xe_ldflags"' conftest.$ac_ext '"$xe_libs"' >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu


ac_ext=c
xe_cppflags='$CPPFLAGS $c_switch_site $c_switch_machine $c_switch_system $c_switch_x_site $X_CFLAGS'
xe_ldflags='$LDFLAGS $ld_switch_site $ld_switch_machine $ld_switch_system $ld_switch_x_site $ld_switch_run'
xe_libs='$ld_call_shared $xe_check_libs $X_EXTRA_LIBS $libs_x $libs_gtk $X_PRE_LIBS $LIBS $libs_machine $libs_system $libs_standard'
ac_cpp='$CPP '"$xe_cppflags"
ac_compile='$CC -c $CFLAGS '"$xe_cppflags"' conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS '"$xe_cppflags $xe_ldflags"' conftest.$ac_ext '"$xe_libs"' >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking how to run the C preprocessor" >&5
$as_echo_n "checking how to run the C preprocessor... " >&6; }
# On Suns, sometimes $CPP names a directory.
if test -n "$CPP" && test -d "$CPP"; then
  CPP=
fi
if test -z "$CPP"; then
  if ${ac_cv_prog_CPP+:} false; then :
  $as_echo_n "(cached) " >&6
else
      # Double quotes because CPP needs to be expanded
    for CPP in "$CC -E" "$CC -E -traditional-cpp" "/lib/cpp"
    do
      ac_preproc_ok=false
for ac_c_preproc_warn_flag in '' yes
do
  # Use a header file that comes with gcc, so configuring glibc
  # with a fresh cross-compiler works.
  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
  # <limits.h> exists even on freestanding compilers.
  # On the NeXT, cc -E runs the code through the compiler's parser,
  # not just through cpp. "Syntax error" is here to catch this case.
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#ifdef __STDC__
# include <limits.h>
#else
# include <assert.h>
#endif
		     Syntax error
_ACEOF
if ac_fn_c_try_cpp "$LINENO"; then :

else
  # Broken: fails on valid input.
continue
fi
rm -f conftest.err conftest.i conftest.$ac_ext

  # OK, works on sane cases.  Now check whether nonexistent headers
  # can be detected and how.
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <ac_nonexistent.h>
_ACEOF
if ac_fn_c_try_cpp "$LINENO"; then :
  # Broken: success on invalid input.
continue
else
  # Passes both tests.
ac_preproc_ok=:
break
fi
rm -f conftest.err conftest.i conftest.$ac_ext

done
# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
rm -f conftest.i conftest.err conftest.$ac_ext
if $ac_preproc_ok; then :
  break
fi

    done
    ac_cv_prog_CPP=$CPP

fi
  CPP=$ac_cv_prog_CPP
else
  ac_cv_prog_CPP=$CPP
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $CPP" >&5
$as_echo "$CPP" >&6; }
ac_preproc_ok=false
for ac_c_preproc_warn_flag in '' yes
do
  # Use a header file that comes with gcc, so configuring glibc
  # with a fresh cross-compiler works.
  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
  # <limits.h> exists even on freestanding compilers.
  # On the NeXT, cc -E runs the code through the compiler's parser,
  # not just through cpp. "Syntax error" is here to catch this case.
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#ifdef __STDC__
# include <limits.h>
#else
# include <assert.h>
#endif
		     Syntax error
_ACEOF
if ac_fn_c_try_cpp "$LINENO"; then :

else
  # Broken: fails on valid input.
continue
fi
rm -f conftest.err conftest.i conftest.$ac_ext

  # OK, works on sane cases.  Now check whether nonexistent headers
  # can be detected and how.
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <ac_nonexistent.h>
_ACEOF
if ac_fn_c_try_cpp "$LINENO"; then :
  # Broken: success on invalid input.
continue
else
  # Passes both tests.
ac_preproc_ok=:
break
fi
rm -f conftest.err conftest.i conftest.$ac_ext

done
# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
rm -f conftest.i conftest.err conftest.$ac_ext
if $ac_preproc_ok; then :

else
  { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error $? "C preprocessor \"$CPP\" fails sanity check
See \`config.log' for more details" "$LINENO" 5; }
fi

ac_ext=c
xe_cppflags='$CPPFLAGS $c_switch_site $c_switch_machine $c_switch_system $c_switch_x_site $X_CFLAGS'
xe_ldflags='$LDFLAGS $ld_switch_site $ld_switch_machine $ld_switch_system $ld_switch_x_site $ld_switch_run'
xe_libs='$ld_call_shared $xe_check_libs $X_EXTRA_LIBS $libs_x $libs_gtk $X_PRE_LIBS $LIBS $libs_machine $libs_system $libs_standard'
ac_cpp='$CPP '"$xe_cppflags"
ac_compile='$CC -c $CFLAGS '"$xe_cppflags"' conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS '"$xe_cppflags $xe_ldflags"' conftest.$ac_ext '"$xe_libs"' >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu


{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for grep that handles long lines and -e" >&5
$as_echo_n "checking for grep that handles long lines and -e... " >&6; }
if ${ac_cv_path_GREP+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -z "$GREP"; then
  ac_path_GREP_found=false
  # Loop through the user's path and test for each of PROGNAME-LIST
  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH$PATH_SEPARATOR/usr/xpg4/bin
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_prog in grep ggrep; do
    for ac_exec_ext in '' $ac_executable_extensions; do
      ac_path_GREP="$as_dir/$ac_prog$ac_exec_ext"
      as_fn_executable_p "$ac_path_GREP" || continue
# Check for GNU ac_path_GREP and select it if it is found.
  # Check for GNU $ac_path_GREP
case `"$ac_path_GREP" --version 2>&1` in
*GNU*)
  ac_cv_path_GREP="$ac_path_GREP" ac_path_GREP_found=:;;
*)
  ac_count=0
  $as_echo_n 0123456789 >"conftest.in"
  while :
  do
    cat "conftest.in" "conftest.in" >"conftest.tmp"
    mv "conftest.tmp" "conftest.in"
    cp "conftest.in" "conftest.nl"
    $as_echo 'GREP' >> "conftest.nl"
    "$ac_path_GREP" -e 'GREP$' -e '-(cannot match)-' < "conftest.nl" >"conftest.out" 2>/dev/null || break
    diff "conftest.out" "conftest.nl" >/dev/null 2>&1 || break
    as_fn_arith $ac_count + 1 && ac_count=$as_val
    if test $ac_count -gt ${ac_path_GREP_max-0}; then
      # Best one so far, save it but keep looking for a better one
      ac_cv_path_GREP="$ac_path_GREP"
      ac_path_GREP_max=$ac_count
    fi
    # 10*(2^10) chars as input seems more than enough
    test $ac_count -gt 10 && break
  done
  rm -f conftest.in conftest.tmp conftest.nl conftest.out;;
esac

      $ac_path_GREP_found && break 3
    done
  done
  done
IFS=$as_save_IFS
  if test -z "$ac_cv_path_GREP"; then
    as_fn_error $? "no acceptable grep could be found in $PATH$PATH_SEPARATOR/usr/xpg4/bin" "$LINENO" 5
  fi
else
  ac_cv_path_GREP=$GREP
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_path_GREP" >&5
$as_echo "$ac_cv_path_GREP" >&6; }
 GREP="$ac_cv_path_GREP"


{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for egrep" >&5
$as_echo_n "checking for egrep... " >&6; }
if ${ac_cv_path_EGREP+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if echo a | $GREP -E '(a|b)' >/dev/null 2>&1
   then ac_cv_path_EGREP="$GREP -E"
   else
     if test -z "$EGREP"; then
  ac_path_EGREP_found=false
  # Loop through the user's path and test for each of PROGNAME-LIST
  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH$PATH_SEPARATOR/usr/xpg4/bin
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_prog in egrep; do
    for ac_exec_ext in '' $ac_executable_extensions; do
      ac_path_EGREP="$as_dir/$ac_prog$ac_exec_ext"
      as_fn_executable_p "$ac_path_EGREP" || continue
# Check for GNU ac_path_EGREP and select it if it is found.
  # Check for GNU $ac_path_EGREP
case `"$ac_path_EGREP" --version 2>&1` in
*GNU*)
  ac_cv_path_EGREP="$ac_path_EGREP" ac_path_EGREP_found=:;;
*)
  ac_count=0
  $as_echo_n 0123456789 >"conftest.in"
  while :
  do
    cat "conftest.in" "conftest.in" >"conftest.tmp"
    mv "conftest.tmp" "conftest.in"
    cp "conftest.in" "conftest.nl"
    $as_echo 'EGREP' >> "conftest.nl"
    "$ac_path_EGREP" 'EGREP$' < "conftest.nl" >"conftest.out" 2>/dev/null || break
    diff "conftest.out" "conftest.nl" >/dev/null 2>&1 || break
    as_fn_arith $ac_count + 1 && ac_count=$as_val
    if test $ac_count -gt ${ac_path_EGREP_max-0}; then
      # Best one so far, save it but keep looking for a better one
      ac_cv_path_EGREP="$ac_path_EGREP"
      ac_path_EGREP_max=$ac_count
    fi
    # 10*(2^10) chars as input seems more than enough
    test $ac_count -gt 10 && break
  done
  rm -f conftest.in conftest.tmp conftest.nl conftest.out;;
esac

      $ac_path_EGREP_found && break 3
    done
  done
  done
IFS=$as_save_IFS
  if test -z "$ac_cv_path_EGREP"; then
    as_fn_error $? "no acceptable egrep could be found in $PATH$PATH_SEPARATOR/usr/xpg4/bin" "$LINENO" 5
  fi
else
  ac_cv_path_EGREP=$EGREP
fi

   fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_path_EGREP" >&5
$as_echo "$ac_cv_path_EGREP" >&6; }
 EGREP="$ac_cv_path_EGREP"


{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for ANSI C header files" >&5
$as_echo_n "checking for ANSI C header files... " >&6; }
if ${ac_cv_header_stdc+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <float.h>

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_header_stdc=yes
else
  ac_cv_header_stdc=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext

if test $ac_cv_header_stdc = yes; then
  # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <string.h>

_ACEOF
if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
  $EGREP "memchr" >/dev/null 2>&1; then :

else
  ac_cv_header_stdc=no
fi
rm -f conftest*

fi

if test $ac_cv_header_stdc = yes; then
  # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <stdlib.h>

_ACEOF
if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
  $EGREP "free" >/dev/null 2>&1; then :

else
  ac_cv_header_stdc=no
fi
rm -f conftest*

fi

if test $ac_cv_header_stdc = yes; then
  # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
  if test "$cross_compiling" = yes; then :
  :
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <ctype.h>
#include <stdlib.h>
#if ((' ' & 0x0FF) == 0x020)
# define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
# define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
#else
# define ISLOWER(c) \
		   (('a' <= (c) && (c) <= 'i') \
		     || ('j' <= (c) && (c) <= 'r') \
		     || ('s' <= (c) && (c) <= 'z'))
# define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
#endif

#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
int
main ()
{
  int i;
  for (i = 0; i < 256; i++)
    if (XOR (islower (i), ISLOWER (i))
	|| toupper (i) != TOUPPER (i))
      return 2;
  return 0;
}
_ACEOF
if ac_fn_c_try_run "$LINENO"; then :

else
  ac_cv_header_stdc=no
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
  conftest.$ac_objext conftest.beam conftest.$ac_ext
fi

fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_header_stdc" >&5
$as_echo "$ac_cv_header_stdc" >&6; }
if test $ac_cv_header_stdc = yes; then

$as_echo "#define STDC_HEADERS 1" >>confdefs.h

fi

# On IRIX 5.3, sys/types and inttypes.h are conflicting.
for ac_header in sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h \
		  inttypes.h stdint.h unistd.h
do :
  as_ac_Header=`$as_echo "ac_cv_header_$ac_header" | $as_tr_sh`
ac_fn_c_check_header_compile "$LINENO" "$ac_header" "$as_ac_Header" "$ac_includes_default
"
if eval test \"x\$"$as_ac_Header"\" = x"yes"; then :
  cat >>confdefs.h <<_ACEOF
#define `$as_echo "HAVE_$ac_header" | $as_tr_cpp` 1
_ACEOF

fi

done



  ac_fn_c_check_header_mongrel "$LINENO" "minix/config.h" "ac_cv_header_minix_config_h" "$ac_includes_default"
if test "x$ac_cv_header_minix_config_h" = xyes; then :
  MINIX=yes
else
  MINIX=
fi


  if test "$MINIX" = yes; then

$as_echo "#define _POSIX_SOURCE 1" >>confdefs.h


$as_echo "#define _POSIX_1_SOURCE 2" >>confdefs.h


$as_echo "#define _MINIX 1" >>confdefs.h

  fi


  { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether it is safe to define __EXTENSIONS__" >&5
$as_echo_n "checking whether it is safe to define __EXTENSIONS__... " >&6; }
if ${ac_cv_safe_to_define___extensions__+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#         define __EXTENSIONS__ 1
          $ac_includes_default
int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_safe_to_define___extensions__=yes
else
  ac_cv_safe_to_define___extensions__=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_safe_to_define___extensions__" >&5
$as_echo "$ac_cv_safe_to_define___extensions__" >&6; }
  test $ac_cv_safe_to_define___extensions__ = yes &&
    $as_echo "#define __EXTENSIONS__ 1" >>confdefs.h

  $as_echo "#define _ALL_SOURCE 1" >>confdefs.h

  $as_echo "#define _GNU_SOURCE 1" >>confdefs.h

  $as_echo "#define _POSIX_PTHREAD_SEMANTICS 1" >>confdefs.h

  $as_echo "#define _TANDEM_SOURCE 1" >>confdefs.h



ac_ext=c
xe_cppflags='$CPPFLAGS $c_switch_site $c_switch_machine $c_switch_system $c_switch_x_site $X_CFLAGS'
xe_ldflags='$LDFLAGS $ld_switch_site $ld_switch_machine $ld_switch_system $ld_switch_x_site $ld_switch_run'
xe_libs='$ld_call_shared $xe_check_libs $X_EXTRA_LIBS $libs_x $libs_gtk $X_PRE_LIBS $LIBS $libs_machine $libs_system $libs_standard'
ac_cpp='$CPP '"$xe_cppflags"
ac_compile='$CC -c $CFLAGS '"$xe_cppflags"' conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS '"$xe_cppflags $xe_ldflags"' conftest.$ac_ext '"$xe_libs"' >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu
if test -n "$ac_tool_prefix"; then
  # Extract the first word of "${ac_tool_prefix}gcc", so it can be a program name with args.
set dummy ${ac_tool_prefix}gcc; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_CC+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$CC"; then
  ac_cv_prog_CC="$CC" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_CC="${ac_tool_prefix}gcc"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
CC=$ac_cv_prog_CC
if test -n "$CC"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $CC" >&5
$as_echo "$CC" >&6; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
fi


fi
if test -z "$ac_cv_prog_CC"; then
  ac_ct_CC=$CC
  # Extract the first word of "gcc", so it can be a program name with args.
set dummy gcc; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_ac_ct_CC+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$ac_ct_CC"; then
  ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_ac_ct_CC="gcc"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
ac_ct_CC=$ac_cv_prog_ac_ct_CC
if test -n "$ac_ct_CC"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_ct_CC" >&5
$as_echo "$ac_ct_CC" >&6; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
fi

  if test "x$ac_ct_CC" = x; then
    CC=""
  else
    case $cross_compiling:$ac_tool_warned in
yes:)
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
$as_echo "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
ac_tool_warned=yes ;;
esac
    CC=$ac_ct_CC
  fi
else
  CC="$ac_cv_prog_CC"
fi

if test -z "$CC"; then
          if test -n "$ac_tool_prefix"; then
    # Extract the first word of "${ac_tool_prefix}cc", so it can be a program name with args.
set dummy ${ac_tool_prefix}cc; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_CC+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$CC"; then
  ac_cv_prog_CC="$CC" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_CC="${ac_tool_prefix}cc"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
CC=$ac_cv_prog_CC
if test -n "$CC"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $CC" >&5
$as_echo "$CC" >&6; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
fi


  fi
fi
if test -z "$CC"; then
  # Extract the first word of "cc", so it can be a program name with args.
set dummy cc; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_CC+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$CC"; then
  ac_cv_prog_CC="$CC" # Let the user override the test.
else
  ac_prog_rejected=no
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    if test "$as_dir/$ac_word$ac_exec_ext" = "/usr/ucb/cc"; then
       ac_prog_rejected=yes
       continue
     fi
    ac_cv_prog_CC="cc"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

if test $ac_prog_rejected = yes; then
  # We found a bogon in the path, so make sure we never use it.
  set dummy $ac_cv_prog_CC
  shift
  if test $# != 0; then
    # We chose a different compiler from the bogus one.
    # However, it has the same basename, so the bogon will be chosen
    # first if we set CC to just the basename; use the full file name.
    shift
    ac_cv_prog_CC="$as_dir/$ac_word${1+' '}$@"
  fi
fi
fi
fi
CC=$ac_cv_prog_CC
if test -n "$CC"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $CC" >&5
$as_echo "$CC" >&6; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
fi


fi
if test -z "$CC"; then
  if test -n "$ac_tool_prefix"; then
  for ac_prog in cl.exe
  do
    # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
set dummy $ac_tool_prefix$ac_prog; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_CC+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$CC"; then
  ac_cv_prog_CC="$CC" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_CC="$ac_tool_prefix$ac_prog"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
CC=$ac_cv_prog_CC
if test -n "$CC"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $CC" >&5
$as_echo "$CC" >&6; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
fi


    test -n "$CC" && break
  done
fi
if test -z "$CC"; then
  ac_ct_CC=$CC
  for ac_prog in cl.exe
do
  # Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_ac_ct_CC+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$ac_ct_CC"; then
  ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_ac_ct_CC="$ac_prog"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
ac_ct_CC=$ac_cv_prog_ac_ct_CC
if test -n "$ac_ct_CC"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_ct_CC" >&5
$as_echo "$ac_ct_CC" >&6; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
fi


  test -n "$ac_ct_CC" && break
done

  if test "x$ac_ct_CC" = x; then
    CC=""
  else
    case $cross_compiling:$ac_tool_warned in
yes:)
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
$as_echo "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
ac_tool_warned=yes ;;
esac
    CC=$ac_ct_CC
  fi
fi

fi


test -z "$CC" && { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error $? "no acceptable C compiler found in \$PATH
See \`config.log' for more details" "$LINENO" 5; }

# Provide some information about the compiler.
$as_echo "$as_me:${as_lineno-$LINENO}: checking for C compiler version" >&5
set X $ac_compile
ac_compiler=$2
for ac_option in --version -v -V -qversion; do
  { { ac_try="$ac_compiler $ac_option >&5"
case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
$as_echo "$ac_try_echo"; } >&5
  (eval "$ac_compiler $ac_option >&5") 2>conftest.err
  ac_status=$?
  if test -s conftest.err; then
    sed '10a\
... rest of stderr output deleted ...
         10q' conftest.err >conftest.er1
    cat conftest.er1 >&5
  fi
  rm -f conftest.er1 conftest.err
  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
  test $ac_status = 0; }
done

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether we are using the GNU C compiler" >&5
$as_echo_n "checking whether we are using the GNU C compiler... " >&6; }
if ${ac_cv_c_compiler_gnu+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{
#ifndef __GNUC__
       choke me
#endif

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_compiler_gnu=yes
else
  ac_compiler_gnu=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
ac_cv_c_compiler_gnu=$ac_compiler_gnu

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_c_compiler_gnu" >&5
$as_echo "$ac_cv_c_compiler_gnu" >&6; }
if test $ac_compiler_gnu = yes; then
  GCC=yes
else
  GCC=
fi
ac_test_CFLAGS=${CFLAGS+set}
ac_save_CFLAGS=$CFLAGS
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether $CC accepts -g" >&5
$as_echo_n "checking whether $CC accepts -g... " >&6; }
if ${ac_cv_prog_cc_g+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_save_c_werror_flag=$ac_c_werror_flag
   ac_c_werror_flag=yes
   ac_cv_prog_cc_g=no
   CFLAGS="-g"
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_prog_cc_g=yes
else
  CFLAGS=""
      cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :

else
  ac_c_werror_flag=$ac_save_c_werror_flag
	 CFLAGS="-g"
	 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_prog_cc_g=yes
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
   ac_c_werror_flag=$ac_save_c_werror_flag
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_prog_cc_g" >&5
$as_echo "$ac_cv_prog_cc_g" >&6; }
if test "$ac_test_CFLAGS" = set; then
  CFLAGS=$ac_save_CFLAGS
elif test $ac_cv_prog_cc_g = yes; then
  if test "$GCC" = yes; then
    CFLAGS="-g -O2"
  else
    CFLAGS="-g"
  fi
else
  if test "$GCC" = yes; then
    CFLAGS="-O2"
  else
    CFLAGS=
  fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $CC option to accept ISO C89" >&5
$as_echo_n "checking for $CC option to accept ISO C89... " >&6; }
if ${ac_cv_prog_cc_c89+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_cv_prog_cc_c89=no
ac_save_CC=$CC
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <stdarg.h>
#include <stdio.h>
struct stat;
/* Most of the following tests are stolen from RCS 5.7's src/conf.sh.  */
struct buf { int x; };
FILE * (*rcsopen) (struct buf *, struct stat *, int);
static char *e (p, i)
     char **p;
     int i;
{
  return p[i];
}
static char *f (char * (*g) (char **, int), char **p, ...)
{
  char *s;
  va_list v;
  va_start (v,p);
  s = g (p, va_arg (v,int));
  va_end (v);
  return s;
}

/* OSF 4.0 Compaq cc is some sort of almost-ANSI by default.  It has
   function prototypes and stuff, but not '\xHH' hex character constants.
   These don't provoke an error unfortunately, instead are silently treated
   as 'x'.  The following induces an error, until -std is added to get
   proper ANSI mode.  Curiously '\x00'!='x' always comes out true, for an
   array size at least.  It's necessary to write '\x00'==0 to get something
   that's true only with -std.  */
int osf4_cc_array ['\x00' == 0 ? 1 : -1];

/* IBM C 6 for AIX is almost-ANSI by default, but it replaces macro parameters
   inside strings and character constants.  */
#define FOO(x) 'x'
int xlc6_cc_array[FOO(a) == 'x' ? 1 : -1];

int test (int i, double x);
struct s1 {int (*f) (int a);};
struct s2 {int (*f) (double a);};
int pairnames (int, char **, FILE *(*)(struct buf *, struct stat *, int), int, int);
int argc;
char **argv;
int
main ()
{
return f (e, argv, 0) != argv[0]  ||  f (e, argv, 1) != argv[1];
  ;
  return 0;
}
_ACEOF
for ac_arg in '' -qlanglvl=extc89 -qlanglvl=ansi -std \
	-Ae "-Aa -D_HPUX_SOURCE" "-Xc -D__EXTENSIONS__"
do
  CC="$ac_save_CC $ac_arg"
  if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_prog_cc_c89=$ac_arg
fi
rm -f core conftest.err conftest.$ac_objext
  test "x$ac_cv_prog_cc_c89" != "xno" && break
done
rm -f conftest.$ac_ext
CC=$ac_save_CC

fi
# AC_CACHE_VAL
case "x$ac_cv_prog_cc_c89" in
  x)
    { $as_echo "$as_me:${as_lineno-$LINENO}: result: none needed" >&5
$as_echo "none needed" >&6; } ;;
  xno)
    { $as_echo "$as_me:${as_lineno-$LINENO}: result: unsupported" >&5
$as_echo "unsupported" >&6; } ;;
  *)
    CC="$CC $ac_cv_prog_cc_c89"
    { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_prog_cc_c89" >&5
$as_echo "$ac_cv_prog_cc_c89" >&6; } ;;
esac
if test "x$ac_cv_prog_cc_c89" != xno; then :

fi

ac_ext=c
xe_cppflags='$CPPFLAGS $c_switch_site $c_switch_machine $c_switch_system $c_switch_x_site $X_CFLAGS'
xe_ldflags='$LDFLAGS $ld_switch_site $ld_switch_machine $ld_switch_system $ld_switch_x_site $ld_switch_run'
xe_libs='$ld_call_shared $xe_check_libs $X_EXTRA_LIBS $libs_x $libs_gtk $X_PRE_LIBS $LIBS $libs_machine $libs_system $libs_standard'
ac_cpp='$CPP '"$xe_cppflags"
ac_compile='$CC -c $CFLAGS '"$xe_cppflags"' conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS '"$xe_cppflags $xe_ldflags"' conftest.$ac_ext '"$xe_libs"' >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu

if   test "$with_gcc" = "no"  -a "$GCC" = "yes"; then
  CC=${NON_GNU_CC-cc}
  ac_ext=c
xe_cppflags='$CPPFLAGS $c_switch_site $c_switch_machine $c_switch_system $c_switch_x_site $X_CFLAGS'
xe_ldflags='$LDFLAGS $ld_switch_site $ld_switch_machine $ld_switch_system $ld_switch_x_site $ld_switch_run'
xe_libs='$ld_call_shared $xe_check_libs $X_EXTRA_LIBS $libs_x $libs_gtk $X_PRE_LIBS $LIBS $libs_machine $libs_system $libs_standard'
ac_cpp='$CPP '"$xe_cppflags"
ac_compile='$CC -c $CFLAGS '"$xe_cppflags"' conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS '"$xe_cppflags $xe_ldflags"' conftest.$ac_ext '"$xe_libs"' >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu
if test -n "$ac_tool_prefix"; then
  # Extract the first word of "${ac_tool_prefix}gcc", so it can be a program name with args.
set dummy ${ac_tool_prefix}gcc; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_CC+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$CC"; then
  ac_cv_prog_CC="$CC" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_CC="${ac_tool_prefix}gcc"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
CC=$ac_cv_prog_CC
if test -n "$CC"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $CC" >&5
$as_echo "$CC" >&6; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
fi


fi
if test -z "$ac_cv_prog_CC"; then
  ac_ct_CC=$CC
  # Extract the first word of "gcc", so it can be a program name with args.
set dummy gcc; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_ac_ct_CC+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$ac_ct_CC"; then
  ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_ac_ct_CC="gcc"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
ac_ct_CC=$ac_cv_prog_ac_ct_CC
if test -n "$ac_ct_CC"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_ct_CC" >&5
$as_echo "$ac_ct_CC" >&6; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
fi

  if test "x$ac_ct_CC" = x; then
    CC=""
  else
    case $cross_compiling:$ac_tool_warned in
yes:)
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
$as_echo "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
ac_tool_warned=yes ;;
esac
    CC=$ac_ct_CC
  fi
else
  CC="$ac_cv_prog_CC"
fi

if test -z "$CC"; then
          if test -n "$ac_tool_prefix"; then
    # Extract the first word of "${ac_tool_prefix}cc", so it can be a program name with args.
set dummy ${ac_tool_prefix}cc; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_CC+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$CC"; then
  ac_cv_prog_CC="$CC" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_CC="${ac_tool_prefix}cc"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
CC=$ac_cv_prog_CC
if test -n "$CC"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $CC" >&5
$as_echo "$CC" >&6; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
fi


  fi
fi
if test -z "$CC"; then
  # Extract the first word of "cc", so it can be a program name with args.
set dummy cc; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_CC+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$CC"; then
  ac_cv_prog_CC="$CC" # Let the user override the test.
else
  ac_prog_rejected=no
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    if test "$as_dir/$ac_word$ac_exec_ext" = "/usr/ucb/cc"; then
       ac_prog_rejected=yes
       continue
     fi
    ac_cv_prog_CC="cc"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

if test $ac_prog_rejected = yes; then
  # We found a bogon in the path, so make sure we never use it.
  set dummy $ac_cv_prog_CC
  shift
  if test $# != 0; then
    # We chose a different compiler from the bogus one.
    # However, it has the same basename, so the bogon will be chosen
    # first if we set CC to just the basename; use the full file name.
    shift
    ac_cv_prog_CC="$as_dir/$ac_word${1+' '}$@"
  fi
fi
fi
fi
CC=$ac_cv_prog_CC
if test -n "$CC"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $CC" >&5
$as_echo "$CC" >&6; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
fi


fi
if test -z "$CC"; then
  if test -n "$ac_tool_prefix"; then
  for ac_prog in cl.exe
  do
    # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
set dummy $ac_tool_prefix$ac_prog; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_CC+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$CC"; then
  ac_cv_prog_CC="$CC" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_CC="$ac_tool_prefix$ac_prog"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
CC=$ac_cv_prog_CC
if test -n "$CC"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $CC" >&5
$as_echo "$CC" >&6; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
fi


    test -n "$CC" && break
  done
fi
if test -z "$CC"; then
  ac_ct_CC=$CC
  for ac_prog in cl.exe
do
  # Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_ac_ct_CC+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$ac_ct_CC"; then
  ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_ac_ct_CC="$ac_prog"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
ac_ct_CC=$ac_cv_prog_ac_ct_CC
if test -n "$ac_ct_CC"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_ct_CC" >&5
$as_echo "$ac_ct_CC" >&6; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
fi


  test -n "$ac_ct_CC" && break
done

  if test "x$ac_ct_CC" = x; then
    CC=""
  else
    case $cross_compiling:$ac_tool_warned in
yes:)
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
$as_echo "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
ac_tool_warned=yes ;;
esac
    CC=$ac_ct_CC
  fi
fi

fi


test -z "$CC" && { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error $? "no acceptable C compiler found in \$PATH
See \`config.log' for more details" "$LINENO" 5; }

# Provide some information about the compiler.
$as_echo "$as_me:${as_lineno-$LINENO}: checking for C compiler version" >&5
set X $ac_compile
ac_compiler=$2
for ac_option in --version -v -V -qversion; do
  { { ac_try="$ac_compiler $ac_option >&5"
case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
$as_echo "$ac_try_echo"; } >&5
  (eval "$ac_compiler $ac_option >&5") 2>conftest.err
  ac_status=$?
  if test -s conftest.err; then
    sed '10a\
... rest of stderr output deleted ...
         10q' conftest.err >conftest.er1
    cat conftest.er1 >&5
  fi
  rm -f conftest.er1 conftest.err
  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
  test $ac_status = 0; }
done

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether we are using the GNU C compiler" >&5
$as_echo_n "checking whether we are using the GNU C compiler... " >&6; }
if ${ac_cv_c_compiler_gnu+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{
#ifndef __GNUC__
       choke me
#endif

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_compiler_gnu=yes
else
  ac_compiler_gnu=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
ac_cv_c_compiler_gnu=$ac_compiler_gnu

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_c_compiler_gnu" >&5
$as_echo "$ac_cv_c_compiler_gnu" >&6; }
if test $ac_compiler_gnu = yes; then
  GCC=yes
else
  GCC=
fi
ac_test_CFLAGS=${CFLAGS+set}
ac_save_CFLAGS=$CFLAGS
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether $CC accepts -g" >&5
$as_echo_n "checking whether $CC accepts -g... " >&6; }
if ${ac_cv_prog_cc_g+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_save_c_werror_flag=$ac_c_werror_flag
   ac_c_werror_flag=yes
   ac_cv_prog_cc_g=no
   CFLAGS="-g"
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_prog_cc_g=yes
else
  CFLAGS=""
      cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :

else
  ac_c_werror_flag=$ac_save_c_werror_flag
	 CFLAGS="-g"
	 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_prog_cc_g=yes
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
   ac_c_werror_flag=$ac_save_c_werror_flag
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_prog_cc_g" >&5
$as_echo "$ac_cv_prog_cc_g" >&6; }
if test "$ac_test_CFLAGS" = set; then
  CFLAGS=$ac_save_CFLAGS
elif test $ac_cv_prog_cc_g = yes; then
  if test "$GCC" = yes; then
    CFLAGS="-g -O2"
  else
    CFLAGS="-g"
  fi
else
  if test "$GCC" = yes; then
    CFLAGS="-O2"
  else
    CFLAGS=
  fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $CC option to accept ISO C89" >&5
$as_echo_n "checking for $CC option to accept ISO C89... " >&6; }
if ${ac_cv_prog_cc_c89+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_cv_prog_cc_c89=no
ac_save_CC=$CC
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <stdarg.h>
#include <stdio.h>
struct stat;
/* Most of the following tests are stolen from RCS 5.7's src/conf.sh.  */
struct buf { int x; };
FILE * (*rcsopen) (struct buf *, struct stat *, int);
static char *e (p, i)
     char **p;
     int i;
{
  return p[i];
}
static char *f (char * (*g) (char **, int), char **p, ...)
{
  char *s;
  va_list v;
  va_start (v,p);
  s = g (p, va_arg (v,int));
  va_end (v);
  return s;
}

/* OSF 4.0 Compaq cc is some sort of almost-ANSI by default.  It has
   function prototypes and stuff, but not '\xHH' hex character constants.
   These don't provoke an error unfortunately, instead are silently treated
   as 'x'.  The following induces an error, until -std is added to get
   proper ANSI mode.  Curiously '\x00'!='x' always comes out true, for an
   array size at least.  It's necessary to write '\x00'==0 to get something
   that's true only with -std.  */
int osf4_cc_array ['\x00' == 0 ? 1 : -1];

/* IBM C 6 for AIX is almost-ANSI by default, but it replaces macro parameters
   inside strings and character constants.  */
#define FOO(x) 'x'
int xlc6_cc_array[FOO(a) == 'x' ? 1 : -1];

int test (int i, double x);
struct s1 {int (*f) (int a);};
struct s2 {int (*f) (double a);};
int pairnames (int, char **, FILE *(*)(struct buf *, struct stat *, int), int, int);
int argc;
char **argv;
int
main ()
{
return f (e, argv, 0) != argv[0]  ||  f (e, argv, 1) != argv[1];
  ;
  return 0;
}
_ACEOF
for ac_arg in '' -qlanglvl=extc89 -qlanglvl=ansi -std \
	-Ae "-Aa -D_HPUX_SOURCE" "-Xc -D__EXTENSIONS__"
do
  CC="$ac_save_CC $ac_arg"
  if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_prog_cc_c89=$ac_arg
fi
rm -f core conftest.err conftest.$ac_objext
  test "x$ac_cv_prog_cc_c89" != "xno" && break
done
rm -f conftest.$ac_ext
CC=$ac_save_CC

fi
# AC_CACHE_VAL
case "x$ac_cv_prog_cc_c89" in
  x)
    { $as_echo "$as_me:${as_lineno-$LINENO}: result: none needed" >&5
$as_echo "none needed" >&6; } ;;
  xno)
    { $as_echo "$as_me:${as_lineno-$LINENO}: result: unsupported" >&5
$as_echo "unsupported" >&6; } ;;
  *)
    CC="$CC $ac_cv_prog_cc_c89"
    { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_prog_cc_c89" >&5
$as_echo "$ac_cv_prog_cc_c89" >&6; } ;;
esac
if test "x$ac_cv_prog_cc_c89" != xno; then :

fi

ac_ext=c
xe_cppflags='$CPPFLAGS $c_switch_site $c_switch_machine $c_switch_system $c_switch_x_site $X_CFLAGS'
xe_ldflags='$LDFLAGS $ld_switch_site $ld_switch_machine $ld_switch_system $ld_switch_x_site $ld_switch_run'
xe_libs='$ld_call_shared $xe_check_libs $X_EXTRA_LIBS $libs_x $libs_gtk $X_PRE_LIBS $LIBS $libs_machine $libs_system $libs_standard'
ac_cpp='$CPP '"$xe_cppflags"
ac_compile='$CC -c $CFLAGS '"$xe_cppflags"' conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS '"$xe_cppflags $xe_ldflags"' conftest.$ac_ext '"$xe_libs"' >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu

elif test "$with_gcc" = "yes" -a "$GCC" != "yes" ; then
  CC=gcc
  ac_ext=c
xe_cppflags='$CPPFLAGS $c_switch_site $c_switch_machine $c_switch_system $c_switch_x_site $X_CFLAGS'
xe_ldflags='$LDFLAGS $ld_switch_site $ld_switch_machine $ld_switch_system $ld_switch_x_site $ld_switch_run'
xe_libs='$ld_call_shared $xe_check_libs $X_EXTRA_LIBS $libs_x $libs_gtk $X_PRE_LIBS $LIBS $libs_machine $libs_system $libs_standard'
ac_cpp='$CPP '"$xe_cppflags"
ac_compile='$CC -c $CFLAGS '"$xe_cppflags"' conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS '"$xe_cppflags $xe_ldflags"' conftest.$ac_ext '"$xe_libs"' >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu
if test -n "$ac_tool_prefix"; then
  # Extract the first word of "${ac_tool_prefix}gcc", so it can be a program name with args.
set dummy ${ac_tool_prefix}gcc; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_CC+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$CC"; then
  ac_cv_prog_CC="$CC" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_CC="${ac_tool_prefix}gcc"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
CC=$ac_cv_prog_CC
if test -n "$CC"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $CC" >&5
$as_echo "$CC" >&6; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
fi


fi
if test -z "$ac_cv_prog_CC"; then
  ac_ct_CC=$CC
  # Extract the first word of "gcc", so it can be a program name with args.
set dummy gcc; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_ac_ct_CC+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$ac_ct_CC"; then
  ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_ac_ct_CC="gcc"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
ac_ct_CC=$ac_cv_prog_ac_ct_CC
if test -n "$ac_ct_CC"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_ct_CC" >&5
$as_echo "$ac_ct_CC" >&6; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
fi

  if test "x$ac_ct_CC" = x; then
    CC=""
  else
    case $cross_compiling:$ac_tool_warned in
yes:)
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
$as_echo "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
ac_tool_warned=yes ;;
esac
    CC=$ac_ct_CC
  fi
else
  CC="$ac_cv_prog_CC"
fi

if test -z "$CC"; then
          if test -n "$ac_tool_prefix"; then
    # Extract the first word of "${ac_tool_prefix}cc", so it can be a program name with args.
set dummy ${ac_tool_prefix}cc; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_CC+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$CC"; then
  ac_cv_prog_CC="$CC" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_CC="${ac_tool_prefix}cc"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
CC=$ac_cv_prog_CC
if test -n "$CC"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $CC" >&5
$as_echo "$CC" >&6; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
fi


  fi
fi
if test -z "$CC"; then
  # Extract the first word of "cc", so it can be a program name with args.
set dummy cc; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_CC+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$CC"; then
  ac_cv_prog_CC="$CC" # Let the user override the test.
else
  ac_prog_rejected=no
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    if test "$as_dir/$ac_word$ac_exec_ext" = "/usr/ucb/cc"; then
       ac_prog_rejected=yes
       continue
     fi
    ac_cv_prog_CC="cc"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

if test $ac_prog_rejected = yes; then
  # We found a bogon in the path, so make sure we never use it.
  set dummy $ac_cv_prog_CC
  shift
  if test $# != 0; then
    # We chose a different compiler from the bogus one.
    # However, it has the same basename, so the bogon will be chosen
    # first if we set CC to just the basename; use the full file name.
    shift
    ac_cv_prog_CC="$as_dir/$ac_word${1+' '}$@"
  fi
fi
fi
fi
CC=$ac_cv_prog_CC
if test -n "$CC"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $CC" >&5
$as_echo "$CC" >&6; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
fi


fi
if test -z "$CC"; then
  if test -n "$ac_tool_prefix"; then
  for ac_prog in cl.exe
  do
    # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
set dummy $ac_tool_prefix$ac_prog; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_CC+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$CC"; then
  ac_cv_prog_CC="$CC" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_CC="$ac_tool_prefix$ac_prog"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
CC=$ac_cv_prog_CC
if test -n "$CC"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $CC" >&5
$as_echo "$CC" >&6; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
fi


    test -n "$CC" && break
  done
fi
if test -z "$CC"; then
  ac_ct_CC=$CC
  for ac_prog in cl.exe
do
  # Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_ac_ct_CC+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$ac_ct_CC"; then
  ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_ac_ct_CC="$ac_prog"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
ac_ct_CC=$ac_cv_prog_ac_ct_CC
if test -n "$ac_ct_CC"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_ct_CC" >&5
$as_echo "$ac_ct_CC" >&6; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
fi


  test -n "$ac_ct_CC" && break
done

  if test "x$ac_ct_CC" = x; then
    CC=""
  else
    case $cross_compiling:$ac_tool_warned in
yes:)
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
$as_echo "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
ac_tool_warned=yes ;;
esac
    CC=$ac_ct_CC
  fi
fi

fi


test -z "$CC" && { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error $? "no acceptable C compiler found in \$PATH
See \`config.log' for more details" "$LINENO" 5; }

# Provide some information about the compiler.
$as_echo "$as_me:${as_lineno-$LINENO}: checking for C compiler version" >&5
set X $ac_compile
ac_compiler=$2
for ac_option in --version -v -V -qversion; do
  { { ac_try="$ac_compiler $ac_option >&5"
case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
$as_echo "$ac_try_echo"; } >&5
  (eval "$ac_compiler $ac_option >&5") 2>conftest.err
  ac_status=$?
  if test -s conftest.err; then
    sed '10a\
... rest of stderr output deleted ...
         10q' conftest.err >conftest.er1
    cat conftest.er1 >&5
  fi
  rm -f conftest.er1 conftest.err
  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
  test $ac_status = 0; }
done

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether we are using the GNU C compiler" >&5
$as_echo_n "checking whether we are using the GNU C compiler... " >&6; }
if ${ac_cv_c_compiler_gnu+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{
#ifndef __GNUC__
       choke me
#endif

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_compiler_gnu=yes
else
  ac_compiler_gnu=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
ac_cv_c_compiler_gnu=$ac_compiler_gnu

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_c_compiler_gnu" >&5
$as_echo "$ac_cv_c_compiler_gnu" >&6; }
if test $ac_compiler_gnu = yes; then
  GCC=yes
else
  GCC=
fi
ac_test_CFLAGS=${CFLAGS+set}
ac_save_CFLAGS=$CFLAGS
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether $CC accepts -g" >&5
$as_echo_n "checking whether $CC accepts -g... " >&6; }
if ${ac_cv_prog_cc_g+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_save_c_werror_flag=$ac_c_werror_flag
   ac_c_werror_flag=yes
   ac_cv_prog_cc_g=no
   CFLAGS="-g"
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_prog_cc_g=yes
else
  CFLAGS=""
      cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :

else
  ac_c_werror_flag=$ac_save_c_werror_flag
	 CFLAGS="-g"
	 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_prog_cc_g=yes
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
   ac_c_werror_flag=$ac_save_c_werror_flag
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_prog_cc_g" >&5
$as_echo "$ac_cv_prog_cc_g" >&6; }
if test "$ac_test_CFLAGS" = set; then
  CFLAGS=$ac_save_CFLAGS
elif test $ac_cv_prog_cc_g = yes; then
  if test "$GCC" = yes; then
    CFLAGS="-g -O2"
  else
    CFLAGS="-g"
  fi
else
  if test "$GCC" = yes; then
    CFLAGS="-O2"
  else
    CFLAGS=
  fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $CC option to accept ISO C89" >&5
$as_echo_n "checking for $CC option to accept ISO C89... " >&6; }
if ${ac_cv_prog_cc_c89+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_cv_prog_cc_c89=no
ac_save_CC=$CC
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <stdarg.h>
#include <stdio.h>
struct stat;
/* Most of the following tests are stolen from RCS 5.7's src/conf.sh.  */
struct buf { int x; };
FILE * (*rcsopen) (struct buf *, struct stat *, int);
static char *e (p, i)
     char **p;
     int i;
{
  return p[i];
}
static char *f (char * (*g) (char **, int), char **p, ...)
{
  char *s;
  va_list v;
  va_start (v,p);
  s = g (p, va_arg (v,int));
  va_end (v);
  return s;
}

/* OSF 4.0 Compaq cc is some sort of almost-ANSI by default.  It has
   function prototypes and stuff, but not '\xHH' hex character constants.
   These don't provoke an error unfortunately, instead are silently treated
   as 'x'.  The following induces an error, until -std is added to get
   proper ANSI mode.  Curiously '\x00'!='x' always comes out true, for an
   array size at least.  It's necessary to write '\x00'==0 to get something
   that's true only with -std.  */
int osf4_cc_array ['\x00' == 0 ? 1 : -1];

/* IBM C 6 for AIX is almost-ANSI by default, but it replaces macro parameters
   inside strings and character constants.  */
#define FOO(x) 'x'
int xlc6_cc_array[FOO(a) == 'x' ? 1 : -1];

int test (int i, double x);
struct s1 {int (*f) (int a);};
struct s2 {int (*f) (double a);};
int pairnames (int, char **, FILE *(*)(struct buf *, struct stat *, int), int, int);
int argc;
char **argv;
int
main ()
{
return f (e, argv, 0) != argv[0]  ||  f (e, argv, 1) != argv[1];
  ;
  return 0;
}
_ACEOF
for ac_arg in '' -qlanglvl=extc89 -qlanglvl=ansi -std \
	-Ae "-Aa -D_HPUX_SOURCE" "-Xc -D__EXTENSIONS__"
do
  CC="$ac_save_CC $ac_arg"
  if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_prog_cc_c89=$ac_arg
fi
rm -f core conftest.err conftest.$ac_objext
  test "x$ac_cv_prog_cc_c89" != "xno" && break
done
rm -f conftest.$ac_ext
CC=$ac_save_CC

fi
# AC_CACHE_VAL
case "x$ac_cv_prog_cc_c89" in
  x)
    { $as_echo "$as_me:${as_lineno-$LINENO}: result: none needed" >&5
$as_echo "none needed" >&6; } ;;
  xno)
    { $as_echo "$as_me:${as_lineno-$LINENO}: result: unsupported" >&5
$as_echo "unsupported" >&6; } ;;
  *)
    CC="$CC $ac_cv_prog_cc_c89"
    { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_prog_cc_c89" >&5
$as_echo "$ac_cv_prog_cc_c89" >&6; } ;;
esac
if test "x$ac_cv_prog_cc_c89" != xno; then :

fi

ac_ext=c
xe_cppflags='$CPPFLAGS $c_switch_site $c_switch_machine $c_switch_system $c_switch_x_site $X_CFLAGS'
xe_ldflags='$LDFLAGS $ld_switch_site $ld_switch_machine $ld_switch_system $ld_switch_x_site $ld_switch_run'
xe_libs='$ld_call_shared $xe_check_libs $X_EXTRA_LIBS $libs_x $libs_gtk $X_PRE_LIBS $LIBS $libs_machine $libs_system $libs_standard'
ac_cpp='$CPP '"$xe_cppflags"
ac_compile='$CC -c $CFLAGS '"$xe_cppflags"' conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS '"$xe_cppflags $xe_ldflags"' conftest.$ac_ext '"$xe_libs"' >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu

fi
CFLAGS="$xe_save_CFLAGS"

if test "$GCC" = "yes"; then
if test "$cross_compiling" = yes; then :
  { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error $? "cannot run test program while cross compiling
See \`config.log' for more details" "$LINENO" 5; }
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
int main () {
return __GNUC__;
}
_ACEOF
if ac_fn_c_try_run "$LINENO"; then :
  :
else
  __GCC="$?"
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
  conftest.$ac_objext conftest.beam conftest.$ac_ext
fi

if test "$cross_compiling" = yes; then :
  { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error $? "cannot run test program while cross compiling
See \`config.log' for more details" "$LINENO" 5; }
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
int main () {
return __GNUC_MINOR__;
}
_ACEOF
if ac_fn_c_try_run "$LINENO"; then :
  :
else
  __GCC_MINOR="$?"
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
  conftest.$ac_objext conftest.beam conftest.$ac_ext
fi

__GCC_VERSION=$__GCC"."$__GCC_MINOR
echo "You appear to be using GCC version" $__GCC_VERSION
fi



test -n "$with_xemacs_compiler" && XEMACS_CC="$with_xemacs_compiler"
: ${XEMACS_CC:="$CC"}


{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether we are using g++" >&5
$as_echo_n "checking whether we are using g++... " >&6; }

XEMACS_CC_GPP=no
case "$XEMACS_CC" in
  *g++* ) XEMACS_CC_GPP=yes ;;
esac

if test "$XEMACS_CC_GPP" = "no" -a "$GCC" = "yes"; then
  case "`$XEMACS_CC --version`" in
    g++* ) XEMACS_CC_GPP=yes ;;
  esac
fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $XEMACS_CC_GPP" >&5
$as_echo "$XEMACS_CC_GPP" >&6; }


test -n "$CPP" -a -d "$CPP" && CPP=

test -n "$NON_GNU_CPP" -a "$GCC" != "yes" -a -z "$CPP" && CPP="$NON_GNU_CPP"

ac_ext=c
xe_cppflags='$CPPFLAGS $c_switch_site $c_switch_machine $c_switch_system $c_switch_x_site $X_CFLAGS'
xe_ldflags='$LDFLAGS $ld_switch_site $ld_switch_machine $ld_switch_system $ld_switch_x_site $ld_switch_run'
xe_libs='$ld_call_shared $xe_check_libs $X_EXTRA_LIBS $libs_x $libs_gtk $X_PRE_LIBS $LIBS $libs_machine $libs_system $libs_standard'
ac_cpp='$CPP '"$xe_cppflags"
ac_compile='$CC -c $CFLAGS '"$xe_cppflags"' conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS '"$xe_cppflags $xe_ldflags"' conftest.$ac_ext '"$xe_libs"' >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking how to run the C preprocessor" >&5
$as_echo_n "checking how to run the C preprocessor... " >&6; }
# On Suns, sometimes $CPP names a directory.
if test -n "$CPP" && test -d "$CPP"; then
  CPP=
fi
if test -z "$CPP"; then
  if ${ac_cv_prog_CPP+:} false; then :
  $as_echo_n "(cached) " >&6
else
      # Double quotes because CPP needs to be expanded
    for CPP in "$CC -E" "$CC -E -traditional-cpp" "/lib/cpp"
    do
      ac_preproc_ok=false
for ac_c_preproc_warn_flag in '' yes
do
  # Use a header file that comes with gcc, so configuring glibc
  # with a fresh cross-compiler works.
  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
  # <limits.h> exists even on freestanding compilers.
  # On the NeXT, cc -E runs the code through the compiler's parser,
  # not just through cpp. "Syntax error" is here to catch this case.
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#ifdef __STDC__
# include <limits.h>
#else
# include <assert.h>
#endif
		     Syntax error
_ACEOF
if ac_fn_c_try_cpp "$LINENO"; then :

else
  # Broken: fails on valid input.
continue
fi
rm -f conftest.err conftest.i conftest.$ac_ext

  # OK, works on sane cases.  Now check whether nonexistent headers
  # can be detected and how.
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <ac_nonexistent.h>
_ACEOF
if ac_fn_c_try_cpp "$LINENO"; then :
  # Broken: success on invalid input.
continue
else
  # Passes both tests.
ac_preproc_ok=:
break
fi
rm -f conftest.err conftest.i conftest.$ac_ext

done
# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
rm -f conftest.i conftest.err conftest.$ac_ext
if $ac_preproc_ok; then :
  break
fi

    done
    ac_cv_prog_CPP=$CPP

fi
  CPP=$ac_cv_prog_CPP
else
  ac_cv_prog_CPP=$CPP
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $CPP" >&5
$as_echo "$CPP" >&6; }
ac_preproc_ok=false
for ac_c_preproc_warn_flag in '' yes
do
  # Use a header file that comes with gcc, so configuring glibc
  # with a fresh cross-compiler works.
  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
  # <limits.h> exists even on freestanding compilers.
  # On the NeXT, cc -E runs the code through the compiler's parser,
  # not just through cpp. "Syntax error" is here to catch this case.
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#ifdef __STDC__
# include <limits.h>
#else
# include <assert.h>
#endif
		     Syntax error
_ACEOF
if ac_fn_c_try_cpp "$LINENO"; then :

else
  # Broken: fails on valid input.
continue
fi
rm -f conftest.err conftest.i conftest.$ac_ext

  # OK, works on sane cases.  Now check whether nonexistent headers
  # can be detected and how.
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <ac_nonexistent.h>
_ACEOF
if ac_fn_c_try_cpp "$LINENO"; then :
  # Broken: success on invalid input.
continue
else
  # Passes both tests.
ac_preproc_ok=:
break
fi
rm -f conftest.err conftest.i conftest.$ac_ext

done
# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
rm -f conftest.i conftest.err conftest.$ac_ext
if $ac_preproc_ok; then :

else
  { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error $? "C preprocessor \"$CPP\" fails sanity check
See \`config.log' for more details" "$LINENO" 5; }
fi

ac_ext=c
xe_cppflags='$CPPFLAGS $c_switch_site $c_switch_machine $c_switch_system $c_switch_x_site $X_CFLAGS'
xe_ldflags='$LDFLAGS $ld_switch_site $ld_switch_machine $ld_switch_system $ld_switch_x_site $ld_switch_run'
xe_libs='$ld_call_shared $xe_check_libs $X_EXTRA_LIBS $libs_x $libs_gtk $X_PRE_LIBS $LIBS $libs_machine $libs_system $libs_standard'
ac_cpp='$CPP '"$xe_cppflags"
ac_compile='$CC -c $CFLAGS '"$xe_cppflags"' conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS '"$xe_cppflags $xe_ldflags"' conftest.$ac_ext '"$xe_libs"' >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu




{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for GNU libc" >&5
$as_echo_n "checking for GNU libc... " >&6; }
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <features.h>
int
main ()
{

#if ! (defined __GLIBC__ || defined __GNU_LIBRARY__)
#error Not a GNU libc system :-(
******* ======= ******** &&&&&&&&
#endif

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  have_glibc=yes
else
  have_glibc=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $have_glibc" >&5
$as_echo "$have_glibc" >&6; }
test "$have_glibc" = "yes" && $as_echo "#define _GNU_SOURCE 1" >>confdefs.h


case "$opsys" in
  sol2)
   $as_echo "#define __EXTENSIONS__ 1" >>confdefs.h

      if test "$os_release" -ge 505; then
     $as_echo "#define _XOPEN_SOURCE 500" >>confdefs.h

     $as_echo "#define _XOPEN_SOURCE_EXTENDED 1" >>confdefs.h

   fi ;;
  linux)
    $as_echo "#define _POSIX_C_SOURCE 199506L" >>confdefs.h

        $as_echo "#define _XOPEN_SOURCE 500" >>confdefs.h

    $as_echo "#define _XOPEN_SOURCE_EXTENDED 1" >>confdefs.h

    ;;
  freebsd4*)
    $as_echo "#define _POSIX_C_SOURCE 199506L" >>confdefs.h

        $as_echo "#define _XOPEN_SOURCE 500" >>confdefs.h

        ;;
esac

if test "$cross_compiling" = yes; then :
  { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error $? "cannot run test program while cross compiling
See \`config.log' for more details" "$LINENO" 5; }
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
int main () {
#if defined __SUNPRO_C
return 11;
#elif defined __DECC
return 12;
#elif defined __USLC__ && defined __SCO_VERSION__
return 13;
#elif defined __INTEL_COMPILER
return 14;
#else
return 0;
#endif
}
_ACEOF
if ac_fn_c_try_run "$LINENO"; then :

else
  case "$?" in
  11) echo "You appear to be using the SunPro C compiler." ; __SUNPRO_C=yes ;;
  12) echo "You appear to be using the DEC C compiler."    ; __DECC=yes ;;
  13) echo "You appear to be using the SCO C compiler."    ; __USLC__=yes ;;
  14) echo "You appear to be using the Intel C++ compiler."; __ICC=yes
            GCC=no ;;
esac
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
  conftest.$ac_objext conftest.beam conftest.$ac_ext
fi



echo "Extracting information from the machine- and system-dependent headers..."

tempcname="conftest.c"



cat > $tempcname < confdefs.h
cat >> $tempcname <<EOF
#define NOT_C_CODE
#define C_SWITCH_SITE
#define C_SWITCH_X_SITE
#define LD_SWITCH_SITE
#define LD_SWITCH_X_SITE
#define LD_SWITCH_X_SITE_AUX
#define OS_RELEASE $os_release

#ifdef config_opsysfile
#include "$srcdir/src/$opsysfile"
#endif

#ifdef config_machfile
#include "$srcdir/src/$machfile"
#endif

#ifndef LIBS_MACHINE
#define LIBS_MACHINE
#endif
configure___ libs_machine=LIBS_MACHINE

#ifndef LIBS_SYSTEM
#define LIBS_SYSTEM
#endif
configure___ libs_system=LIBS_SYSTEM

#ifndef LIBS_TERMCAP
#define LIBS_TERMCAP
#endif
configure___ libs_termcap=LIBS_TERMCAP

#ifndef LIB_STANDARD
#define LIB_STANDARD
#endif
configure___ libs_standard=LIB_STANDARD


#ifndef OBJECTS_MACHINE
#define OBJECTS_MACHINE
#endif
configure___ objects_machine=OBJECTS_MACHINE

#ifndef OBJECTS_SYSTEM
#define OBJECTS_SYSTEM
#endif
configure___ objects_system=OBJECTS_SYSTEM


#ifndef C_SWITCH_MACHINE
#define C_SWITCH_MACHINE
#endif
configure___ c_switch_machine=C_SWITCH_MACHINE

#ifndef C_SWITCH_SYSTEM
#define C_SWITCH_SYSTEM
#endif
configure___ c_switch_system=C_SWITCH_SYSTEM


#ifndef LD_SWITCH_MACHINE
#define LD_SWITCH_MACHINE
#endif
configure___ ld_switch_machine=LD_SWITCH_MACHINE

#ifndef LD_SWITCH_SYSTEM
#define LD_SWITCH_SYSTEM
#endif
configure___ ld_switch_system=LD_SWITCH_SYSTEM


#ifndef UNEXEC
#define UNEXEC
#endif
configure___ unexec=UNEXEC


#ifndef SYSTEM_TYPE
#define SYSTEM_TYPE
#endif
configure___ system_type=SYSTEM_TYPE


#ifndef LD_SWITCH_SHARED
#define LD_SWITCH_SHARED "-c"
#endif
configure___ ld_switch_shared=LD_SWITCH_SHARED


#define ORDINARY_LD "\$(CC) \$(CFLAGS)"
configure___ ordinary_ld=ORDINARY_LD

#ifdef ORDINARY_LINK
#define LD ORDINARY_LD
#else /* no ORDINARY LINK */
#ifdef LINKER
#define LD LINKER
#else /* ! defined (LINKER) */
#define LD "ld"
#endif /* ! defined (LINKER) */
#endif /* not ORDINARY_LINK */
configure___ ld=LD

#ifndef LIB_GCC
#define LIB_GCC
#endif
configure___ lib_gcc=LIB_GCC

#ifndef LD_TEXT_START_ADDR
#define LD_TEXT_START_ADDR
#endif
configure___ ld_text_start_addr=LD_TEXT_START_ADDR


#if ! defined (ORDINARY_LINK) && !defined (START_FILES)
#ifdef NO_REMAP
#define START_FILES "pre-crt0.o /lib/crt0.o"
#else /* ! defined (NO_REMAP) */
#define START_FILES "ecrt0.o"
#endif /* ! defined (NO_REMAP) */
#endif /* no ORDINARY_LINK */
#ifndef START_FILES
#define START_FILES
#endif
configure___ start_files=START_FILES

#ifdef ORDINARY_LINK
configure___ ordinary_link=yes
#else
configure___ ordinary_link=no
#endif

#ifdef SYSTEM_MALLOC
configure___ system_malloc=yes
#else
configure___ system_malloc=no
#endif

#ifdef TERMINFO
configure___ have_terminfo=yes
#else
configure___ have_terminfo=no
#endif

#ifdef MAIL_USE_FLOCK
configure___ mail_use_flock=yes
#else
configure___ mail_use_flock=no
#endif

#ifdef MAIL_USE_LOCKF
configure___ mail_use_lockf=yes
#else
configure___ mail_use_lockf=no
#endif

#ifdef MAIL_USE_LOCKING
configure___ mail_use_locking=yes
#else
configure___ mail_use_locking=no
#endif

#ifdef HAVE_WIN32_PROCESSES
configure___ win32_processes=yes
#else
configure___ win32_processes=no
#endif

EOF

CPP=`eval "echo $CPP $CPPFLAGS"`
eval `$CPP -Isrc $tempcname \
	| sed -n -e "s/[ TAB]*=[ TAB\"]*/='/" -e "s/[ TAB\"]*\$/'/" -e "s/^configure___//p"`

rm $tempcname

test -z "$system_type" && \
  cat >>confdefs.h <<_ACEOF
#define SYSTEM_TYPE "`uname -s | tr ABCDEFGHIJKLMNOPQRSTUVWXYZ abcdefghijklmnopqrstuvwxyz`"
_ACEOF


test -z "$unexec" && with_pdump=yes

if test "$with_pdump" = "yes"; then
  ordinary_link="yes"
  ld="${ordinary_ld}"
  start_files=
  libs_standard=
  unexec=
  lib_gcc=
fi

test -z "$with_kkcc" && with_kkcc=yes

if test -z "$with_dump_in_exec"; then
  if test "$with_pdump" = "yes"; then
    if test "$with_newgc" = "yes"; then
      with_dump_in_exec=no
    else
      with_dump_in_exec=yes
    fi
  fi
fi

if test "$with_newgc" = "yes"; then
  with_kkcc=yes
fi

test "$verbose" = "yes" && \
  for var in libs_machine libs_system libs_termcap libs_standard   objects_machine objects_system c_switch_machine c_switch_system   ld_switch_machine ld_switch_system unexec ld_switch_shared   ld lib_gcc ld_text_start_addr start_files ordinary_link   have_terminfo mail_use_flock mail_use_lockf; do eval "echo \"$var = '\$$var'\""; done && echo ""

case "$opsys" in mingw* | cygwin*)
  cygwin_include=`eval gcc -print-search-dirs | sed -ne s'/install: //p'`
  cygwin_include=`eval "cd $cygwin_include/../../../..; pwd"`
  cygwin_include="-I$cygwin_include/include" ;
  extra_includes="$cygwin_include/mingw $cygwin_include" ;
  case "$opsys" in mingw*)
    c_switch_system="$c_switch_system $extra_includes" &&  if test "$verbose" = "yes"; then echo "    Appending \"$extra_includes\" to \$c_switch_system"; fi ;;
  esac
  ;;
esac

test "$ordinary_link" = "no" -a -z "$libs_standard" && libs_standard="-lc"


test "$__DECC" = "yes" && c_switch_site="$c_switch_site -std1" &&  if test "$verbose" = "yes"; then echo "    Appending \"-std1\" to \$c_switch_site"; fi

if test "$__USLC__" = yes; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for whether the -Kalloca compiler flag is needed" >&5
$as_echo_n "checking for whether the -Kalloca compiler flag is needed... " >&6; }
  need_kalloca=no
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{
void *x = alloca(4);
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  :
else

    xe_save_c_switch_system="$c_switch_system"
    c_switch_system="$c_switch_system -Kalloca"
    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{
void *x = alloca(4);
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
   need_kalloca=yes
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
    c_switch_system="$xe_save_c_switch_system"
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $need_kalloca" >&5
$as_echo "$need_kalloca" >&6; }
  test "$need_kalloca" = "yes" && c_switch_system="$c_switch_system -Kalloca" &&  if test "$verbose" = "yes"; then echo "    Appending \"-Kalloca\" to \$c_switch_system"; fi
fi


xemacs_cc_cc_mismatch=no
if test "$CC" != "$XEMACS_CC"; then
  if test "$XEMACS_CC_GPP" = "yes" -a "$GCC" != "yes"; then
    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: CC and g++ are mismatched; XE_CFLAGS may be wrong" >&5
$as_echo "$as_me: WARNING: CC and g++ are mismatched; XE_CFLAGS may be wrong" >&2;}
    xemacs_cc_cc_mismatch=yes
  fi
  if test -n "$GCC" -a "$XEMACS_CC_GPP" != "yes" ; then
    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: gcc and XEMACS_CC are mismatched; XE_CFLAGS may be wrong" >&5
$as_echo "$as_me: WARNING: gcc and XEMACS_CC are mismatched; XE_CFLAGS may be wrong" >&2;}
    xemacs_cc_cc_mismatch=yes
  fi
  fi


if test -z "$with_optimization"; then
  # If user set --with-cflags-optimization, use it to unilaterally
  # determine whether optimization should be enabled.
  if test "$cflags_optimization_specified" = "yes" ; then
    if test -z "$with_cflags_optimization" ; then
      with_optimization=no
    else
      with_optimization=yes
    fi
  elif test -z "$emacs_is_beta" ; then
    with_optimization=yes
  else
    with_optimization=no
  fi
fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for preferred optimization flags" >&5
$as_echo_n "checking for preferred optimization flags... " >&6; }
if test "$cflags_optimization_specified" = "no"; then
  if test "$with_optimization" = "yes" ; then
            if test "$GCC" = "yes"; then
                                    with_cflags_optimization="-O3 -fno-strict-aliasing"
    elif test "$__SUNPRO_C" = "yes"; then
      case "$opsys" in
        sol2    ) with_cflags_optimization="-xO4" ;;
      esac
    elif test "$__DECC" = "yes"; then
      with_cflags_optimization="-O3"
    elif test "$CC" = "xlc"; then
            with_cflags_optimization="-O3 -qstrict -qnoansialias -qlibansi -qmaxmem=20000"
    elif test "$__ICC" = "yes"; then
      with_cflags_optimization="-O3 -Ob2"
    elif test "$opsys" = "irix6-5"; then
                                    with_cflags_optimization="-O -OPT:Olimit=3500"
                    else
      with_cflags_optimization="-O" ;    fi
  elif test "$XEMACS_CC_GPP" = "yes" ; then
                with_cflags_optimization="-fno-strict-aliasing"
  fi
fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: result: ${with_cflags_optimization}" >&5
$as_echo "${with_cflags_optimization}" >&6; }

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for preferred debugging flags" >&5
$as_echo_n "checking for preferred debugging flags... " >&6; }
if test "$cflags_debugging_specified" = "no"; then
  if test "$GCC" = "no" -a "$opsys" = "irix6-5" -a "$with_optimization" = "yes" ; then
        with_cflags_debugging="-g3"
    else
    with_cflags_debugging="-g"
  fi

  debugging_ok_with_optimization=no
  if test "$GCC" = "yes" -o "$CC" = "xlc" -o "$__ICC" = "yes" -o "$opsys" = "irix6-5"; then
    debugging_ok_with_optimization=yes
  fi

  if test "$with_optimization" = "yes" -a "$debugging_ok_with_optimization" = "no"; then
    with_cflags_debugging=
  fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: ${with_cflags_debugging}" >&5
$as_echo "${with_cflags_debugging}" >&6; }


{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for preferred warning flags for XEMACS_CC" >&5
$as_echo_n "checking for preferred warning flags for XEMACS_CC... " >&6; }

xe_cflags_warning=""

if test "$cflags_warning_specified" = "no"; then
    if test "$__SUNPRO_C" = "yes"; then
    case "$opsys" in
      sol2    ) with_cflags_warning="-v" ;;
    esac
  elif test "$CC" = "xlc"; then
    with_cflags_warning="-qinfo"
  elif test "$GCC" = "yes"; then
    with_cflags_warning="-Wall -Wno-switch -Wundef"

                with_cflags_warning="$with_cflags_warning -Wsign-compare -Wno-char-subscripts"
    test "$__GCC" -ge 3 && with_cflags_warning="$with_cflags_warning -Wpacked"
            test "$have_glibc" != "yes" && \
      with_cflags_warning="$with_cflags_warning -Wpointer-arith"
                                                                with_cflags_warning_c="-Wshadow -Wmissing-declarations"
    with_cflags_warning_c="$with_cflags_warning_c -Wmissing-prototypes -Wstrict-prototypes"
    with_cflags_warning_cxx="-Weffc++"
    with_cflags_warning_c_xe=""
                                if test "$__GCC" -ge 3; then
      with_cflags_warning_c_xe="$with_cflags_warning_c_xe -Wunused-parameter"
      if test "$__GCC" -gt 3 || test "$__GCC_MINOR" -ge 4; then
        with_cflags_warning_c="$with_cflags_warning_c -Wdeclaration-after-statement"
      fi
    fi
                            if test "$XEMACS_CC_GPP" = "yes"; then
      xe_cflags_warning="$with_cflags_warning $with_cflags_warning_cxx"
    else
      xe_cflags_warning="$with_cflags_warning $with_cflags_warning_c $with_cflags_warning_c_xe"
    fi
    with_cflags_warning="$with_cflags_warning $with_cflags_warning_c"
  elif test "$__ICC" = "yes"; then
        with_cflags_warning="-Wall -w1 -we147"
    fi
fi
test -z "$xe_cflags_warning" && xe_cflags_warning="$with_cflags_warning"
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: ${xe_cflags_warning}" >&5
$as_echo "${xe_cflags_warning}" >&6; }

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for preferred warning flags for CC" >&5
$as_echo_n "checking for preferred warning flags for CC... " >&6; }
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: ${with_cflags_warning}" >&5
$as_echo "${with_cflags_warning}" >&6; }


{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for remaining CFLAGS" >&5
$as_echo_n "checking for remaining CFLAGS... " >&6; }

if test "$cflags_specified" = "no"; then
    if test "$CC" = "xlc"; then
    CFLAGS="-qro"
    fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: ${CFLAGS}" >&5
$as_echo "${CFLAGS}" >&6; }


XE_CFLAGS="$xe_cflags_warning $with_cflags_debugging $with_cflags_optimization $CFLAGS"
CFLAGS="$with_cflags_warning $with_cflags_debugging $with_cflags_optimization $CFLAGS"

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking total value of XE_CFLAGS" >&5
$as_echo_n "checking total value of XE_CFLAGS... " >&6; }
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: ${XE_CFLAGS}" >&5
$as_echo "${XE_CFLAGS}" >&6; }
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking total value of CFLAGS" >&5
$as_echo_n "checking total value of CFLAGS... " >&6; }
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: ${CFLAGS}" >&5
$as_echo "${CFLAGS}" >&6; }

if test "$GCC" = "yes"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for buggy gcc versions" >&5
$as_echo_n "checking for buggy gcc versions... " >&6; }
GCC_VERSION=`$CC --version`
case `uname -s`:`uname -m`:$GCC_VERSION in
		    *:sun4*:2.8.1|*:sun4*:egcs-2.90.*)
                        case "$CFLAGS" in
            *-O2*|*-O3*)
                case "$CFLAGS" in
                    *-fno-schedule-insns*) ;;
                    *)
                        { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
$as_echo "yes" >&6; }
                        { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: Don't use -O2 with gcc 2.8.1 and egcs 1.0 under SPARC architectures" >&5
$as_echo "$as_me: WARNING: Don't use -O2 with gcc 2.8.1 and egcs 1.0 under SPARC architectures" >&2;}
                        { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: without also using -fno-schedule-insns." >&5
$as_echo "$as_me: WARNING: without also using -fno-schedule-insns." >&2;}
                        as_fn_error $? "Aborting due to known problem" "$LINENO" 5
                        ;;
                esac
                ;;
        esac
        ;;
		    Linux:alpha:egcs-2.91.*)
        { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
$as_echo "yes" >&6; }
        { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: There have been reports of egcs-1.1 not compiling XEmacs correctly on" >&5
$as_echo "$as_me: WARNING: There have been reports of egcs-1.1 not compiling XEmacs correctly on" >&2;}
        { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: Alpha Linux.  There have also been reports that egcs-1.0.3a is O.K." >&5
$as_echo "$as_me: WARNING: Alpha Linux.  There have also been reports that egcs-1.0.3a is O.K." >&2;}
        as_fn_error $? "Aborting due to known problem" "$LINENO" 5
        ;;
    *:i*86*:2.7.2*)
	case "$CFLAGS" in
            *-O2*|*-O3*)
		case "$GCC_VERSION" in
		    2.7.2)
                	case "$CFLAGS" in
	                    *-fno-strength-reduce*) ;;
        	            *)
                                { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
$as_echo "yes" >&6; }
                      	        { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: Don't use -O2 with gcc 2.7.2 under Intel/XXX without also using" >&5
$as_echo "$as_me: WARNING: Don't use -O2 with gcc 2.7.2 under Intel/XXX without also using" >&2;}
	                        { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: -fno-strength-reduce." >&5
$as_echo "$as_me: WARNING: -fno-strength-reduce." >&2;}
        	                as_fn_error $? "Aborting due to known problem" "$LINENO" 5
	                        ;;
	                esac
	                ;;
		esac
	        case "$CFLAGS" in
		 *-fno-caller-saves*) ;;
		 *)
	            { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
$as_echo "yes" >&6; }
		    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: Don't use -O2 with gcc 2.7.2 under Intel/XXX without also using" >&5
$as_echo "$as_me: WARNING: Don't use -O2 with gcc 2.7.2 under Intel/XXX without also using" >&2;}
		    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: -fno-caller-saves." >&5
$as_echo "$as_me: WARNING: -fno-caller-saves." >&2;}
	            as_fn_error $? "Aborting due to known problem" "$LINENO" 5
		    ;;
	        esac
		;;
	esac
	;;
esac
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
fi

if test "$with_pdump" != "yes"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for \"-z nocombreloc\" linker flag" >&5
$as_echo_n "checking for \"-z nocombreloc\" linker flag... " >&6; }
  case "`ld --help 2>&1`" in
    *-z\ nocombreloc* ) { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
$as_echo "yes" >&6; }
      ld_switch_site="-z nocombreloc $ld_switch_site" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-z nocombreloc\" to \$ld_switch_site"; fi ;;
    *) { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; } ;;
  esac
fi


if test "$GCC" = "yes"; then
  set x $ld_switch_system; shift; ld_switch_system=""
  while test -n "$1"; do
    case $1 in
      -L  | -l  | -u               ) ld_switch_system="$ld_switch_system $1 $2"; shift ;;
      -L* | -l* | -u* | -Wl* | -pg ) ld_switch_system="$ld_switch_system $1" ;;
      -Xlinker* ) ;;
      * ) ld_switch_system="$ld_switch_system -Xlinker $1" ;;
    esac
    shift
  done
fi

if test "$GCC" = "yes"; then
  set x $ld_switch_machine; shift; ld_switch_machine=""
  while test -n "$1"; do
    case $1 in
      -L  | -l  | -u               ) ld_switch_machine="$ld_switch_machine $1 $2"; shift ;;
      -L* | -l* | -u* | -Wl* | -pg ) ld_switch_machine="$ld_switch_machine $1" ;;
      -Xlinker* ) ;;
      * ) ld_switch_machine="$ld_switch_machine -Xlinker $1" ;;
    esac
    shift
  done
fi

if test "$GCC" = "yes"; then
  set x $ld_switch_site; shift; ld_switch_site=""
  while test -n "$1"; do
    case $1 in
      -L  | -l  | -u               ) ld_switch_site="$ld_switch_site $1 $2"; shift ;;
      -L* | -l* | -u* | -Wl* | -pg ) ld_switch_site="$ld_switch_site $1" ;;
      -Xlinker* ) ;;
      * ) ld_switch_site="$ld_switch_site -Xlinker $1" ;;
    esac
    shift
  done
fi

if test "$GCC" = "yes"; then
  set x $LDFLAGS; shift; LDFLAGS=""
  while test -n "$1"; do
    case $1 in
      -L  | -l  | -u               ) LDFLAGS="$LDFLAGS $1 $2"; shift ;;
      -L* | -l* | -u* | -Wl* | -pg ) LDFLAGS="$LDFLAGS $1" ;;
      -Xlinker* ) ;;
      * ) LDFLAGS="$LDFLAGS -Xlinker $1" ;;
    esac
    shift
  done
fi

if test "$GCC" = "yes"; then
  set x $ld_call_shared; shift; ld_call_shared=""
  while test -n "$1"; do
    case $1 in
      -L  | -l  | -u               ) ld_call_shared="$ld_call_shared $1 $2"; shift ;;
      -L* | -l* | -u* | -Wl* | -pg ) ld_call_shared="$ld_call_shared $1" ;;
      -Xlinker* ) ;;
      * ) ld_call_shared="$ld_call_shared -Xlinker $1" ;;
    esac
    shift
  done
fi

test -n "$objects_machine" && extra_objs="$extra_objs $objects_machine" &&  if test "$verbose" = "yes"; then
   echo "    xemacs will be linked with \"$objects_machine\""
 fi
test -n "$objects_system"  && extra_objs="$extra_objs $objects_system" &&  if test "$verbose" = "yes"; then
   echo "    xemacs will be linked with \"$objects_system\""
 fi
test -n "$unexec"          && test ! "$with_pdump" = "yes" && extra_objs="$extra_objs $unexec" &&  if test "$verbose" = "yes"; then
   echo "    xemacs will be linked with \"$unexec\""
 fi
test "$with_pdump" = "yes" && extra_objs="$extra_objs dumper.o" &&  if test "$verbose" = "yes"; then
   echo "    xemacs will be linked with \"dumper.o\""
 fi



ac_ext=c
xe_cppflags='$CPPFLAGS $c_switch_site $c_switch_machine $c_switch_system $c_switch_x_site $X_CFLAGS'
xe_ldflags='$LDFLAGS $ld_switch_site $ld_switch_machine $ld_switch_system $ld_switch_x_site $ld_switch_run'
xe_libs='$ld_call_shared $xe_check_libs $X_EXTRA_LIBS $libs_x $libs_gtk $X_PRE_LIBS $LIBS $libs_machine $libs_system $libs_standard'
ac_cpp='$CPP '"$xe_cppflags"
ac_compile='$CC -c $CFLAGS '"$xe_cppflags"' conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS '"$xe_cppflags $xe_ldflags"' conftest.$ac_ext '"$xe_libs"' >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu

if test "$unexec" = "unexaix.o"; then
  if   test "$with_dynamic" = "no"; then
  start_flags="-Wl,-bnso,-bnodelcsect"
  test "$GCC" = "yes" && start_flags="-B/bin/ ${start_flags}"
  for f in "/lib/syscalls.exp" "/lib/threads.exp"; do
    if test -r "$f"; then start_flags="${start_flags},-bI:${f}"; fi
  done
  for f in "/usr/lpp/X11/bin/smt.exp" "/usr/bin/X11/smt.exp"; do
    if test -r "$f"; then start_flags="${start_flags},-bI:${f}"; break; fi
  done
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for terminateAndUnload in -lc" >&5
$as_echo_n "checking for terminateAndUnload in -lc... " >&6; }
if ${ac_cv_lib_c_terminateAndUnload+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lc  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char terminateAndUnload ();
int
main ()
{
return terminateAndUnload ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_c_terminateAndUnload=yes
else
  ac_cv_lib_c_terminateAndUnload=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_c_terminateAndUnload" >&5
$as_echo "$ac_cv_lib_c_terminateAndUnload" >&6; }
if test "x$ac_cv_lib_c_terminateAndUnload" = xyes; then :
  libs_system="$libs_system -lC" &&  if test "$verbose" = "yes"; then echo "    Appending \"-lC\" to \$libs_system"; fi
fi

  fi
elif test -n "$ld_text_start_addr"; then
  start_flags="-T $ld_text_start_addr -e __start"
fi




if test "$ordinary_link" = "no" -a "$GCC" = "yes"; then
 test -z "$linker" &&  linker='$(CC) -nostdlib'
 test -z "$lib_gcc" && lib_gcc='`$(CC) -print-libgcc-file-name`'
fi
test "$GCC" != "yes" && lib_gcc=




compiler_version=""
gcc_compiler_specs=""
libc_version=""

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for compiler version information" >&5
$as_echo_n "checking for compiler version information... " >&6; }

if test "$GCC" = "yes"; then
  compiler_version=`$XEMACS_CC --version | sed 1q`
  gcc_compiler_specs=`$XEMACS_CC -v 2>&1 | sed 's/.* \([^ ]\)/\1/' | sed 1q`
else case "$XEMACS_CC" in
    ic*)
    compiler_version=`icc -V 2>&1 | sed 1q`
    ;;
    *) case "$ac_cv_build" in
	*-*-aix*   )
          	  realcc=`which $XEMACS_CC`
	  	  if test -L $realcc ; then
	    ccdir=`dirname $realcc`
	    ccprog=`/bin/ls -l $realcc | sed 's/.* \([^ ]\)/\1/'`
	    	    case $ccprog in
		*/*) realcc=$ccprog;;
		*) realcc=$ccdir/$ccprog;;
	    esac
	  fi
	  lpp=`lslpp -wqc $realcc | cut -f2 -d:`
	  if test ! -z "$lpp" ; then
	    lppstr=`lslpp -Lqc $lpp`
	    lpplev=`echo "$lppstr" | cut -f3 -d:`
	    lppdesc=`echo "$lppstr" | cut -f8 -d:`
	  fi
	  if test ! -z "$lpplev" ; then
	    compiler_version="$lpp $lpplev - $lppdesc"
	  fi
	;;

	*-*-solaris*)
	  compiler_version=`$XEMACS_CC -V 2>&1 | sed 1q`
	;;

	alpha*-dec-osf*)
	  compiler_version=`$XEMACS_CC -V | tr '\n' ' '`
	;;

	mips-sgi-irix*)
	  compiler_version=`$XEMACS_CC -version`
	;;
    esac
  esac
fi

if test -z "$compiler_version"; then
  compiler_version="detection failed (please report this)"
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $compiler_version" >&5
$as_echo "$compiler_version" >&6; }

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for standard C library version information" >&5
$as_echo_n "checking for standard C library version information... " >&6; }

case "$ac_cv_build" in
	*-*-linux*)
	  	  	  if test -f /etc/redhat-release ; then
	    libc_version=`rpm -q glibc`
	  elif test -f /etc/debian_version ; then
	    libc_version=`dpkg-query --showformat='${version}' --show libc6`
	    libc_version="GNU libc $libc_version (Debian)"
	  	  fi
	            if test -z "$libc_version"; then
	    libc_version=`ls /lib/libc-*.so | sed -e 's,/lib/libc-\(.*\)\.so,\1,'`
          fi
	;;

	*-*-aix*)
	  libc_version="bos.rte.libc `lslpp -Lqc bos.rte.libc | cut -f3 -d:`"
	;;

	*-*-solaris*)
	  libc=`pkginfo -l SUNWcsl | grep VERSION: | awk '{print $2}'`
	  libc_version="SUNWcsl $libc"

	;;

	mips-sgi-irix*)
	  libc_version="IRIX libc `uname -sRm`"
	;;

	alpha*-dec-osf*)
		  (cd /usr/.smdb.;
		libc_version=` grep -h libc.so *.inv | awk '$9 == "f" {print $12}' | tr '\n' ','`
	  )
	;;
esac

if test -z "libc_version"; then
  libc_version="detection failed (please report this)"
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $libc_version" >&5
$as_echo "$libc_version" >&6; }


case "$with_site_libraries" in *:* ) with_site_libraries="`echo '' $with_site_libraries | sed -e 's/^ //' -e 's/:/ /g'`";; esac
if test -n "$with_site_libraries"; then
  for arg in $with_site_libraries; do
    case "$arg" in
     -* ) ;;
     * ) test -d "$arg" || \
           { echo "Error:" "Invalid site library \`$arg': no such directory" >&2; exit 1; }
       arg="-L${arg}" ;;
    esac
    ld_switch_site="$ld_switch_site $arg" &&  if test "$verbose" = "yes"; then echo "    Appending \"$arg\" to \$ld_switch_site"; fi
  done
fi

case "$with_site_includes" in *:* ) with_site_includes="`echo '' $with_site_includes | sed -e 's/^ //' -e 's/:/ /g'`";; esac
if test -n "$with_site_includes"; then
  for arg in $with_site_includes; do
    case "$arg" in
      -* ) ;;
      * ) test -d "$arg" || \
           { echo "Error:" "Invalid site include \`$arg': no such directory" >&2; exit 1; }
      arg="-I${arg}" ;;
    esac
    c_switch_site="$c_switch_site $arg" &&  if test "$verbose" = "yes"; then echo "    Appending \"$arg\" to \$c_switch_site"; fi
  done
fi

case "$with_site_prefixes" in *:* ) with_site_prefixes="`echo '' $with_site_prefixes | sed -e 's/^ //' -e 's/:/ /g'`";; esac
if test -n "$with_site_prefixes"; then
  for dir in $with_site_prefixes; do
    lib_dir="${dir}/lib"
    inc_dir="${dir}/include"
    if test ! -d "$dir"; then
      { echo "Error:" "Invalid site prefix \`$dir': no such directory" >&2; exit 1; }
    elif test ! -d "$lib_dir"; then
      { echo "Error:" "Invalid site prefix \`$dir': no such directory \`$lib_dir'" >&2; exit 1; }
    else
      if test -d "$inc_dir"; then
	c_switch_site="$c_switch_site "-I$inc_dir"" &&  if test "$verbose" = "yes"; then echo "    Appending \""-I$inc_dir"\" to \$c_switch_site"; fi
      fi
      ld_switch_site="$ld_switch_site "-L$lib_dir"" &&  if test "$verbose" = "yes"; then echo "    Appending \""-L$lib_dir"\" to \$ld_switch_site"; fi
    fi
  done
fi


for dir in "/usr/ccs/lib"; do
  test -d "$dir" && ld_switch_system="$ld_switch_system -L${dir}" &&  if test "$verbose" = "yes"; then echo "    Appending \"-L${dir}\" to \$ld_switch_system"; fi
done

case "$with_site_runtime_libraries" in *:* ) with_site_runtime_libraries="`echo '' $with_site_runtime_libraries | sed -e 's/^ //' -e 's/:/ /g'`";; esac
if test -n "$with_site_runtime_libraries"; then
  LD_RUN_PATH="`echo $with_site_runtime_libraries | sed -e 's/  */:/g'`"
  export LD_RUN_PATH
fi





if test -n "$add_runtime_path"; then :;
elif test "$with_dynamic" = "no"; then add_runtime_path=no
elif test -n "$LD_RUN_PATH"; then add_runtime_path=yes
else case "$opsys" in
       sol2 | irix* | *bsd* ) add_runtime_path=yes ;;
       * ) add_runtime_path=no ;;
     esac
fi

if test "$add_runtime_path" = "yes"; then
      { $as_echo "$as_me:${as_lineno-$LINENO}: checking for runtime libraries flag" >&5
$as_echo_n "checking for runtime libraries flag... " >&6; }
  case "$opsys" in
    sol2 ) dash_r="-R" ;;
    linux* | irix*) dash_r="-rpath " ;;
    *)
      dash_r=""
      for try_dash_r in "-R" "-R " "-rpath "; do
        xe_check_libs="${try_dash_r}/no/such/file-or-directory"

if test "$GCC" = "yes"; then
  set x $xe_check_libs; shift; xe_check_libs=""
  while test -n "$1"; do
    case $1 in
      -L  | -l  | -u               ) xe_check_libs="$xe_check_libs $1 $2"; shift ;;
      -L* | -l* | -u* | -Wl* | -pg ) xe_check_libs="$xe_check_libs $1" ;;
      -Xlinker* ) ;;
      * ) xe_check_libs="$xe_check_libs -Xlinker $1" ;;
    esac
    shift
  done
fi
        if ac_fn_c_try_link "$LINENO"; then :
  dash_r="$try_dash_r"
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext
        xe_check_libs=""
        test -n "$dash_r" && break
      done ;;
  esac
  if test -n "$dash_r";
    then { $as_echo "$as_me:${as_lineno-$LINENO}: result: \"${dash_r}\"" >&5
$as_echo "\"${dash_r}\"" >&6; }
    else { $as_echo "$as_me:${as_lineno-$LINENO}: result: NONE" >&5
$as_echo "NONE" >&6; }
  fi
fi

xe_add_unique_runpath_dir='
  xe_add_p=yes
  for xe_dir in $runpath_dirs; do       test "$xe_dir" = "$xe_runpath_dir" && xe_add_p=no
  done
  if test "$xe_add_p" = "yes"; then
    test -n "$runpath" && runpath="${runpath}:"
    runpath="${runpath}${xe_runpath_dir}"
    runpath_dirs="$runpath_dirs $xe_runpath_dir"
  fi'


if test "$add_runtime_path" = "yes" -a -n "$dash_r"; then
    ld_switch_site=`echo   '' $ld_switch_site   | sed -e 's:^ ::' -e "s/$dash_r[^ ]*//g"`
  ld_switch_x_site=`echo '' $ld_switch_x_site | sed -e 's:^ ::' -e "s/$dash_r[^ ]*//g"`

        runpath="" runpath_dirs=""
  if test -n "$LD_RUN_PATH"; then
    runpath="$LD_RUN_PATH"
  elif test "$GCC" = "yes"; then
        ld_switch_run_save="$ld_switch_run"; ld_switch_run=""
    echo "int main(int argc, char **argv) {return 0;}" > conftest.c
    xe_runpath_link='${CC-cc} -o conftest -v $CFLAGS '"$xe_ldflags"' conftest.$ac_ext 2>&1 1>/dev/null'
    for arg in `eval "$xe_runpath_link" | grep ' -L'`; do
      case "$arg" in P,* | -L* | -R* )
        for dir in `echo '' "$arg" | sed -e 's:^ ::' -e 's/^..//' -e 'y/:/ /'`; do
          {
xe_runpath_dir="$dir"
  test "$xe_runpath_dir" != "/lib"     -a \
	"$xe_runpath_dir" != "/usr/lib" -a \
	-n "`ls ${xe_runpath_dir}/*.s[ol] 2>/dev/null`" && \
  eval "$xe_add_unique_runpath_dir"
}
        done ;;
      esac
    done
    ld_switch_run="$ld_switch_run_save"
    rm -f conftest*
  else
        for arg in $ld_switch_site $ld_switch_x_site; do
      case "$arg" in -L*) {
xe_runpath_dir=`echo '' "$arg" | sed -e 's:^ ::' -e 's/^-L//'`
  test "$xe_runpath_dir" != "/lib"     -a \
	"$xe_runpath_dir" != "/usr/lib" -a \
	-n "`ls ${xe_runpath_dir}/*.s[ol] 2>/dev/null`" && \
  eval "$xe_add_unique_runpath_dir"
};; esac
    done
            if test "$opsys $need_motif" = "sol2 yes"; then
      xe_runpath_dir="/opt/SUNWdt/lib";
      eval "$xe_add_unique_runpath_dir";
    fi
  fi
  if test -n "$runpath"; then
    ld_switch_run="${dash_r}${runpath}"

if test "$GCC" = "yes"; then
  set x $ld_switch_run; shift; ld_switch_run=""
  while test -n "$1"; do
    case $1 in
      -L  | -l  | -u               ) ld_switch_run="$ld_switch_run $1 $2"; shift ;;
      -L* | -l* | -u* | -Wl* | -pg ) ld_switch_run="$ld_switch_run $1" ;;
      -Xlinker* ) ;;
      * ) ld_switch_run="$ld_switch_run -Xlinker $1" ;;
    esac
    shift
  done
fi
    test "$verbose" = "yes" && echo "Setting runpath to $runpath"
  fi
fi



case "$opsys" in
  darwin )
    if test "$with_system_malloc" = "default"; then
      system_malloc=yes
      with_system_malloc=yes
      { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: Forcing system malloc on Darwin." >&5
$as_echo "$as_me: WARNING: Forcing system malloc on Darwin." >&2;}
    fi ;;
esac

GNU_MALLOC=yes
if test "$with_dlmalloc" != "no"; then
	doug_lea_malloc=yes
else
	doug_lea_malloc=no
fi
after_morecore_hook_exists=yes
ac_fn_c_check_func "$LINENO" "malloc_set_state" "ac_cv_func_malloc_set_state"
if test "x$ac_cv_func_malloc_set_state" = xyes; then :

else
  doug_lea_malloc=no
fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether __after_morecore_hook exists" >&5
$as_echo_n "checking whether __after_morecore_hook exists... " >&6; }
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
extern void (* __after_morecore_hook)();
int
main ()
{
__after_morecore_hook = 0
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
$as_echo "yes" >&6; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
   after_morecore_hook_exists=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
if test "$system_malloc" = "yes" ; then
  GNU_MALLOC=no
  GNU_MALLOC_reason="
    - The GNU allocators don't work with this system configuration."
elif test "$with_system_malloc" = "yes" ; then
  GNU_MALLOC=no
  GNU_MALLOC_reason="
    - User chose not to use GNU allocators."
elif test "$with_debug_malloc" = "yes" ; then
  GNU_MALLOC=no
  GNU_MALLOC_reason="
    - User chose to use Debugging Malloc."
fi

if test "$doug_lea_malloc" = "yes" -a "$GNU_MALLOC" = "yes" ; then
  GNU_MALLOC_reason="
    - Using Doug Lea's new malloc from the GNU C Library."
  $as_echo "#define DOUG_LEA_MALLOC 1" >>confdefs.h

  if test "$after_morecore_hook_exists" = "no" ; then
    GNU_MALLOC_reason="
    - Using Doug Lea's new malloc from the Linux C Library."
    $as_echo "#define _NO_MALLOC_WARNING_ 1" >>confdefs.h

  fi
fi




# Extract the first word of "ar", so it can be a program name with args.
set dummy ar; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_AR+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$AR"; then
  ac_cv_prog_AR="$AR" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_AR="ar"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

  test -z "$ac_cv_prog_AR" && ac_cv_prog_AR="not_found"
fi
fi
AR=$ac_cv_prog_AR
if test -n "$AR"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $AR" >&5
$as_echo "$AR" >&6; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
fi


if test "$AR" = "not_found"; then
  { echo "Error:" "ar not found -- is PATH set correctly?" >&2; exit 1; }
fi
if test -n "$ac_tool_prefix"; then
  # Extract the first word of "${ac_tool_prefix}ranlib", so it can be a program name with args.
set dummy ${ac_tool_prefix}ranlib; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_RANLIB+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$RANLIB"; then
  ac_cv_prog_RANLIB="$RANLIB" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_RANLIB="${ac_tool_prefix}ranlib"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
RANLIB=$ac_cv_prog_RANLIB
if test -n "$RANLIB"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $RANLIB" >&5
$as_echo "$RANLIB" >&6; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
fi


fi
if test -z "$ac_cv_prog_RANLIB"; then
  ac_ct_RANLIB=$RANLIB
  # Extract the first word of "ranlib", so it can be a program name with args.
set dummy ranlib; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_ac_ct_RANLIB+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$ac_ct_RANLIB"; then
  ac_cv_prog_ac_ct_RANLIB="$ac_ct_RANLIB" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_ac_ct_RANLIB="ranlib"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
ac_ct_RANLIB=$ac_cv_prog_ac_ct_RANLIB
if test -n "$ac_ct_RANLIB"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_ct_RANLIB" >&5
$as_echo "$ac_ct_RANLIB" >&6; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
fi

  if test "x$ac_ct_RANLIB" = x; then
    RANLIB=":"
  else
    case $cross_compiling:$ac_tool_warned in
yes:)
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
$as_echo "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
ac_tool_warned=yes ;;
esac
    RANLIB=$ac_ct_RANLIB
  fi
else
  RANLIB="$ac_cv_prog_RANLIB"
fi

# Find a good install program.  We prefer a C program (faster),
# so one script is as good as another.  But avoid the broken or
# incompatible versions:
# SysV /etc/install, /usr/sbin/install
# SunOS /usr/etc/install
# IRIX /sbin/install
# AIX /bin/install
# AmigaOS /C/install, which installs bootblocks on floppy discs
# AIX 4 /usr/bin/installbsd, which doesn't work without a -g flag
# AFS /usr/afsws/bin/install, which mishandles nonexistent args
# SVR4 /usr/ucb/install, which tries to use the nonexistent group "staff"
# OS/2's system install, which has a completely different semantic
# ./install, which can be erroneously created by make from ./install.sh.
# Reject install programs that cannot install multiple files.
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for a BSD-compatible install" >&5
$as_echo_n "checking for a BSD-compatible install... " >&6; }
if test -z "$INSTALL"; then
if ${ac_cv_path_install+:} false; then :
  $as_echo_n "(cached) " >&6
else
  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    # Account for people who put trailing slashes in PATH elements.
case $as_dir/ in #((
  ./ | .// | /[cC]/* | \
  /etc/* | /usr/sbin/* | /usr/etc/* | /sbin/* | /usr/afsws/bin/* | \
  ?:[\\/]os2[\\/]install[\\/]* | ?:[\\/]OS2[\\/]INSTALL[\\/]* | \
  /usr/ucb/* ) ;;
  *)
    # OSF1 and SCO ODT 3.0 have their own names for install.
    # Don't use installbsd from OSF since it installs stuff as root
    # by default.
    for ac_prog in ginstall scoinst install; do
      for ac_exec_ext in '' $ac_executable_extensions; do
	if as_fn_executable_p "$as_dir/$ac_prog$ac_exec_ext"; then
	  if test $ac_prog = install &&
	    grep dspmsg "$as_dir/$ac_prog$ac_exec_ext" >/dev/null 2>&1; then
	    # AIX install.  It has an incompatible calling convention.
	    :
	  elif test $ac_prog = install &&
	    grep pwplus "$as_dir/$ac_prog$ac_exec_ext" >/dev/null 2>&1; then
	    # program-specific install script used by HP pwplus--don't use.
	    :
	  else
	    rm -rf conftest.one conftest.two conftest.dir
	    echo one > conftest.one
	    echo two > conftest.two
	    mkdir conftest.dir
	    if "$as_dir/$ac_prog$ac_exec_ext" -c conftest.one conftest.two "`pwd`/conftest.dir" &&
	      test -s conftest.one && test -s conftest.two &&
	      test -s conftest.dir/conftest.one &&
	      test -s conftest.dir/conftest.two
	    then
	      ac_cv_path_install="$as_dir/$ac_prog$ac_exec_ext -c"
	      break 3
	    fi
	  fi
	fi
      done
    done
    ;;
esac

  done
IFS=$as_save_IFS

rm -rf conftest.one conftest.two conftest.dir

fi
  if test "${ac_cv_path_install+set}" = set; then
    INSTALL=$ac_cv_path_install
  else
    # As a last resort, use the slow shell script.  Don't cache a
    # value for INSTALL within a source directory, because that will
    # break other packages using the cache if that directory is
    # removed, or if the value is a relative name.
    INSTALL=$ac_install_sh
  fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $INSTALL" >&5
$as_echo "$INSTALL" >&6; }

# Use test -z because SunOS4 sh mishandles braces in ${var-val}.
# It thinks the first close brace ends the variable substitution.
test -z "$INSTALL_PROGRAM" && INSTALL_PROGRAM='${INSTALL}'

test -z "$INSTALL_SCRIPT" && INSTALL_SCRIPT='${INSTALL}'

test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -m 644'

for ac_prog in 'bison -y' byacc
do
  # Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_YACC+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$YACC"; then
  ac_cv_prog_YACC="$YACC" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_YACC="$ac_prog"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
YACC=$ac_cv_prog_YACC
if test -n "$YACC"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $YACC" >&5
$as_echo "$YACC" >&6; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
fi


  test -n "$YACC" && break
done
test -n "$YACC" || YACC="yacc"


for ac_header in   a.out.h   elf.h   cygwin/version.h   fcntl.h   libgen.h   locale.h   wchar.h   mach/mach.h   sys/param.h   sys/pstat.h   sys/resource.h   sys/time.h   sys/timeb.h   sys/times.h   sys/un.h   sys/vlimit.h   ulimit.h
do :
  as_ac_Header=`$as_echo "ac_cv_header_$ac_header" | $as_tr_sh`
ac_fn_c_check_header_mongrel "$LINENO" "$ac_header" "$as_ac_Header" "$ac_includes_default"
if eval test \"x\$"$as_ac_Header"\" = x"yes"; then :
  cat >>confdefs.h <<_ACEOF
#define `$as_echo "HAVE_$ac_header" | $as_tr_cpp` 1
_ACEOF

fi

done

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for sys/wait.h that is POSIX.1 compatible" >&5
$as_echo_n "checking for sys/wait.h that is POSIX.1 compatible... " >&6; }
if ${ac_cv_header_sys_wait_h+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <sys/types.h>
#include <sys/wait.h>
#ifndef WEXITSTATUS
# define WEXITSTATUS(stat_val) ((unsigned int) (stat_val) >> 8)
#endif
#ifndef WIFEXITED
# define WIFEXITED(stat_val) (((stat_val) & 255) == 0)
#endif

int
main ()
{
  int s;
  wait (&s);
  s = WIFEXITED (s) ? WEXITSTATUS (s) : 1;
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_header_sys_wait_h=yes
else
  ac_cv_header_sys_wait_h=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_header_sys_wait_h" >&5
$as_echo "$ac_cv_header_sys_wait_h" >&6; }
if test $ac_cv_header_sys_wait_h = yes; then

$as_echo "#define HAVE_SYS_WAIT_H 1" >>confdefs.h

fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for ANSI C header files" >&5
$as_echo_n "checking for ANSI C header files... " >&6; }
if ${ac_cv_header_stdc+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <float.h>

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_header_stdc=yes
else
  ac_cv_header_stdc=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext

if test $ac_cv_header_stdc = yes; then
  # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <string.h>

_ACEOF
if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
  $EGREP "memchr" >/dev/null 2>&1; then :

else
  ac_cv_header_stdc=no
fi
rm -f conftest*

fi

if test $ac_cv_header_stdc = yes; then
  # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <stdlib.h>

_ACEOF
if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
  $EGREP "free" >/dev/null 2>&1; then :

else
  ac_cv_header_stdc=no
fi
rm -f conftest*

fi

if test $ac_cv_header_stdc = yes; then
  # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
  if test "$cross_compiling" = yes; then :
  :
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <ctype.h>
#include <stdlib.h>
#if ((' ' & 0x0FF) == 0x020)
# define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
# define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
#else
# define ISLOWER(c) \
		   (('a' <= (c) && (c) <= 'i') \
		     || ('j' <= (c) && (c) <= 'r') \
		     || ('s' <= (c) && (c) <= 'z'))
# define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
#endif

#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
int
main ()
{
  int i;
  for (i = 0; i < 256; i++)
    if (XOR (islower (i), ISLOWER (i))
	|| toupper (i) != TOUPPER (i))
      return 2;
  return 0;
}
_ACEOF
if ac_fn_c_try_run "$LINENO"; then :

else
  ac_cv_header_stdc=no
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
  conftest.$ac_objext conftest.beam conftest.$ac_ext
fi

fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_header_stdc" >&5
$as_echo "$ac_cv_header_stdc" >&6; }
if test $ac_cv_header_stdc = yes; then

$as_echo "#define STDC_HEADERS 1" >>confdefs.h

fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether time.h and sys/time.h may both be included" >&5
$as_echo_n "checking whether time.h and sys/time.h may both be included... " >&6; }
if ${ac_cv_header_time+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <sys/types.h>
#include <sys/time.h>
#include <time.h>

int
main ()
{
if ((struct tm *) 0)
return 0;
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_header_time=yes
else
  ac_cv_header_time=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_header_time" >&5
$as_echo "$ac_cv_header_time" >&6; }
if test $ac_cv_header_time = yes; then

$as_echo "#define TIME_WITH_SYS_TIME 1" >>confdefs.h

fi

ac_fn_c_check_decl "$LINENO" "sys_siglist" "ac_cv_have_decl_sys_siglist" "#include <signal.h>
/* NetBSD declares sys_siglist in unistd.h.  */
#if HAVE_UNISTD_H
# include <unistd.h>
#endif

"
if test "x$ac_cv_have_decl_sys_siglist" = xyes; then :
  ac_have_decl=1
else
  ac_have_decl=0
fi

cat >>confdefs.h <<_ACEOF
#define HAVE_DECL_SYS_SIGLIST $ac_have_decl
_ACEOF



{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for utime" >&5
$as_echo_n "checking for utime... " >&6; }
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <sys/types.h>
#include <utime.h>
int
main ()
{
struct utimbuf x; x.actime = x.modtime = 0; utime ("/", &x);
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
$as_echo "yes" >&6; }
   $as_echo "#define HAVE_UTIME 1" >>confdefs.h

else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
      for ac_func in utimes
do :
  ac_fn_c_check_func "$LINENO" "utimes" "ac_cv_func_utimes"
if test "x$ac_cv_func_utimes" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_UTIMES 1
_ACEOF

fi
done

fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext


{ $as_echo "$as_me:${as_lineno-$LINENO}: checking return type of signal handlers" >&5
$as_echo_n "checking return type of signal handlers... " >&6; }
if ${ac_cv_type_signal+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <sys/types.h>
#include <signal.h>

int
main ()
{
return *(signal (0, 0)) (0) == 1;
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_type_signal=int
else
  ac_cv_type_signal=void
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_type_signal" >&5
$as_echo "$ac_cv_type_signal" >&6; }

cat >>confdefs.h <<_ACEOF
#define RETSIGTYPE $ac_cv_type_signal
_ACEOF


ac_fn_c_check_type "$LINENO" "size_t" "ac_cv_type_size_t" "$ac_includes_default"
if test "x$ac_cv_type_size_t" = xyes; then :

else

cat >>confdefs.h <<_ACEOF
#define size_t unsigned int
_ACEOF

fi

ac_fn_c_check_type "$LINENO" "pid_t" "ac_cv_type_pid_t" "$ac_includes_default"
if test "x$ac_cv_type_pid_t" = xyes; then :

else

cat >>confdefs.h <<_ACEOF
#define pid_t int
_ACEOF

fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for uid_t in sys/types.h" >&5
$as_echo_n "checking for uid_t in sys/types.h... " >&6; }
if ${ac_cv_type_uid_t+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <sys/types.h>

_ACEOF
if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
  $EGREP "uid_t" >/dev/null 2>&1; then :
  ac_cv_type_uid_t=yes
else
  ac_cv_type_uid_t=no
fi
rm -f conftest*

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_type_uid_t" >&5
$as_echo "$ac_cv_type_uid_t" >&6; }
if test $ac_cv_type_uid_t = no; then

$as_echo "#define uid_t int" >>confdefs.h


$as_echo "#define gid_t int" >>confdefs.h

fi

ac_fn_c_check_type "$LINENO" "mode_t" "ac_cv_type_mode_t" "$ac_includes_default"
if test "x$ac_cv_type_mode_t" = xyes; then :

else

cat >>confdefs.h <<_ACEOF
#define mode_t int
_ACEOF

fi

ac_fn_c_check_type "$LINENO" "off_t" "ac_cv_type_off_t" "$ac_includes_default"
if test "x$ac_cv_type_off_t" = xyes; then :

else

cat >>confdefs.h <<_ACEOF
#define off_t long int
_ACEOF

fi

ac_fn_c_check_type "$LINENO" "ssize_t" "ac_cv_type_ssize_t" "$ac_includes_default"
if test "x$ac_cv_type_ssize_t" = xyes; then :

else

cat >>confdefs.h <<_ACEOF
#define ssize_t int
_ACEOF

fi


if test "$ac_cv_header_inttypes_h" != "yes"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for intptr_t in sys/types.h" >&5
$as_echo_n "checking for intptr_t in sys/types.h... " >&6; }
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <sys/types.h>
intptr_t x;

_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
$as_echo "yes" >&6; }
      $as_echo "#define HAVE_INTPTR_T_IN_SYS_TYPES_H 1" >>confdefs.h

else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for socklen_t" >&5
$as_echo_n "checking for socklen_t... " >&6; }
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <sys/types.h>
#include <sys/socket.h>
socklen_t x;

_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
$as_echo "yes" >&6; }
else

cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <sys/types.h>
#include <sys/socket.h>
int accept (int, struct sockaddr *, size_t *);

_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :

{ $as_echo "$as_me:${as_lineno-$LINENO}: result: size_t" >&5
$as_echo "size_t" >&6; }
$as_echo "#define socklen_t size_t" >>confdefs.h

else

{ $as_echo "$as_me:${as_lineno-$LINENO}: result: int" >&5
$as_echo "int" >&6; }
$as_echo "#define socklen_t int" >>confdefs.h

fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for struct timeval" >&5
$as_echo_n "checking for struct timeval... " >&6; }
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#ifdef TIME_WITH_SYS_TIME
#include <sys/time.h>
#include <time.h>
#else
#ifdef HAVE_SYS_TIME_H
#include <sys/time.h>
#else
#include <time.h>
#endif
#endif
int
main ()
{
static struct timeval x; x.tv_sec = x.tv_usec;
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
$as_echo "yes" >&6; }
  HAVE_TIMEVAL=yes
  $as_echo "#define HAVE_TIMEVAL 1" >>confdefs.h

else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
   HAVE_TIMEVAL=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether struct tm is in sys/time.h or time.h" >&5
$as_echo_n "checking whether struct tm is in sys/time.h or time.h... " >&6; }
if ${ac_cv_struct_tm+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <sys/types.h>
#include <time.h>

int
main ()
{
struct tm tm;
				     int *p = &tm.tm_sec;
				     return !p;
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_struct_tm=time.h
else
  ac_cv_struct_tm=sys/time.h
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_struct_tm" >&5
$as_echo "$ac_cv_struct_tm" >&6; }
if test $ac_cv_struct_tm = sys/time.h; then

$as_echo "#define TM_IN_SYS_TIME 1" >>confdefs.h

fi

ac_fn_c_check_member "$LINENO" "struct tm" "tm_zone" "ac_cv_member_struct_tm_tm_zone" "#include <sys/types.h>
#include <$ac_cv_struct_tm>

"
if test "x$ac_cv_member_struct_tm_tm_zone" = xyes; then :

cat >>confdefs.h <<_ACEOF
#define HAVE_STRUCT_TM_TM_ZONE 1
_ACEOF


fi

if test "$ac_cv_member_struct_tm_tm_zone" = yes; then

$as_echo "#define HAVE_TM_ZONE 1" >>confdefs.h

else
  ac_fn_c_check_decl "$LINENO" "tzname" "ac_cv_have_decl_tzname" "#include <time.h>
"
if test "x$ac_cv_have_decl_tzname" = xyes; then :
  ac_have_decl=1
else
  ac_have_decl=0
fi

cat >>confdefs.h <<_ACEOF
#define HAVE_DECL_TZNAME $ac_have_decl
_ACEOF

  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for tzname" >&5
$as_echo_n "checking for tzname... " >&6; }
if ${ac_cv_var_tzname+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <time.h>
#if !HAVE_DECL_TZNAME
extern char *tzname[];
#endif

int
main ()
{
return tzname[0][0];
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_var_tzname=yes
else
  ac_cv_var_tzname=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_var_tzname" >&5
$as_echo "$ac_cv_var_tzname" >&6; }
  if test $ac_cv_var_tzname = yes; then

$as_echo "#define HAVE_TZNAME 1" >>confdefs.h

  fi
fi


{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for an ANSI C-conforming const" >&5
$as_echo_n "checking for an ANSI C-conforming const... " >&6; }
if ${ac_cv_c_const+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

#ifndef __cplusplus
  /* Ultrix mips cc rejects this sort of thing.  */
  typedef int charset[2];
  const charset cs = { 0, 0 };
  /* SunOS 4.1.1 cc rejects this.  */
  char const *const *pcpcc;
  char **ppc;
  /* NEC SVR4.0.2 mips cc rejects this.  */
  struct point {int x, y;};
  static struct point const zero = {0,0};
  /* AIX XL C 1.02.0.0 rejects this.
     It does not let you subtract one const X* pointer from another in
     an arm of an if-expression whose if-part is not a constant
     expression */
  const char *g = "string";
  pcpcc = &g + (g ? g-g : 0);
  /* HPUX 7.0 cc rejects these. */
  ++pcpcc;
  ppc = (char**) pcpcc;
  pcpcc = (char const *const *) ppc;
  { /* SCO 3.2v4 cc rejects this sort of thing.  */
    char tx;
    char *t = &tx;
    char const *s = 0 ? (char *) 0 : (char const *) 0;

    *t++ = 0;
    if (s) return 0;
  }
  { /* Someone thinks the Sun supposedly-ANSI compiler will reject this.  */
    int x[] = {25, 17};
    const int *foo = &x[0];
    ++foo;
  }
  { /* Sun SC1.0 ANSI compiler rejects this -- but not the above. */
    typedef const int *iptr;
    iptr p = 0;
    ++p;
  }
  { /* AIX XL C 1.02.0.0 rejects this sort of thing, saying
       "k.c", line 2.27: 1506-025 (S) Operand must be a modifiable lvalue. */
    struct s { int j; const int *ap[3]; } bx;
    struct s *b = &bx; b->j = 5;
  }
  { /* ULTRIX-32 V3.1 (Rev 9) vcc rejects this */
    const int foo = 10;
    if (!foo) return 0;
  }
  return !cs[0] && !zero.x;
#endif

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_c_const=yes
else
  ac_cv_c_const=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_c_const" >&5
$as_echo "$ac_cv_c_const" >&6; }
if test $ac_cv_c_const = no; then

$as_echo "#define const /**/" >>confdefs.h

fi


{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether ${MAKE-make} sets \$(MAKE)" >&5
$as_echo_n "checking whether ${MAKE-make} sets \$(MAKE)... " >&6; }
set x ${MAKE-make}
ac_make=`$as_echo "$2" | sed 's/+/p/g; s/[^a-zA-Z0-9_]/_/g'`
if eval \${ac_cv_prog_make_${ac_make}_set+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat >conftest.make <<\_ACEOF
SHELL = /bin/sh
all:
	@echo '@@@%%%=$(MAKE)=@@@%%%'
_ACEOF
# GNU make sometimes prints "make[1]: Entering ...", which would confuse us.
case `${MAKE-make} -f conftest.make 2>/dev/null` in
  *@@@%%%=?*=@@@%%%*)
    eval ac_cv_prog_make_${ac_make}_set=yes;;
  *)
    eval ac_cv_prog_make_${ac_make}_set=no;;
esac
rm -f conftest.make
fi
if eval test \$ac_cv_prog_make_${ac_make}_set = yes; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
$as_echo "yes" >&6; }
  SET_MAKE=
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
  SET_MAKE="MAKE=${MAKE-make}"
fi


 { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether byte ordering is bigendian" >&5
$as_echo_n "checking whether byte ordering is bigendian... " >&6; }
if ${ac_cv_c_bigendian+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_cv_c_bigendian=unknown
    # See if we're dealing with a universal compiler.
    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#ifndef __APPLE_CC__
	       not a universal capable compiler
	     #endif
	     typedef int dummy;

_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :

	# Check for potential -arch flags.  It is not universal unless
	# there are at least two -arch flags with different values.
	ac_arch=
	ac_prev=
	for ac_word in $CC $CFLAGS $CPPFLAGS $LDFLAGS; do
	 if test -n "$ac_prev"; then
	   case $ac_word in
	     i?86 | x86_64 | ppc | ppc64)
	       if test -z "$ac_arch" || test "$ac_arch" = "$ac_word"; then
		 ac_arch=$ac_word
	       else
		 ac_cv_c_bigendian=universal
		 break
	       fi
	       ;;
	   esac
	   ac_prev=
	 elif test "x$ac_word" = "x-arch"; then
	   ac_prev=arch
	 fi
       done
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
    if test $ac_cv_c_bigendian = unknown; then
      # See if sys/param.h defines the BYTE_ORDER macro.
      cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <sys/types.h>
	     #include <sys/param.h>

int
main ()
{
#if ! (defined BYTE_ORDER && defined BIG_ENDIAN \
		     && defined LITTLE_ENDIAN && BYTE_ORDER && BIG_ENDIAN \
		     && LITTLE_ENDIAN)
	      bogus endian macros
	     #endif

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  # It does; now see whether it defined to BIG_ENDIAN or not.
	 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <sys/types.h>
		#include <sys/param.h>

int
main ()
{
#if BYTE_ORDER != BIG_ENDIAN
		 not big endian
		#endif

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_c_bigendian=yes
else
  ac_cv_c_bigendian=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
    fi
    if test $ac_cv_c_bigendian = unknown; then
      # See if <limits.h> defines _LITTLE_ENDIAN or _BIG_ENDIAN (e.g., Solaris).
      cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <limits.h>

int
main ()
{
#if ! (defined _LITTLE_ENDIAN || defined _BIG_ENDIAN)
	      bogus endian macros
	     #endif

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  # It does; now see whether it defined to _BIG_ENDIAN or not.
	 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <limits.h>

int
main ()
{
#ifndef _BIG_ENDIAN
		 not big endian
		#endif

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_c_bigendian=yes
else
  ac_cv_c_bigendian=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
    fi
    if test $ac_cv_c_bigendian = unknown; then
      # Compile a test program.
      if test "$cross_compiling" = yes; then :
  # Try to guess by grepping values from an object file.
	 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
short int ascii_mm[] =
		  { 0x4249, 0x4765, 0x6E44, 0x6961, 0x6E53, 0x7953, 0 };
		short int ascii_ii[] =
		  { 0x694C, 0x5454, 0x656C, 0x6E45, 0x6944, 0x6E61, 0 };
		int use_ascii (int i) {
		  return ascii_mm[i] + ascii_ii[i];
		}
		short int ebcdic_ii[] =
		  { 0x89D3, 0xE3E3, 0x8593, 0x95C5, 0x89C4, 0x9581, 0 };
		short int ebcdic_mm[] =
		  { 0xC2C9, 0xC785, 0x95C4, 0x8981, 0x95E2, 0xA8E2, 0 };
		int use_ebcdic (int i) {
		  return ebcdic_mm[i] + ebcdic_ii[i];
		}
		extern int foo;

int
main ()
{
return use_ascii (foo) == use_ebcdic (foo);
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  if grep BIGenDianSyS conftest.$ac_objext >/dev/null; then
	      ac_cv_c_bigendian=yes
	    fi
	    if grep LiTTleEnDian conftest.$ac_objext >/dev/null ; then
	      if test "$ac_cv_c_bigendian" = unknown; then
		ac_cv_c_bigendian=no
	      else
		# finding both strings is unlikely to happen, but who knows?
		ac_cv_c_bigendian=unknown
	      fi
	    fi
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$ac_includes_default
int
main ()
{

	     /* Are we little or big endian?  From Harbison&Steele.  */
	     union
	     {
	       long int l;
	       char c[sizeof (long int)];
	     } u;
	     u.l = 1;
	     return u.c[sizeof (long int) - 1] == 1;

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_run "$LINENO"; then :
  ac_cv_c_bigendian=no
else
  ac_cv_c_bigendian=yes
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
  conftest.$ac_objext conftest.beam conftest.$ac_ext
fi

    fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_c_bigendian" >&5
$as_echo "$ac_cv_c_bigendian" >&6; }
 case $ac_cv_c_bigendian in #(
   yes)
     $as_echo "#define WORDS_BIGENDIAN 1" >>confdefs.h
;; #(
   no)
      ;; #(
   universal)

$as_echo "#define AC_APPLE_UNIVERSAL_BUILD 1" >>confdefs.h

     ;; #(
   *)
     as_fn_error $? "unknown endianness
 presetting ac_cv_c_bigendian=no (or yes) will help" "$LINENO" 5 ;;
 esac


# The cast to long int works around a bug in the HP C Compiler
# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
# This bug is HP SR number 8606223364.
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of short" >&5
$as_echo_n "checking size of short... " >&6; }
if ${ac_cv_sizeof_short+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if ac_fn_c_compute_int "$LINENO" "(long int) (sizeof (short))" "ac_cv_sizeof_short"        "$ac_includes_default"; then :

else
  if test "$ac_cv_type_short" = yes; then
     { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error 77 "cannot compute sizeof (short)
See \`config.log' for more details" "$LINENO" 5; }
   else
     ac_cv_sizeof_short=0
   fi
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_short" >&5
$as_echo "$ac_cv_sizeof_short" >&6; }



cat >>confdefs.h <<_ACEOF
#define SIZEOF_SHORT $ac_cv_sizeof_short
_ACEOF


if test "$ac_cv_sizeof_short" = 0; then
  echo ""
  echo "*** PANIC *** Configure tests are not working - compiler is broken."
  echo "*** PANIC *** Please examine config.log for compilation errors."
  exit 1
fi
# The cast to long int works around a bug in the HP C Compiler
# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
# This bug is HP SR number 8606223364.
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of int" >&5
$as_echo_n "checking size of int... " >&6; }
if ${ac_cv_sizeof_int+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if ac_fn_c_compute_int "$LINENO" "(long int) (sizeof (int))" "ac_cv_sizeof_int"        "$ac_includes_default"; then :

else
  if test "$ac_cv_type_int" = yes; then
     { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error 77 "cannot compute sizeof (int)
See \`config.log' for more details" "$LINENO" 5; }
   else
     ac_cv_sizeof_int=0
   fi
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_int" >&5
$as_echo "$ac_cv_sizeof_int" >&6; }



cat >>confdefs.h <<_ACEOF
#define SIZEOF_INT $ac_cv_sizeof_int
_ACEOF


# The cast to long int works around a bug in the HP C Compiler
# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
# This bug is HP SR number 8606223364.
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of long" >&5
$as_echo_n "checking size of long... " >&6; }
if ${ac_cv_sizeof_long+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if ac_fn_c_compute_int "$LINENO" "(long int) (sizeof (long))" "ac_cv_sizeof_long"        "$ac_includes_default"; then :

else
  if test "$ac_cv_type_long" = yes; then
     { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error 77 "cannot compute sizeof (long)
See \`config.log' for more details" "$LINENO" 5; }
   else
     ac_cv_sizeof_long=0
   fi
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_long" >&5
$as_echo "$ac_cv_sizeof_long" >&6; }



cat >>confdefs.h <<_ACEOF
#define SIZEOF_LONG $ac_cv_sizeof_long
_ACEOF


# The cast to long int works around a bug in the HP C Compiler
# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
# This bug is HP SR number 8606223364.
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of long long" >&5
$as_echo_n "checking size of long long... " >&6; }
if ${ac_cv_sizeof_long_long+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if ac_fn_c_compute_int "$LINENO" "(long int) (sizeof (long long))" "ac_cv_sizeof_long_long"        "$ac_includes_default"; then :

else
  if test "$ac_cv_type_long_long" = yes; then
     { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error 77 "cannot compute sizeof (long long)
See \`config.log' for more details" "$LINENO" 5; }
   else
     ac_cv_sizeof_long_long=0
   fi
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_long_long" >&5
$as_echo "$ac_cv_sizeof_long_long" >&6; }



cat >>confdefs.h <<_ACEOF
#define SIZEOF_LONG_LONG $ac_cv_sizeof_long_long
_ACEOF


# The cast to long int works around a bug in the HP C Compiler
# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
# This bug is HP SR number 8606223364.
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of void *" >&5
$as_echo_n "checking size of void *... " >&6; }
if ${ac_cv_sizeof_void_p+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if ac_fn_c_compute_int "$LINENO" "(long int) (sizeof (void *))" "ac_cv_sizeof_void_p"        "$ac_includes_default"; then :

else
  if test "$ac_cv_type_void_p" = yes; then
     { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error 77 "cannot compute sizeof (void *)
See \`config.log' for more details" "$LINENO" 5; }
   else
     ac_cv_sizeof_void_p=0
   fi
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_void_p" >&5
$as_echo "$ac_cv_sizeof_void_p" >&6; }



cat >>confdefs.h <<_ACEOF
#define SIZEOF_VOID_P $ac_cv_sizeof_void_p
_ACEOF


# The cast to long int works around a bug in the HP C Compiler
# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
# This bug is HP SR number 8606223364.
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of double" >&5
$as_echo_n "checking size of double... " >&6; }
if ${ac_cv_sizeof_double+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if ac_fn_c_compute_int "$LINENO" "(long int) (sizeof (double))" "ac_cv_sizeof_double"        "$ac_includes_default"; then :

else
  if test "$ac_cv_type_double" = yes; then
     { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error 77 "cannot compute sizeof (double)
See \`config.log' for more details" "$LINENO" 5; }
   else
     ac_cv_sizeof_double=0
   fi
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_double" >&5
$as_echo "$ac_cv_sizeof_double" >&6; }



cat >>confdefs.h <<_ACEOF
#define SIZEOF_DOUBLE $ac_cv_sizeof_double
_ACEOF



{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for long file names" >&5
$as_echo_n "checking for long file names... " >&6; }
if ${ac_cv_sys_long_file_names+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_cv_sys_long_file_names=yes
# Test for long file names in all the places we know might matter:
#      .		the current directory, where building will happen
#      $prefix/lib	where we will be installing things
#      $exec_prefix/lib	likewise
#      $TMPDIR		if set, where it might want to write temporary files
#      /tmp		where it might want to write temporary files
#      /var/tmp		likewise
#      /usr/tmp		likewise
for ac_dir in . "$TMPDIR" /tmp /var/tmp /usr/tmp "$prefix/lib" "$exec_prefix/lib"; do
  # Skip $TMPDIR if it is empty or bogus, and skip $exec_prefix/lib
  # in the usual case where exec_prefix is '${prefix}'.
  case $ac_dir in #(
    . | /* | ?:[\\/]*) ;; #(
    *) continue;;
  esac
  test -w "$ac_dir/." || continue # It is less confusing to not echo anything here.
  ac_xdir=$ac_dir/cf$$
  (umask 077 && mkdir "$ac_xdir" 2>/dev/null) || continue
  ac_tf1=$ac_xdir/conftest9012345
  ac_tf2=$ac_xdir/conftest9012346
  touch "$ac_tf1" 2>/dev/null && test -f "$ac_tf1" && test ! -f "$ac_tf2" ||
    ac_cv_sys_long_file_names=no
  rm -f -r "$ac_xdir" 2>/dev/null
  test $ac_cv_sys_long_file_names = no && break
done
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sys_long_file_names" >&5
$as_echo "$ac_cv_sys_long_file_names" >&6; }
if test $ac_cv_sys_long_file_names = yes; then

$as_echo "#define HAVE_LONG_FILE_NAMES 1" >>confdefs.h

fi


ac_fn_c_check_func "$LINENO" "sin" "ac_cv_func_sin"
if test "x$ac_cv_func_sin" = xyes; then :

else
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for sin in -lm" >&5
$as_echo_n "checking for sin in -lm... " >&6; }
if ${ac_cv_lib_m_sin+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lm  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char sin ();
int
main ()
{
return sin ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_m_sin=yes
else
  ac_cv_lib_m_sin=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_m_sin" >&5
$as_echo "$ac_cv_lib_m_sin" >&6; }
if test "x$ac_cv_lib_m_sin" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_LIBM 1
_ACEOF

  LIBS="-lm $LIBS"

fi

fi


cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <math.h>
int
main ()
{
return atanh(1.0) + asinh(1.0) + acosh(1.0);
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  $as_echo "#define HAVE_INVERSE_HYPERBOLIC 1" >>confdefs.h

fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext

for ac_func in mkstemp
do :
  ac_fn_c_check_func "$LINENO" "mkstemp" "ac_cv_func_mkstemp"
if test "x$ac_cv_func_mkstemp" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_MKSTEMP 1
_ACEOF

fi
done


{ $as_echo "$as_me:${as_lineno-$LINENO}: checking type of mail spool file locking" >&5
$as_echo_n "checking type of mail spool file locking... " >&6; }
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: " >&5
$as_echo "" >&6; }
for ac_func in lockf flock
do :
  as_ac_var=`$as_echo "ac_cv_func_$ac_func" | $as_tr_sh`
ac_fn_c_check_func "$LINENO" "$ac_func" "$as_ac_var"
if eval test \"x\$"$as_ac_var"\" = x"yes"; then :
  cat >>confdefs.h <<_ACEOF
#define `$as_echo "HAVE_$ac_func" | $as_tr_cpp` 1
_ACEOF

fi
done

test -z "$with_mail_locking" -a "$mail_use_flock" = "yes" && with_mail_locking=flock
test -z "$with_mail_locking" -a "$mail_use_lockf" = "yes" && with_mail_locking=lockf
test -z "$with_mail_locking" -a "$mail_use_locking" = "yes" && with_mail_locking=locking
if   test -z "$with_mail_locking"; then
  case "$opsys" in cygwin* | mingw*)
    with_mail_locking=pop ;;
  esac
fi

if   test "$with_mail_locking" = "lockf"; then $as_echo "#define MAIL_LOCK_LOCKF 1" >>confdefs.h

elif test "$with_mail_locking" = "flock"; then $as_echo "#define MAIL_LOCK_FLOCK 1" >>confdefs.h

elif test "$with_mail_locking" = "locking"; then $as_echo "#define MAIL_LOCK_LOCKING 1" >>confdefs.h

elif test "$with_mail_locking" = "pop"; then
  with_pop=yes
  with_mail_locking=
elif test "$with_mail_locking" = "mmdf"; then $as_echo "#define MAIL_LOCK_MMDF 1" >>confdefs.h

else with_mail_locking="file"; $as_echo "#define MAIL_LOCK_DOT 1" >>confdefs.h

fi
test "$with_mail_locking" = "lockf" -a "$ac_cv_func_lockf" != "yes" && \
  { echo "Error:" "lockf mail locking requested but not available." >&2; exit 1; }
test "$with_mail_locking" = "flock" -a "$ac_cv_func_flock" != "yes" && \
  { echo "Error:" "flock mail locking requested but not available." >&2; exit 1; }
test "$with_mail_locking" = "locking" -a "$ac_cv_func_locking" != "yes" && \
  { echo "Error:" "locking mail locking requested but not available." >&2; exit 1; }


{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether the -xildoff compiler flag is required" >&5
$as_echo_n "checking whether the -xildoff compiler flag is required... " >&6; }
if   ${CC-cc} '-###' -xildon  no_such_file.c 2>&1 | grep '^[^ ]*/ild ' > /dev/null ; then
  if ${CC-cc} '-###' -xildoff no_such_file.c 2>&1 | grep '^[^ ]*/ild ' > /dev/null ;
    then { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; };
    else { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
$as_echo "yes" >&6; }; ld_switch_site="$ld_switch_site -xildoff" &&  if test "$verbose" = "yes"; then echo "    Appending \"-xildoff\" to \$ld_switch_site"; fi
  fi
  else { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
fi

if test "$opsys" = "sol2"; then
  if test "$os_release" -ge 506; then
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for \"-z ignore\" linker flag" >&5
$as_echo_n "checking for \"-z ignore\" linker flag... " >&6; }
    case "`ld -h 2>&1`" in
      *-z\ ignore\|record* ) { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
$as_echo "yes" >&6; }
        ld_switch_site="-z ignore $ld_switch_site" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-z ignore\" to \$ld_switch_site"; fi ;;
      *) { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; } ;;
    esac
  fi
fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether ASLR needs to be disabled" >&5
$as_echo_n "checking whether ASLR needs to be disabled... " >&6; }
case `uname -s`:`uname -r` in
	    Darwin:11.*)
	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
$as_echo "yes" >&6; }
	LDFLAGS="$LDFLAGS -Wl,-no_pie" &&  if test "$verbose" = "yes"; then echo "    Appending \"-Wl,-no_pie\" to \$LDFLAGS"; fi
	;;
    Darwin:12.*)
	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
$as_echo "yes" >&6; }
	LDFLAGS="$LDFLAGS -Wl,-no_pie" &&  if test "$verbose" = "yes"; then echo "    Appending \"-Wl,-no_pie\" to \$LDFLAGS"; fi
	;;
    *) { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; } ;;
esac


{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for specified window system" >&5
$as_echo_n "checking for specified window system... " >&6; }
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: " >&5
$as_echo "" >&6; }


GNOME_CONFIG=no
GTK_CONFIG=no

if test "$with_gnome" != "no"; then
   { $as_echo "$as_me:${as_lineno-$LINENO}: checking for GNOME configuration script" >&5
$as_echo_n "checking for GNOME configuration script... " >&6; }
   for possible in gnome-config
   do
      possible_version=`${possible} --version 2> /dev/null`
      if test "x${possible_version}" != "x"; then
              GNOME_CONFIG="${possible}"
              with_gnome=yes
              with_gtk=yes
              break
      fi
   done
   { $as_echo "$as_me:${as_lineno-$LINENO}: result: ${GNOME_CONFIG}" >&5
$as_echo "${GNOME_CONFIG}" >&6; }
fi

if test "${GNOME_CONFIG}" != "no"; then
      GNOME_LIBS=`${GNOME_CONFIG} --libs gnomeui`
      GNOME_CFLAGS=`${GNOME_CONFIG} --cflags gnomeui`
      $as_echo "#define HAVE_GNOME 1" >>confdefs.h

      libs_gtk="$libs_gtk ${GNOME_LIBS}" &&  if test "$verbose" = "yes"; then echo "    Appending \"${GNOME_LIBS}\" to \$libs_gtk"; fi
      c_switch_gtk="$c_switch_gtk ${GNOME_CFLAGS}" &&  if test "$verbose" = "yes"; then echo "    Appending \"${GNOME_CFLAGS}\" to \$c_switch_gtk"; fi
fi

if test "$with_gtk" != "no";then
   { $as_echo "$as_me:${as_lineno-$LINENO}: checking for GTK configuration script" >&5
$as_echo_n "checking for GTK configuration script... " >&6; }
   for possible in gtk12-config gtk14-config gtk-config
   do
      possible_version=`${possible} --version 2> /dev/null`
      if test "x${possible_version}" != "x"; then
              GTK_CONFIG="${possible}"
	      case "${possible_version}" in
        	1.0.*) { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: GTK 1.2 is required, please upgrade your version of GTK." >&5
$as_echo "$as_me: WARNING: GTK 1.2 is required, please upgrade your version of GTK." >&2;}; with_gtk=no;;
	        1.3.*) { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: GTK 1.3 is not supported right now" >&5
$as_echo "$as_me: WARNING: GTK 1.3 is not supported right now" >&2;}; with_gtk=no;;
		1.2.*)
			with_gtk=yes
			break
			;;
	        *)     { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: Found unsupported version of GTK: $possible_version" >&5
$as_echo "$as_me: WARNING: Found unsupported version of GTK: $possible_version" >&2;};;
	      esac
      fi
   done
   { $as_echo "$as_me:${as_lineno-$LINENO}: result: ${GTK_CONFIG}" >&5
$as_echo "${GTK_CONFIG}" >&6; }
fi

if test "${GTK_CONFIG}" != "no"; then
      { $as_echo "$as_me:${as_lineno-$LINENO}: checking gtk version" >&5
$as_echo_n "checking gtk version... " >&6; }
      GTK_VERSION=`${GTK_CONFIG} --version`
      { $as_echo "$as_me:${as_lineno-$LINENO}: result: ${GTK_VERSION}" >&5
$as_echo "${GTK_VERSION}" >&6; }

      { $as_echo "$as_me:${as_lineno-$LINENO}: checking gtk libs" >&5
$as_echo_n "checking gtk libs... " >&6; }
      GTK_LIBS=`${GTK_CONFIG} --libs`
      libs_gtk="$libs_gtk ${GTK_LIBS}" &&  if test "$verbose" = "yes"; then echo "    Appending \"${GTK_LIBS}\" to \$libs_gtk"; fi
      { $as_echo "$as_me:${as_lineno-$LINENO}: result: ${GTK_LIBS}" >&5
$as_echo "${GTK_LIBS}" >&6; }

      { $as_echo "$as_me:${as_lineno-$LINENO}: checking gtk cflags" >&5
$as_echo_n "checking gtk cflags... " >&6; }
      GTK_CFLAGS=`${GTK_CONFIG} --cflags`
      if test "$GCC" = "yes"; then
      	GTK_CFLAGS="${GTK_CFLAGS} -Wno-shadow"
      fi
      c_switch_gtk="$c_switch_gtk ${GTK_CFLAGS}" &&  if test "$verbose" = "yes"; then echo "    Appending \"${GTK_CFLAGS}\" to \$c_switch_gtk"; fi
      { $as_echo "$as_me:${as_lineno-$LINENO}: result: ${GTK_CFLAGS}" >&5
$as_echo "${GTK_CFLAGS}" >&6; }

      { $as_echo "$as_me:${as_lineno-$LINENO}: checking for main in -lgdk_imlib" >&5
$as_echo_n "checking for main in -lgdk_imlib... " >&6; }
if ${ac_cv_lib_gdk_imlib_main+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lgdk_imlib  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */


int
main ()
{
return main ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_gdk_imlib_main=yes
else
  ac_cv_lib_gdk_imlib_main=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_gdk_imlib_main" >&5
$as_echo "$ac_cv_lib_gdk_imlib_main" >&6; }
if test "x$ac_cv_lib_gdk_imlib_main" = xyes; then :
  libs_gtk="-lgdk_imlib $libs_gtk" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-lgdk_imlib\" to \$libs_gtk"; fi
fi

      { $as_echo "$as_me:${as_lineno-$LINENO}: checking for Imlib_init in -lImlib" >&5
$as_echo_n "checking for Imlib_init in -lImlib... " >&6; }
if ${ac_cv_lib_Imlib_Imlib_init+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lImlib  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char Imlib_init ();
int
main ()
{
return Imlib_init ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_Imlib_Imlib_init=yes
else
  ac_cv_lib_Imlib_Imlib_init=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_Imlib_Imlib_init" >&5
$as_echo "$ac_cv_lib_Imlib_Imlib_init" >&6; }
if test "x$ac_cv_lib_Imlib_Imlib_init" = xyes; then :
  libs_gtk="$libs_gtk -lImlib" &&  if test "$verbose" = "yes"; then echo "    Appending \"-lImlib\" to \$libs_gtk"; fi
fi

      for ac_func in gdk_imlib_init
do :
  ac_fn_c_check_func "$LINENO" "gdk_imlib_init" "ac_cv_func_gdk_imlib_init"
if test "x$ac_cv_func_gdk_imlib_init" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_GDK_IMLIB_INIT 1
_ACEOF

fi
done


      $as_echo "#define HAVE_XPM 1" >>confdefs.h

      $as_echo "#define HAVE_GTK 1" >>confdefs.h



      window_system=gtk
      with_gtk=yes
      if test "$with_x11" != "no"; then
	{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: Configuring GTK, forcing with_x11 to no" >&5
$as_echo "$as_me: WARNING: Configuring GTK, forcing with_x11 to no" >&2;}
	with_x11=no
      fi

      for feature in scrollbars toolbars menubars dialogs widgets
      do
        eval "feature_value=\${with_${feature}}"
	case "${feature_value}" in
	yes|no|gtk|"" )
	    ;;
	* )
	  feature_conflict_with_gtk=yes
	  { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: --with-${feature}=${feature_value} is incompatible with --with-gtk" >&5
$as_echo "$as_me: WARNING: --with-${feature}=${feature_value} is incompatible with --with-gtk" >&2;} ;;
	esac
      done
      if test "${feature_conflict_with_gtk}" = "yes"; then
	{ echo "Error:" "One or more GUI toolkit features conflict with GTK" >&2; exit 1; }
      fi

      test "${with_scrollbars}" != "no" && with_scrollbars=gtk
      test "${with_toolbars}" != "no" && with_toolbars=gtk
      test "${with_menubars}" != "no" && with_menubars=gtk
      test "${with_dialogs}" != "no" && with_dialogs=gtk
      test "${with_widgets}" != "no" && with_widgets=gtk

            OLD_CFLAGS="${CFLAGS}"
      OLD_CPPFLAGS="${CPPFLAGS}"
      OLD_LDFLAGS="${LDFLAGS}"
      CFLAGS="${GTK_CFLAGS} ${CFLAGS}"
      CPPFLAGS="${GTK_CFLAGS} ${CFLAGS}"
      LDFLAGS="${LDFLAGS} ${GTK_LIBS}"
      for ac_header in glade/glade.h glade.h
do :
  as_ac_Header=`$as_echo "ac_cv_header_$ac_header" | $as_tr_sh`
ac_fn_c_check_header_mongrel "$LINENO" "$ac_header" "$as_ac_Header" "$ac_includes_default"
if eval test \"x\$"$as_ac_Header"\" = x"yes"; then :
  cat >>confdefs.h <<_ACEOF
#define `$as_echo "HAVE_$ac_header" | $as_tr_cpp` 1
_ACEOF

fi

done

      { $as_echo "$as_me:${as_lineno-$LINENO}: checking for main in -lxml" >&5
$as_echo_n "checking for main in -lxml... " >&6; }
if ${ac_cv_lib_xml_main+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lxml  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */


int
main ()
{
return main ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_xml_main=yes
else
  ac_cv_lib_xml_main=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_xml_main" >&5
$as_echo "$ac_cv_lib_xml_main" >&6; }
if test "x$ac_cv_lib_xml_main" = xyes; then :
  libs_gtk="-lxml $libs_gtk" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-lxml\" to \$libs_gtk"; fi
fi

      { $as_echo "$as_me:${as_lineno-$LINENO}: checking for main in -lglade" >&5
$as_echo_n "checking for main in -lglade... " >&6; }
if ${ac_cv_lib_glade_main+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lglade  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */


int
main ()
{
return main ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_glade_main=yes
else
  ac_cv_lib_glade_main=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_glade_main" >&5
$as_echo "$ac_cv_lib_glade_main" >&6; }
if test "x$ac_cv_lib_glade_main" = xyes; then :
  libs_gtk="-lglade $libs_gtk" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-lglade\" to \$libs_gtk"; fi
fi

      { $as_echo "$as_me:${as_lineno-$LINENO}: checking for main in -lglade-gnome" >&5
$as_echo_n "checking for main in -lglade-gnome... " >&6; }
if ${ac_cv_lib_glade_gnome_main+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lglade-gnome  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */


int
main ()
{
return main ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_glade_gnome_main=yes
else
  ac_cv_lib_glade_gnome_main=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_glade_gnome_main" >&5
$as_echo "$ac_cv_lib_glade_gnome_main" >&6; }
if test "x$ac_cv_lib_glade_gnome_main" = xyes; then :
  libs_gtk="-lglade-gnome $libs_gtk" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-lglade-gnome\" to \$libs_gtk"; fi
fi

      cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <glade/glade-xml.h>

_ACEOF
if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
  $EGREP "char \*txtdomain;" >/dev/null 2>&1; then :
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
$as_echo "yes" >&6; }
                       $as_echo "#define LIBGLADE_XML_TXTDOMAIN 1" >>confdefs.h

else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
fi
rm -f conftest*

      CFLAGS="${OLD_CFLAGS}"
      CPPFLAGS="${OLD_CPPFLAGS}"
      LDFLAGS="${OLD_LDFLAGS}"
fi


if test "$with_x11" != "no"; then
    test "$x_includes $x_libraries" != "NONE NONE" && \
   window_system=x11 with_x11=yes


      if test "$x_includes $x_libraries" = "NONE NONE" \
    -a -n "$OPENWINHOME" \
    -a "$OPENWINHOME" != "/usr/openwin" \
    -a -d "$OPENWINHOME"; then
      test -d "$OPENWINHOME/lib"           && x_libraries="$OPENWINHOME/lib"
      test -d "$OPENWINHOME/include"       && x_includes="$OPENWINHOME/include"
      test -d "$OPENWINHOME/share/include" && x_includes="$OPENWINHOME/share/include"
  fi

  if test "$x_includes" = "NONE"; then
                    for dir in "/usr/X11" "/usr/X11R6"; do
      if test -d "$dir/include/X11"; then x_includes="$dir/include"; break; fi
    done
  fi

  if test "$x_libraries" = "NONE"; then
    for dir in "/usr/X11/lib" "/usr/X11R6/lib" "/usr/lib/X11R6"; do
      if test -r "$dir/libX11.a"; then x_libraries="$dir"; break; fi
    done
  fi

  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for X" >&5
$as_echo_n "checking for X... " >&6; }


# Check whether --with-x was given.
if test "${with_x+set}" = set; then :
  withval=$with_x;
fi

# $have_x is `yes', `no', `disabled', or empty when we do not yet know.
if test "x$with_x" = xno; then
  # The user explicitly disabled X.
  have_x=disabled
else
  case $x_includes,$x_libraries in #(
    *\'*) as_fn_error $? "cannot use X directory names containing '" "$LINENO" 5;; #(
    *,NONE | NONE,*) if ${ac_cv_have_x+:} false; then :
  $as_echo_n "(cached) " >&6
else
  # One or both of the vars are not set, and there is no cached value.
ac_x_includes=no ac_x_libraries=no
rm -f -r conftest.dir
if mkdir conftest.dir; then
  cd conftest.dir
  cat >Imakefile <<'_ACEOF'
incroot:
	@echo incroot='${INCROOT}'
usrlibdir:
	@echo usrlibdir='${USRLIBDIR}'
libdir:
	@echo libdir='${LIBDIR}'
_ACEOF
  if (export CC; ${XMKMF-xmkmf}) >/dev/null 2>/dev/null && test -f Makefile; then
    # GNU make sometimes prints "make[1]: Entering ...", which would confuse us.
    for ac_var in incroot usrlibdir libdir; do
      eval "ac_im_$ac_var=\`\${MAKE-make} $ac_var 2>/dev/null | sed -n 's/^$ac_var=//p'\`"
    done
    # Open Windows xmkmf reportedly sets LIBDIR instead of USRLIBDIR.
    for ac_extension in a so sl dylib la dll; do
      if test ! -f "$ac_im_usrlibdir/libX11.$ac_extension" &&
	 test -f "$ac_im_libdir/libX11.$ac_extension"; then
	ac_im_usrlibdir=$ac_im_libdir; break
      fi
    done
    # Screen out bogus values from the imake configuration.  They are
    # bogus both because they are the default anyway, and because
    # using them would break gcc on systems where it needs fixed includes.
    case $ac_im_incroot in
	/usr/include) ac_x_includes= ;;
	*) test -f "$ac_im_incroot/X11/Xos.h" && ac_x_includes=$ac_im_incroot;;
    esac
    case $ac_im_usrlibdir in
	/usr/lib | /usr/lib64 | /lib | /lib64) ;;
	*) test -d "$ac_im_usrlibdir" && ac_x_libraries=$ac_im_usrlibdir ;;
    esac
  fi
  cd ..
  rm -f -r conftest.dir
fi

# Standard set of common directories for X headers.
# Check X11 before X11Rn because it is often a symlink to the current release.
ac_x_header_dirs='
/usr/X11/include
/usr/X11R7/include
/usr/X11R6/include
/usr/X11R5/include
/usr/X11R4/include

/usr/include/X11
/usr/include/X11R7
/usr/include/X11R6
/usr/include/X11R5
/usr/include/X11R4

/usr/local/X11/include
/usr/local/X11R7/include
/usr/local/X11R6/include
/usr/local/X11R5/include
/usr/local/X11R4/include

/usr/local/include/X11
/usr/local/include/X11R7
/usr/local/include/X11R6
/usr/local/include/X11R5
/usr/local/include/X11R4

/usr/X386/include
/usr/x386/include
/usr/XFree86/include/X11

/usr/include
/usr/local/include
/usr/unsupported/include
/usr/athena/include
/usr/local/x11r5/include
/usr/lpp/Xamples/include

/usr/openwin/include
/usr/openwin/share/include'

if test "$ac_x_includes" = no; then
  # Guess where to find include files, by looking for Xlib.h.
  # First, try using that file with no special directory specified.
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <X11/Xlib.h>
_ACEOF
if ac_fn_c_try_cpp "$LINENO"; then :
  # We can compile using X headers with no special include directory.
ac_x_includes=
else
  for ac_dir in $ac_x_header_dirs; do
  if test -r "$ac_dir/X11/Xlib.h"; then
    ac_x_includes=$ac_dir
    break
  fi
done
fi
rm -f conftest.err conftest.i conftest.$ac_ext
fi # $ac_x_includes = no

if test "$ac_x_libraries" = no; then
  # Check for the libraries.
  # See if we find them without any special options.
  # Don't add to $LIBS permanently.
  ac_save_LIBS=$LIBS
  LIBS="-lX11 $LIBS"
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <X11/Xlib.h>
int
main ()
{
XrmInitialize ()
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  LIBS=$ac_save_LIBS
# We can link X programs with no special library path.
ac_x_libraries=
else
  LIBS=$ac_save_LIBS
for ac_dir in `$as_echo "$ac_x_includes $ac_x_header_dirs" | sed s/include/lib/g`
do
  # Don't even attempt the hair of trying to link an X program!
  for ac_extension in a so sl dylib la dll; do
    if test -r "$ac_dir/libX11.$ac_extension"; then
      ac_x_libraries=$ac_dir
      break 2
    fi
  done
done
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
fi # $ac_x_libraries = no

case $ac_x_includes,$ac_x_libraries in #(
  no,* | *,no | *\'*)
    # Didn't find X, or a directory has "'" in its name.
    ac_cv_have_x="have_x=no";; #(
  *)
    # Record where we found X for the cache.
    ac_cv_have_x="have_x=yes\
	ac_x_includes='$ac_x_includes'\
	ac_x_libraries='$ac_x_libraries'"
esac
fi
;; #(
    *) have_x=yes;;
  esac
  eval "$ac_cv_have_x"
fi # $with_x != no

if test "$have_x" != yes; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $have_x" >&5
$as_echo "$have_x" >&6; }
  no_x=yes
else
  # If each of the values was on the command line, it overrides each guess.
  test "x$x_includes" = xNONE && x_includes=$ac_x_includes
  test "x$x_libraries" = xNONE && x_libraries=$ac_x_libraries
  # Update the cache value to reflect the command line values.
  ac_cv_have_x="have_x=yes\
	ac_x_includes='$x_includes'\
	ac_x_libraries='$x_libraries'"
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: libraries $x_libraries, headers $x_includes" >&5
$as_echo "libraries $x_libraries, headers $x_includes" >&6; }
fi

if test "$no_x" = yes; then
  # Not all programs may use this symbol, but it does not hurt to define it.

$as_echo "#define X_DISPLAY_MISSING 1" >>confdefs.h

  X_CFLAGS= X_PRE_LIBS= X_LIBS= X_EXTRA_LIBS=
else
  if test -n "$x_includes"; then
    X_CFLAGS="$X_CFLAGS -I$x_includes"
  fi

  # It would also be nice to do this for all -L options, not just this one.
  if test -n "$x_libraries"; then
    X_LIBS="$X_LIBS -L$x_libraries"
    # For Solaris; some versions of Sun CC require a space after -R and
    # others require no space.  Words are not sufficient . . . .
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether -R must be followed by a space" >&5
$as_echo_n "checking whether -R must be followed by a space... " >&6; }
    ac_xsave_LIBS=$LIBS; LIBS="$LIBS -R$x_libraries"
    ac_xsave_c_werror_flag=$ac_c_werror_flag
    ac_c_werror_flag=yes
    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
       X_LIBS="$X_LIBS -R$x_libraries"
else
  LIBS="$ac_xsave_LIBS -R $x_libraries"
       cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
$as_echo "yes" >&6; }
	  X_LIBS="$X_LIBS -R $x_libraries"
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: neither works" >&5
$as_echo "neither works" >&6; }
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
    ac_c_werror_flag=$ac_xsave_c_werror_flag
    LIBS=$ac_xsave_LIBS
  fi

  # Check for system-dependent libraries X programs must link with.
  # Do this before checking for the system-independent R6 libraries
  # (-lICE), since we may need -lsocket or whatever for X linking.

  if test "$ISC" = yes; then
    X_EXTRA_LIBS="$X_EXTRA_LIBS -lnsl_s -linet"
  else
    # Martyn Johnson says this is needed for Ultrix, if the X
    # libraries were built with DECnet support.  And Karl Berry says
    # the Alpha needs dnet_stub (dnet does not exist).
    ac_xsave_LIBS="$LIBS"; LIBS="$LIBS $X_LIBS -lX11"
    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char XOpenDisplay ();
int
main ()
{
return XOpenDisplay ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :

else
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for dnet_ntoa in -ldnet" >&5
$as_echo_n "checking for dnet_ntoa in -ldnet... " >&6; }
if ${ac_cv_lib_dnet_dnet_ntoa+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-ldnet  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char dnet_ntoa ();
int
main ()
{
return dnet_ntoa ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_dnet_dnet_ntoa=yes
else
  ac_cv_lib_dnet_dnet_ntoa=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_dnet_dnet_ntoa" >&5
$as_echo "$ac_cv_lib_dnet_dnet_ntoa" >&6; }
if test "x$ac_cv_lib_dnet_dnet_ntoa" = xyes; then :
  X_EXTRA_LIBS="$X_EXTRA_LIBS -ldnet"
fi

    if test $ac_cv_lib_dnet_dnet_ntoa = no; then
      { $as_echo "$as_me:${as_lineno-$LINENO}: checking for dnet_ntoa in -ldnet_stub" >&5
$as_echo_n "checking for dnet_ntoa in -ldnet_stub... " >&6; }
if ${ac_cv_lib_dnet_stub_dnet_ntoa+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-ldnet_stub  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char dnet_ntoa ();
int
main ()
{
return dnet_ntoa ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_dnet_stub_dnet_ntoa=yes
else
  ac_cv_lib_dnet_stub_dnet_ntoa=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_dnet_stub_dnet_ntoa" >&5
$as_echo "$ac_cv_lib_dnet_stub_dnet_ntoa" >&6; }
if test "x$ac_cv_lib_dnet_stub_dnet_ntoa" = xyes; then :
  X_EXTRA_LIBS="$X_EXTRA_LIBS -ldnet_stub"
fi

    fi
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
    LIBS="$ac_xsave_LIBS"

    # msh@cis.ufl.edu says -lnsl (and -lsocket) are needed for his 386/AT,
    # to get the SysV transport functions.
    # Chad R. Larson says the Pyramis MIS-ES running DC/OSx (SVR4)
    # needs -lnsl.
    # The nsl library prevents programs from opening the X display
    # on Irix 5.2, according to T.E. Dickey.
    # The functions gethostbyname, getservbyname, and inet_addr are
    # in -lbsd on LynxOS 3.0.1/i386, according to Lars Hecking.
    ac_fn_c_check_func "$LINENO" "gethostbyname" "ac_cv_func_gethostbyname"
if test "x$ac_cv_func_gethostbyname" = xyes; then :

fi

    if test $ac_cv_func_gethostbyname = no; then
      { $as_echo "$as_me:${as_lineno-$LINENO}: checking for gethostbyname in -lnsl" >&5
$as_echo_n "checking for gethostbyname in -lnsl... " >&6; }
if ${ac_cv_lib_nsl_gethostbyname+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lnsl  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char gethostbyname ();
int
main ()
{
return gethostbyname ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_nsl_gethostbyname=yes
else
  ac_cv_lib_nsl_gethostbyname=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_nsl_gethostbyname" >&5
$as_echo "$ac_cv_lib_nsl_gethostbyname" >&6; }
if test "x$ac_cv_lib_nsl_gethostbyname" = xyes; then :
  X_EXTRA_LIBS="$X_EXTRA_LIBS -lnsl"
fi

      if test $ac_cv_lib_nsl_gethostbyname = no; then
	{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for gethostbyname in -lbsd" >&5
$as_echo_n "checking for gethostbyname in -lbsd... " >&6; }
if ${ac_cv_lib_bsd_gethostbyname+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lbsd  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char gethostbyname ();
int
main ()
{
return gethostbyname ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_bsd_gethostbyname=yes
else
  ac_cv_lib_bsd_gethostbyname=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_bsd_gethostbyname" >&5
$as_echo "$ac_cv_lib_bsd_gethostbyname" >&6; }
if test "x$ac_cv_lib_bsd_gethostbyname" = xyes; then :
  X_EXTRA_LIBS="$X_EXTRA_LIBS -lbsd"
fi

      fi
    fi

    # lieder@skyler.mavd.honeywell.com says without -lsocket,
    # socket/setsockopt and other routines are undefined under SCO ODT
    # 2.0.  But -lsocket is broken on IRIX 5.2 (and is not necessary
    # on later versions), says Simon Leinen: it contains gethostby*
    # variants that don't use the name server (or something).  -lsocket
    # must be given before -lnsl if both are needed.  We assume that
    # if connect needs -lnsl, so does gethostbyname.
    ac_fn_c_check_func "$LINENO" "connect" "ac_cv_func_connect"
if test "x$ac_cv_func_connect" = xyes; then :

fi

    if test $ac_cv_func_connect = no; then
      { $as_echo "$as_me:${as_lineno-$LINENO}: checking for connect in -lsocket" >&5
$as_echo_n "checking for connect in -lsocket... " >&6; }
if ${ac_cv_lib_socket_connect+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lsocket $X_EXTRA_LIBS $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char connect ();
int
main ()
{
return connect ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_socket_connect=yes
else
  ac_cv_lib_socket_connect=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_socket_connect" >&5
$as_echo "$ac_cv_lib_socket_connect" >&6; }
if test "x$ac_cv_lib_socket_connect" = xyes; then :
  X_EXTRA_LIBS="-lsocket $X_EXTRA_LIBS"
fi

    fi

    # Guillermo Gomez says -lposix is necessary on A/UX.
    ac_fn_c_check_func "$LINENO" "remove" "ac_cv_func_remove"
if test "x$ac_cv_func_remove" = xyes; then :

fi

    if test $ac_cv_func_remove = no; then
      { $as_echo "$as_me:${as_lineno-$LINENO}: checking for remove in -lposix" >&5
$as_echo_n "checking for remove in -lposix... " >&6; }
if ${ac_cv_lib_posix_remove+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lposix  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char remove ();
int
main ()
{
return remove ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_posix_remove=yes
else
  ac_cv_lib_posix_remove=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_posix_remove" >&5
$as_echo "$ac_cv_lib_posix_remove" >&6; }
if test "x$ac_cv_lib_posix_remove" = xyes; then :
  X_EXTRA_LIBS="$X_EXTRA_LIBS -lposix"
fi

    fi

    # BSDI BSD/OS 2.1 needs -lipc for XOpenDisplay.
    ac_fn_c_check_func "$LINENO" "shmat" "ac_cv_func_shmat"
if test "x$ac_cv_func_shmat" = xyes; then :

fi

    if test $ac_cv_func_shmat = no; then
      { $as_echo "$as_me:${as_lineno-$LINENO}: checking for shmat in -lipc" >&5
$as_echo_n "checking for shmat in -lipc... " >&6; }
if ${ac_cv_lib_ipc_shmat+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lipc  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char shmat ();
int
main ()
{
return shmat ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_ipc_shmat=yes
else
  ac_cv_lib_ipc_shmat=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_ipc_shmat" >&5
$as_echo "$ac_cv_lib_ipc_shmat" >&6; }
if test "x$ac_cv_lib_ipc_shmat" = xyes; then :
  X_EXTRA_LIBS="$X_EXTRA_LIBS -lipc"
fi

    fi
  fi

  # Check for libraries that X11R6 Xt/Xaw programs need.
  ac_save_LDFLAGS=$LDFLAGS
  test -n "$x_libraries" && LDFLAGS="$LDFLAGS -L$x_libraries"
  # SM needs ICE to (dynamically) link under SunOS 4.x (so we have to
  # check for ICE first), but we must link in the order -lSM -lICE or
  # we get undefined symbols.  So assume we have SM if we have ICE.
  # These have to be linked with before -lX11, unlike the other
  # libraries we check for below, so use a different variable.
  # John Interrante, Karl Berry
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for IceConnectionNumber in -lICE" >&5
$as_echo_n "checking for IceConnectionNumber in -lICE... " >&6; }
if ${ac_cv_lib_ICE_IceConnectionNumber+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lICE $X_EXTRA_LIBS $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char IceConnectionNumber ();
int
main ()
{
return IceConnectionNumber ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_ICE_IceConnectionNumber=yes
else
  ac_cv_lib_ICE_IceConnectionNumber=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_ICE_IceConnectionNumber" >&5
$as_echo "$ac_cv_lib_ICE_IceConnectionNumber" >&6; }
if test "x$ac_cv_lib_ICE_IceConnectionNumber" = xyes; then :
  X_PRE_LIBS="$X_PRE_LIBS -lSM -lICE"
fi

  LDFLAGS=$ac_save_LDFLAGS

fi
 # Autoconf claims to find X library and include dirs for us.
  if test "$no_x" = "yes"
  then with_x11=no  window_system=none HAVE_X_WINDOWS=no
  else with_x11=yes window_system=x11  HAVE_X_WINDOWS=yes
  fi
fi


if test "$with_x11" = "yes"; then
  $as_echo "#define HAVE_X_WINDOWS 1" >>confdefs.h

  MAKE_SUBDIR="$MAKE_SUBDIR lwlib" &&  if test "$verbose" = "yes"; then echo "    Appending \"lwlib\" to \$MAKE_SUBDIR"; fi
  SRC_SUBDIR_DEPS="$SRC_SUBDIR_DEPS lwlib" &&  if test "$verbose" = "yes"; then echo "    Appending \"lwlib\" to \$SRC_SUBDIR_DEPS"; fi

    ac_fn_c_check_header_mongrel "$LINENO" "Xm/Xm.h" "ac_cv_header_Xm_Xm_h" "$ac_includes_default"
if test "x$ac_cv_header_Xm_Xm_h" = xyes; then :
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for XmStringFree in -lXm" >&5
$as_echo_n "checking for XmStringFree in -lXm... " >&6; }
if ${ac_cv_lib_Xm_XmStringFree+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lXm  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char XmStringFree ();
int
main ()
{
return XmStringFree ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_Xm_XmStringFree=yes
else
  ac_cv_lib_Xm_XmStringFree=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_Xm_XmStringFree" >&5
$as_echo "$ac_cv_lib_Xm_XmStringFree" >&6; }
if test "x$ac_cv_lib_Xm_XmStringFree" = xyes; then :
  got_motif=yes
fi

fi



  if test "$got_motif" != "yes"; then
            for lib_dir in "/usr/dt/lib" "/usr/lib/Motif2.1" \
                   "/usr/lib/Motif1.2" "/usr/lib/Motif1.1"; do
      inc_dir=`echo $lib_dir | sed -e 's/lib/include/'`
      if test -d "$lib_dir" -a -d "$inc_dir"; then
	case "$x_libraries" in *"$lib_dir"* ) ;; *)
	  x_libraries="$lib_dir $x_libraries"
	  X_LIBS="-L${lib_dir} $X_LIBS" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-L${lib_dir}\" to \$X_LIBS"; fi ;;
	esac
	case "$x_includes" in "$inc_dir"* ) ;; *)
	  x_includes="$inc_dir $x_includes"
	  X_CFLAGS="-I${inc_dir} $X_CFLAGS" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-I${inc_dir}\" to \$X_CFLAGS"; fi ;;
	esac
	break; 	fi
    done
  fi

    for rel in "X11R6" "X11R5" "X11R4"; do
    lib_dir="/usr/contrib/$rel/lib" inc_dir="/usr/contrib/$rel/include"
    if test -d "$lib_dir" -a -d "$inc_dir"; then
      case "$x_libraries" in *"$lib_dir"* ) ;; *)
        x_libraries="$x_libraries $lib_dir"
	X_LIBS="$X_LIBS -L${lib_dir}" &&  if test "$verbose" = "yes"; then echo "    Appending \"-L${lib_dir}\" to \$X_LIBS"; fi
      esac
      case "$x_includes" in "$inc_dir"* ) ;; *)
        x_includes="$x_includes $inc_dir"
        X_CFLAGS="$X_CFLAGS -I${inc_dir}" &&  if test "$verbose" = "yes"; then echo "    Appending \"-I${inc_dir}\" to \$X_CFLAGS"; fi
      esac
      break;     fi
  done

  ld_switch_x_site="$X_LIBS"


if test "$add_runtime_path" = "yes" -a -n "$dash_r"; then
    ld_switch_site=`echo   '' $ld_switch_site   | sed -e 's:^ ::' -e "s/$dash_r[^ ]*//g"`
  ld_switch_x_site=`echo '' $ld_switch_x_site | sed -e 's:^ ::' -e "s/$dash_r[^ ]*//g"`

        runpath="" runpath_dirs=""
  if test -n "$LD_RUN_PATH"; then
    runpath="$LD_RUN_PATH"
  elif test "$GCC" = "yes"; then
        ld_switch_run_save="$ld_switch_run"; ld_switch_run=""
    echo "int main(int argc, char **argv) {return 0;}" > conftest.c
    xe_runpath_link='${CC-cc} -o conftest -v $CFLAGS '"$xe_ldflags"' conftest.$ac_ext 2>&1 1>/dev/null'
    for arg in `eval "$xe_runpath_link" | grep ' -L'`; do
      case "$arg" in P,* | -L* | -R* )
        for dir in `echo '' "$arg" | sed -e 's:^ ::' -e 's/^..//' -e 'y/:/ /'`; do
          {
xe_runpath_dir="$dir"
  test "$xe_runpath_dir" != "/lib"     -a \
	"$xe_runpath_dir" != "/usr/lib" -a \
	-n "`ls ${xe_runpath_dir}/*.s[ol] 2>/dev/null`" && \
  eval "$xe_add_unique_runpath_dir"
}
        done ;;
      esac
    done
    ld_switch_run="$ld_switch_run_save"
    rm -f conftest*
  else
        for arg in $ld_switch_site $ld_switch_x_site; do
      case "$arg" in -L*) {
xe_runpath_dir=`echo '' "$arg" | sed -e 's:^ ::' -e 's/^-L//'`
  test "$xe_runpath_dir" != "/lib"     -a \
	"$xe_runpath_dir" != "/usr/lib" -a \
	-n "`ls ${xe_runpath_dir}/*.s[ol] 2>/dev/null`" && \
  eval "$xe_add_unique_runpath_dir"
};; esac
    done
            if test "$opsys $need_motif" = "sol2 yes"; then
      xe_runpath_dir="/opt/SUNWdt/lib";
      eval "$xe_add_unique_runpath_dir";
    fi
  fi
  if test -n "$runpath"; then
    ld_switch_run="${dash_r}${runpath}"

if test "$GCC" = "yes"; then
  set x $ld_switch_run; shift; ld_switch_run=""
  while test -n "$1"; do
    case $1 in
      -L  | -l  | -u               ) ld_switch_run="$ld_switch_run $1 $2"; shift ;;
      -L* | -l* | -u* | -Wl* | -pg ) ld_switch_run="$ld_switch_run $1" ;;
      -Xlinker* ) ;;
      * ) ld_switch_run="$ld_switch_run -Xlinker $1" ;;
    esac
    shift
  done
fi
    test "$verbose" = "yes" && echo "Setting runpath to $runpath"
  fi
fi


  if test "$verbose" = "yes"; then
    echo; echo "X11 compilation variables:"
    for var in x_libraries x_includes X_CFLAGS X_LIBS X_PRE_LIBS X_EXTRA_LIBS; do eval "echo \"$var = '\$$var'\""; done
    echo
  fi

            bitmapdirs=
  if test "$x_includes" != NONE; then
    for i in $x_includes; do
      if test -d "$i/bitmaps"; then
	bitmapdirs="$i/bitmaps:$bitmapdirs"
      fi
      if test -d "$i/X11/bitmaps"; then
	bitmapdirs="$i/X11/bitmaps:$bitmapdirs"
      fi
    done
    bitmapdirs=`echo "$bitmapdirs" | sed s/.$//`
  fi
  test ! -z "$bitmapdirs" && cat >>confdefs.h <<_ACEOF
#define BITMAPDIR "$bitmapdirs"
_ACEOF


    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for X defines extracted by xmkmf" >&5
$as_echo_n "checking for X defines extracted by xmkmf... " >&6; }
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: " >&5
$as_echo "" >&6; }
  rm -fr conftestdir
  if mkdir conftestdir; then
    cd conftestdir
    cat > Imakefile <<'EOF'
xetest:
	@echo ${PROTO_DEFINES} ${STD_DEFINES}
EOF
    if (xmkmf) >/dev/null 2>/dev/null && test -f Makefile; then
      # GNU make sometimes prints "make[1]: Entering...", which would confuse us.
      xmkmf_defines=`${MAKE-make} xetest 2>/dev/null | grep -v make`
    fi
    cd ..
    rm -fr conftestdir
    for word in $xmkmf_defines; do
      case "$word" in
      -D__STDC__*) ;;
      -D* )
	sym=`echo '' $word | sed -e 's:^ *-D::' -e 's:=.*::'`
	case "$word" in
	  -D*=* ) val=`echo '' $word | sed -e 's:^.*=::'` ;;
	  *     ) val=1 ;;
	esac
	if grep "^#define $sym " confdefs.h >/dev/null; then :; else
	  if test "$val" = "1"
	    then cat >>confdefs.h <<_ACEOF
#define $sym 1
_ACEOF

	    else cat >>confdefs.h <<_ACEOF
#define $sym $val
_ACEOF

	  fi
	fi  ;;
      esac
    done
  fi

    ac_fn_c_check_header_mongrel "$LINENO" "X11/Intrinsic.h" "ac_cv_header_X11_Intrinsic_h" "$ac_includes_default"
if test "x$ac_cv_header_X11_Intrinsic_h" = xyes; then :

else
  as_fn_error $? "Unable to find X11 header files." "$LINENO" 5
fi



      { $as_echo "$as_me:${as_lineno-$LINENO}: checking for XOpenDisplay in -lX11" >&5
$as_echo_n "checking for XOpenDisplay in -lX11... " >&6; }
if ${ac_cv_lib_X11_XOpenDisplay+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lX11  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char XOpenDisplay ();
int
main ()
{
return XOpenDisplay ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_X11_XOpenDisplay=yes
else
  ac_cv_lib_X11_XOpenDisplay=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_X11_XOpenDisplay" >&5
$as_echo "$ac_cv_lib_X11_XOpenDisplay" >&6; }
if test "x$ac_cv_lib_X11_XOpenDisplay" = xyes; then :
  have_lib_x11=yes
fi

  if test "$have_lib_x11" != "yes"; then
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for XGetFontProperty in -lX11" >&5
$as_echo_n "checking for XGetFontProperty in -lX11... " >&6; }
if ${ac_cv_lib_X11_XGetFontProperty+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lX11 -b i486-linuxaout $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char XGetFontProperty ();
int
main ()
{
return XGetFontProperty ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_X11_XGetFontProperty=yes
else
  ac_cv_lib_X11_XGetFontProperty=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_X11_XGetFontProperty" >&5
$as_echo "$ac_cv_lib_X11_XGetFontProperty" >&6; }
if test "x$ac_cv_lib_X11_XGetFontProperty" = xyes; then :
  ld_switch_x_site="-b i486-linuxaout $ld_switch_x_site"
else
  as_fn_error $? "Unable to find X11 libraries." "$LINENO" 5
fi

  fi
  libs_x="-lX11"
  test "$verbose" = "yes" && echo "    Setting libs_x to \"-lX11\""

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for XShapeSelectInput in -lXext" >&5
$as_echo_n "checking for XShapeSelectInput in -lXext... " >&6; }
if ${ac_cv_lib_Xext_XShapeSelectInput+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lXext  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char XShapeSelectInput ();
int
main ()
{
return XShapeSelectInput ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_Xext_XShapeSelectInput=yes
else
  ac_cv_lib_Xext_XShapeSelectInput=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_Xext_XShapeSelectInput" >&5
$as_echo "$ac_cv_lib_Xext_XShapeSelectInput" >&6; }
if test "x$ac_cv_lib_Xext_XShapeSelectInput" = xyes; then :
  libs_x="-lXext $libs_x" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-lXext\" to \$libs_x"; fi
fi


    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for XtOpenDisplay in -lXt" >&5
$as_echo_n "checking for XtOpenDisplay in -lXt... " >&6; }
if ${ac_cv_lib_Xt_XtOpenDisplay+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lXt  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char XtOpenDisplay ();
int
main ()
{
return XtOpenDisplay ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_Xt_XtOpenDisplay=yes
else
  ac_cv_lib_Xt_XtOpenDisplay=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_Xt_XtOpenDisplay" >&5
$as_echo "$ac_cv_lib_Xt_XtOpenDisplay" >&6; }
if test "x$ac_cv_lib_Xt_XtOpenDisplay" = xyes; then :
  libs_x="-lXt $libs_x" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-lXt\" to \$libs_x"; fi
else
  as_fn_error $? "Unable to find X11 libraries." "$LINENO" 5
fi


  { $as_echo "$as_me:${as_lineno-$LINENO}: checking the version of X11 being used" >&5
$as_echo_n "checking the version of X11 being used... " >&6; }
  if test "$cross_compiling" = yes; then :
  x11_release=4
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <X11/Intrinsic.h>
    int main(int c, char **v) { return c>1 ? XlibSpecificationRelease : 0; }
_ACEOF
if ac_fn_c_try_run "$LINENO"; then :
  ./conftest foobar; x11_release=$?
else
  x11_release=4
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
  conftest.$ac_objext conftest.beam conftest.$ac_ext
fi

  { $as_echo "$as_me:${as_lineno-$LINENO}: result: R${x11_release}" >&5
$as_echo "R${x11_release}" >&6; }
  cat >>confdefs.h <<_ACEOF
#define THIS_IS_X11R${x11_release} 1
_ACEOF


  if test "${x11_release}" = "4"; then
    case "$with_widgets" in
      "" | "no") with_widgets=no ;;
      *) { echo "Error:" "Widget support requires X11R5 or greater" >&2; exit 1; } ;;
    esac
  fi

  for ac_func in XConvertCase XtRegisterDrawable
do :
  as_ac_var=`$as_echo "ac_cv_func_$ac_func" | $as_tr_sh`
ac_fn_c_check_func "$LINENO" "$ac_func" "$as_ac_var"
if eval test \"x\$"$as_ac_var"\" = x"yes"; then :
  cat >>confdefs.h <<_ACEOF
#define `$as_echo "HAVE_$ac_func" | $as_tr_cpp` 1
_ACEOF

fi
done


  for ac_header in X11/Xlocale.h X11/Xfuncproto.h
do :
  as_ac_Header=`$as_echo "ac_cv_header_$ac_header" | $as_tr_sh`
ac_fn_c_check_header_mongrel "$LINENO" "$ac_header" "$as_ac_Header" "$ac_includes_default"
if eval test \"x\$"$as_ac_Header"\" = x"yes"; then :
  cat >>confdefs.h <<_ACEOF
#define `$as_echo "HAVE_$ac_header" | $as_tr_cpp` 1
_ACEOF

fi

done


    for ac_func in XRegisterIMInstantiateCallback
do :
  ac_fn_c_check_func "$LINENO" "XRegisterIMInstantiateCallback" "ac_cv_func_XRegisterIMInstantiateCallback"
if test "x$ac_cv_func_XRegisterIMInstantiateCallback" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_XREGISTERIMINSTANTIATECALLBACK 1
_ACEOF

fi
done

  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for standard XRegisterIMInstantiateCallback prototype" >&5
$as_echo_n "checking for standard XRegisterIMInstantiateCallback prototype... " >&6; }
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#define NeedFunctionPrototypes 1
#include <X11/Xlib.h>
extern Bool XRegisterIMInstantiateCallback(
   Display*, struct _XrmHashBucketRec*, char*, char*, XIMProc, XPointer*);

_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
$as_echo "yes" >&6; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
   $as_echo "#define XREGISTERIMINSTANTIATECALLBACK_NONSTANDARD_PROTOTYPE 1" >>confdefs.h

fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for XmuReadBitmapDataFromFile in -lXmu" >&5
$as_echo_n "checking for XmuReadBitmapDataFromFile in -lXmu... " >&6; }
if ${ac_cv_lib_Xmu_XmuReadBitmapDataFromFile+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lXmu  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char XmuReadBitmapDataFromFile ();
int
main ()
{
return XmuReadBitmapDataFromFile ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_Xmu_XmuReadBitmapDataFromFile=yes
else
  ac_cv_lib_Xmu_XmuReadBitmapDataFromFile=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_Xmu_XmuReadBitmapDataFromFile" >&5
$as_echo "$ac_cv_lib_Xmu_XmuReadBitmapDataFromFile" >&6; }
if test "x$ac_cv_lib_Xmu_XmuReadBitmapDataFromFile" = xyes; then :
  with_xmu=yes
else
  with_xmu=no
fi

  if test "$with_xmu" = "no"; then
    as_fn_error $? "We're sorry, but we thought there were no systems without Xmu by now.
You cannot build this version of XEmacs for X11 without Xmu.  Please report
this to xemacs-beta@xemacs.org.  As a workaround, revert to XEmacs 21.5.29." "$LINENO" 5
  else
    libs_x="-lXmu $libs_x" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-lXmu\" to \$libs_x"; fi
  fi

      { $as_echo "$as_me:${as_lineno-$LINENO}: checking for main in -lXbsd" >&5
$as_echo_n "checking for main in -lXbsd... " >&6; }
if ${ac_cv_lib_Xbsd_main+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lXbsd  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */


int
main ()
{
return main ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_Xbsd_main=yes
else
  ac_cv_lib_Xbsd_main=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_Xbsd_main" >&5
$as_echo "$ac_cv_lib_Xbsd_main" >&6; }
if test "x$ac_cv_lib_Xbsd_main" = xyes; then :
  libs_x="-lXbsd $libs_x" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-lXbsd\" to \$libs_x"; fi
fi


    if test "$unexec" = "unexaix.o" -a "$x11_release" = "6"; then
        if test "$GCC" = "yes"; then
      X_CFLAGS="-mthreads $X_CFLAGS" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-mthreads\" to \$X_CFLAGS"; fi
      libs_x="-mthreads $libs_x" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-mthreads\" to \$libs_x"; fi
    else
      case "$CC" in
        "xlc" ) CC="xlc_r" ;;
        "xlC" ) CC="xlC_r" ;;
        "cc"  ) CC="cc_r" ;;
      esac
    fi
  fi


  if test "$with_xft_emacs" = "yes"; then
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for Xrender, fontconfig, and Xft" >&5
$as_echo_n "checking for Xrender, fontconfig, and Xft... " >&6; }
    xft_includes_found=no
        xft_config_prog="pkg-config xft"
    xft_config_ok=`$xft_config_prog --cflags 2>/dev/null`
    if test "$?" = 0 ; then
	xft_cflags=`$xft_config_prog --cflags`
	xft_libs=`$xft_config_prog --libs`
	c_switch_site="$c_switch_site $xft_cflags"
	ld_switch_site="$ld_switch_site $xft_libs"
	xft_includes_found=yes
    else
      for ac_header in freetype/config/ftheader.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "freetype/config/ftheader.h" "ac_cv_header_freetype_config_ftheader_h" "$ac_includes_default"
if test "x$ac_cv_header_freetype_config_ftheader_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_FREETYPE_CONFIG_FTHEADER_H 1
_ACEOF
 xft_includes_found=yes
else

			for freetype_include_top in "/usr/local/include/freetype2" \
				    "/usr/X11R6/include/freetype2" \
				    "/usr/include/freetype2"
	do
	  if test -d $freetype_include_top; then
	    { $as_echo "$as_me:${as_lineno-$LINENO}: checking in ${freetype_include_top}" >&5
$as_echo_n "checking in ${freetype_include_top}... " >&6; }
	    	    	    	    unset "$as_ac_Header"
	    save_c_switch_site="$c_switch_site"
	    c_switch_site="$c_switch_site -I${freetype_include_top}"
	    for ac_header in freetype/config/ftheader.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "freetype/config/ftheader.h" "ac_cv_header_freetype_config_ftheader_h" "$ac_includes_default"
if test "x$ac_cv_header_freetype_config_ftheader_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_FREETYPE_CONFIG_FTHEADER_H 1
_ACEOF
 xft_includes_found=yes
else
  c_switch_site=$save_c_switch_site
fi

done

	  fi
	done
fi

done

    fi
    if test "$xft_includes_found" != "yes"; then
      { echo "Error:" "Unable to find headers for --with-xft" >&2; exit 1; }
    else
      { $as_echo "$as_me:${as_lineno-$LINENO}: checking for XRenderQueryExtension in -lXrender" >&5
$as_echo_n "checking for XRenderQueryExtension in -lXrender... " >&6; }
if ${ac_cv_lib_Xrender_XRenderQueryExtension+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lXrender  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char XRenderQueryExtension ();
int
main ()
{
return XRenderQueryExtension ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_Xrender_XRenderQueryExtension=yes
else
  ac_cv_lib_Xrender_XRenderQueryExtension=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_Xrender_XRenderQueryExtension" >&5
$as_echo "$ac_cv_lib_Xrender_XRenderQueryExtension" >&6; }
if test "x$ac_cv_lib_Xrender_XRenderQueryExtension" = xyes; then :
  libs_x="-lXrender $libs_x" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-lXrender\" to \$libs_x"; fi
else
  { echo "Error:" "Unable to find libXrender for --with-xft" >&2; exit 1; }
fi

      { $as_echo "$as_me:${as_lineno-$LINENO}: checking for FcPatternCreate in -lfontconfig" >&5
$as_echo_n "checking for FcPatternCreate in -lfontconfig... " >&6; }
if ${ac_cv_lib_fontconfig_FcPatternCreate+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lfontconfig  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char FcPatternCreate ();
int
main ()
{
return FcPatternCreate ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_fontconfig_FcPatternCreate=yes
else
  ac_cv_lib_fontconfig_FcPatternCreate=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_fontconfig_FcPatternCreate" >&5
$as_echo "$ac_cv_lib_fontconfig_FcPatternCreate" >&6; }
if test "x$ac_cv_lib_fontconfig_FcPatternCreate" = xyes; then :
  libs_x="-lfontconfig $libs_x" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-lfontconfig\" to \$libs_x"; fi
else
  { echo "Error:" "Unable to find libfontconfig for --with-xft" >&2; exit 1; }
fi

      { $as_echo "$as_me:${as_lineno-$LINENO}: checking for XftFontOpen in -lXft" >&5
$as_echo_n "checking for XftFontOpen in -lXft... " >&6; }
if ${ac_cv_lib_Xft_XftFontOpen+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lXft  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char XftFontOpen ();
int
main ()
{
return XftFontOpen ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_Xft_XftFontOpen=yes
else
  ac_cv_lib_Xft_XftFontOpen=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_Xft_XftFontOpen" >&5
$as_echo "$ac_cv_lib_Xft_XftFontOpen" >&6; }
if test "x$ac_cv_lib_Xft_XftFontOpen" = xyes; then :
  libs_x="-lXft $libs_x" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-lXft\" to \$libs_x"; fi
else
  { echo "Error:" "Unable to find libXft for --with-xft" >&2; exit 1; }
fi


      for ac_func in FcConfigGetRescanInterval
do :
  ac_fn_c_check_func "$LINENO" "FcConfigGetRescanInterval" "ac_cv_func_FcConfigGetRescanInterval"
if test "x$ac_cv_func_FcConfigGetRescanInterval" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_FCCONFIGGETRESCANINTERVAL 1
_ACEOF

fi
done

      for ac_func in FcConfigSetRescanInterval
do :
  ac_fn_c_check_func "$LINENO" "FcConfigSetRescanInterval" "ac_cv_func_FcConfigSetRescanInterval"
if test "x$ac_cv_func_FcConfigSetRescanInterval" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_FCCONFIGSETRESCANINTERVAL 1
_ACEOF

fi
done

            with_fontconfig=yes
      $as_echo "#define HAVE_FONTCONFIG 1" >>confdefs.h

      $as_echo "#define HAVE_XFT 1" >>confdefs.h

                  unset xft_includes_found
    fi
  fi

fi
if test "$with_msw" != "no"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for MS-Windows" >&5
$as_echo_n "checking for MS-Windows... " >&6; }
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: " >&5
$as_echo "" >&6; }
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for main in -lgdi32" >&5
$as_echo_n "checking for main in -lgdi32... " >&6; }
if ${ac_cv_lib_gdi32_main+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lgdi32  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */


int
main ()
{
return main ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_gdi32_main=yes
else
  ac_cv_lib_gdi32_main=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_gdi32_main" >&5
$as_echo "$ac_cv_lib_gdi32_main" >&6; }
if test "x$ac_cv_lib_gdi32_main" = xyes; then :
  with_msw=yes
fi

  if test "$with_msw" = "yes"; then
    $as_echo "#define HAVE_MS_WINDOWS 1" >>confdefs.h


        if test "$with_netinstall" = "yes"; then
      MAKE_SUBDIR="$MAKE_SUBDIR netinstall" &&  if test "$verbose" = "yes"; then echo "    Appending \"netinstall\" to \$MAKE_SUBDIR"; fi
      SRC_SUBDIR_DEPS="$SRC_SUBDIR_DEPS netinstall" &&  if test "$verbose" = "yes"; then echo "    Appending \"netinstall\" to \$SRC_SUBDIR_DEPS"; fi
      INSTALL_ARCH_DEP_SUBDIR="$INSTALL_ARCH_DEP_SUBDIR netinstall" &&  if test "$verbose" = "yes"; then echo "    Appending \"netinstall\" to \$INSTALL_ARCH_DEP_SUBDIR"; fi
    fi

    install_pp="$srcdir/lib-src/installexe.sh"
    libs_system="$libs_system -L/usr/lib/w32api -limm32 -lshell32 -lgdi32 -luser32 -lcomdlg32 -lcomctl32 -lole32 -luuid -lwinspool -lmpr" &&  if test "$verbose" = "yes"; then echo "    Appending \"-L/usr/lib/w32api -limm32 -lshell32 -lgdi32 -luser32 -lcomdlg32 -lcomctl32 -lole32 -luuid -lwinspool -lmpr\" to \$libs_system"; fi
    if test "$with_dragndrop" != no; then
      dragndrop_proto="$dragndrop_proto msw" &&  if test "$verbose" = "yes"; then echo "    Appending \"msw\" to \$dragndrop_proto"; fi
      with_dragndrop=yes
    fi
    if test "$window_system" != x11; then
      window_system=msw
      test "$with_scrollbars" != "no" && with_scrollbars=msw
      test "$with_menubars"   != "no" && with_menubars=msw
      test "$with_toolbars"   != "no" && with_toolbars=msw
      test "$with_dialogs"    != "no" && with_dialogs=msw
      test "$with_widgets"    != "no" && with_widgets=msw
    fi
        if test "$cross_compiling" = yes; then :
  { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error $? "cannot run test program while cross compiling
See \`config.log' for more details" "$LINENO" 5; }
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <fcntl.h>
    int main() { return (open("/dev/windows", O_RDONLY, 0) > 0)? 0 : 1; }
_ACEOF
if ac_fn_c_try_run "$LINENO"; then :
  $as_echo "#define HAVE_MSG_SELECT 1" >>confdefs.h

fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
  conftest.$ac_objext conftest.beam conftest.$ac_ext
fi

  fi
fi



test -z "$with_dragndrop" && with_dragndrop="$with_dragndrop_default"
test -z "$window_system" && window_system="none"

if test "$window_system" = "none"; then
  for feature in menubars scrollbars toolbars dialogs dragndrop xface
  do
    if eval "test -n \"\$with_${feature}\" -a \"\$with_${feature}\" != no" ; then
       { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: --with-$feature ignored:  Not valid without window system support" >&5
$as_echo "$as_me: WARNING: --with-$feature ignored:  Not valid without window system support" >&2;}
    fi
    eval "with_${feature}=no"
  done
else
  test -z "$with_toolbars" && with_toolbars=yes
fi

if test "$with_msw" != "yes"; then
  for feature in   MARTIN_IS_CLUELESS_ABOUT_MSW_FEATURES
  do
    if eval "test -n \"\$with_${feature}\" -a \"\$with_${feature}\" != no" ; then
       { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: --with-$feature ignored:  Not valid without MS-Windows support" >&5
$as_echo "$as_me: WARNING: --with-$feature ignored:  Not valid without MS-Windows support" >&2;}
    fi
    eval "with_${feature}=no"
  done
else
:
fi

if test "$with_x11" != "yes"; then
            for feature in with_tooltalk with_cde with_wmcommand with_xim with_sound_nas
  do
    if eval "test -n \"\$${feature}\" -a \"\$${feature}\" != \"no\"" ; then
       { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: --$feature ignored:  Not valid without X support" >&5
$as_echo "$as_me: WARNING: --$feature ignored:  Not valid without X support" >&2;}
    fi
    eval "${feature}=no"
  done
fi

if test "$with_x11" = "yes"; then
  ac_fn_c_check_header_compile "$LINENO" "X11/extensions/shape.h" "ac_cv_header_X11_extensions_shape_h" "
#include <X11/Xlib.h>
#include <X11/Xutil.h>

"
if test "x$ac_cv_header_X11_extensions_shape_h" = xyes; then :

   $as_echo "#define HAVE_BALLOON_HELP 1" >>confdefs.h


fi


fi

bitmapdir=

case "$window_system" in
  x11  ) HAVE_X_WINDOWS=yes; echo "  Using X11." ;;
  msw  ) HAVE_X_WINDOWS=no ; echo "  Using MS-Windows." ;;
  gtk  )
       HAVE_X_WINDOWS=no
       test "$with_gnome" = "yes" && echo "  Using GNOME."
       test "$with_gnome" = "no" && echo "  Using GTK."
       ;;
  none ) HAVE_X_WINDOWS=no ; echo "  Using no window system." ;;
esac

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for WM_COMMAND option" >&5
$as_echo_n "checking for WM_COMMAND option... " >&6; }
if test "$with_wmcommand" != "no"; then
  $as_echo "#define HAVE_WMCOMMAND 1" >>confdefs.h

  { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
$as_echo "yes" >&6; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
fi

test -z "$with_xauth" && test "$window_system" = "none" && with_xauth=no
test -z "$with_xauth" && { ac_fn_c_check_header_mongrel "$LINENO" "X11/Xauth.h" "ac_cv_header_X11_Xauth_h" "$ac_includes_default"
if test "x$ac_cv_header_X11_Xauth_h" = xyes; then :

else
  with_xauth=no
fi

 }
test -z "$with_xauth" && { { $as_echo "$as_me:${as_lineno-$LINENO}: checking for XauGetAuthByAddr in -lXau" >&5
$as_echo_n "checking for XauGetAuthByAddr in -lXau... " >&6; }
if ${ac_cv_lib_Xau_XauGetAuthByAddr+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lXau  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char XauGetAuthByAddr ();
int
main ()
{
return XauGetAuthByAddr ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_Xau_XauGetAuthByAddr=yes
else
  ac_cv_lib_Xau_XauGetAuthByAddr=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_Xau_XauGetAuthByAddr" >&5
$as_echo "$ac_cv_lib_Xau_XauGetAuthByAddr" >&6; }
if test "x$ac_cv_lib_Xau_XauGetAuthByAddr" = xyes; then :
  :
else
  with_xauth=no
fi
 }
test -z "$with_xauth" && with_xauth=yes
if test "$with_xauth" = "yes"; then
  $as_echo "#define HAVE_XAUTH 1" >>confdefs.h


T=""
for W in $GTK_LIBS $X_EXTRA_LIBS -lXau $libs_x $X_PRE_LIBS; do if test -z "$T"; then T="$W"; else T="$T $W"; fi; done
libs_xauth="$T"

fi





if test "$XEMACS_CC_GPP" = "yes"; then
  LIBSTDCPP=-lstdc++
else
  LIBSTDCPP=
fi


if test "$opsys" = "darwin"; then
  $as_echo "#define REALPATH_CORRECTS_CASE 1" >>confdefs.h

  $as_echo "#define DEFAULT_FILE_SYSTEM_IGNORE_CASE 1" >>confdefs.h

fi

if test "$with_modules" != "no"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for module support" >&5
$as_echo_n "checking for module support... " >&6; }
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: " >&5
$as_echo "" >&6; }

  case "$opsys" in
    mingw* | cygwin* ) have_dl=yes ;;
    *)
            ac_fn_c_check_header_mongrel "$LINENO" "dlfcn.h" "ac_cv_header_dlfcn_h" "$ac_includes_default"
if test "x$ac_cv_header_dlfcn_h" = xyes; then :

	{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for dlopen in -lc" >&5
$as_echo_n "checking for dlopen in -lc... " >&6; }
	cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <dlfcn.h>
int
main ()
{
dlopen ("", 0);
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
   have_dl=yes ; { $as_echo "$as_me:${as_lineno-$LINENO}: result: $have_dl" >&5
$as_echo "$have_dl" >&6; }
else

	  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
	  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for dlopen in -ldl" >&5
$as_echo_n "checking for dlopen in -ldl... " >&6; }
	  ac_save_LIBS="$LIBS"
	  LIBS="$LIBS -ldl"
	  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <dlfcn.h>
int
main ()
{
dlopen ("", 0);
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
   have_dl=yes; { $as_echo "$as_me:${as_lineno-$LINENO}: result: $have_dl" >&5
$as_echo "$have_dl" >&6; }
else

	    { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
	    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for dlopen in -lsvld" >&5
$as_echo_n "checking for dlopen in -lsvld... " >&6; }
	    LIBS="$ac_save_LIBS -lsvld"
	    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <dlfcn.h>
int
main ()
{
dlopen ("", 0);
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
   have_dl=yes; { $as_echo "$as_me:${as_lineno-$LINENO}: result: $have_dl" >&5
$as_echo "$have_dl" >&6; }
else
  LIBS="$ac_save_LIBS" ; { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
fi


      if test "$have_dl" = "yes"; then
	$as_echo "#define HAVE_DLOPEN 1" >>confdefs.h

      else
                        if test "$opsys" = "darwin"; then
          have_dl=yes
          $as_echo "#define HAVE_DYLD 1" >>confdefs.h

          $as_echo "#define DLSYM_NEEDS_UNDERSCORE 1" >>confdefs.h

        else
                    ac_fn_c_check_header_mongrel "$LINENO" "dl.h" "ac_cv_header_dl_h" "$ac_includes_default"
if test "x$ac_cv_header_dl_h" = xyes; then :

            { $as_echo "$as_me:${as_lineno-$LINENO}: checking for shl_load in -lc" >&5
$as_echo_n "checking for shl_load in -lc... " >&6; }
            cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <dl.h>
int
main ()
{
shl_load ("", 0, 0);
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  have_dl=yes; { $as_echo "$as_me:${as_lineno-$LINENO}: result: $have_dl" >&5
$as_echo "$have_dl" >&6; }
else

              { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
              { $as_echo "$as_me:${as_lineno-$LINENO}: checking for shl_load in -ldl" >&5
$as_echo_n "checking for shl_load in -ldl... " >&6; }
              ac_save_LIBS="$LIBS"
              LIBS="$LIBS -ldld"
              cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <dl.h>
int
main ()
{
shl_load ("", 0, 0);
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  have_dl=yes
else
  LIBS="$ac_save_LIBS"; { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
fi


          if test "$have_dl" = "yes"; then
            $as_echo "#define HAVE_SHL_LOAD 1" >>confdefs.h

          else
                        ac_fn_c_check_header_mongrel "$LINENO" "ltdl.h" "ac_cv_header_ltdl_h" "$ac_includes_default"
if test "x$ac_cv_header_ltdl_h" = xyes; then :

              { $as_echo "$as_me:${as_lineno-$LINENO}: checking for lt_dlinit in -lltdl" >&5
$as_echo_n "checking for lt_dlinit in -lltdl... " >&6; }
              ac_save_LIBS="$LIBS"
              LIBS="$LIBS -lltdl"
              cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <ltdl.h>
int
main ()
{
lt_dlinit ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  have_dl=yes
else
  LIBS="$ac_save_LIBS"
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
fi


            { $as_echo "$as_me:${as_lineno-$LINENO}: result: $have_dl" >&5
$as_echo "$have_dl" >&6; }
            if test "$have_dl" = "yes"; then
              $as_echo "#define HAVE_LTDL 1" >>confdefs.h

            fi
              	  fi
       fi
            fi
      ac_save_LIBS=
  esac

  if test -n "$have_dl"; then

dll_ld=
dll_ldflags=
dll_cflags=
dll_post=
dll_ldo="-o"
ld_dynamic_link_flags=
xehost=$ac_cv_build
xealias=$ac_cv_build_alias

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking how to build dynamic libraries for ${xehost}" >&5
$as_echo_n "checking how to build dynamic libraries for ${xehost}... " >&6; }
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: " >&5
$as_echo "" >&6; }
# Transform *-*-linux* to *-*-linux-gnu*, to support old configure scripts.
case "$xehost" in
*-*-linux-gnu*) ;;
*-*-linux*) xehost=`echo $xehost | sed 's/^\(.*-.*-linux\)\(.*\)$/\1-gnu\2/'`
esac

xehost_cpu=`echo $xehost | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\1/'`
xehost_vendor=`echo $xehost | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\2/'`
xehost_os=`echo $xehost | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\3/'`

# Now see if the compiler is really GCC.
if test "$GCC" = "yes"; then
  XEGCC=yes
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether we are using GNU C" >&5
$as_echo_n "checking whether we are using GNU C... " >&6; }
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#ifdef __GNUC__
  yes;
#endif

_ACEOF
if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
  $EGREP "yes" >/dev/null 2>&1; then :
  XEGCC=yes
else
  XEGCC=no
fi
rm -f conftest*

  { $as_echo "$as_me:${as_lineno-$LINENO}: result: ${XEGCC}" >&5
$as_echo "${XEGCC}" >&6; }
fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking how to produce PIC code" >&5
$as_echo_n "checking how to produce PIC code... " >&6; }
wl=

can_build_shared=yes
if test "$XEGCC" = yes -o "$__ICC" = yes; then
  wl='-Wl,'

  case "$xehost_os" in
  aix[4-9]* | irix[5-9]* | osf[3-9])
    # PIC is the default for these OSes.
    ;;

  *darwin*) dll_cflags='-dynamic'
    ;;

  os2*)
    # We can build DLLs from non-PIC.
    ;;
  amigaos*)
    # FIXME: we need at least 68020 code to build shared libraries, but
    # adding the `-m68020' flag to GCC prevents building anything better,
    # like `-m68040'.
    dll_cflags='-m68020 -resident32 -malways-restore-a4'
    ;;
  *cygwin* | *mingw* )
    # PIC is the default
    ;;
  *)
    dll_cflags='-fPIC'
    ;;
  esac
else
  # PORTME Check for PIC flags for the system compiler.
  case "$xehost_os" in
  hpux1[0-9]*)
    # Is there a better link_static_flag that works with the bundled CC?
    wl='-Wl,'
    dll_cflags='+Z'
    ;;

  irix[5-9]*)
    wl='-Wl,'
    # PIC (with -KPIC) is the default.
    ;;

  os2*)
    # We can build DLLs from non-PIC.
    ;;

  osf[3-9]*)
    # All OSF/1 code is PIC.
    wl='-Wl,'
    ;;

  aix[4-9]*)
    # All AIX code is PIC.
    wl='-Wl,'
    ;;

  sco3.2v5*)
    dll_cflags='-belf -Kpic'
    wl='-Wl,'
    ;;

  unixware*)
    dll_cflags="-KPIC"
    wl="-Wl,"
    ;;

  sysv4*)
    dll_cflags="-KPIC"
    wl="-Wl,"
    ;;

  sysv5*)
    dll_cflags="-KPIC"
    wl="-Wl,"
    ;;

  solaris2*)
    dll_cflags='-KPIC'
    wl='-Wl,'
    ;;

  uts4*)
    dll_cflags='-pic'
    ;;

  *)
    can_build_shared=no
    ;;
  esac
fi

if test -n "$dll_cflags"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: ${dll_cflags}" >&5
$as_echo "${dll_cflags}" >&6; }

  # Check to make sure the dll_cflags actually works.
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking if PIC flag ${dll_cflags} really works" >&5
$as_echo_n "checking if PIC flag ${dll_cflags} really works... " >&6; }
  save_CFLAGS="$CFLAGS"
  CFLAGS="$CFLAGS $dll_cflags -DPIC"
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
int x=0;
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :

    # On HP-UX, the stripped-down bundled CC doesn't accept +Z, but also
    # reports no error.  So, we need to grep stderr for (Bundled).
    if grep '(Bundled)' config.log >/dev/null; then
      { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
      can_build_shared=no
      dll_cflags=
    else
      { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
$as_echo "yes" >&6; }
    fi
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
    can_build_shared=no
    dll_cflags=
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
  CFLAGS="$save_CFLAGS"
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: none" >&5
$as_echo "none" >&6; }
fi

if test "$can_build_shared" = "yes"; then
cc_produces_so=no
xldf=
xcldf=
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking if C compiler can produce shared libraries" >&5
$as_echo_n "checking if C compiler can produce shared libraries... " >&6; }
if test "$XEGCC" = yes -o "$__ICC" = yes; then
  case "$xehost_os" in
    *darwin*)
      xcldf='-bundle'
      xldf='-bundle -bundle_loader ../../src/xemacs'
      ;;
    *)
      xcldf="-shared"
      xldf="-shared"
      ;;
  esac
else # Not using GCC
  case "$xehost_os" in
    aix[4-9]*)
      xldf="-bE:ELLSONAME.exp -H512 -T512 -bhalt:4 -bM:SRE -bnoentry -lc"
      xcldf="${wl}-bE:ELLSONAME.exp ${wl}-H512 ${wl}-T512 ${wl}-bhalt:4 ${wl}-bM:SRE ${wl}-bnoentry ${wl}-lc"
      ;;

    freebsd2* | netbsd* | openbsd*)
      xldf="-Bshareable"
      xcldf="${wl}-Bshareable"
      ;;

    freebsd3*)
      xcldf="-shared"
      ;;

    hpux*)
      xldf="-b +s"
      xcldf="${wl}-b ${wl}+s"
      ;;

    irix[5-9]* | osf[3-9]*)
      xcldf="${wl}-shared"
      xldf="-shared"
      ;;

    sco3.2v5* | unixware* | sysv5* | sysv4* | solaris2* | solaris7* | uts4*)
      xcldf="-G"
      xldf="-G"
      ;;
  esac
fi # End if if we are using gcc

if test -n "$xcldf"; then
  save_LDFLAGS=$LDFLAGS
  save_LIBS=$LIBS
  save_xe_libs=$xe_libs
  LDFLAGS="$xcldf $LDFLAGS"
  LIBS=
  xe_libs=
  ac_link='${CC-cc} -o conftest $CFLAGS '"$xe_cppflags $xe_ldflags"' conftest.$ac_ext '"$xe_libs"' 1>&5'
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
int x=0;
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  cc_produces_so=yes
else
  cc_produces_so=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
  LDFLAGS=$save_LDFLAGS
  LIBS=$save_LIBS
  xe_libs=$save_xe_libs
  ac_link='${CC-cc} -o conftest $CFLAGS '"$xe_cppflags $xe_ldflags"' conftest.$ac_ext '"$xe_libs"' 1>&5'
else
  cc_produces_so=no
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: ${cc_produces_so}" >&5
$as_echo "${cc_produces_so}" >&6; }

LTLD=$LD
if test -z "$LTLD"; then
  ac_prog=ld
  if test "$XEGCC" = yes; then
    # Check if gcc -print-prog-name=ld gives a path.
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for ld used by GCC" >&5
$as_echo_n "checking for ld used by GCC... " >&6; }
    ac_prog=`($CC -print-prog-name=ld) 2>&5`
    case "$ac_prog" in
    # Accept absolute paths.
    /*)
      if test -z "$LTLD"; then
#        case "$ac_prog" in
#          *gcc-lib*) LTLD="$CC"
#                     ;;
#          *)
         LTLD="$ac_prog"
#                     ;;
#        esac
      fi
      ;;
    "")
      # If it fails, then pretend we aren't using GCC.
      ac_prog=ld
      ;;
    *)
      # If it is relative, then search for the first ld in PATH.
      with_gnu_ld=unknown
      ;;
    esac
  else
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for GNU ld" >&5
$as_echo_n "checking for GNU ld... " >&6; }
  fi

  if test -z "$LTLD"; then
    IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:"
    for ac_dir in $PATH; do
      test -z "$ac_dir" && ac_dir=.
      if test -f "$ac_dir/$ac_prog"; then
        LTLD="$ac_dir/$ac_prog"
        # Check to see if the program is GNU ld.  I'd rather use --version,
        # but apparently some GNU ld's only accept -v.
        # Break only if it was the GNU/non-GNU ld that we prefer.
        if "$LTLD" -v 2>&1 < /dev/null | $EGREP '(GNU|with BFD)' > /dev/null; then
          xe_gnu_ld=yes
        else
          xe_gnu_ld=no
        fi
      fi
    done
    IFS="$ac_save_ifs"
  fi

  if test -n "$LTLD"; then
    { $as_echo "$as_me:${as_lineno-$LINENO}: result: ${LTLD}" >&5
$as_echo "${LTLD}" >&6; }
  else
    { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
  fi

  if test -z "$LTLD" -a "$cc_produces_so" = no; then
    as_fn_error $? "no acceptable linker found in \$PATH" "$LINENO" 5
    exit 1
  fi
fi

ld_dynamic_link_flags=

# Check to see if it really is or isn't GNU ld.
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking if the linker is GNU ld" >&5
$as_echo_n "checking if the linker is GNU ld... " >&6; }
# I'd rather use --version here, but apparently some GNU ld's only accept -v.
if $LTLD -v 2>&1 </dev/null | $EGREP '(GNU|with BFD)' 1>&5; then
  xe_gnu_ld=yes
else
  xe_gnu_ld=no
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: ${xe_gnu_ld}" >&5
$as_echo "${xe_gnu_ld}" >&6; }

case "$xehost_os" in
  amigaos*)
    # On this operating system, we should treat GNU ld like the system ld.
    gnu_ld_acts_native=yes
    ;;
  *)
    gnu_ld_acts_native=no
    ;;
esac

if test "$cc_produces_so" = "yes"; then
  dll_ld=$CC
  case "$xehost_os" in
    *darwin*)
            dll_ldflags=$xldf
      ;;
    *)
      dll_ldflags=$xcldf
      ;;
  esac
  can_build_shared=yes
  ld_shlibs=yes
else
  # OK - only NOW do we futz about with ld.
  # See if the linker supports building shared libraries.
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether the linker supports shared libraries" >&5
$as_echo_n "checking whether the linker supports shared libraries... " >&6; }
  dll_ld=$CC
  dll_ldflags=$LDFLAGS
  ld_shlibs=yes
  can_build_shared=yes
  if test "$xe_gnu_ld" = yes && test "$gnu_ld_acts_native" != yes; then
    # See if GNU ld supports shared libraries.
    if $LTLD --help 2>&1 | $EGREP ': supported targets:.* elf' > /dev/null; then
      dll_ld=$CC
      dll_ldflags="-shared"
      ld_shlibs=yes
    else
      ld_shlibs=no
    fi
  else
    # PORTME fill in a description of your system's linker (not GNU ld)
    case "$xehost_os" in
    aix[4-9]*)
      dll_ldflags=$xcldf
      ;;

    # FreeBSD 2.2.[012] allows us to include c++rt0.o to get C++ constructor
    # support.  Future versions do this automatically, but an explicit c++rt0.o
    # doesn't break anything, and helps significantly (at the cost of a little
    # extra space).
    freebsd2.2*)
      dll_ld=$LTLD
      dll_ldflags=$xldf
      dll_post="/usr/lib/c++rt0.o"
      ;;

    # Unfortunately, older versions of FreeBSD 2 don't have this feature.
    freebsd2*)
      dll_ld=$LTLD
      dll_ldflags="-Bshareable"
      ;;

    # FreeBSD 3, at last, uses gcc -shared to do shared libraries.
    freebsd3*)
      dll_ldflags="-shared"
      ;;

    hpux*)
      dll_ld=$LTLD
      dll_ldflags=$xldf
      ;;

    irix[5-9]*)
      dll_ld=$LTLD
      dll_ldflags=$xldf
      ;;

    netbsd*)
      # Tested with NetBSD 1.2 ld
      dll_ld=$LTLD
      dll_ldflags=$xldf
      ;;

    openbsd*)
      dll_ld=$LTLD
      dll_ldflags=$xldf
      ;;

    osf3* | osf4*)
      dll_ld=$LTLD
      dll_ldflags=$xldf
      ;;

    # For both SCO and Solaris we MAY want to have LDFLAGS include -z text
    sco3.2v5* | unixware* | sysv5* | sysv4* | solaris2* | solaris7*)
      dll_ld=$LTLD
      case "$dll_ld" in
        *gcc*) dll_ldflags="-shared"
               dll_ld=$CC
               ;;
        *)     dll_ldflags="-G"
               ;;
      esac
      ;;

    uts4*)
      dll_ld=$LTLD
      dll_ldflags="-G"
      ;;

    bsdi*)
      dll_ldflags="-r"
      dll_ld="shlicc2"
      ;;

    *)
      ld_shlibs=no
      can_build_shared=no
      ;;
    esac
  fi
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: ${ld_shlibs}" >&5
$as_echo "${ld_shlibs}" >&6; }
  if test "$ld_shlibs" = "no"; then
    can_build_shared=no
  fi
fi # End of if cc_produces_so = no


if test "$xe_gnu_ld" = yes -a "$ld_shlibs" = yes; then
  case "$xehost_os" in
  *cygwin* | *mingw* )
    # -export-all-symbols is the PE equivalent of ELF-specific -export-dynamic
    ld_dynamic_link_flags="${wl}-export-all-symbols"
    ;;

  *)
    ld_dynamic_link_flags="${wl}-export-dynamic"
    ;;
  esac
fi

if test -z "$ld_dynamic_link_flags"; then
  case "$xehost_os" in
  aix[3-9]*)
    ld_dynamic_link_flags=
    ;;

  *darwin*)
    ld_dynamic_link_flags=
    ;;

  freebsd2.2*)
    ld_dynamic_link_flags=
    ;;

  freebsd2*)
    ld_dynamic_link_flags=
    ;;

  freebsd3*)
    ld_dynamic_link_flags=
    ;;

  hpux*)
    ld_dynamic_link_flags="${wl}-E"
    ;;

  irix[5-9]*)
    ld_dynamic_link_flags=
    ;;

  netbsd*)
    ld_dynamic_link_flags=
    ;;

  openbsd*)
    ld_dynamic_link_flags=
    ;;

  osf3* | osf4*)
    ld_dynamic_link_flags=
    ;;

  solaris2* | solaris7*)
    ld_dynamic_link_flags=
    ;;

  unixware* | sysv5* | sysv4*)
    ld_dynamic_link_flags="${wl}-Bexport"
    ;;

  uts4*)
    ld_dynamic_link_flags=
    ;;

  esac
fi # End of if -z ld_dynamic_link_flags
fi # End of if test "$can_build_shared" = "yes"








  fi

  if test "$can_build_shared" = "yes"; then
    $as_echo "#define HAVE_SHLIB 1" >>confdefs.h

                MAKE_SUBDIR="$MAKE_SUBDIR src" &&  if test "$verbose" = "yes"; then echo "    Appending \"src\" to \$MAKE_SUBDIR"; fi
    INSTALL_ARCH_DEP_SUBDIR="$INSTALL_ARCH_DEP_SUBDIR src" &&  if test "$verbose" = "yes"; then echo "    Appending \"src\" to \$INSTALL_ARCH_DEP_SUBDIR"; fi
    test -n "$libdl" && LIBS="-l${libdl} $LIBS" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-l${libdl}\" to \$LIBS"; fi
    for ac_func in dlerror _dlerror
do :
  as_ac_var=`$as_echo "ac_cv_func_$ac_func" | $as_tr_sh`
ac_fn_c_check_func "$LINENO" "$ac_func" "$as_ac_var"
if eval test \"x\$"$as_ac_var"\" = x"yes"; then :
  cat >>confdefs.h <<_ACEOF
#define `$as_echo "HAVE_$ac_func" | $as_tr_cpp` 1
_ACEOF

fi
done

    with_modules=yes
    MOD_CC="../../lib-src/ellcc"
    MODCFLAGS="\$(CFLAGS) --mode=compile --mod-output=\$@ -I../../src -I\$(srcdir)/../../src"
    INSTALLPATH="\$(moduledir)"
    MOD_INSTALL_PROGRAM=${INSTALL_PROGRAM}
    OBJECT_TO_BUILD="\$(MODNAME).ell"
  else
    if test "$with_modules" = "yes"; then
      { echo "Error:" "Required module support cannot be provided." >&2; exit 1; }
    else
      echo "    No module support."
    fi
    with_modules=no
  fi
fi
if test "$with_modules" != "yes"; then
  MOD_CC="$XEMACS_CC"
  MODCFLAGS="\$(XE_CFLAGS) -I../../src -I\$(srcdir)/../../src"
  INSTALLPATH=""
  MOD_INSTALL_PROGRAM="true"
  OBJECT_TO_BUILD="\$(MODNAME).o"
fi
MODARCHDIR=
MAKE_DOCFILE="../../lib-src/make-docfile"
with_modules=$with_modules









if test "$with_tooltalk" != "no" ; then
      for dir in "" "Tt/" "desktop/" ; do
    as_ac_Header=`$as_echo "ac_cv_header_${dir}tt_c.h" | $as_tr_sh`
ac_fn_c_check_header_mongrel "$LINENO" "${dir}tt_c.h" "$as_ac_Header" "$ac_includes_default"
if eval test \"x\$"$as_ac_Header"\" = x"yes"; then :
  tt_c_h_file="${dir}tt_c.h"; break
fi


  done
  if test -z "$tt_c_h_file"; then
    if test "$with_tooltalk" = "yes"; then
      (echo "$progname: Usage error:"
echo " " "Unable to find required tooltalk header files."
echo "  Use \`$progname --help' to show usage.") >&2 && exit 1
    fi
    with_tooltalk=no
  fi
fi
if test "$with_tooltalk" != "no" ; then
  for extra_libs in "" "-lI18N -lce" "-lcxx"; do
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for tt_message_create in -ltt" >&5
$as_echo_n "checking for tt_message_create in -ltt... " >&6; }
if ${ac_cv_lib_tt_tt_message_create+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-ltt $extra_libs $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char tt_message_create ();
int
main ()
{
return tt_message_create ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_tt_tt_message_create=yes
else
  ac_cv_lib_tt_tt_message_create=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_tt_tt_message_create" >&5
$as_echo "$ac_cv_lib_tt_tt_message_create" >&6; }
if test "x$ac_cv_lib_tt_tt_message_create" = xyes; then :
  tt_libs="-ltt $extra_libs"; break
else
  :
fi

  done
  if test -z "$tt_libs"; then
    if test "$with_tooltalk" = "yes"; then
      (echo "$progname: Usage error:"
echo " " "Unable to find required tooltalk libraries."
echo "  Use \`$progname --help' to show usage.") >&2 && exit 1
    fi
    with_tooltalk=no
  fi
fi
test -z "$with_tooltalk" && with_tooltalk=yes
if test "$with_tooltalk" = "yes"; then
  $as_echo "#define TOOLTALK 1" >>confdefs.h

  cat >>confdefs.h <<_ACEOF
#define TT_C_H_FILE "$tt_c_h_file"
_ACEOF

  libs_x="$tt_libs $libs_x" &&  if test "$verbose" = "yes"; then echo "    Prepending \"$tt_libs\" to \$libs_x"; fi
fi

test -z "$with_cde" && { ac_fn_c_check_header_mongrel "$LINENO" "Dt/Dt.h" "ac_cv_header_Dt_Dt_h" "$ac_includes_default"
if test "x$ac_cv_header_Dt_Dt_h" = xyes; then :

else
  with_cde=no
fi

 }
test -z "$with_cde" && { { $as_echo "$as_me:${as_lineno-$LINENO}: checking for DtDndDragStart in -lDtSvc" >&5
$as_echo_n "checking for DtDndDragStart in -lDtSvc... " >&6; }
if ${ac_cv_lib_DtSvc_DtDndDragStart+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lDtSvc  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char DtDndDragStart ();
int
main ()
{
return DtDndDragStart ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_DtSvc_DtDndDragStart=yes
else
  ac_cv_lib_DtSvc_DtDndDragStart=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_DtSvc_DtDndDragStart" >&5
$as_echo "$ac_cv_lib_DtSvc_DtDndDragStart" >&6; }
if test "x$ac_cv_lib_DtSvc_DtDndDragStart" = xyes; then :
  :
else
  with_cde=no
fi
 }
if test "$with_dragndrop" = "no" ; then
  if test "$with_cde" = "yes" ; then
    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: --with-cde forced to \`no'; no generic Drag'n'Drop support" >&5
$as_echo "$as_me: WARNING: --with-cde forced to \`no'; no generic Drag'n'Drop support" >&2;}
  fi
  with_cde=no
fi
test -z "$with_cde" && with_cde=yes
if test "$with_cde" = "yes" ; then
  $as_echo "#define HAVE_CDE 1" >>confdefs.h

  libs_x="-lDtSvc $libs_x" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-lDtSvc\" to \$libs_x"; fi
  dragndrop_proto="$dragndrop_proto CDE" &&  if test "$verbose" = "yes"; then echo "    Appending \"CDE\" to \$dragndrop_proto"; fi
  with_tooltalk=yes # CDE requires Tooltalk
  need_motif=yes    # CDE requires Motif
fi

if test "$with_gtk" = "yes"; then
   dragndrop_proto="$dragndrop_proto GTK" &&  if test "$verbose" = "yes"; then echo "    Appending \"GTK\" to \$dragndrop_proto"; fi
fi

if test "$with_dragndrop" != "no" ; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking if drag and drop API is needed" >&5
$as_echo_n "checking if drag and drop API is needed... " >&6; }
  if test -n "$dragndrop_proto" ; then
    with_dragndrop=yes
    { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes (${dragndrop_proto} )" >&5
$as_echo "yes (${dragndrop_proto} )" >&6; }
    $as_echo "#define HAVE_DRAGNDROP 1" >>confdefs.h

    extra_objs="$extra_objs dragdrop.o" &&  if test "$verbose" = "yes"; then echo "    Appending \"dragdrop.o\" to \$extra_objs"; fi
  else
    with_dragndrop=no
    { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
  fi
fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for LDAP" >&5
$as_echo_n "checking for LDAP... " >&6; }
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: " >&5
$as_echo "" >&6; }
ldap_libs=
test -z "$with_ldap" && { ac_fn_c_check_header_mongrel "$LINENO" "ldap.h" "ac_cv_header_ldap_h" "$ac_includes_default"
if test "x$ac_cv_header_ldap_h" = xyes; then :

else
  with_ldap=no
fi

 }
test -z "$with_ldap" && { ac_fn_c_check_header_mongrel "$LINENO" "lber.h" "ac_cv_header_lber_h" "$ac_includes_default"
if test "x$ac_cv_header_lber_h" = xyes; then :

else
  with_ldap=no
fi

 }
if test "$with_ldap" != "no"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for ldap_search in -lldap" >&5
$as_echo_n "checking for ldap_search in -lldap... " >&6; }
if ${ac_cv_lib_ldap_ldap_search+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lldap  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char ldap_search ();
int
main ()
{
return ldap_search ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_ldap_ldap_search=yes
else
  ac_cv_lib_ldap_ldap_search=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_ldap_ldap_search" >&5
$as_echo "$ac_cv_lib_ldap_ldap_search" >&6; }
if test "x$ac_cv_lib_ldap_ldap_search" = xyes; then :
  with_ldap=yes
fi

    test "$with_ldap" != "yes" && { { $as_echo "$as_me:${as_lineno-$LINENO}: checking for ldap_open in -lldap" >&5
$as_echo_n "checking for ldap_open in -lldap... " >&6; }
if ${ac_cv_lib_ldap_ldap_open+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lldap -llber $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char ldap_open ();
int
main ()
{
return ldap_open ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_ldap_ldap_open=yes
else
  ac_cv_lib_ldap_ldap_open=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_ldap_ldap_open" >&5
$as_echo "$ac_cv_lib_ldap_ldap_open" >&6; }
if test "x$ac_cv_lib_ldap_ldap_open" = xyes; then :
  with_ldap=yes with_ldap_lber=yes
fi
 }
  test "$with_ldap" != "yes" && { { $as_echo "$as_me:${as_lineno-$LINENO}: checking for ldap_open in -lldap" >&5
$as_echo_n "checking for ldap_open in -lldap... " >&6; }
if ${ac_cv_lib_ldap_ldap_open+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lldap -llber -lkrb $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char ldap_open ();
int
main ()
{
return ldap_open ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_ldap_ldap_open=yes
else
  ac_cv_lib_ldap_ldap_open=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_ldap_ldap_open" >&5
$as_echo "$ac_cv_lib_ldap_ldap_open" >&6; }
if test "x$ac_cv_lib_ldap_ldap_open" = xyes; then :
  with_ldap=yes with_ldap_lber=yes with_ldap_krb=yes
fi
 }
  test "$with_ldap" != "yes" && { { $as_echo "$as_me:${as_lineno-$LINENO}: checking for ldap_open in -lldap" >&5
$as_echo_n "checking for ldap_open in -lldap... " >&6; }
if ${ac_cv_lib_ldap_ldap_open+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lldap -llber -lkrb -ldes $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char ldap_open ();
int
main ()
{
return ldap_open ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_ldap_ldap_open=yes
else
  ac_cv_lib_ldap_ldap_open=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_ldap_ldap_open" >&5
$as_echo "$ac_cv_lib_ldap_ldap_open" >&6; }
if test "x$ac_cv_lib_ldap_ldap_open" = xyes; then :
  with_ldap=yes with_ldap_lber=yes with_ldap_krb=yes with_ldap_des=yes
fi
 }
              test "$with_ldap_lber" != "yes" && { { $as_echo "$as_me:${as_lineno-$LINENO}: checking for ber_pvt_opt_on in -llber" >&5
$as_echo_n "checking for ber_pvt_opt_on in -llber... " >&6; }
if ${ac_cv_lib_lber_ber_pvt_opt_on+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-llber  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char ber_pvt_opt_on ();
int
main ()
{
return ber_pvt_opt_on ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_lber_ber_pvt_opt_on=yes
else
  ac_cv_lib_lber_ber_pvt_opt_on=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_lber_ber_pvt_opt_on" >&5
$as_echo "$ac_cv_lib_lber_ber_pvt_opt_on" >&6; }
if test "x$ac_cv_lib_lber_ber_pvt_opt_on" = xyes; then :
  with_ldap_lber=yes
fi
 }
fi
if test "$with_ldap" = "yes"; then
  $as_echo "#define HAVE_LDAP 1" >>confdefs.h

  if test "$with_ldap_des" = "yes" ; then
    ldap_libs="-ldes $ldap_libs" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-ldes\" to \$ldap_libs"; fi
  fi
  if test "$with_ldap_krb" = "yes" ; then
    ldap_libs="-lkrb $ldap_libs" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-lkrb\" to \$ldap_libs"; fi
  fi
  if test "$with_ldap_lber" = "yes" ; then
    ldap_libs="-llber $ldap_libs" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-llber\" to \$ldap_libs"; fi
  fi
  ldap_libs="-lldap $ldap_libs" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-lldap\" to \$ldap_libs"; fi
  save_LIBS="$LIBS" LIBS="$LIBS $ldap_libs"
  for ac_func in ldap_set_option ldap_get_lderrno ldap_result2error ldap_parse_result
do :
  as_ac_var=`$as_echo "ac_cv_func_$ac_func" | $as_tr_sh`
ac_fn_c_check_func "$LINENO" "$ac_func" "$as_ac_var"
if eval test \"x\$"$as_ac_var"\" = x"yes"; then :
  cat >>confdefs.h <<_ACEOF
#define `$as_echo "HAVE_$ac_func" | $as_tr_cpp` 1
_ACEOF

fi
done

  LIBS="$save_LIBS"
  MAKE_SUBDIR="$MAKE_SUBDIR modules/ldap" &&  if test "$verbose" = "yes"; then echo "    Appending \"modules/ldap\" to \$MAKE_SUBDIR"; fi
  need_modules_common=yes
  if test "$with_modules" = "yes"; then
    INSTALL_ARCH_DEP_SUBDIR="$INSTALL_ARCH_DEP_SUBDIR modules/ldap" &&  if test "$verbose" = "yes"; then echo "    Appending \"modules/ldap\" to \$INSTALL_ARCH_DEP_SUBDIR"; fi
  fi
fi


postgresql_libs=
if test "$with_postgresql" != "no"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for PostgreSQL" >&5
$as_echo_n "checking for PostgreSQL... " >&6; }
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: " >&5
$as_echo "" >&6; }

  for header_dir in "" "pgsql/" "postgresql/"; do
    as_ac_Header=`$as_echo "ac_cv_header_${header_dir}libpq-fe.h" | $as_tr_sh`
ac_fn_c_check_header_mongrel "$LINENO" "${header_dir}libpq-fe.h" "$as_ac_Header" "$ac_includes_default"
if eval test \"x\$"$as_ac_Header"\" = x"yes"; then :
  libpq_fe_h_file=${header_dir}libpq-fe.h; break
fi


  done

  pq_libs=
  extra_libs=
  if test -n "$libpq_fe_h_file"; then
                { $as_echo "$as_me:${as_lineno-$LINENO}: checking for PQconnectdb in -lpq" >&5
$as_echo_n "checking for PQconnectdb in -lpq... " >&6; }
if ${ac_cv_lib_pq_PQconnectdb+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lpq  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char PQconnectdb ();
int
main ()
{
return PQconnectdb ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_pq_PQconnectdb=yes
else
  ac_cv_lib_pq_PQconnectdb=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_pq_PQconnectdb" >&5
$as_echo "$ac_cv_lib_pq_PQconnectdb" >&6; }
if test "x$ac_cv_lib_pq_PQconnectdb" = xyes; then :
  pq_libs="-lpq"
else

      unset ac_cv_lib_pq_PQconnectdb;
      { $as_echo "$as_me:${as_lineno-$LINENO}: checking for PQconnectdb in -lpq" >&5
$as_echo_n "checking for PQconnectdb in -lpq... " >&6; }
if ${ac_cv_lib_pq_PQconnectdb+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lpq -lcrypto -lssl $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char PQconnectdb ();
int
main ()
{
return PQconnectdb ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_pq_PQconnectdb=yes
else
  ac_cv_lib_pq_PQconnectdb=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_pq_PQconnectdb" >&5
$as_echo "$ac_cv_lib_pq_PQconnectdb" >&6; }
if test "x$ac_cv_lib_pq_PQconnectdb" = xyes; then :
  pq_libs="-lpq -lcrypto -lssl"
fi

fi

    if test -z "$pq_libs"; then
      have_libpq="no"
    else
      have_libpq="yes"
    fi
  fi

  if test -n "$libpq_fe_h_file" -a "$have_libpq" = "yes"; then
    with_postgresql=yes
    $as_echo "#define HAVE_POSTGRESQL 1" >>confdefs.h

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for PQconnectStart in -lpq" >&5
$as_echo_n "checking for PQconnectStart in -lpq... " >&6; }
if ${ac_cv_lib_pq_PQconnectStart+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lpq $extra_libs $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char PQconnectStart ();
int
main ()
{
return PQconnectStart ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_pq_PQconnectStart=yes
else
  ac_cv_lib_pq_PQconnectStart=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_pq_PQconnectStart" >&5
$as_echo "$ac_cv_lib_pq_PQconnectStart" >&6; }
if test "x$ac_cv_lib_pq_PQconnectStart" = xyes; then :

                 with_postgresqlv7=yes;
                 $as_echo "#define HAVE_POSTGRESQLV7 1" >>confdefs.h

else
  :
fi

    cat >>confdefs.h <<_ACEOF
#define LIBPQ_FE_H_FILE "$libpq_fe_h_file"
_ACEOF

    postgresql_libs="$pq_libs $postgresql_libs" &&  if test "$verbose" = "yes"; then echo "    Prepending \"$pq_libs\" to \$postgresql_libs"; fi
    MAKE_SUBDIR="$MAKE_SUBDIR modules/postgresql" &&  if test "$verbose" = "yes"; then echo "    Appending \"modules/postgresql\" to \$MAKE_SUBDIR"; fi
    need_modules_common=yes
    if test "$with_modules" = "yes"; then
      INSTALL_ARCH_DEP_SUBDIR="$INSTALL_ARCH_DEP_SUBDIR modules/postgresql" &&  if test "$verbose" = "yes"; then echo "    Appending \"modules/postgresql\" to \$INSTALL_ARCH_DEP_SUBDIR"; fi
    fi
  elif test "$with_postgresql" = "yes"; then
    { echo "Error:" "Required PostgreSQL support cannot be provided.  Check --with-site-prefixes." >&2; exit 1; }
  fi
fi



if test "$window_system" != "none"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for graphics libraries" >&5
$as_echo_n "checking for graphics libraries... " >&6; }
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: " >&5
$as_echo "" >&6; }

      libpath_xpm=
  incpath_xpm=
  libname_xpm="-lXpm"
  case "$opsys" in
    cygwin*)
      cygwin_top=`eval gcc -print-search-dirs | sed -ne s'/install: //p'`
      cygwin_top=`eval "cd $cygwin_top/../../../..; pwd"`
      case "$window_system" in
                x11)  ;;
                msw) libpath_xpm="-L${cygwin_top}/lib/noX"
             incpath_xpm="-I${cygwin_top}/include/noX"
             libname_xpm="-lXpm-noX"
              ;;
                gtk)  ;;
                none) ;;
                *)    ;;
      esac
      ;;
        *) ;;
  esac
    xpm_problem=""
  if test -z "$with_xpm"; then
    CFLAGS=""$incpath_xpm" $CFLAGS" &&  if test "$verbose" = "yes"; then echo "    Prepending \""$incpath_xpm"\" to \$CFLAGS"; fi
    XE_CFLAGS=""$incpath_xpm" $XE_CFLAGS" &&  if test "$verbose" = "yes"; then echo "    Prepending \""$incpath_xpm"\" to \$XE_CFLAGS"; fi
    LDFLAGS=""$libpath_xpm" $LDFLAGS" &&  if test "$verbose" = "yes"; then echo "    Prepending \""$libpath_xpm"\" to \$LDFLAGS"; fi
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for Xpm - no older than 3.4f" >&5
$as_echo_n "checking for Xpm - no older than 3.4f... " >&6; }
    xe_check_libs="$libname_xpm"
    if test "$cross_compiling" = yes; then :
  { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error $? "cannot run test program while cross compiling
See \`config.log' for more details" "$LINENO" 5; }
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#define XPM_NUMBERS
#include <X11/xpm.h>
    int main(int c, char **v) {
    return c == 1 ? 0 :
      XpmIncludeVersion != XpmLibraryVersion() ? 1 :
      XpmIncludeVersion < 30406 ? 2 : 0 ;}
_ACEOF
if ac_fn_c_try_run "$LINENO"; then :
  ./conftest dummy_arg; xpm_status=$?;
      if test "$xpm_status" = "0"; then
        with_xpm=yes;
      else
        with_xpm=no;
        if test "$xpm_status" = "1"; then
          xpm_problem="Xpm library version and header file version don't match!"
        elif test "$xpm_status" = "2"; then
          xpm_problem="Xpm library version is too old!"
        else
          xpm_problem="Internal xpm detection logic error!"
        fi
        echo "
*** WARNING *** $xpm_problem
  I'm not touching that with a 10-foot pole!
  If you really want to use the installed version of Xpm, rerun
  configure and add '--with-xpm=yes', but don't blame me if XEmacs crashes!"
    fi
else
  with_xpm=no
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
  conftest.$ac_objext conftest.beam conftest.$ac_ext
fi

    xe_check_libs=
    { $as_echo "$as_me:${as_lineno-$LINENO}: result: $with_xpm" >&5
$as_echo "$with_xpm" >&6; }
  fi
  if test "$with_xpm" = "yes"; then
                $as_echo "#define HAVE_XPM 1" >>confdefs.h

    LDFLAGS=""$libpath_xpm" $LDFLAGS" &&  if test "$verbose" = "yes"; then echo "    Prepending \""$libpath_xpm"\" to \$LDFLAGS"; fi
    libs_x=""$libname_xpm" $libs_x" &&  if test "$verbose" = "yes"; then echo "    Prepending \""$libname_xpm"\" to \$libs_x"; fi
    CFLAGS=""$incpath_xpm" $CFLAGS" &&  if test "$verbose" = "yes"; then echo "    Prepending \""$incpath_xpm"\" to \$CFLAGS"; fi
    XE_CFLAGS=""$incpath_xpm" $XE_CFLAGS" &&  if test "$verbose" = "yes"; then echo "    Prepending \""$incpath_xpm"\" to \$XE_CFLAGS"; fi
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for \"FOR_MSW\" xpm" >&5
$as_echo_n "checking for \"FOR_MSW\" xpm... " >&6; }
    xe_check_libs="$libname_xpm"
    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{
XpmCreatePixmapFromData();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  xpm_for_msw=no
else
  xpm_for_msw=yes
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
    xe_check_libs=
    { $as_echo "$as_me:${as_lineno-$LINENO}: result: $xpm_for_msw" >&5
$as_echo "$xpm_for_msw" >&6; }
    if test "$xpm_for_msw" = "yes"; then
      $as_echo "#define FOR_MSW 1" >>confdefs.h

    fi
  fi

    test -z "$with_xface" && { ac_fn_c_check_header_mongrel "$LINENO" "compface.h" "ac_cv_header_compface_h" "$ac_includes_default"
if test "x$ac_cv_header_compface_h" = xyes; then :

else
  with_xface=no
fi

 }
  test -z "$with_xface" && { { $as_echo "$as_me:${as_lineno-$LINENO}: checking for UnGenFace in -lcompface" >&5
$as_echo_n "checking for UnGenFace in -lcompface... " >&6; }
if ${ac_cv_lib_compface_UnGenFace+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lcompface  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char UnGenFace ();
int
main ()
{
return UnGenFace ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_compface_UnGenFace=yes
else
  ac_cv_lib_compface_UnGenFace=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_compface_UnGenFace" >&5
$as_echo "$ac_cv_lib_compface_UnGenFace" >&6; }
if test "x$ac_cv_lib_compface_UnGenFace" = xyes; then :
  :
else
  with_xface=no
fi
 }
  test -z "$with_xface" && with_xface=yes
  if test "$with_xface" = "yes"; then
    $as_echo "#define HAVE_XFACE 1" >>confdefs.h

    libs_x="-lcompface $libs_x" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-lcompface\" to \$libs_x"; fi
  fi

    test -z "$with_gif" && { ac_fn_c_check_header_mongrel "$LINENO" "gif_lib.h" "ac_cv_header_gif_lib_h" "$ac_includes_default"
if test "x$ac_cv_header_gif_lib_h" = xyes; then :

else
  with_gif=no
fi

 }
  if test "$with_gif" != "no"; then
    with_gif="yes"
                { $as_echo "$as_me:${as_lineno-$LINENO}: checking for EGifPutExtensionLast in -lgif" >&5
$as_echo_n "checking for EGifPutExtensionLast in -lgif... " >&6; }
if ${ac_cv_lib_gif_EGifPutExtensionLast+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lgif  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char EGifPutExtensionLast ();
int
main ()
{
return EGifPutExtensionLast ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_gif_EGifPutExtensionLast=yes
else
  ac_cv_lib_gif_EGifPutExtensionLast=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_gif_EGifPutExtensionLast" >&5
$as_echo "$ac_cv_lib_gif_EGifPutExtensionLast" >&6; }
if test "x$ac_cv_lib_gif_EGifPutExtensionLast" = xyes; then :
  libs_x="-lgif $libs_x" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-lgif\" to \$libs_x"; fi
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for EGifPutExtensionLast in -lungif" >&5
$as_echo_n "checking for EGifPutExtensionLast in -lungif... " >&6; }
if ${ac_cv_lib_ungif_EGifPutExtensionLast+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lungif  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char EGifPutExtensionLast ();
int
main ()
{
return EGifPutExtensionLast ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_ungif_EGifPutExtensionLast=yes
else
  ac_cv_lib_ungif_EGifPutExtensionLast=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_ungif_EGifPutExtensionLast" >&5
$as_echo "$ac_cv_lib_ungif_EGifPutExtensionLast" >&6; }
if test "x$ac_cv_lib_ungif_EGifPutExtensionLast" = xyes; then :
  libs_x="-lungif $libs_x" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-lungif\" to \$libs_x"; fi
else
  with_gif=no
fi

fi

  fi
  if test "$with_gif" != "no"; then
    $as_echo "#define HAVE_GIF 1" >>confdefs.h

  fi

      if test "$with_png $with_tiff" != "no no"; then
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for inflate in -lc" >&5
$as_echo_n "checking for inflate in -lc... " >&6; }
if ${ac_cv_lib_c_inflate+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lc  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char inflate ();
int
main ()
{
return inflate ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_c_inflate=yes
else
  ac_cv_lib_c_inflate=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_c_inflate" >&5
$as_echo "$ac_cv_lib_c_inflate" >&6; }
if test "x$ac_cv_lib_c_inflate" = xyes; then :
  :
else

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for inflate in -lz" >&5
$as_echo_n "checking for inflate in -lz... " >&6; }
if ${ac_cv_lib_z_inflate+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lz  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char inflate ();
int
main ()
{
return inflate ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_z_inflate=yes
else
  ac_cv_lib_z_inflate=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_z_inflate" >&5
$as_echo "$ac_cv_lib_z_inflate" >&6; }
if test "x$ac_cv_lib_z_inflate" = xyes; then :
  libs_x="-lz $libs_x" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-lz\" to \$libs_x"; fi
else

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for inflate in -lgz" >&5
$as_echo_n "checking for inflate in -lgz... " >&6; }
if ${ac_cv_lib_gz_inflate+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lgz  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char inflate ();
int
main ()
{
return inflate ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_gz_inflate=yes
else
  ac_cv_lib_gz_inflate=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_gz_inflate" >&5
$as_echo "$ac_cv_lib_gz_inflate" >&6; }
if test "x$ac_cv_lib_gz_inflate" = xyes; then :
  libs_x="-lgz $libs_x" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-lgz\" to \$libs_x"; fi
fi

fi

fi

  fi

    test -z "$with_jpeg" && { ac_fn_c_check_header_mongrel "$LINENO" "jpeglib.h" "ac_cv_header_jpeglib_h" "$ac_includes_default"
if test "x$ac_cv_header_jpeglib_h" = xyes; then :

else
  with_jpeg=no
fi

 }
  test -z "$with_jpeg" && { { $as_echo "$as_me:${as_lineno-$LINENO}: checking for jpeg_destroy_decompress in -ljpeg" >&5
$as_echo_n "checking for jpeg_destroy_decompress in -ljpeg... " >&6; }
if ${ac_cv_lib_jpeg_jpeg_destroy_decompress+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-ljpeg  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char jpeg_destroy_decompress ();
int
main ()
{
return jpeg_destroy_decompress ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_jpeg_jpeg_destroy_decompress=yes
else
  ac_cv_lib_jpeg_jpeg_destroy_decompress=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_jpeg_jpeg_destroy_decompress" >&5
$as_echo "$ac_cv_lib_jpeg_jpeg_destroy_decompress" >&6; }
if test "x$ac_cv_lib_jpeg_jpeg_destroy_decompress" = xyes; then :
  :
else
  with_jpeg=no
fi
 }
  test -z "$with_jpeg" && with_jpeg=yes
  if test "$with_jpeg" = "yes"; then
    $as_echo "#define HAVE_JPEG 1" >>confdefs.h

    libs_x="-ljpeg $libs_x" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-ljpeg\" to \$libs_x"; fi
  fi

    png_problem=""
  test -z "$with_png" && { ac_fn_c_check_func "$LINENO" "pow" "ac_cv_func_pow"
if test "x$ac_cv_func_pow" = xyes; then :

else
  with_png=no
fi
 }
  test -z "$with_png" && { ac_fn_c_check_header_mongrel "$LINENO" "png.h" "ac_cv_header_png_h" "$ac_includes_default"
if test "x$ac_cv_header_png_h" = xyes; then :

else
  with_png=no
fi

 }
  test -z "$with_png" && { { $as_echo "$as_me:${as_lineno-$LINENO}: checking for png_read_image in -lpng" >&5
$as_echo_n "checking for png_read_image in -lpng... " >&6; }
if ${ac_cv_lib_png_png_read_image+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lpng -lz $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char png_read_image ();
int
main ()
{
return png_read_image ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_png_png_read_image=yes
else
  ac_cv_lib_png_png_read_image=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_png_png_read_image" >&5
$as_echo "$ac_cv_lib_png_png_read_image" >&6; }
if test "x$ac_cv_lib_png_png_read_image" = xyes; then :
  :
else
  with_png=no
fi
 }
  if test -z "$with_png"; then
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for workable png version information" >&5
$as_echo_n "checking for workable png version information... " >&6; }
    xe_check_libs="-lpng -lz"
    if test "$cross_compiling" = yes; then :
  { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error $? "cannot run test program while cross compiling
See \`config.log' for more details" "$LINENO" 5; }
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <png.h>
    int main(int c, char **v) {
    if (c == 1) return 0;
    if (strcmp(png_libpng_ver, PNG_LIBPNG_VER_STRING) != 0) return 1;
    return (PNG_LIBPNG_VER < 10002) ? 2 : 0 ;}
_ACEOF
if ac_fn_c_try_run "$LINENO"; then :
  ./conftest dummy_arg; png_status=$?;
      if test "$png_status" = "0"; then
	with_png=yes;
      else
	with_png=no;
	if test "$png_status" = "1"; then
	  png_problem="PNG library version and header file don't match!"
        elif test "$png_status" = "2"; then
	  png_problem="PNG library version too old (pre 1.0.2)!"
	fi
	echo "
*** WARNING *** $png_problem
  I'm not touching that with a 10-foot pole!
  If you really want to use the installed version of libPNG, rerun
  configure and add '--with-png=yes', but don't blame me if XEmacs crashes!"
    fi
else
  with_png=no
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
  conftest.$ac_objext conftest.beam conftest.$ac_ext
fi

    xe_check_libs=
    { $as_echo "$as_me:${as_lineno-$LINENO}: result: $with_png" >&5
$as_echo "$with_png" >&6; }
  fi
  if test "$with_png" = "yes"; then
    $as_echo "#define HAVE_PNG 1" >>confdefs.h

    libs_x="-lpng $libs_x" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-lpng\" to \$libs_x"; fi
  fi

    test -z "$with_tiff" && { ac_fn_c_check_header_mongrel "$LINENO" "tiffio.h" "ac_cv_header_tiffio_h" "$ac_includes_default"
if test "x$ac_cv_header_tiffio_h" = xyes; then :

else
  with_tiff=no
fi

 }
  test -z "$with_tiff" && { { $as_echo "$as_me:${as_lineno-$LINENO}: checking for TIFFClientOpen in -ltiff" >&5
$as_echo_n "checking for TIFFClientOpen in -ltiff... " >&6; }
if ${ac_cv_lib_tiff_TIFFClientOpen+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-ltiff -lz $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char TIFFClientOpen ();
int
main ()
{
return TIFFClientOpen ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_tiff_TIFFClientOpen=yes
else
  ac_cv_lib_tiff_TIFFClientOpen=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_tiff_TIFFClientOpen" >&5
$as_echo "$ac_cv_lib_tiff_TIFFClientOpen" >&6; }
if test "x$ac_cv_lib_tiff_TIFFClientOpen" = xyes; then :
  :
else
  with_tiff=no
fi
 }
  test -z "$with_tiff" && with_tiff=yes
  if test "$with_tiff" = "yes"; then
    $as_echo "#define HAVE_TIFF 1" >>confdefs.h

    libs_x="-ltiff $libs_x" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-ltiff\" to \$libs_x"; fi
  fi
fi


if test "$with_gtk" = "yes"; then
    test -z "$with_xface" && { ac_fn_c_check_header_mongrel "$LINENO" "compface.h" "ac_cv_header_compface_h" "$ac_includes_default"
if test "x$ac_cv_header_compface_h" = xyes; then :

else
  with_xface=no
fi

 }
  test -z "$with_xface" && { { $as_echo "$as_me:${as_lineno-$LINENO}: checking for UnGenFace in -lcompface" >&5
$as_echo_n "checking for UnGenFace in -lcompface... " >&6; }
if ${ac_cv_lib_compface_UnGenFace+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lcompface  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char UnGenFace ();
int
main ()
{
return UnGenFace ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_compface_UnGenFace=yes
else
  ac_cv_lib_compface_UnGenFace=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_compface_UnGenFace" >&5
$as_echo "$ac_cv_lib_compface_UnGenFace" >&6; }
if test "x$ac_cv_lib_compface_UnGenFace" = xyes; then :
  :
else
  with_xface=no
fi
 }
  test -z "$with_xface" && with_xface=yes
  if test "$with_xface" = "yes"; then
    $as_echo "#define HAVE_XFACE 1" >>confdefs.h

    libs_gtk="-lcompface $libs_gtk" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-lcompface\" to \$libs_gtk"; fi
  fi
fi


if test "$with_x11" = "yes"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for X11 graphics libraries" >&5
$as_echo_n "checking for X11 graphics libraries... " >&6; }
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: " >&5
$as_echo "" >&6; }
fi

case "$with_widgets" in
  "" | "yes" | "athena")	detect_athena=yes ;;
   *)				detect_athena=no ;;
esac

case "$with_dialogs" in
  "" | "yes" | "athena")	detect_athena=yes ;;
esac

if test "$with_x11" = "yes" -a "$detect_athena" = "yes" ; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for the Athena widgets" >&5
$as_echo_n "checking for the Athena widgets... " >&6; }
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: " >&5
$as_echo "" >&6; }

    case "$with_athena" in
        "xaw" | "")	athena_variant=Xaw	athena_3d=no  ;;
    "3d")	athena_variant=Xaw3d	athena_3d=yes ;;
    "next")	athena_variant=neXtaw	athena_3d=yes ;;
    "95")	athena_variant=Xaw95	athena_3d=yes ;;
    "xpm")	athena_variant=XawXpm	athena_3d=yes ;;
    *)		{ echo "Error:" "Unknown Athena widget set \`$with_athena'. This should not happen." >&2; exit 1; } ;;
  esac

  athena_3d_function=Xaw3dComputeBottomShadowRGB

    if test "$athena_3d" = "no"; then
    as_ac_Lib=`$as_echo "ac_cv_lib_$athena_variant''_XawScrollbarSetThumb" | $as_tr_sh`
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for XawScrollbarSetThumb in -l$athena_variant" >&5
$as_echo_n "checking for XawScrollbarSetThumb in -l$athena_variant... " >&6; }
if eval \${$as_ac_Lib+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-l$athena_variant  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char XawScrollbarSetThumb ();
int
main ()
{
return XawScrollbarSetThumb ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  eval "$as_ac_Lib=yes"
else
  eval "$as_ac_Lib=no"
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
eval ac_res=\$$as_ac_Lib
	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
$as_echo "$ac_res" >&6; }
if eval test \"x\$"$as_ac_Lib"\" = x"yes"; then :

                as_ac_Lib=`$as_echo "ac_cv_lib_$athena_variant''_$athena_3d_function" | $as_tr_sh`
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $athena_3d_function in -l$athena_variant" >&5
$as_echo_n "checking for $athena_3d_function in -l$athena_variant... " >&6; }
if eval \${$as_ac_Lib+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-l$athena_variant  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char $athena_3d_function ();
int
main ()
{
return $athena_3d_function ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  eval "$as_ac_Lib=yes"
else
  eval "$as_ac_Lib=no"
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
eval ac_res=\$$as_ac_Lib
	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
$as_echo "$ac_res" >&6; }
if eval test \"x\$"$as_ac_Lib"\" = x"yes"; then :
  { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: Could not find a non-3d Athena widget library." >&5
$as_echo "$as_me: WARNING: Could not find a non-3d Athena widget library." >&2;}
else
  athena_lib=$athena_variant
fi


else
  { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: Could not find an Athena widget library." >&5
$as_echo "$as_me: WARNING: Could not find an Athena widget library." >&2;}
fi

  else
        as_ac_Lib=`$as_echo "ac_cv_lib_$athena_variant''_$athena_3d_function" | $as_tr_sh`
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $athena_3d_function in -l$athena_variant" >&5
$as_echo_n "checking for $athena_3d_function in -l$athena_variant... " >&6; }
if eval \${$as_ac_Lib+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-l$athena_variant  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char $athena_3d_function ();
int
main ()
{
return $athena_3d_function ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  eval "$as_ac_Lib=yes"
else
  eval "$as_ac_Lib=no"
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
eval ac_res=\$$as_ac_Lib
	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
$as_echo "$ac_res" >&6; }
if eval test \"x\$"$as_ac_Lib"\" = x"yes"; then :
  athena_lib=$athena_variant
else
              as_ac_Lib=`$as_echo "ac_cv_lib_Xaw_$athena_3d_function" | $as_tr_sh`
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $athena_3d_function in -lXaw" >&5
$as_echo_n "checking for $athena_3d_function in -lXaw... " >&6; }
if eval \${$as_ac_Lib+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lXaw  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char $athena_3d_function ();
int
main ()
{
return $athena_3d_function ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  eval "$as_ac_Lib=yes"
else
  eval "$as_ac_Lib=no"
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
eval ac_res=\$$as_ac_Lib
	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
$as_echo "$ac_res" >&6; }
if eval test \"x\$"$as_ac_Lib"\" = x"yes"; then :

          athena_lib=Xaw;
          { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: Assuming that libXaw is actually $athena_variant." >&5
$as_echo "$as_me: WARNING: Assuming that libXaw is actually $athena_variant." >&2;};

else
  { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: Could not find a 3d Athena widget library that looked like $athena_variant." >&5
$as_echo "$as_me: WARNING: Could not find a 3d Athena widget library that looked like $athena_variant." >&2;}
fi

fi

  fi

    if test "$athena_3d" = "no"; then
    ac_fn_c_check_header_mongrel "$LINENO" "X11/Xaw/ThreeD.h" "ac_cv_header_X11_Xaw_ThreeD_h" "$ac_includes_default"
if test "x$ac_cv_header_X11_Xaw_ThreeD_h" = xyes; then :
  { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: Could not find a non-3d Athena header set." >&5
$as_echo "$as_me: WARNING: Could not find a non-3d Athena header set." >&2;}
else
  ac_fn_c_check_header_compile "$LINENO" "X11/Xaw/XawInit.h" "ac_cv_header_X11_Xaw_XawInit_h" "
#include <X11/Intrinsic.h>

"
if test "x$ac_cv_header_X11_Xaw_XawInit_h" = xyes; then :
  athena_h_path=X11/Xaw
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: Could not find a non-3d Athena header set." >&5
$as_echo "$as_me: WARNING: Could not find a non-3d Athena header set." >&2;}
fi


fi


  else
            as_ac_Header=`$as_echo "ac_cv_header_X11/$athena_variant/XawInit.h" | $as_tr_sh`
ac_fn_c_check_header_compile "$LINENO" "X11/$athena_variant/XawInit.h" "$as_ac_Header" "
#if HAVE_X11_XFUNCPROTO_H
#include <X11/Xfuncproto.h>
#endif
#include <X11/Intrinsic.h>

"
if eval test \"x\$"$as_ac_Header"\" = x"yes"; then :
  as_ac_Header=`$as_echo "ac_cv_header_X11/$athena_variant/ThreeD.h" | $as_tr_sh`
ac_fn_c_check_header_mongrel "$LINENO" "X11/$athena_variant/ThreeD.h" "$as_ac_Header" "$ac_includes_default"
if eval test \"x\$"$as_ac_Header"\" = x"yes"; then :
  athena_h_path=X11/$athena_variant
fi


fi



        if test -z "$athena_h_path"; then
      as_ac_Header=`$as_echo "ac_cv_header_$athena_variant/XawInit.h" | $as_tr_sh`
ac_fn_c_check_header_compile "$LINENO" "$athena_variant/XawInit.h" "$as_ac_Header" "
#if HAVE_X11_XFUNCPROTO_H
#include <X11/Xfuncproto.h>
#endif
#include <X11/Intrinsic.h>

"
if eval test \"x\$"$as_ac_Header"\" = x"yes"; then :
  as_ac_Header=`$as_echo "ac_cv_header_$athena_variant/ThreeD.h" | $as_tr_sh`
ac_fn_c_check_header_mongrel "$LINENO" "$athena_variant/ThreeD.h" "$as_ac_Header" "$ac_includes_default"
if eval test \"x\$"$as_ac_Header"\" = x"yes"; then :
  athena_h_path=$athena_variant
fi


fi


    fi

        if test -z "$athena_h_path" -a "$athena_variant" != "Xaw3d"; then
      ac_fn_c_check_header_compile "$LINENO" "X11/Xaw3d/XawInit.h" "ac_cv_header_X11_Xaw3d_XawInit_h" "
#if HAVE_X11_XFUNCPROTO_H
#include <X11/Xfuncproto.h>
#endif
#include <X11/Intrinsic.h>

"
if test "x$ac_cv_header_X11_Xaw3d_XawInit_h" = xyes; then :
  ac_fn_c_check_header_mongrel "$LINENO" "X11/Xaw3d/ThreeD.h" "ac_cv_header_X11_Xaw3d_ThreeD_h" "$ac_includes_default"
if test "x$ac_cv_header_X11_Xaw3d_ThreeD_h" = xyes; then :

            { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: Assuming that X11/Xaw3d headers are suitable for $athena_variant." >&5
$as_echo "$as_me: WARNING: Assuming that X11/Xaw3d headers are suitable for $athena_variant." >&2;}
            athena_h_path=X11/Xaw3d

fi


fi


    fi

        if test -z "$athena_h_path" -a "$athena_variant" != "Xaw3d"; then
      ac_fn_c_check_header_compile "$LINENO" "Xaw3d/XawInit.h" "ac_cv_header_Xaw3d_XawInit_h" "
#if HAVE_X11_XFUNCPROTO_H
#include <X11/Xfuncproto.h>
#endif
#include <X11/Intrinsic.h>

"
if test "x$ac_cv_header_Xaw3d_XawInit_h" = xyes; then :
  ac_fn_c_check_header_mongrel "$LINENO" "Xaw3d/ThreeD.h" "ac_cv_header_Xaw3d_ThreeD_h" "$ac_includes_default"
if test "x$ac_cv_header_Xaw3d_ThreeD_h" = xyes; then :

            { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: Assuming that Xaw3d headers are suitable for $athena_variant." >&5
$as_echo "$as_me: WARNING: Assuming that Xaw3d headers are suitable for $athena_variant." >&2;}
            athena_h_path=Xaw3d

fi


fi


    fi

            if test -z "$athena_h_path"; then
      ac_fn_c_check_header_mongrel "$LINENO" "X11/Xaw/ThreeD.h" "ac_cv_header_X11_Xaw_ThreeD_h" "$ac_includes_default"
if test "x$ac_cv_header_X11_Xaw_ThreeD_h" = xyes; then :

          { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: Assuming that X11/Xaw headers are suitable for $athena_variant." >&5
$as_echo "$as_me: WARNING: Assuming that X11/Xaw headers are suitable for $athena_variant." >&2;}
          athena_h_path=X11/Xaw

else
  { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: Could not find a suitable 3d Athena header set." >&5
$as_echo "$as_me: WARNING: Could not find a suitable 3d Athena header set." >&2;}
fi


    fi
  fi

    if test -n "$athena_lib" -a -n "$athena_h_path"; then
    have_xaw=yes
  else
    have_xaw=no
  fi

else
  have_xaw=no
fi
if test "$with_x11" = "yes"; then
        ac_fn_c_check_header_mongrel "$LINENO" "Xm/Xm.h" "ac_cv_header_Xm_Xm_h" "$ac_includes_default"
if test "x$ac_cv_header_Xm_Xm_h" = xyes; then :
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for XmStringCreate in -lXm" >&5
$as_echo_n "checking for XmStringCreate in -lXm... " >&6; }
if ${ac_cv_lib_Xm_XmStringCreate+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lXm  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char XmStringCreate ();
int
main ()
{
return XmStringCreate ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_Xm_XmStringCreate=yes
else
  ac_cv_lib_Xm_XmStringCreate=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_Xm_XmStringCreate" >&5
$as_echo "$ac_cv_lib_Xm_XmStringCreate" >&6; }
if test "x$ac_cv_lib_Xm_XmStringCreate" = xyes; then :
  have_motif=yes
else
  have_motif=no
fi

else
  have_motif=no
fi



  if test "$have_motif" = "yes"; then
        { $as_echo "$as_me:${as_lineno-$LINENO}: checking for Lesstif" >&5
$as_echo_n "checking for Lesstif... " >&6; }
    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <Xm/Xm.h>
#ifdef LESSTIF_VERSION
yes
#endif

_ACEOF
if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
  $EGREP "yes" >/dev/null 2>&1; then :
  have_lesstif=yes
else
  have_lesstif=no
fi
rm -f conftest*

  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $have_lesstif" >&5
$as_echo "$have_lesstif" >&6; }
  fi

fi

case "$opsys" in
  *linux* | *darwin* | *bsd* | *cygwin* )  lucid_prefers_motif="no"  ;;
  * )        lucid_prefers_motif="yes" ;;
esac

case "$with_menubars" in "" | "yes" | "athena" )
  with_menubars="lucid" ;;
esac
if test "$with_xft_menubars" != "no" ; then
  if test "$with_xft_emacs" = "yes" -a "$with_menubars" != "no" ; then
    with_xft_menubars="yes"
  else
    with_xft_menubars="no"
  fi
fi
case "$with_dialogs" in "" | "yes" | "lucid" )
  if test "$lucid_prefers_motif" = "yes"; then
    if   test "$have_motif"     = "yes"; then with_dialogs="motif"
    elif test "$have_xaw"       = "yes"; then with_dialogs="athena"
    elif test "$with_msw"       = "yes"; then with_dialogs="msw"
    else with_dialogs=no
    fi
  else
    if   test "$have_xaw"       = "yes"; then with_dialogs="athena"
    elif test "$have_motif"     = "yes"; then with_dialogs="motif"
    elif test "$with_msw"       = "yes"; then with_dialogs="msw"
    else with_dialogs=no
    fi
  fi ;;
esac
case "$with_scrollbars" in "" | "yes" )
  with_scrollbars="lucid" ;;
esac
case "$with_widgets" in "" | "yes" | "lucid")
  if test "$lucid_prefers_motif" = "yes"; then
    if   test "$have_motif" = "yes"; then with_widgets="motif"
    elif test "$have_xaw"   = "yes"; then with_widgets="athena"
    elif test "$with_msw"   = "yes"; then with_widgets="msw"
    else with_widgets=no
    fi
  else
    if   test "$have_xaw"   = "yes"; then with_widgets="athena"
    elif test "$have_motif" = "yes"; then with_widgets="motif"
    elif test "$with_msw"   = "yes"; then with_widgets="msw"
    else with_widgets=no
    fi
  fi ;;
esac
if test "$with_xft_tabs" != "no" ; then
  if test "$with_xft_emacs" = "yes" -a "$with_widgets" != "no" ; then
    with_xft_tabs="yes"
  else
    with_xft_tabs="no"
  fi
fi
if test "$with_xft_gauges" != "no" ; then
  if test "$with_xft_emacs" = "yes" -a "$with_widgets" != "no" ; then
    with_xft_gauges="yes"
  else
    with_xft_gauges="no"
  fi
fi

all_widgets="$with_menubars $with_scrollbars $with_dialogs $with_toolbars $with_widgets"

case "$all_widgets" in
  *athena* )
    if test "$have_xaw" != "yes"; then
      { echo "Error:" "Could not find a suitable Athena library to build with." >&2; exit 1; }
    fi

        lwlib_objs="$lwlib_objs lwlib-Xaw.o" &&  if test "$verbose" = "yes"; then echo "    Appending \"lwlib-Xaw.o\" to \$lwlib_objs"; fi

        libs_x="-l$athena_lib $libs_x" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-l$athena_lib\" to \$libs_x"; fi

                    cat >>confdefs.h <<_ACEOF
#define ATHENA_Scrollbar_h_ "$athena_h_path/Scrollbar.h"
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define ATHENA_Dialog_h_ "$athena_h_path/Dialog.h"
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define ATHENA_Form_h_ "$athena_h_path/Form.h"
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define ATHENA_Command_h_ "$athena_h_path/Command.h"
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define ATHENA_Label_h_ "$athena_h_path/Label.h"
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define ATHENA_LabelP_h_ "$athena_h_path/LabelP.h"
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define ATHENA_Toggle_h_ "$athena_h_path/Toggle.h"
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define ATHENA_ToggleP_h_ "$athena_h_path/ToggleP.h"
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define ATHENA_AsciiText_h_ "$athena_h_path/AsciiText.h"
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define ATHENA_XawInit_h_ "$athena_h_path/XawInit.h"
_ACEOF


    $as_echo "#define LWLIB_USES_ATHENA 1" >>confdefs.h

    $as_echo "#define NEED_ATHENA 1" >>confdefs.h

    need_athena="yes"

    if test "$athena_3d" = "yes"; then
      $as_echo "#define HAVE_ATHENA_3D 1" >>confdefs.h

    fi
  ;;
esac

case "$all_widgets" in *motif* )
  $as_echo "#define LWLIB_USES_MOTIF 1" >>confdefs.h

  $as_echo "#define NEED_MOTIF 1" >>confdefs.h

  lwlib_objs="$lwlib_objs lwlib-Xm.o" &&  if test "$verbose" = "yes"; then echo "    Appending \"lwlib-Xm.o\" to \$lwlib_objs"; fi
  need_motif=yes ;;
esac

test "$with_menubars"   = "lucid" && lwlib_objs="$lwlib_objs xlwmenu.o" &&  if test "$verbose" = "yes"; then echo "    Appending \"xlwmenu.o\" to \$lwlib_objs"; fi
test "$with_menubars"   = "motif" && lwlib_objs="$lwlib_objs xlwmenu.o" &&  if test "$verbose" = "yes"; then echo "    Appending \"xlwmenu.o\" to \$lwlib_objs"; fi
test "$with_scrollbars" = "lucid" && lwlib_objs="$lwlib_objs xlwscrollbar.o" &&  if test "$verbose" = "yes"; then echo "    Appending \"xlwscrollbar.o\" to \$lwlib_objs"; fi
test "$with_widgets"   != "no" && test "$with_widgets" != "msw" && \
	lwlib_objs="$lwlib_objs xlwtabs.o xlwgcs.o" &&  if test "$verbose" = "yes"; then echo "    Appending \"xlwtabs.o xlwgcs.o\" to \$lwlib_objs"; fi
case "$with_widgets" in athena* )
	lwlib_objs="$lwlib_objs xlwradio.o xlwcheckbox.o xlwgauge.o" &&  if test "$verbose" = "yes"; then echo "    Appending \"xlwradio.o xlwcheckbox.o xlwgauge.o\" to \$lwlib_objs"; fi;;
esac
case "$all_widgets" in *lucid* )
  $as_echo "#define NEED_LUCID 1" >>confdefs.h

  lwlib_objs="$lwlib_objs lwlib-Xlw.o" &&  if test "$verbose" = "yes"; then echo "    Appending \"lwlib-Xlw.o\" to \$lwlib_objs"; fi ;;
esac



test "$with_scrollbars" = "athena" && $as_echo "#define LWLIB_SCROLLBARS_ATHENA 1" >>confdefs.h

test "$with_dialogs"    = "athena" && $as_echo "#define LWLIB_DIALOGS_ATHENA 1" >>confdefs.h


if test "$athena_3d" = "yes"; then
  test "$with_scrollbars" = "athena" && $as_echo "#define LWLIB_SCROLLBARS_ATHENA3D 1" >>confdefs.h

  test "$with_dialogs"    = "athena" && $as_echo "#define LWLIB_DIALOGS_ATHENA3D 1" >>confdefs.h

fi

case "$with_widgets" in athena* ) $as_echo "#define LWLIB_WIDGETS_ATHENA 1" >>confdefs.h
;; esac
test "$with_widgets" != "no" && test "$with_widgets" != "msw" && \
	$as_echo "#define LWLIB_TABS_LUCID 1" >>confdefs.h


test "$with_menubars"   != "no"    && $as_echo "#define HAVE_MENUBARS 1" >>confdefs.h

test "$with_scrollbars" != "no"    && $as_echo "#define HAVE_SCROLLBARS 1" >>confdefs.h

test "$with_dialogs"    != "no"    && $as_echo "#define HAVE_DIALOGS 1" >>confdefs.h

test "$with_toolbars"   != "no"    && $as_echo "#define HAVE_TOOLBARS 1" >>confdefs.h

test "$with_widgets"    != "no"    && $as_echo "#define HAVE_WIDGETS 1" >>confdefs.h


test "$with_menubars"   = "lucid"  && $as_echo "#define LWLIB_MENUBARS_LUCID 1" >>confdefs.h

test "$with_scrollbars" = "lucid"  && $as_echo "#define LWLIB_SCROLLBARS_LUCID 1" >>confdefs.h


test "$with_menubars"   = "motif"  && $as_echo "#define LWLIB_MENUBARS_MOTIF 1" >>confdefs.h

test "$with_scrollbars" = "motif"  && $as_echo "#define LWLIB_SCROLLBARS_MOTIF 1" >>confdefs.h

test "$with_dialogs"    = "motif"  && $as_echo "#define LWLIB_DIALOGS_MOTIF 1" >>confdefs.h

test "$with_widgets"    = "motif"  && $as_echo "#define LWLIB_WIDGETS_MOTIF 1" >>confdefs.h


test "$with_xft_menubars" = "yes"  && $as_echo "#define HAVE_XFT_MENUBARS 1" >>confdefs.h

test "$with_xft_tabs" = "yes"  && $as_echo "#define HAVE_XFT_TABS 1" >>confdefs.h

test "$with_xft_gauges" = "yes"  && $as_echo "#define HAVE_XFT_GAUGES 1" >>confdefs.h



test -z "$with_mule" && with_mule=no


if test "$with_default_eol_detection" = "yes"; then
  $as_echo "#define HAVE_DEFAULT_EOL_DETECTION 1" >>confdefs.h

fi

canna_libs=
wnn_libs=

if test "$with_mule" = "yes" ; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for Mule-related features" >&5
$as_echo_n "checking for Mule-related features... " >&6; }
  $as_echo "#define MULE 1" >>confdefs.h


    for ac_header in libintl.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "libintl.h" "ac_cv_header_libintl_h" "$ac_includes_default"
if test "x$ac_cv_header_libintl_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_LIBINTL_H 1
_ACEOF

fi

done

  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for strerror in -lintl" >&5
$as_echo_n "checking for strerror in -lintl... " >&6; }
if ${ac_cv_lib_intl_strerror+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lintl  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char strerror ();
int
main ()
{
return strerror ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_intl_strerror=yes
else
  ac_cv_lib_intl_strerror=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_intl_strerror" >&5
$as_echo "$ac_cv_lib_intl_strerror" >&6; }
if test "x$ac_cv_lib_intl_strerror" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_LIBINTL 1
_ACEOF

  LIBS="-lintl $LIBS"

fi


  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for Mule input methods" >&5
$as_echo_n "checking for Mule input methods... " >&6; }
    case "$with_xim" in "" | "yes" )
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for XIM" >&5
$as_echo_n "checking for XIM... " >&6; }
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for XOpenIM in -lX11" >&5
$as_echo_n "checking for XOpenIM in -lX11... " >&6; }
if ${ac_cv_lib_X11_XOpenIM+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lX11  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char XOpenIM ();
int
main ()
{
return XOpenIM ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_X11_XOpenIM=yes
else
  ac_cv_lib_X11_XOpenIM=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_X11_XOpenIM" >&5
$as_echo "$ac_cv_lib_X11_XOpenIM" >&6; }
if test "x$ac_cv_lib_X11_XOpenIM" = xyes; then :
  with_xim=xlib
else
  with_xim=no
fi

            if test "$need_motif $have_lesstif" = "yes no"; then
      { $as_echo "$as_me:${as_lineno-$LINENO}: checking for XmImMbLookupString in -lXm" >&5
$as_echo_n "checking for XmImMbLookupString in -lXm... " >&6; }
if ${ac_cv_lib_Xm_XmImMbLookupString+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lXm  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char XmImMbLookupString ();
int
main ()
{
return XmImMbLookupString ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_Xm_XmImMbLookupString=yes
else
  ac_cv_lib_Xm_XmImMbLookupString=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_Xm_XmImMbLookupString" >&5
$as_echo "$ac_cv_lib_Xm_XmImMbLookupString" >&6; }
if test "x$ac_cv_lib_Xm_XmImMbLookupString" = xyes; then :
  with_xim=motif
fi

            elif test "$have_motif $have_lesstif $with_xim" = "yes no no"; then
      { $as_echo "$as_me:${as_lineno-$LINENO}: checking for XmImMbLookupString in -lXm" >&5
$as_echo_n "checking for XmImMbLookupString in -lXm... " >&6; }
if ${ac_cv_lib_Xm_XmImMbLookupString+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lXm  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char XmImMbLookupString ();
int
main ()
{
return XmImMbLookupString ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_Xm_XmImMbLookupString=yes
else
  ac_cv_lib_Xm_XmImMbLookupString=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_Xm_XmImMbLookupString" >&5
$as_echo "$ac_cv_lib_Xm_XmImMbLookupString" >&6; }
if test "x$ac_cv_lib_Xm_XmImMbLookupString" = xyes; then :
  with_xim=motif
fi

    fi ;;
  esac
  if test "$with_xim" != "no"; then
    $as_echo "#define HAVE_XIM 1" >>confdefs.h

    if test "$with_xim" = "xlib"; then
      $as_echo "#define XIM_XLIB 1" >>confdefs.h

      extra_objs="$extra_objs input-method-xlib.o" &&  if test "$verbose" = "yes"; then
   echo "    xemacs will be linked with \"input-method-xlib.o\""
 fi
    fi
    if test "$with_xim" = "motif"; then
      $as_echo "#define XIM_MOTIF 1" >>confdefs.h

      need_motif=yes
      extra_objs="$extra_objs input-method-motif.o" &&  if test "$verbose" = "yes"; then
   echo "    xemacs will be linked with \"input-method-motif.o\""
 fi
    fi
    if test "$with_xim" = "motif"; then
      with_xfs=no
    fi
  fi

    if test "$with_xfs" = "yes" ; then
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for XFontSet" >&5
$as_echo_n "checking for XFontSet... " >&6; }
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for XmbDrawString in -lX11" >&5
$as_echo_n "checking for XmbDrawString in -lX11... " >&6; }
if ${ac_cv_lib_X11_XmbDrawString+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lX11  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char XmbDrawString ();
int
main ()
{
return XmbDrawString ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_X11_XmbDrawString=yes
else
  ac_cv_lib_X11_XmbDrawString=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_X11_XmbDrawString" >&5
$as_echo "$ac_cv_lib_X11_XmbDrawString" >&6; }
if test "x$ac_cv_lib_X11_XmbDrawString" = xyes; then :
  :
else
  with_xfs=no
fi

    if test "$with_xfs" = "yes" && test "$with_menubars" = "lucid"; then
      $as_echo "#define USE_XFONTSET 1" >>confdefs.h

      if test "$with_xim" = "no" ; then
        extra_objs="$extra_objs input-method-xlib.o" &&  if test "$verbose" = "yes"; then
   echo "    xemacs will be linked with \"input-method-xlib.o\""
 fi
      fi
    fi
  fi
    test "$with_wnn6" = "yes" && with_wnn=yes # wnn6 implies wnn support
  test -z "$with_wnn" && { ac_fn_c_check_header_mongrel "$LINENO" "wnn/jllib.h" "ac_cv_header_wnn_jllib_h" "$ac_includes_default"
if test "x$ac_cv_header_wnn_jllib_h" = xyes; then :

else
  with_wnn=no
fi

 }
    test -z "$with_wnn" && { ac_fn_c_check_header_mongrel "$LINENO" "wnn/commonhd.h" "ac_cv_header_wnn_commonhd_h" "$ac_includes_default"
if test "x$ac_cv_header_wnn_commonhd_h" = xyes; then :

else
  with_wnn=no
fi

 }
    if test "$with_wnn" != "no"; then
    for ac_func in crypt
do :
  ac_fn_c_check_func "$LINENO" "crypt" "ac_cv_func_crypt"
if test "x$ac_cv_func_crypt" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_CRYPT 1
_ACEOF

fi
done

    test "$ac_cv_func_crypt" != "yes" && { { $as_echo "$as_me:${as_lineno-$LINENO}: checking for crypt in -lcrypt" >&5
$as_echo_n "checking for crypt in -lcrypt... " >&6; }
if ${ac_cv_lib_crypt_crypt+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lcrypt  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char crypt ();
int
main ()
{
return crypt ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_crypt_crypt=yes
else
  ac_cv_lib_crypt_crypt=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_crypt_crypt" >&5
$as_echo "$ac_cv_lib_crypt_crypt" >&6; }
if test "x$ac_cv_lib_crypt_crypt" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_LIBCRYPT 1
_ACEOF

  LIBS="-lcrypt $LIBS"

fi
 }
  fi
    if test -z "$with_wnn" -o "$with_wnn" = "yes"; then
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for jl_dic_list_e in -lwnn" >&5
$as_echo_n "checking for jl_dic_list_e in -lwnn... " >&6; }
if ${ac_cv_lib_wnn_jl_dic_list_e+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lwnn  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char jl_dic_list_e ();
int
main ()
{
return jl_dic_list_e ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_wnn_jl_dic_list_e=yes
else
  ac_cv_lib_wnn_jl_dic_list_e=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_wnn_jl_dic_list_e" >&5
$as_echo "$ac_cv_lib_wnn_jl_dic_list_e" >&6; }
if test "x$ac_cv_lib_wnn_jl_dic_list_e" = xyes; then :
  libwnn=wnn
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for jl_dic_list_e in -lwnn4" >&5
$as_echo_n "checking for jl_dic_list_e in -lwnn4... " >&6; }
if ${ac_cv_lib_wnn4_jl_dic_list_e+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lwnn4  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char jl_dic_list_e ();
int
main ()
{
return jl_dic_list_e ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_wnn4_jl_dic_list_e=yes
else
  ac_cv_lib_wnn4_jl_dic_list_e=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_wnn4_jl_dic_list_e" >&5
$as_echo "$ac_cv_lib_wnn4_jl_dic_list_e" >&6; }
if test "x$ac_cv_lib_wnn4_jl_dic_list_e" = xyes; then :
  libwnn=wnn4
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for jl_dic_list_e in -lwnn6" >&5
$as_echo_n "checking for jl_dic_list_e in -lwnn6... " >&6; }
if ${ac_cv_lib_wnn6_jl_dic_list_e+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lwnn6  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char jl_dic_list_e ();
int
main ()
{
return jl_dic_list_e ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_wnn6_jl_dic_list_e=yes
else
  ac_cv_lib_wnn6_jl_dic_list_e=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_wnn6_jl_dic_list_e" >&5
$as_echo "$ac_cv_lib_wnn6_jl_dic_list_e" >&6; }
if test "x$ac_cv_lib_wnn6_jl_dic_list_e" = xyes; then :
  libwnn=wnn6
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for dic_list_e in -lwnn6_fromsrc" >&5
$as_echo_n "checking for dic_list_e in -lwnn6_fromsrc... " >&6; }
if ${ac_cv_lib_wnn6_fromsrc_dic_list_e+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lwnn6_fromsrc  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char dic_list_e ();
int
main ()
{
return dic_list_e ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_wnn6_fromsrc_dic_list_e=yes
else
  ac_cv_lib_wnn6_fromsrc_dic_list_e=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_wnn6_fromsrc_dic_list_e" >&5
$as_echo "$ac_cv_lib_wnn6_fromsrc_dic_list_e" >&6; }
if test "x$ac_cv_lib_wnn6_fromsrc_dic_list_e" = xyes; then :
  libwnn=wnn6_fromsrc
else
  with_wnn=no
fi

fi

fi

fi

  fi
  test -z "$with_wnn" && with_wnn=yes
  if test "$with_wnn" = "yes"; then
    $as_echo "#define HAVE_WNN 1" >>confdefs.h

    libs_x="-l$libwnn $libs_x" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-l$libwnn\" to \$libs_x"; fi
    if test "$with_wnn6" != "no"; then
      as_ac_Lib=`$as_echo "ac_cv_lib_$libwnn''_jl_fi_dic_list" | $as_tr_sh`
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for jl_fi_dic_list in -l$libwnn" >&5
$as_echo_n "checking for jl_fi_dic_list in -l$libwnn... " >&6; }
if eval \${$as_ac_Lib+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-l$libwnn  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char jl_fi_dic_list ();
int
main ()
{
return jl_fi_dic_list ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  eval "$as_ac_Lib=yes"
else
  eval "$as_ac_Lib=no"
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
eval ac_res=\$$as_ac_Lib
	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
$as_echo "$ac_res" >&6; }
if eval test \"x\$"$as_ac_Lib"\" = x"yes"; then :
  with_wnn6=yes
fi

      test "$with_wnn6" = "yes" && $as_echo "#define WNN6 1" >>confdefs.h

    fi
  fi

            have_canna=no
  if test "$with_canna" != "no"; then
    save_c_switch_site="$c_switch_site"
    for canna_include_path in "" " -I/usr/local/canna/include"; do
      for canna_wchar_aware in "" " -DCANNA_NEW_WCHAR_AWARE=1"; do
        c_switch_site="$save_c_switch_site$canna_include_path$canna_wchar_aware"
        # defeat autoconf's cache mechanism
        $as_unset ac_cv_header_canna_jrkanji_h
        $as_unset ac_cv_header_canna_RK_h
        # using $ac_header_compiler is a hack, but autoconf doesn't let us
        # get at this information otherwise :-(
        ac_fn_c_check_header_mongrel "$LINENO" "canna/jrkanji.h" "ac_cv_header_canna_jrkanji_h" "$ac_includes_default"
if test "x$ac_cv_header_canna_jrkanji_h" = xyes; then :
  ac_fn_c_check_header_mongrel "$LINENO" "canna/RK.h" "ac_cv_header_canna_RK_h" "$ac_includes_default"
if test "x$ac_cv_header_canna_RK_h" = xyes; then :
  have_canna=$ac_header_compiler
fi


fi


        test "$have_canna" = "yes" && break
        { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: You may ignore any *Present but not compiled* message
        from autoconf.  We detect that condition and recheck, but there
        is no way to suppress autoconf's message." >&5
$as_echo "$as_me: WARNING: You may ignore any *Present but not compiled* message
        from autoconf.  We detect that condition and recheck, but there
        is no way to suppress autoconf's message." >&2;}
      done
      test "$have_canna" = "yes" && break
    done
    if test "$have_canna" = "yes"; then
      c_switch_site="$save_c_switch_site$canna_include_path"
    else
      c_switch_site="$save_c_switch_site"
    fi
  fi

  test "$have_canna" = "yes" && { { $as_echo "$as_me:${as_lineno-$LINENO}: checking for RkBgnBun in -lRKC" >&5
$as_echo_n "checking for RkBgnBun in -lRKC... " >&6; }
if ${ac_cv_lib_RKC_RkBgnBun+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lRKC  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char RkBgnBun ();
int
main ()
{
return RkBgnBun ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_RKC_RkBgnBun=yes
else
  ac_cv_lib_RKC_RkBgnBun=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_RKC_RkBgnBun" >&5
$as_echo "$ac_cv_lib_RKC_RkBgnBun" >&6; }
if test "x$ac_cv_lib_RKC_RkBgnBun" = xyes; then :
  :
else
  have_canna=no
fi
 }
  test "$have_canna" = "yes" && { { $as_echo "$as_me:${as_lineno-$LINENO}: checking for jrKanjiControl in -lcanna" >&5
$as_echo_n "checking for jrKanjiControl in -lcanna... " >&6; }
if ${ac_cv_lib_canna_jrKanjiControl+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lcanna  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char jrKanjiControl ();
int
main ()
{
return jrKanjiControl ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_canna_jrKanjiControl=yes
else
  ac_cv_lib_canna_jrKanjiControl=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_canna_jrKanjiControl" >&5
$as_echo "$ac_cv_lib_canna_jrKanjiControl" >&6; }
if test "x$ac_cv_lib_canna_jrKanjiControl" = xyes; then :
  :
else
  have_canna=no
fi
 }
  if test "$have_canna" = "yes"; then
    $as_echo "#define HAVE_CANNA 1" >>confdefs.h

    test -n "$canna_wchar_aware" && $as_echo "#define CANNA_NEW_WCHAR_AWARE 1" >>confdefs.h

    MAKE_SUBDIR="$MAKE_SUBDIR modules/canna" &&  if test "$verbose" = "yes"; then echo "    Appending \"modules/canna\" to \$MAKE_SUBDIR"; fi
    need_modules_common=yes
    if test "$with_modules" = "yes"; then
      INSTALL_ARCH_DEP_SUBDIR="$INSTALL_ARCH_DEP_SUBDIR modules/canna" &&  if test "$verbose" = "yes"; then echo "    Appending \"modules/canna\" to \$INSTALL_ARCH_DEP_SUBDIR"; fi
    fi
    canna_libs="-lcanna -lRKC $canna_libs" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-lcanna -lRKC\" to \$canna_libs"; fi
  elif test "$with_canna" != "no"; then
    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: Canna configuration failed.  If you expected success,
maybe you need --with-site-prefixes=/usr/local/canna?" >&5
$as_echo "$as_me: WARNING: Canna configuration failed.  If you expected success,
maybe you need --with-site-prefixes=/usr/local/canna?" >&2;}
  fi


else   for feature in xim canna wnn; do
    if eval "test -n \"\$with_${feature}\" -a \"\$with_${feature}\" != no" ; then
      { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: --with-${feature} ignored:  Not valid without Mule support" >&5
$as_echo "$as_me: WARNING: --with-${feature} ignored:  Not valid without Mule support" >&2;}
    fi
    eval "with_${feature}=no"
  done
fi

if test "$need_motif" = "yes" ; then
  libs_x="-lXm $libs_x" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-lXm\" to \$libs_x"; fi
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for layout_object_getvalue in -li18n" >&5
$as_echo_n "checking for layout_object_getvalue in -li18n... " >&6; }
if ${ac_cv_lib_i18n_layout_object_getvalue+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-li18n  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char layout_object_getvalue ();
int
main ()
{
return layout_object_getvalue ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_i18n_layout_object_getvalue=yes
else
  ac_cv_lib_i18n_layout_object_getvalue=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_i18n_layout_object_getvalue" >&5
$as_echo "$ac_cv_lib_i18n_layout_object_getvalue" >&6; }
if test "x$ac_cv_lib_i18n_layout_object_getvalue" = xyes; then :
  libs_x="-li18n $libs_x" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-li18n\" to \$libs_x"; fi
fi


if test "$add_runtime_path" = "yes" -a -n "$dash_r"; then
    ld_switch_site=`echo   '' $ld_switch_site   | sed -e 's:^ ::' -e "s/$dash_r[^ ]*//g"`
  ld_switch_x_site=`echo '' $ld_switch_x_site | sed -e 's:^ ::' -e "s/$dash_r[^ ]*//g"`

        runpath="" runpath_dirs=""
  if test -n "$LD_RUN_PATH"; then
    runpath="$LD_RUN_PATH"
  elif test "$GCC" = "yes"; then
        ld_switch_run_save="$ld_switch_run"; ld_switch_run=""
    echo "int main(int argc, char **argv) {return 0;}" > conftest.c
    xe_runpath_link='${CC-cc} -o conftest -v $CFLAGS '"$xe_ldflags"' conftest.$ac_ext 2>&1 1>/dev/null'
    for arg in `eval "$xe_runpath_link" | grep ' -L'`; do
      case "$arg" in P,* | -L* | -R* )
        for dir in `echo '' "$arg" | sed -e 's:^ ::' -e 's/^..//' -e 'y/:/ /'`; do
          {
xe_runpath_dir="$dir"
  test "$xe_runpath_dir" != "/lib"     -a \
	"$xe_runpath_dir" != "/usr/lib" -a \
	-n "`ls ${xe_runpath_dir}/*.s[ol] 2>/dev/null`" && \
  eval "$xe_add_unique_runpath_dir"
}
        done ;;
      esac
    done
    ld_switch_run="$ld_switch_run_save"
    rm -f conftest*
  else
        for arg in $ld_switch_site $ld_switch_x_site; do
      case "$arg" in -L*) {
xe_runpath_dir=`echo '' "$arg" | sed -e 's:^ ::' -e 's/^-L//'`
  test "$xe_runpath_dir" != "/lib"     -a \
	"$xe_runpath_dir" != "/usr/lib" -a \
	-n "`ls ${xe_runpath_dir}/*.s[ol] 2>/dev/null`" && \
  eval "$xe_add_unique_runpath_dir"
};; esac
    done
            if test "$opsys $need_motif" = "sol2 yes"; then
      xe_runpath_dir="/opt/SUNWdt/lib";
      eval "$xe_add_unique_runpath_dir";
    fi
  fi
  if test -n "$runpath"; then
    ld_switch_run="${dash_r}${runpath}"

if test "$GCC" = "yes"; then
  set x $ld_switch_run; shift; ld_switch_run=""
  while test -n "$1"; do
    case $1 in
      -L  | -l  | -u               ) ld_switch_run="$ld_switch_run $1 $2"; shift ;;
      -L* | -l* | -u* | -Wl* | -pg ) ld_switch_run="$ld_switch_run $1" ;;
      -Xlinker* ) ;;
      * ) ld_switch_run="$ld_switch_run -Xlinker $1" ;;
    esac
    shift
  done
fi
    test "$verbose" = "yes" && echo "Setting runpath to $runpath"
  fi
fi

fi

case "$opsys" in
  *cygwin* ) for ac_func in cygwin_conv_path
do :
  ac_fn_c_check_func "$LINENO" "cygwin_conv_path" "ac_cv_func_cygwin_conv_path"
if test "x$ac_cv_func_cygwin_conv_path" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_CYGWIN_CONV_PATH 1
_ACEOF

fi
done

	 ;;
esac


for ac_func in cbrt closedir dup2 eaccess fmod fpathconf frexp fsync ftime ftruncate getaddrinfo gethostname getnameinfo getpagesize getrlimit gettimeofday getcwd link logb lrand48 matherr mkdir mktime perror poll random readlink rename res_init rint rmdir select setitimer setpgid setsid sigblock sighold sigprocmask snprintf strerror strlwr strupr symlink tzset ulimit umask usleep vlimit vsnprintf waitpid wcscmp wcslen
do :
  as_ac_var=`$as_echo "ac_cv_func_$ac_func" | $as_tr_sh`
ac_fn_c_check_func "$LINENO" "$ac_func" "$as_ac_var"
if eval test \"x\$"$as_ac_var"\" = x"yes"; then :
  cat >>confdefs.h <<_ACEOF
#define `$as_echo "HAVE_$ac_func" | $as_tr_cpp` 1
_ACEOF

fi
done


if test "$ac_cv_func_getaddrinfo" != "no" ; then
  case "$opsys" in
    hpux11 )
      { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: Use of getaddrinfo is disabled for HP-UX 11.XX." >&5
$as_echo "$as_me: WARNING: Use of getaddrinfo is disabled for HP-UX 11.XX." >&2;}
      ac_cv_func_getaddrinfo=no
      ;;
  esac
fi

if test "$check_vdb_posix" = "yes" ; then
    ac_fn_c_check_func "$LINENO" "mprotect" "ac_cv_func_mprotect"
if test "x$ac_cv_func_mprotect" = xyes; then :
  $as_echo "#define HAVE_MPROTECT 1" >>confdefs.h
 have_vdb_mprotect=yes
fi


    ac_fn_c_check_func "$LINENO" "sigaction" "ac_cv_func_sigaction"
if test "x$ac_cv_func_sigaction" = xyes; then :
  $as_echo "#define HAVE_SIGACTION 1" >>confdefs.h
 have_vdb_sigaction=yes
else
  have_vdb_sigaction=no
fi

  ac_fn_c_check_member "$LINENO" "struct siginfo" "si_addr" "ac_cv_member_struct_siginfo_si_addr" "#include <signal.h>
"
if test "x$ac_cv_member_struct_siginfo_si_addr" = xyes; then :
  $as_echo "#define HAVE_STRUCT_SIGINFO_SI_ADDR 1" >>confdefs.h
 have_si_addr=yes
fi

  ac_fn_c_check_member "$LINENO" "siginfo_t" "si_addr" "ac_cv_member_siginfo_t_si_addr" "#include <signal.h>
"
if test "x$ac_cv_member_siginfo_t_si_addr" = xyes; then :
  $as_echo "#define HAVE_SIGINFO_T_SI_ADDR 1" >>confdefs.h
 have_si_addr=yes
fi

  if test "$have_si_addr" != "yes" ; then
    have_vdb_sigaction=no
  fi

    ac_fn_c_check_func "$LINENO" "signal" "ac_cv_func_signal"
if test "x$ac_cv_func_signal" = xyes; then :
  $as_echo "#define HAVE_SIGNAL 1" >>confdefs.h
 have_vdb_signal=yes
fi

  ac_fn_c_check_member "$LINENO" "struct sigcontext" "cr2" "ac_cv_member_struct_sigcontext_cr2" "#include <signal.h>
"
if test "x$ac_cv_member_struct_sigcontext_cr2" = xyes; then :
  $as_echo "#define HAVE_STRUCT_SIGCONTEXT_CR2 1" >>confdefs.h
 have_cr2=yes
fi


  if test "$have_cr2" != "yes" ; then
    have_vdb_signal=no
  fi

  if test "$have_vdb_mprotect" != "yes" ; then
    have_vdb_sigaction=no
    have_vdb_signal=no
  fi

  if test "$have_vdb_sigaction" != "yes" -a "$have_vdb_signal" != "yes" ; then
    have_vdb_posix=no
    have_vdb_fake=yes
    { echo "Error:" "No working write-barrier implementation found for this system.
       Please report this and provide information about your system." >&2; exit 1; }
  else
    have_vdb_posix=yes
    have_vdb_fake=no
  fi
fi


for ac_func in getpt _getpty grantpt unlockpt ptsname killpg tcgetpgrp
do :
  as_ac_var=`$as_echo "ac_cv_func_$ac_func" | $as_tr_sh`
ac_fn_c_check_func "$LINENO" "$ac_func" "$as_ac_var"
if eval test \"x\$"$as_ac_var"\" = x"yes"; then :
  cat >>confdefs.h <<_ACEOF
#define `$as_echo "HAVE_$ac_func" | $as_tr_cpp` 1
_ACEOF

fi
done


ac_fn_c_check_func "$LINENO" "openpty" "ac_cv_func_openpty"
if test "x$ac_cv_func_openpty" = xyes; then :
  have_openpty=yes
else

  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for openpty in -lutil" >&5
$as_echo_n "checking for openpty in -lutil... " >&6; }
if ${ac_cv_lib_util_openpty+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lutil  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char openpty ();
int
main ()
{
return openpty ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_util_openpty=yes
else
  ac_cv_lib_util_openpty=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_util_openpty" >&5
$as_echo "$ac_cv_lib_util_openpty" >&6; }
if test "x$ac_cv_lib_util_openpty" = xyes; then :
  have_openpty=yes need_libutil=yes
fi

fi

if test "$have_openpty" = "yes"; then
  $as_echo "#define HAVE_OPENPTY 1" >>confdefs.h

  for ac_header in libutil.h util.h
do :
  as_ac_Header=`$as_echo "ac_cv_header_$ac_header" | $as_tr_sh`
ac_fn_c_check_header_mongrel "$LINENO" "$ac_header" "$as_ac_Header" "$ac_includes_default"
if eval test \"x\$"$as_ac_Header"\" = x"yes"; then :
  cat >>confdefs.h <<_ACEOF
#define `$as_echo "HAVE_$ac_header" | $as_tr_cpp` 1
_ACEOF
 break
fi

done

  test "$need_libutil" = "yes" && libs_system="$libs_system -lutil" &&  if test "$verbose" = "yes"; then echo "    Appending \"-lutil\" to \$libs_system"; fi
fi

case "$opsys" in
    hpux*) for ac_header in sys/ptyio.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "sys/ptyio.h" "ac_cv_header_sys_ptyio_h" "$ac_includes_default"
if test "x$ac_cv_header_sys_ptyio_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SYS_PTYIO_H 1
_ACEOF

fi

done
 ;;
  *) for ac_header in pty.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "pty.h" "ac_cv_header_pty_h" "$ac_includes_default"
if test "x$ac_cv_header_pty_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_PTY_H 1
_ACEOF

fi

done

     test "$ac_cv_header_pty_h" = "no" && for ac_header in sys/pty.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "sys/pty.h" "ac_cv_header_sys_pty_h" "$ac_includes_default"
if test "x$ac_cv_header_sys_pty_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SYS_PTY_H 1
_ACEOF

fi

done

     ;;
esac

for ac_header in stropts.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "stropts.h" "ac_cv_header_stropts_h" "$ac_includes_default"
if test "x$ac_cv_header_stropts_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_STROPTS_H 1
_ACEOF

fi

done

if test "$ac_cv_header_stropts_h" = "yes"; then
  for ac_func in isastream
do :
  ac_fn_c_check_func "$LINENO" "isastream" "ac_cv_func_isastream"
if test "x$ac_cv_func_isastream" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_ISASTREAM 1
_ACEOF

fi
done

  for ac_header in strtio.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "strtio.h" "ac_cv_header_strtio_h" "$ac_includes_default"
if test "x$ac_cv_header_strtio_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_STRTIO_H 1
_ACEOF

fi

done
 fi

for ac_func in getloadavg
do :
  ac_fn_c_check_func "$LINENO" "getloadavg" "ac_cv_func_getloadavg"
if test "x$ac_cv_func_getloadavg" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_GETLOADAVG 1
_ACEOF

fi
done


if test "$ac_cv_func_getloadavg" = "yes"; then
        for ac_header in sys/loadavg.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "sys/loadavg.h" "ac_cv_header_sys_loadavg_h" "$ac_includes_default"
if test "x$ac_cv_header_sys_loadavg_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SYS_LOADAVG_H 1
_ACEOF

fi

done

else
    extra_objs="$extra_objs getloadavg.o" &&  if test "$verbose" = "yes"; then
   echo "    xemacs will be linked with \"getloadavg.o\""
 fi

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for kstat_open in -lkstat" >&5
$as_echo_n "checking for kstat_open in -lkstat... " >&6; }
if ${ac_cv_lib_kstat_kstat_open+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lkstat  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char kstat_open ();
int
main ()
{
return kstat_open ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_kstat_kstat_open=yes
else
  ac_cv_lib_kstat_kstat_open=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_kstat_kstat_open" >&5
$as_echo "$ac_cv_lib_kstat_kstat_open" >&6; }
if test "x$ac_cv_lib_kstat_kstat_open" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_LIBKSTAT 1
_ACEOF

  LIBS="-lkstat $LIBS"

fi

  for ac_header in kstat.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "kstat.h" "ac_cv_header_kstat_h" "$ac_includes_default"
if test "x$ac_cv_header_kstat_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_KSTAT_H 1
_ACEOF

fi

done


    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for kvm_read in -lkvm" >&5
$as_echo_n "checking for kvm_read in -lkvm... " >&6; }
if ${ac_cv_lib_kvm_kvm_read+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lkvm  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char kvm_read ();
int
main ()
{
return kvm_read ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_kvm_kvm_read=yes
else
  ac_cv_lib_kvm_kvm_read=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_kvm_kvm_read" >&5
$as_echo "$ac_cv_lib_kvm_kvm_read" >&6; }
if test "x$ac_cv_lib_kvm_kvm_read" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_LIBKVM 1
_ACEOF

  LIBS="-lkvm $LIBS"

fi

fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether netdb declares h_errno" >&5
$as_echo_n "checking whether netdb declares h_errno... " >&6; }
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <netdb.h>
int
main ()
{
return h_errno;
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
$as_echo "yes" >&6; }
   $as_echo "#define HAVE_H_ERRNO 1" >>confdefs.h

else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for sigsetjmp" >&5
$as_echo_n "checking for sigsetjmp... " >&6; }
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <setjmp.h>
int
main ()
{
sigjmp_buf bar; sigsetjmp (bar, 0);
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
$as_echo "yes" >&6; }
   $as_echo "#define HAVE_SIGSETJMP 1" >>confdefs.h

else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether localtime caches TZ" >&5
$as_echo_n "checking whether localtime caches TZ... " >&6; }
if ${emacs_cv_localtime_cache+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test "$ac_cv_func_tzset" = "yes"; then
if test "$cross_compiling" = yes; then :
  # If we have tzset, assume the worst when cross-compiling.
emacs_cv_localtime_cache=yes
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <time.h>
#if STDC_HEADERS
# include <stdlib.h>
#endif
extern char **environ;
unset_TZ ()
{
  char **from, **to;
  for (to = from = environ; (*to = *from); from++)
    if (! (to[0][0] == 'T' && to[0][1] == 'Z' && to[0][2] == '='))
      to++;
}
char TZ_GMT0[] = "TZ=GMT0";
char TZ_PST8[] = "TZ=PST8";
main()
{
  time_t now = time ((time_t *) 0);
  int hour_GMT0, hour_unset;
  if (putenv (TZ_GMT0) != 0)
    exit (1);
  hour_GMT0 = localtime (&now)->tm_hour;
  unset_TZ ();
  hour_unset = localtime (&now)->tm_hour;
  if (putenv (TZ_PST8) != 0)
    exit (1);
  if (localtime (&now)->tm_hour == hour_GMT0)
    exit (1);
  unset_TZ ();
  if (localtime (&now)->tm_hour != hour_unset)
    exit (1);
  exit (0);
}
_ACEOF
if ac_fn_c_try_run "$LINENO"; then :
  emacs_cv_localtime_cache=no
else
  emacs_cv_localtime_cache=yes
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
  conftest.$ac_objext conftest.beam conftest.$ac_ext
fi

else
	# If we lack tzset, report that localtime does not cache TZ,
	# since we can't invalidate the cache if we don't have tzset.
	emacs_cv_localtime_cache=no
fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $emacs_cv_localtime_cache" >&5
$as_echo "$emacs_cv_localtime_cache" >&6; }
if test $emacs_cv_localtime_cache = yes; then
  $as_echo "#define LOCALTIME_CACHE 1" >>confdefs.h

fi

if test "$HAVE_TIMEVAL" = "yes"; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether gettimeofday accepts one or two arguments" >&5
$as_echo_n "checking whether gettimeofday accepts one or two arguments... " >&6; }
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#ifdef TIME_WITH_SYS_TIME
#include <sys/time.h>
#include <time.h>
#else
#ifdef HAVE_SYS_TIME_H
#include <sys/time.h>
#else
#include <time.h>
#endif
#endif

int
main ()
{

  struct timeval time;
  gettimeofday (&time, 0);

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: two" >&5
$as_echo "two" >&6; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: one" >&5
$as_echo "one" >&6; }
   $as_echo "#define GETTIMEOFDAY_ONE_ARGUMENT 1" >>confdefs.h

fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
fi


{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for inline" >&5
$as_echo_n "checking for inline... " >&6; }
if ${ac_cv_c_inline+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_cv_c_inline=no
for ac_kw in inline __inline__ __inline; do
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#ifndef __cplusplus
typedef int foo_t;
static $ac_kw foo_t static_foo () {return 0; }
$ac_kw foo_t foo () {return 0; }
#endif

_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_c_inline=$ac_kw
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
  test "$ac_cv_c_inline" != no && break
done

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_c_inline" >&5
$as_echo "$ac_cv_c_inline" >&6; }

case $ac_cv_c_inline in
  inline | yes) ;;
  *)
    case $ac_cv_c_inline in
      no) ac_val=;;
      *) ac_val=$ac_cv_c_inline;;
    esac
    cat >>confdefs.h <<_ACEOF
#ifndef __cplusplus
#define inline $ac_val
#endif
_ACEOF
    ;;
esac

test "$ac_cv_c_inline" != "no" -a "$GCC" = "yes" && extra_objs="$extra_objs inline.o" &&  if test "$verbose" = "yes"; then
   echo "    xemacs will be linked with \"inline.o\""
 fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for typeof" >&5
$as_echo_n "checking for typeof... " >&6; }
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
int i; __typeof__(i) j;
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  typeofname="__typeof__"
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
int i; typeof(i) j;
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  typeofname="typeof"
else
  typeofname=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $typeofname" >&5
$as_echo "$typeofname" >&6; }
if test "$typeofname" != "no"; then
  cat >>confdefs.h <<_ACEOF
#define TYPEOF $typeofname
_ACEOF

fi


if test "$__DECC" != "yes"; then
  # The Ultrix 4.2 mips builtin alloca declared by alloca.h only works
# for constant arguments.  Useless!
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for working alloca.h" >&5
$as_echo_n "checking for working alloca.h... " >&6; }
if ${ac_cv_working_alloca_h+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <alloca.h>
int
main ()
{
char *p = (char *) alloca (2 * sizeof (int));
			  if (p) return 0;
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_working_alloca_h=yes
else
  ac_cv_working_alloca_h=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_working_alloca_h" >&5
$as_echo "$ac_cv_working_alloca_h" >&6; }
if test $ac_cv_working_alloca_h = yes; then

$as_echo "#define HAVE_ALLOCA_H 1" >>confdefs.h

fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for alloca" >&5
$as_echo_n "checking for alloca... " >&6; }
if ${ac_cv_func_alloca_works+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#ifdef __GNUC__
# define alloca __builtin_alloca
#else
# ifdef _MSC_VER
#  include <malloc.h>
#  define alloca _alloca
# else
#  ifdef HAVE_ALLOCA_H
#   include <alloca.h>
#  else
#   ifdef _AIX
 #pragma alloca
#   else
#    ifndef alloca /* predefined by HP cc +Olibcalls */
void *alloca (size_t);
#    endif
#   endif
#  endif
# endif
#endif

int
main ()
{
char *p = (char *) alloca (1);
				    if (p) return 0;
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_func_alloca_works=yes
else
  ac_cv_func_alloca_works=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_func_alloca_works" >&5
$as_echo "$ac_cv_func_alloca_works" >&6; }

if test $ac_cv_func_alloca_works = yes; then

$as_echo "#define HAVE_ALLOCA 1" >>confdefs.h

else
  # The SVR3 libPW and SVR4 libucb both contain incompatible functions
# that cause trouble.  Some versions do not even contain alloca or
# contain a buggy version.  If you still want to use their alloca,
# use ar to extract alloca.o from them instead of compiling alloca.c.

ALLOCA=\${LIBOBJDIR}alloca.$ac_objext

$as_echo "#define C_ALLOCA 1" >>confdefs.h


{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether \`alloca.c' needs Cray hooks" >&5
$as_echo_n "checking whether \`alloca.c' needs Cray hooks... " >&6; }
if ${ac_cv_os_cray+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#if defined CRAY && ! defined CRAY2
webecray
#else
wenotbecray
#endif

_ACEOF
if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
  $EGREP "webecray" >/dev/null 2>&1; then :
  ac_cv_os_cray=yes
else
  ac_cv_os_cray=no
fi
rm -f conftest*

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_os_cray" >&5
$as_echo "$ac_cv_os_cray" >&6; }
if test $ac_cv_os_cray = yes; then
  for ac_func in _getb67 GETB67 getb67; do
    as_ac_var=`$as_echo "ac_cv_func_$ac_func" | $as_tr_sh`
ac_fn_c_check_func "$LINENO" "$ac_func" "$as_ac_var"
if eval test \"x\$"$as_ac_var"\" = x"yes"; then :

cat >>confdefs.h <<_ACEOF
#define CRAY_STACKSEG_END $ac_func
_ACEOF

    break
fi

  done
fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking stack direction for C alloca" >&5
$as_echo_n "checking stack direction for C alloca... " >&6; }
if ${ac_cv_c_stack_direction+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test "$cross_compiling" = yes; then :
  ac_cv_c_stack_direction=0
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$ac_includes_default
int
find_stack_direction (int *addr, int depth)
{
  int dir, dummy = 0;
  if (! addr)
    addr = &dummy;
  *addr = addr < &dummy ? 1 : addr == &dummy ? 0 : -1;
  dir = depth ? find_stack_direction (addr, depth - 1) : 0;
  return dir + dummy;
}

int
main (int argc, char **argv)
{
  return find_stack_direction (0, argc + !argv + 20) < 0;
}
_ACEOF
if ac_fn_c_try_run "$LINENO"; then :
  ac_cv_c_stack_direction=1
else
  ac_cv_c_stack_direction=-1
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
  conftest.$ac_objext conftest.beam conftest.$ac_ext
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_c_stack_direction" >&5
$as_echo "$ac_cv_c_stack_direction" >&6; }
cat >>confdefs.h <<_ACEOF
#define STACK_DIRECTION $ac_cv_c_stack_direction
_ACEOF


fi

  test -n "$ALLOCA" && extra_objs="$extra_objs $ALLOCA" &&  if test "$verbose" = "yes"; then
   echo "    xemacs will be linked with \"$ALLOCA\""
 fi
fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for working alloca in function calls" >&5
$as_echo_n "checking for working alloca in function calls... " >&6; }
if test "$cross_compiling" = yes; then :
  { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error $? "cannot run test program while cross compiling
See \`config.log' for more details" "$LINENO" 5; }
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#if defined (__CYGWIN__)
#include <alloca.h>
#elif defined (__GNUC__)
#define alloca __builtin_alloca
#elif defined (__DECC)
#include <alloca.h>
#pragma intrinsic(alloca)
#elif defined (HAVE_ALLOCA_H)
#include <alloca.h>
#elif defined (_AIX)
#pragma alloca
#elif ! defined (alloca)
#ifdef C_ALLOCA
#define alloca xemacs_c_alloca
#else
void *alloca ();
#endif /* C_ALLOCA */
#endif /* !defined (alloca) */

void
f1 (double a, void *ptr, int b)
{
  unsigned char *ptr2 = (unsigned char *) ptr;
  if (ptr2[0] != 0xBF || ptr2[1] != 0xBF || ptr2[3000] != 0xBF)
    exit (1);
  if (a != 3.1415 || b != -5490)
    exit (1);
}

int
f2 (short c, void *ptr, long e)
{
  unsigned char *ptr2 = (unsigned char *) ptr;
  if (ptr2[0] != 0xFB || ptr2[1] != 0xFB || ptr2[1000] != 0xFB)
    exit (1);
  if (c != 665 || e != 776776776)
    exit (1);
  f1 (3.1415, memset (alloca (3001), 0xBF, 3001), -5490);
  return 42;
}

int
main (int argc, char **argv)
{
  if (f2 (665, memset (alloca (1001), 0xFB, 1001), 776776776) != 42)
    return 1;
  return 0;
}

_ACEOF
if ac_fn_c_try_run "$LINENO"; then :
  working_alloca_in_function_calls=yes
else
  working_alloca_in_function_calls=no
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
  conftest.$ac_objext conftest.beam conftest.$ac_ext
fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $working_alloca_in_function_calls" >&5
$as_echo "$working_alloca_in_function_calls" >&6; }
test "$working_alloca_in_function_calls" != "yes" && \
  $as_echo "#define BROKEN_ALLOCA_IN_FUNCTION_CALLS 1" >>confdefs.h


{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for working scanf" >&5
$as_echo_n "checking for working scanf... " >&6; }
if test "$cross_compiling" = yes; then :
  { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error $? "cannot run test program while cross compiling
See \`config.log' for more details" "$LINENO" 5; }
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main (int argc, char **argv)
{
  int ret, cp1, cp2, endcount;
  char *p = "0x7d   0x000E  ";
  ret = sscanf (p, "%i %i%n", &cp1, &cp2, &endcount);
  /* endcount should be 13 but it's 11 in Cygwin newlib after 6/04;
     this breaks unicode.c */
  return endcount != 13;
}

_ACEOF
if ac_fn_c_try_run "$LINENO"; then :
  working_scanf=yes
else
  working_scanf=no
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
  conftest.$ac_objext conftest.beam conftest.$ac_ext
fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $working_scanf" >&5
$as_echo "$working_scanf" >&6; }
test "$working_scanf" != "yes" && \
  $as_echo "#define CYGWIN_SCANF_BUG 1" >>confdefs.h


{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for working strcoll" >&5
$as_echo_n "checking for working strcoll... " >&6; }
if ${ac_cv_func_strcoll_works+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test "$cross_compiling" = yes; then :
  ac_cv_func_strcoll_works=no
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$ac_includes_default
int
main ()
{
return (strcoll ("abc", "def") >= 0 ||
	 strcoll ("ABC", "DEF") >= 0 ||
	 strcoll ("123", "456") >= 0)
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_run "$LINENO"; then :
  ac_cv_func_strcoll_works=yes
else
  ac_cv_func_strcoll_works=no
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
  conftest.$ac_objext conftest.beam conftest.$ac_ext
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_func_strcoll_works" >&5
$as_echo "$ac_cv_func_strcoll_works" >&6; }
if test $ac_cv_func_strcoll_works = yes; then

$as_echo "#define HAVE_STRCOLL 1" >>confdefs.h

fi


for ac_func in getpgrp
do :
  ac_fn_c_check_func "$LINENO" "getpgrp" "ac_cv_func_getpgrp"
if test "x$ac_cv_func_getpgrp" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_GETPGRP 1
_ACEOF

fi
done

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether getpgrp requires zero arguments" >&5
$as_echo_n "checking whether getpgrp requires zero arguments... " >&6; }
if ${ac_cv_func_getpgrp_void+:} false; then :
  $as_echo_n "(cached) " >&6
else
  # Use it with a single arg.
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$ac_includes_default
int
main ()
{
getpgrp (0);
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_func_getpgrp_void=no
else
  ac_cv_func_getpgrp_void=yes
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_func_getpgrp_void" >&5
$as_echo "$ac_cv_func_getpgrp_void" >&6; }
if test $ac_cv_func_getpgrp_void = yes; then

$as_echo "#define GETPGRP_VOID 1" >>confdefs.h

fi


{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for working mmap" >&5
$as_echo_n "checking for working mmap... " >&6; }
if test "$cross_compiling" = yes; then :
  { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error $? "cannot run test program while cross compiling
See \`config.log' for more details" "$LINENO" 5; }
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <stdio.h>
#include <unistd.h>
#include <fcntl.h>
#include <sys/mman.h>

#ifndef MAP_VARIABLE
#define MAP_VARIABLE 0
#endif

#ifndef MAP_FAILED
#define MAP_FAILED -1
#endif

int main (int argc, char **argv)
{
  int fd = -1;
  caddr_t p;
#ifndef MAP_ANONYMOUS
  fd = open ("/dev/zero", O_RDWR);
  if (fd < 0)
    return 1;
#define MAP_ANONYMOUS 0
#endif
  if (mmap(0, 1024, PROT_READ | PROT_WRITE,
	   MAP_PRIVATE | MAP_VARIABLE | MAP_ANONYMOUS,
	   fd, 0) != (void *) MAP_FAILED)
    return 0;
  perror ("conftest: mmap failed");
  return 1;
}
_ACEOF
if ac_fn_c_try_run "$LINENO"; then :
  have_mmap=yes
else
  have_mmap=no
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
  conftest.$ac_objext conftest.beam conftest.$ac_ext
fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $have_mmap" >&5
$as_echo "$have_mmap" >&6; }
test "$have_mmap" = "yes" && $as_echo "#define HAVE_MMAP 1" >>confdefs.h


case "$opsys" in cygwin*)
	test "$with_rel_alloc" = "default" && with_rel_alloc=no ;;
esac
test "$GNU_MALLOC" != "yes" -a "$have_mmap" != "yes" && with_rel_alloc=no
if test "$with_rel_alloc $have_mmap" = "default yes"; then
  if test "$doug_lea_malloc" = "yes"; then
        { $as_echo "$as_me:${as_lineno-$LINENO}: checking for M_MMAP_THRESHOLD" >&5
$as_echo_n "checking for M_MMAP_THRESHOLD... " >&6; }
    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <malloc.h>
int
main ()
{

#ifndef M_MMAP_THRESHOLD
#error No M_MMAP_THRESHOLD :-(
!@+$%^&*_)(_ - unlikely to compile...
#endif

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  with_rel_alloc=no; { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
$as_echo "yes" >&6; };
else
  with_rel_alloc=yes; { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; };
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
  else
    with_rel_alloc=yes
  fi
fi
test "$with_rel_alloc" = "yes" && $as_echo "#define REL_ALLOC 1" >>confdefs.h


ac_fn_c_check_header_mongrel "$LINENO" "termios.h" "ac_cv_header_termios_h" "$ac_includes_default"
if test "x$ac_cv_header_termios_h" = xyes; then :
  $as_echo "#define HAVE_TERMIOS 1" >>confdefs.h

  $as_echo "#define SIGNALS_VIA_CHARACTERS 1" >>confdefs.h

  $as_echo "#define NO_TERMIO 1" >>confdefs.h

else
  ac_fn_c_check_header_mongrel "$LINENO" "termio.h" "ac_cv_header_termio_h" "$ac_includes_default"
if test "x$ac_cv_header_termio_h" = xyes; then :
  $as_echo "#define HAVE_TERMIO 1" >>confdefs.h

fi


fi




ac_fn_c_check_func "$LINENO" "socket" "ac_cv_func_socket"
if test "x$ac_cv_func_socket" = xyes; then :
  ac_fn_c_check_header_mongrel "$LINENO" "netinet/in.h" "ac_cv_header_netinet_in_h" "$ac_includes_default"
if test "x$ac_cv_header_netinet_in_h" = xyes; then :
  ac_fn_c_check_header_mongrel "$LINENO" "arpa/inet.h" "ac_cv_header_arpa_inet_h" "$ac_includes_default"
if test "x$ac_cv_header_arpa_inet_h" = xyes; then :

  $as_echo "#define HAVE_SOCKETS 1" >>confdefs.h

      { $as_echo "$as_me:${as_lineno-$LINENO}: checking for sun_len member in struct sockaddr_un" >&5
$as_echo_n "checking for sun_len member in struct sockaddr_un... " >&6; }
      cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#include <sys/types.h>
#include <sys/socket.h>
#include <sys/un.h>

int
main ()
{
static struct sockaddr_un x; x.sun_len = 1;
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
$as_echo "yes" >&6; }; $as_echo "#define HAVE_SOCKADDR_SUN_LEN 1" >>confdefs.h

else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
      { $as_echo "$as_me:${as_lineno-$LINENO}: checking for ip_mreq struct in netinet/in.h" >&5
$as_echo_n "checking for ip_mreq struct in netinet/in.h... " >&6; }
      cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#include <sys/types.h>
#include <netinet/in.h>

int
main ()
{
static struct ip_mreq x;
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
$as_echo "yes" >&6; }; $as_echo "#define HAVE_MULTICAST 1" >>confdefs.h

else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
fi


fi


fi


ac_fn_c_check_func "$LINENO" "msgget" "ac_cv_func_msgget"
if test "x$ac_cv_func_msgget" = xyes; then :
  ac_fn_c_check_header_mongrel "$LINENO" "sys/ipc.h" "ac_cv_header_sys_ipc_h" "$ac_includes_default"
if test "x$ac_cv_header_sys_ipc_h" = xyes; then :
  ac_fn_c_check_header_mongrel "$LINENO" "sys/msg.h" "ac_cv_header_sys_msg_h" "$ac_includes_default"
if test "x$ac_cv_header_sys_msg_h" = xyes; then :
  $as_echo "#define HAVE_SYSVIPC 1" >>confdefs.h

fi


fi


fi


ac_fn_c_check_header_mongrel "$LINENO" "dirent.h" "ac_cv_header_dirent_h" "$ac_includes_default"
if test "x$ac_cv_header_dirent_h" = xyes; then :
  $as_echo "#define SYSV_SYSTEM_DIR 1" >>confdefs.h

else
  ac_fn_c_check_header_mongrel "$LINENO" "sys/dir.h" "ac_cv_header_sys_dir_h" "$ac_includes_default"
if test "x$ac_cv_header_sys_dir_h" = xyes; then :

else
  $as_echo "#define NONSYSTEM_DIR_LIBRARY 1" >>confdefs.h

fi


fi



ac_fn_c_check_header_mongrel "$LINENO" "nlist.h" "ac_cv_header_nlist_h" "$ac_includes_default"
if test "x$ac_cv_header_nlist_h" = xyes; then :
  $as_echo "#define NLIST_STRUCT 1" >>confdefs.h

fi



{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for sound support" >&5
$as_echo_n "checking for sound support... " >&6; }
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: " >&5
$as_echo "" >&6; }

test -n "$with_native_sound_lib" && with_sound_native=yes

if test "$with_sound_native" != "no"; then
    if test -n "$with_native_sound_lib"; then
    ac_fn_c_check_header_mongrel "$LINENO" "multimedia/audio_device.h" "ac_cv_header_multimedia_audio_device_h" "$ac_includes_default"
if test "x$ac_cv_header_multimedia_audio_device_h" = xyes; then :
  sound_found=yes sound_cflags=""
      extra_objs="$extra_objs sunplay.o" &&  if test "$verbose" = "yes"; then
   echo "    xemacs will be linked with \"sunplay.o\""
 fi
fi


  fi

    if test -z "$sound_found" -a -d "/usr/demo/SOUND"; then
    if test -d "/usr/demo/SOUND/include/multimedia"; then
      sun_sound_cflags="-I/usr/demo/SOUND/include"
    elif test -d "/usr/demo/SOUND/multimedia"; then
      sun_sound_cflags="-I/usr/demo/SOUND"
    fi

    if test -n "$with_native_sound_lib"; then
      sun_sound_lib="$with_native_sound_lib"
    elif test -r "/usr/demo/SOUND/lib/libaudio.a"; then
      sun_sound_lib="/usr/demo/SOUND/lib/libaudio.a"
    elif test -r "/usr/demo/SOUND/libaudio.a"; then
      sun_sound_lib="/usr/demo/SOUND/libaudio.a"
    fi

    if test -n "$sun_sound_cflags" -a -n "$sun_sound_lib"; then
      with_native_sound_lib="$sun_sound_lib"
      sound_cflags="$sun_sound_cflags"
      sound_found=yes
      extra_objs="$extra_objs sunplay.o" &&  if test "$verbose" = "yes"; then
   echo "    xemacs will be linked with \"sunplay.o\""
 fi
    fi
  fi

    if test -z "$sound_found"; then
    case "$ac_cv_build" in
    *-sgi-* )
      if test -z "$with_native_sound_lib"; then
        { $as_echo "$as_me:${as_lineno-$LINENO}: checking for ALopenport in -laudio" >&5
$as_echo_n "checking for ALopenport in -laudio... " >&6; }
if ${ac_cv_lib_audio_ALopenport+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-laudio  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char ALopenport ();
int
main ()
{
return ALopenport ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_audio_ALopenport=yes
else
  ac_cv_lib_audio_ALopenport=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_audio_ALopenport" >&5
$as_echo "$ac_cv_lib_audio_ALopenport" >&6; }
if test "x$ac_cv_lib_audio_ALopenport" = xyes; then :
  with_native_sound_lib="-laudio"
fi

      fi
      if test -n "$with_native_sound_lib"; then
        sound_found=yes sound_cflags=""
        extra_objs="$extra_objs sgiplay.o" &&  if test "$verbose" = "yes"; then
   echo "    xemacs will be linked with \"sgiplay.o\""
 fi
      fi ;;
    hppa*-hp-hpux* )
      if test -z "$with_native_sound_lib"; then
	{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for AOpenAudio in -lAlib" >&5
$as_echo_n "checking for AOpenAudio in -lAlib... " >&6; }
if ${ac_cv_lib_Alib_AOpenAudio+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lAlib  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char AOpenAudio ();
int
main ()
{
return AOpenAudio ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_Alib_AOpenAudio=yes
else
  ac_cv_lib_Alib_AOpenAudio=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_Alib_AOpenAudio" >&5
$as_echo "$ac_cv_lib_Alib_AOpenAudio" >&6; }
if test "x$ac_cv_lib_Alib_AOpenAudio" = xyes; then :
  with_native_sound_lib="-lAlib"
fi

      fi
      if test -n "$with_native_sound_lib"; then
        sound_found=yes
        extra_objs="$extra_objs hpplay.o" &&  if test "$verbose" = "yes"; then
   echo "    xemacs will be linked with \"hpplay.o\""
 fi
        if test "$GCC" = "yes" # Kludge city
          then sound_cflags="-Dconst= -Dvolatile= -I/usr/audio/examples"
          else sound_cflags="+e -I/usr/audio/examples"
        fi
      fi ;;
    esac
  fi

    if test -z "$sound_found"; then
    case "$opsys" in cygwin* | mingw* )
      sound_found=yes
      with_native_sound_lib=
      extra_objs="$extra_objs ntplay.o" &&  if test "$verbose" = "yes"; then
   echo "    xemacs will be linked with \"ntplay.o\""
 fi
      ;;
    esac
  fi

    if test -z "$sound_found"; then
    for dir in "machine" "sys" "linux"; do
      as_ac_Header=`$as_echo "ac_cv_header_${dir}/soundcard.h" | $as_tr_sh`
ac_fn_c_check_header_mongrel "$LINENO" "${dir}/soundcard.h" "$as_ac_Header" "$ac_includes_default"
if eval test \"x\$"$as_ac_Header"\" = x"yes"; then :

        sound_found=yes
        case "${ac_cv_build}" in
        *netbsd* )
	  # #### this is probably not the right way to do this
	  # we should port to native NetBSD stuff


	  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for _oss_ioctl in -lossaudio" >&5
$as_echo_n "checking for _oss_ioctl in -lossaudio... " >&6; }
if ${ac_cv_lib_ossaudio__oss_ioctl+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lossaudio  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char _oss_ioctl ();
int
main ()
{
return _oss_ioctl ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_ossaudio__oss_ioctl=yes
else
  ac_cv_lib_ossaudio__oss_ioctl=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_ossaudio__oss_ioctl" >&5
$as_echo "$ac_cv_lib_ossaudio__oss_ioctl" >&6; }
if test "x$ac_cv_lib_ossaudio__oss_ioctl" = xyes; then :
  with_native_sound_lib=-lossaudio
		 { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: Using NetBSD-deprecated -lossaudio" >&5
$as_echo "$as_me: WARNING: Using NetBSD-deprecated -lossaudio" >&2;}
else
  sound_found=no
fi

          ;;
	  	      	esac
        break
fi


    done

    if test "$sound_found" = "yes"; then
       need_miscplay=yes
       extra_objs="$extra_objs linuxplay.o" &&  if test "$verbose" = "yes"; then
   echo "    xemacs will be linked with \"linuxplay.o\""
 fi
       cat >>confdefs.h <<_ACEOF
#define SOUNDCARD_H_FILE "${dir}/soundcard.h"
_ACEOF

    fi
  fi

  if test "$sound_found" = "yes"; then
    with_sound_native=yes
  else
    if test "$with_sound_native" = "yes" ; then
      { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: No native libraries found.  Disabling native sound support." >&5
$as_echo "$as_me: WARNING: No native libraries found.  Disabling native sound support." >&2;}
    fi
    with_sound_native=no
  fi
fi

if test "$with_sound_native" = "yes"; then
  $as_echo "#define HAVE_NATIVE_SOUND 1" >>confdefs.h

  test -n "$with_native_sound_lib" && LIBS="$with_native_sound_lib $LIBS" &&  if test "$verbose" = "yes"; then echo "    Prepending \"$with_native_sound_lib\" to \$LIBS"; fi
fi

if test "$with_sound_alsa" != "no"; then
  ac_fn_c_check_header_mongrel "$LINENO" "alsa/input.h" "ac_cv_header_alsa_input_h" "$ac_includes_default"
if test "x$ac_cv_header_alsa_input_h" = xyes; then :

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for snd_pcm_open in -lasound" >&5
$as_echo_n "checking for snd_pcm_open in -lasound... " >&6; }
if ${ac_cv_lib_asound_snd_pcm_open+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lasound  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char snd_pcm_open ();
int
main ()
{
return snd_pcm_open ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_asound_snd_pcm_open=yes
else
  ac_cv_lib_asound_snd_pcm_open=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_asound_snd_pcm_open" >&5
$as_echo "$ac_cv_lib_asound_snd_pcm_open" >&6; }
if test "x$ac_cv_lib_asound_snd_pcm_open" = xyes; then :
  have_alsa_sound=yes
fi

fi


  if test "$have_alsa_sound" = "yes"; then
    with_sound_alsa=yes
    $as_echo "#define HAVE_ALSA_SOUND 1" >>confdefs.h

    extra_objs="$extra_objs alsaplay.o" &&  if test "$verbose" = "yes"; then
   echo "    xemacs will be linked with \"alsaplay.o\""
 fi
    LIBS="-lasound $LIBS" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-lasound\" to \$LIBS"; fi
  else
    test "$with_sound_alsa" = "yes" && \
      { echo "Error:" "Required ALSA sound support cannot be provided." >&2; exit 1; }
    with_sound_alsa=no
  fi
fi

if test "$with_sound_nas" != "no"; then
  ac_fn_c_check_header_mongrel "$LINENO" "audio/audiolib.h" "ac_cv_header_audio_audiolib_h" "$ac_includes_default"
if test "x$ac_cv_header_audio_audiolib_h" = xyes; then :

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for AuOpenServer in -laudio" >&5
$as_echo_n "checking for AuOpenServer in -laudio... " >&6; }
if ${ac_cv_lib_audio_AuOpenServer+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-laudio  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char AuOpenServer ();
int
main ()
{
return AuOpenServer ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_audio_AuOpenServer=yes
else
  ac_cv_lib_audio_AuOpenServer=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_audio_AuOpenServer" >&5
$as_echo "$ac_cv_lib_audio_AuOpenServer" >&6; }
if test "x$ac_cv_lib_audio_AuOpenServer" = xyes; then :
  have_nas_sound=yes
fi

fi


  if test "$have_nas_sound" = "yes"; then
    with_sound_nas=yes
    $as_echo "#define HAVE_NAS_SOUND 1" >>confdefs.h

    extra_objs="$extra_objs nas.o" &&  if test "$verbose" = "yes"; then
   echo "    xemacs will be linked with \"nas.o\""
 fi
    libs_x="-laudio $libs_x" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-laudio\" to \$libs_x"; fi
            cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <audio/Xtutil.h>

_ACEOF
if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
  $EGREP "AuXtErrorJump" >/dev/null 2>&1; then :

else
  old_nas=yes; $as_echo "#define NAS_NO_ERROR_JUMP 1" >>confdefs.h

fi
rm -f conftest*

  else
    test "$with_sound_nas" = "yes" && \
      { echo "Error:" "Required NAS sound support cannot be provided." >&2; exit 1; }
    with_sound_nas=no
  fi
fi

if test "$with_sound_esd" != "no"; then
  # Extract the first word of "esd-config", so it can be a program name with args.
set dummy esd-config; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_have_esd_config+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$have_esd_config"; then
  ac_cv_prog_have_esd_config="$have_esd_config" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_have_esd_config="yes"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

  test -z "$ac_cv_prog_have_esd_config" && ac_cv_prog_have_esd_config="no"
fi
fi
have_esd_config=$ac_cv_prog_have_esd_config
if test -n "$have_esd_config"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $have_esd_config" >&5
$as_echo "$have_esd_config" >&6; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
fi


  if test "$have_esd_config" = "yes"; then
    save_c_switch_site="$c_switch_site" save_LIBS="$LIBS"
    c_switch_site="$c_switch_site `esd-config --cflags`" &&  if test "$verbose" = "yes"; then echo "    Appending \"`esd-config --cflags`\" to \$c_switch_site"; fi
    LIBS="`esd-config --libs` $LIBS" &&  if test "$verbose" = "yes"; then echo "    Prepending \"`esd-config --libs`\" to \$LIBS"; fi
    ac_fn_c_check_func "$LINENO" "esd_play_stream" "ac_cv_func_esd_play_stream"
if test "x$ac_cv_func_esd_play_stream" = xyes; then :
  have_esd_sound=yes
else
  c_switch_site="$save_c_switch_site" LIBS="$save_LIBS"
fi

  fi

  if test "$have_esd_sound" = "yes"; then
    with_sound_esd=yes
    need_miscplay=yes
    extra_objs="$extra_objs esd.o" &&  if test "$verbose" = "yes"; then
   echo "    xemacs will be linked with \"esd.o\""
 fi
    $as_echo "#define HAVE_ESD_SOUND 1" >>confdefs.h

  else
    test "$with_sound_esd" = "yes" && \
      { echo "Error:" "Required ESD sound support cannot be provided." >&2; exit 1; }
    with_sound_esd=no
  fi
fi

test "$need_miscplay" = "yes" && extra_objs="$extra_objs miscplay.o" &&  if test "$verbose" = "yes"; then
   echo "    xemacs will be linked with \"miscplay.o\""
 fi


test -z "$with_tty" && with_tty=yes

if test "$with_tty" = "yes"  ; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for TTY-related features" >&5
$as_echo_n "checking for TTY-related features... " >&6; }
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: " >&5
$as_echo "" >&6; }
  $as_echo "#define HAVE_TTY 1" >>confdefs.h


    if test -z "$with_ncurses"; then
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for tgetent in -lncurses" >&5
$as_echo_n "checking for tgetent in -lncurses... " >&6; }
if ${ac_cv_lib_ncurses_tgetent+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lncurses  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char tgetent ();
int
main ()
{
return tgetent ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_ncurses_tgetent=yes
else
  ac_cv_lib_ncurses_tgetent=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_ncurses_tgetent" >&5
$as_echo "$ac_cv_lib_ncurses_tgetent" >&6; }
if test "x$ac_cv_lib_ncurses_tgetent" = xyes; then :
  with_ncurses=yes
else
  with_ncurses=no
fi

  fi
  if test "$with_ncurses" = "yes"; then
    $as_echo "#define HAVE_NCURSES 1" >>confdefs.h

    ac_fn_c_check_header_mongrel "$LINENO" "ncurses/curses.h" "ac_cv_header_ncurses_curses_h" "$ac_includes_default"
if test "x$ac_cv_header_ncurses_curses_h" = xyes; then :
  curses_h_file=ncurses/curses.h
fi


    ac_fn_c_check_header_mongrel "$LINENO" "ncurses/term.h" "ac_cv_header_ncurses_term_h" "$ac_includes_default"
if test "x$ac_cv_header_ncurses_term_h" = xyes; then :
  term_h_file=ncurses/term.h
fi


    extra_objs="$extra_objs terminfo.o" &&  if test "$verbose" = "yes"; then
   echo "    xemacs will be linked with \"terminfo.o\""
 fi
    LIBS="-lncurses $LIBS" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-lncurses\" to \$LIBS"; fi

    if test "$ac_cv_header_ncurses_curses_h" != "yes" ; then
                        save_c_switch_site="$c_switch_site"
      c_switch_site="$c_switch_site -I/usr/include/ncurses"
      ac_fn_c_check_header_mongrel "$LINENO" "ncurses/curses.h" "ac_cv_header_ncurses_curses_h" "$ac_includes_default"
if test "x$ac_cv_header_ncurses_curses_h" = xyes; then :
  curses_h_file=ncurses/curses.h
fi


      if test "$ac_cv_header_ncurses_curses_h" = "yes"
        then { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: Your system has the bogus ncurses include bug." >&5
$as_echo "$as_me: WARNING: Your system has the bogus ncurses include bug." >&2;}
        else c_switch_site="$save_c_switch_site"
      fi
    fi
  else         if test "$have_terminfo" = "yes"; then
      extra_objs="$extra_objs terminfo.o" &&  if test "$verbose" = "yes"; then
   echo "    xemacs will be linked with \"terminfo.o\""
 fi
      if test -n "$libs_termcap"; then
	LIBS="$libs_termcap $LIBS" &&  if test "$verbose" = "yes"; then echo "    Prepending \"$libs_termcap\" to \$LIBS"; fi
      else
	for lib in curses termlib termcap; do
	  as_ac_Lib=`$as_echo "ac_cv_lib_$lib''_tgetent" | $as_tr_sh`
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for tgetent in -l$lib" >&5
$as_echo_n "checking for tgetent in -l$lib... " >&6; }
if eval \${$as_ac_Lib+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-l$lib  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char tgetent ();
int
main ()
{
return tgetent ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  eval "$as_ac_Lib=yes"
else
  eval "$as_ac_Lib=no"
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
eval ac_res=\$$as_ac_Lib
	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
$as_echo "$ac_res" >&6; }
if eval test \"x\$"$as_ac_Lib"\" = x"yes"; then :
  LIBS="-l${lib} $LIBS" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-l${lib}\" to \$LIBS"; fi; break
fi

	done
      fi
    else       extra_objs="$extra_objs tparam.o" &&  if test "$verbose" = "yes"; then
   echo "    xemacs will be linked with \"tparam.o\""
 fi
                        case "$opsys" in *-hp-hpux* ) libs_termcap="-ltermcap" ;; esac
      if test -n "$libs_termcap"; then
	LIBS="$libs_termcap $LIBS" &&  if test "$verbose" = "yes"; then echo "    Prepending \"$libs_termcap\" to \$LIBS"; fi
      else
	{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for tgetent in -lcurses" >&5
$as_echo_n "checking for tgetent in -lcurses... " >&6; }
if ${ac_cv_lib_curses_tgetent+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lcurses  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char tgetent ();
int
main ()
{
return tgetent ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_curses_tgetent=yes
else
  ac_cv_lib_curses_tgetent=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_curses_tgetent" >&5
$as_echo "$ac_cv_lib_curses_tgetent" >&6; }
if test "x$ac_cv_lib_curses_tgetent" = xyes; then :
  LIBS="-lcurses $LIBS" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-lcurses\" to \$LIBS"; fi
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for tgetent in -ltermcap" >&5
$as_echo_n "checking for tgetent in -ltermcap... " >&6; }
if ${ac_cv_lib_termcap_tgetent+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-ltermcap  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char tgetent ();
int
main ()
{
return tgetent ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_termcap_tgetent=yes
else
  ac_cv_lib_termcap_tgetent=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_termcap_tgetent" >&5
$as_echo "$ac_cv_lib_termcap_tgetent" >&6; }
if test "x$ac_cv_lib_termcap_tgetent" = xyes; then :
  LIBS="-ltermcap $LIBS" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-ltermcap\" to \$LIBS"; fi
else
  extra_objs="$extra_objs termcap.o" &&  if test "$verbose" = "yes"; then
   echo "    xemacs will be linked with \"termcap.o\""
 fi
fi

fi

      fi
    fi
  fi
  cat >>confdefs.h <<_ACEOF
#define CURSES_H_FILE "${curses_h_file-curses.h}"
_ACEOF

  cat >>confdefs.h <<_ACEOF
#define TERM_H_FILE "${term_h_file-term.h}"
_ACEOF


    if test "$with_gpm" != "no"; then
    ac_fn_c_check_header_mongrel "$LINENO" "gpm.h" "ac_cv_header_gpm_h" "$ac_includes_default"
if test "x$ac_cv_header_gpm_h" = xyes; then :

      { $as_echo "$as_me:${as_lineno-$LINENO}: checking for Gpm_Open in -lgpm" >&5
$as_echo_n "checking for Gpm_Open in -lgpm... " >&6; }
if ${ac_cv_lib_gpm_Gpm_Open+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lgpm  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char Gpm_Open ();
int
main ()
{
return Gpm_Open ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_gpm_Gpm_Open=yes
else
  ac_cv_lib_gpm_Gpm_Open=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_gpm_Gpm_Open" >&5
$as_echo "$ac_cv_lib_gpm_Gpm_Open" >&6; }
if test "x$ac_cv_lib_gpm_Gpm_Open" = xyes; then :
  have_gpm=yes
fi

fi


    if test "$have_gpm" = "yes"; then
      with_gpm=yes
      $as_echo "#define HAVE_GPM 1" >>confdefs.h

      LIBS="-lgpm $LIBS" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-lgpm\" to \$LIBS"; fi
    elif test "$with_gpm" = "yes"; then
      { echo "Error:" "GPM requested, but gpm.h or libgpm seems to be missing." >&2; exit 1; }
    else
      with_gpm=no
    fi
  fi

else   for feature in ncurses gpm; do
    if eval "test -n \"\$with_${feature}\" -a \"\$with_${feature}\" != no" ; then
      { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: --with-${feature} ignored:  Not valid without TTY support" >&5
$as_echo "$as_me: WARNING: --with-${feature} ignored:  Not valid without TTY support" >&2;}
    fi
    eval "with_${feature}=no"
  done
fi

test "$with_database_gdbm $with_database_dbm $with_database_berkdb" \
  != "no no no" && { $as_echo "$as_me:${as_lineno-$LINENO}: checking for database support" >&5
$as_echo_n "checking for database support... " >&6; } && \
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: " >&5
$as_echo "" >&6; }

if test "$with_database_gdbm $with_database_dbm" != "no no"; then
  ndbm_h_file=""
  for ac_header in ndbm.h gdbm/ndbm.h
do :
  as_ac_Header=`$as_echo "ac_cv_header_$ac_header" | $as_tr_sh`
ac_fn_c_check_header_mongrel "$LINENO" "$ac_header" "$as_ac_Header" "$ac_includes_default"
if eval test \"x\$"$as_ac_Header"\" = x"yes"; then :
  cat >>confdefs.h <<_ACEOF
#define `$as_echo "HAVE_$ac_header" | $as_tr_cpp` 1
_ACEOF
 ndbm_h_file=$ac_header; break;
fi

done

  if test "x$ndbm_h_file" = "x"; then
    test "$with_database_gdbm" = "yes" -o \
         "$with_database_dbm"  = "yes" && \
      { echo "Error:" "Required DBM support cannot be provided." >&2; exit 1; }
    with_database_gdbm=no with_database_dbm=no]
  fi
fi

if test "$with_database_gdbm" != "no"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for dbm_open in -lgdbm" >&5
$as_echo_n "checking for dbm_open in -lgdbm... " >&6; }
if ${ac_cv_lib_gdbm_dbm_open+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lgdbm  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char dbm_open ();
int
main ()
{
return dbm_open ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_gdbm_dbm_open=yes
else
  ac_cv_lib_gdbm_dbm_open=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_gdbm_dbm_open" >&5
$as_echo "$ac_cv_lib_gdbm_dbm_open" >&6; }
if test "x$ac_cv_lib_gdbm_dbm_open" = xyes; then :

   with_database_gdbm=yes with_database_dbm=no libdbm=-lgdbm
else

       { $as_echo "$as_me:${as_lineno-$LINENO}: checking for dbm_open in -lgdbm_compat" >&5
$as_echo_n "checking for dbm_open in -lgdbm_compat... " >&6; }
if ${ac_cv_lib_gdbm_compat_dbm_open+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lgdbm_compat -lgdbm $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char dbm_open ();
int
main ()
{
return dbm_open ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_gdbm_compat_dbm_open=yes
else
  ac_cv_lib_gdbm_compat_dbm_open=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_gdbm_compat_dbm_open" >&5
$as_echo "$ac_cv_lib_gdbm_compat_dbm_open" >&6; }
if test "x$ac_cv_lib_gdbm_compat_dbm_open" = xyes; then :

       with_database_gdbm=yes with_database_dbm=no libdbm="-lgdbm_compat -lgdbm"
else

   if test "$with_database_gdbm" = "yes"; then
     { echo "Error:" "Required GNU DBM support cannot be provided." >&2; exit 1; }
   fi
   with_database_gdbm=no
fi


fi

fi

if test "$with_database_dbm" != "no"; then
  ac_fn_c_check_func "$LINENO" "dbm_open" "ac_cv_func_dbm_open"
if test "x$ac_cv_func_dbm_open" = xyes; then :
  with_database_dbm=yes libdbm=
else

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for dbm_open in -ldbm" >&5
$as_echo_n "checking for dbm_open in -ldbm... " >&6; }
if ${ac_cv_lib_dbm_dbm_open+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-ldbm  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char dbm_open ();
int
main ()
{
return dbm_open ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_dbm_dbm_open=yes
else
  ac_cv_lib_dbm_dbm_open=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_dbm_dbm_open" >&5
$as_echo "$ac_cv_lib_dbm_dbm_open" >&6; }
if test "x$ac_cv_lib_dbm_dbm_open" = xyes; then :
  with_database_dbm=yes libdbm=-ldbm
else

      test "$with_database_dbm" = "yes" && \
        { echo "Error:" "Required DBM support cannot be provided." >&2; exit 1; }
      with_database_dbm=no
fi

fi

fi

test -n "$libdbm" && LIBS=""$libdbm" $LIBS" &&  if test "$verbose" = "yes"; then echo "    Prepending \""$libdbm"\" to \$LIBS"; fi
if test "$with_database_gdbm" = "yes" -o \
        "$with_database_dbm"  = "yes"; then
  cat >>confdefs.h <<_ACEOF
#define NDBM_H_FILE "$ndbm_h_file"
_ACEOF

  $as_echo "#define HAVE_DBM 1" >>confdefs.h

        if test "$XEMACS_CC_GPP" = "yes"; then
    { $as_echo "$as_me:${as_lineno-$LINENO}: result: " >&5
$as_echo "" >&6; }
    ac_ext=c
xe_cppflags='$CPPFLAGS $c_switch_site $c_switch_machine $c_switch_system $c_switch_x_site $X_CFLAGS'
xe_ldflags='$LDFLAGS $ld_switch_site $ld_switch_machine $ld_switch_system $ld_switch_x_site $ld_switch_run'
xe_libs='$ld_call_shared $xe_check_libs $X_EXTRA_LIBS $libs_x $libs_gtk $X_PRE_LIBS $LIBS $libs_machine $libs_system $libs_standard'
ac_cpp='$CPP '"$xe_cppflags"
ac_compile='$XEMACS_CC -c $CFLAGS '"$xe_cppflags"' conftest.$ac_ext >&5'
ac_link='$XEMACS_CC -o conftest$ac_exeext $CFLAGS '"$xe_cppflags $xe_ldflags"' conftest.$ac_ext '"$xe_libs"' >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu

    ac_ext=c
xe_cppflags='$CPPFLAGS $c_switch_site $c_switch_machine $c_switch_system $c_switch_x_site $X_CFLAGS'
xe_ldflags='$LDFLAGS $ld_switch_site $ld_switch_machine $ld_switch_system $ld_switch_x_site $ld_switch_run'
xe_libs='$ld_call_shared $xe_check_libs $X_EXTRA_LIBS $libs_x $libs_gtk $X_PRE_LIBS $LIBS $libs_machine $libs_system $libs_standard'
ac_cpp='$CPP '"$xe_cppflags"
ac_compile='$XEMACS_CC -c $CFLAGS '"$xe_cppflags"' conftest.$ac_ext >&5'
ac_link='$XEMACS_CC -o conftest$ac_exeext $CFLAGS '"$xe_cppflags $xe_ldflags"' conftest.$ac_ext '"$xe_libs"' >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu
if test -z "$CXX"; then
  if test -n "$CCC"; then
    CXX=$CCC
  else
    if test -n "$ac_tool_prefix"; then
  for ac_prog in g++ c++ gpp aCC CC cxx cc++ cl.exe FCC KCC RCC xlC_r xlC
  do
    # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
set dummy $ac_tool_prefix$ac_prog; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_CXX+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$CXX"; then
  ac_cv_prog_CXX="$CXX" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_CXX="$ac_tool_prefix$ac_prog"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
CXX=$ac_cv_prog_CXX
if test -n "$CXX"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $CXX" >&5
$as_echo "$CXX" >&6; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
fi


    test -n "$CXX" && break
  done
fi
if test -z "$CXX"; then
  ac_ct_CXX=$CXX
  for ac_prog in g++ c++ gpp aCC CC cxx cc++ cl.exe FCC KCC RCC xlC_r xlC
do
  # Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_ac_ct_CXX+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$ac_ct_CXX"; then
  ac_cv_prog_ac_ct_CXX="$ac_ct_CXX" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_ac_ct_CXX="$ac_prog"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
ac_ct_CXX=$ac_cv_prog_ac_ct_CXX
if test -n "$ac_ct_CXX"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_ct_CXX" >&5
$as_echo "$ac_ct_CXX" >&6; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
fi


  test -n "$ac_ct_CXX" && break
done

  if test "x$ac_ct_CXX" = x; then
    CXX="g++"
  else
    case $cross_compiling:$ac_tool_warned in
yes:)
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
$as_echo "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
ac_tool_warned=yes ;;
esac
    CXX=$ac_ct_CXX
  fi
fi

  fi
fi
# Provide some information about the compiler.
$as_echo "$as_me:${as_lineno-$LINENO}: checking for C++ compiler version" >&5
set X $ac_compile
ac_compiler=$2
for ac_option in --version -v -V -qversion; do
  { { ac_try="$ac_compiler $ac_option >&5"
case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
$as_echo "$ac_try_echo"; } >&5
  (eval "$ac_compiler $ac_option >&5") 2>conftest.err
  ac_status=$?
  if test -s conftest.err; then
    sed '10a\
... rest of stderr output deleted ...
         10q' conftest.err >conftest.er1
    cat conftest.er1 >&5
  fi
  rm -f conftest.er1 conftest.err
  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
  test $ac_status = 0; }
done

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether we are using the GNU C++ compiler" >&5
$as_echo_n "checking whether we are using the GNU C++ compiler... " >&6; }
if ${ac_cv_cxx_compiler_gnu+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{
#ifndef __GNUC__
       choke me
#endif

  ;
  return 0;
}
_ACEOF
if ac_fn_cxx_try_compile "$LINENO"; then :
  ac_compiler_gnu=yes
else
  ac_compiler_gnu=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
ac_cv_cxx_compiler_gnu=$ac_compiler_gnu

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_cxx_compiler_gnu" >&5
$as_echo "$ac_cv_cxx_compiler_gnu" >&6; }
if test $ac_compiler_gnu = yes; then
  GXX=yes
else
  GXX=
fi
ac_test_CXXFLAGS=${CXXFLAGS+set}
ac_save_CXXFLAGS=$CXXFLAGS
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether $CXX accepts -g" >&5
$as_echo_n "checking whether $CXX accepts -g... " >&6; }
if ${ac_cv_prog_cxx_g+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_save_cxx_werror_flag=$ac_cxx_werror_flag
   ac_cxx_werror_flag=yes
   ac_cv_prog_cxx_g=no
   CXXFLAGS="-g"
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_cxx_try_compile "$LINENO"; then :
  ac_cv_prog_cxx_g=yes
else
  CXXFLAGS=""
      cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_cxx_try_compile "$LINENO"; then :

else
  ac_cxx_werror_flag=$ac_save_cxx_werror_flag
	 CXXFLAGS="-g"
	 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_cxx_try_compile "$LINENO"; then :
  ac_cv_prog_cxx_g=yes
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
   ac_cxx_werror_flag=$ac_save_cxx_werror_flag
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_prog_cxx_g" >&5
$as_echo "$ac_cv_prog_cxx_g" >&6; }
if test "$ac_test_CXXFLAGS" = set; then
  CXXFLAGS=$ac_save_CXXFLAGS
elif test $ac_cv_prog_cxx_g = yes; then
  if test "$GXX" = yes; then
    CXXFLAGS="-g -O2"
  else
    CXXFLAGS="-g"
  fi
else
  if test "$GXX" = yes; then
    CXXFLAGS="-O2"
  else
    CXXFLAGS=
  fi
fi
ac_ext=c
xe_cppflags='$CPPFLAGS $c_switch_site $c_switch_machine $c_switch_system $c_switch_x_site $X_CFLAGS'
xe_ldflags='$LDFLAGS $ld_switch_site $ld_switch_machine $ld_switch_system $ld_switch_x_site $ld_switch_run'
xe_libs='$ld_call_shared $xe_check_libs $X_EXTRA_LIBS $libs_x $libs_gtk $X_PRE_LIBS $LIBS $libs_machine $libs_system $libs_standard'
ac_cpp='$CPP '"$xe_cppflags"
ac_compile='$XEMACS_CC -c $CFLAGS '"$xe_cppflags"' conftest.$ac_ext >&5'
ac_link='$XEMACS_CC -o conftest$ac_exeext $CFLAGS '"$xe_cppflags $xe_ldflags"' conftest.$ac_ext '"$xe_libs"' >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu


cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include "$ndbm_h_file"
int
main ()
{
dbm_close((DBM *) 0);
  ;
  return 0;
}
_ACEOF
if ac_fn_cxx_try_compile "$LINENO"; then :
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether ndbm.h is compatible with g++" >&5
$as_echo_n "checking whether ndbm.h is compatible with g++... " >&6; }
       { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
$as_echo "yes" >&6; }
       $as_echo "#define TRUST_NDBM_H_PROTOTYPES 1" >>confdefs.h

else
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether ndbm.h is compatible with g++" >&5
$as_echo_n "checking whether ndbm.h is compatible with g++... " >&6; }
       { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
    ac_ext=c
xe_cppflags='$CPPFLAGS $c_switch_site $c_switch_machine $c_switch_system $c_switch_x_site $X_CFLAGS'
xe_ldflags='$LDFLAGS $ld_switch_site $ld_switch_machine $ld_switch_system $ld_switch_x_site $ld_switch_run'
xe_libs='$ld_call_shared $xe_check_libs $X_EXTRA_LIBS $libs_x $libs_gtk $X_PRE_LIBS $LIBS $libs_machine $libs_system $libs_standard'
ac_cpp='$CPP '"$xe_cppflags"
ac_compile='$CC -c $CFLAGS '"$xe_cppflags"' conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS '"$xe_cppflags $xe_ldflags"' conftest.$ac_ext '"$xe_libs"' >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu

  else
    $as_echo "#define TRUST_NDBM_H_PROTOTYPES 1" >>confdefs.h

  fi
  $as_unset ndbm_h_file
fi

ac_fn_c_check_type "$LINENO" "u_int8_t" "ac_cv_type_u_int8_t" "$ac_includes_default"
if test "x$ac_cv_type_u_int8_t" = xyes; then :

cat >>confdefs.h <<_ACEOF
#define HAVE_U_INT8_T 1
_ACEOF


fi
ac_fn_c_check_type "$LINENO" "u_int16_t" "ac_cv_type_u_int16_t" "$ac_includes_default"
if test "x$ac_cv_type_u_int16_t" = xyes; then :

cat >>confdefs.h <<_ACEOF
#define HAVE_U_INT16_T 1
_ACEOF


fi
ac_fn_c_check_type "$LINENO" "u_int32_t" "ac_cv_type_u_int32_t" "$ac_includes_default"
if test "x$ac_cv_type_u_int32_t" = xyes; then :

cat >>confdefs.h <<_ACEOF
#define HAVE_U_INT32_T 1
_ACEOF


fi


if test "$with_database_berkdb" != "no"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for Berkeley db.h" >&5
$as_echo_n "checking for Berkeley db.h... " >&6; }
  for header in "db/db.h" "db.h"; do
    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#include <stdlib.h>
#if !(defined __GLIBC__ && __GLIBC_MINOR__ >= 1)
#ifdef HAVE_INTTYPES_H
#define __BIT_TYPES_DEFINED__
#include <inttypes.h>
#if !HAVE_U_INT8_T
typedef uint8_t  u_int8_t;
#endif
#if !HAVE_U_INT16_T
typedef uint16_t u_int16_t;
#endif
#if !HAVE_U_INT32_T
typedef uint32_t u_int32_t;
#endif
#ifdef WE_DONT_NEED_QUADS
#if !HAVE_U_INT64_T
typedef uint64_t u_int64_t;
#endif
#endif
#endif
#endif
#include <$header>

_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  db_h_file="$header"; break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
  done
  if test -z "$db_h_file"
  then { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
$as_echo "no" >&6; }; with_database_berkdb=no
  else { $as_echo "$as_me:${as_lineno-$LINENO}: result: $db_h_file" >&5
$as_echo "$db_h_file" >&6; }
  fi

  if test "$with_database_berkdb" != "no"; then
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for Berkeley DB version" >&5
$as_echo_n "checking for Berkeley DB version... " >&6; }
    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <$db_h_file>
#if DB_VERSION_MAJOR > 1
yes
#endif

_ACEOF
if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
  $EGREP "yes" >/dev/null 2>&1; then :
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <$db_h_file>
#if DB_VERSION_MAJOR > 2
yes
#endif

_ACEOF
if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
  $EGREP "yes" >/dev/null 2>&1; then :
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <$db_h_file>
#if DB_VERSION_MAJOR > 3
yes
#endif

_ACEOF
if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
  $EGREP "yes" >/dev/null 2>&1; then :
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: 4" >&5
$as_echo "4" >&6; }; dbfunc=db_create; dbver=4
else

    { $as_echo "$as_me:${as_lineno-$LINENO}: result: 3" >&5
$as_echo "3" >&6; }; dbfunc=db_create; dbver=3
fi
rm -f conftest*

else

    { $as_echo "$as_me:${as_lineno-$LINENO}: result: 2" >&5
$as_echo "2" >&6; }; dbfunc=db_open; dbver=2
fi
rm -f conftest*

else

    { $as_echo "$as_me:${as_lineno-$LINENO}: result: 1" >&5
$as_echo "1" >&6; }; dbfunc=dbopen; dbver=1
fi
rm -f conftest*

    as_ac_var=`$as_echo "ac_cv_func_$dbfunc" | $as_tr_sh`
ac_fn_c_check_func "$LINENO" "$dbfunc" "$as_ac_var"
if eval test \"x\$"$as_ac_var"\" = x"yes"; then :
  with_database_berkdb=yes need_libdb=no
else

    as_ac_Lib=`$as_echo "ac_cv_lib_db_$dbfunc" | $as_tr_sh`
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $dbfunc in -ldb" >&5
$as_echo_n "checking for $dbfunc in -ldb... " >&6; }
if eval \${$as_ac_Lib+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-ldb  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char $dbfunc ();
int
main ()
{
return $dbfunc ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  eval "$as_ac_Lib=yes"
else
  eval "$as_ac_Lib=no"
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
eval ac_res=\$$as_ac_Lib
	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
$as_echo "$ac_res" >&6; }
if eval test \"x\$"$as_ac_Lib"\" = x"yes"; then :
  with_database_berkdb=yes need_libdb=yes
fi

fi

  fi

    if test "$with_database_berkdb" = "yes" -a "$dbver" = "4"; then
    rm -f $tempcname
    echo "#include <$db_h_file>" > $tempcname
    echo "configure___ dbfunc=db_create" >> $tempcname
        eval `$CPP -Isrc $tempcname \
	| sed -n -e "s/[ TAB]*=[ TAB\"]*/='/" -e "s/[ TAB\"]*\$/'/" -e "s/^configure___//p"`
    rm -f $tempcname
    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: \"db_create is really $dbfunc\"" >&5
$as_echo "$as_me: WARNING: \"db_create is really $dbfunc\"" >&2;}
    as_ac_Lib=`$as_echo "ac_cv_lib_db_$dbfunc" | $as_tr_sh`
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $dbfunc in -ldb" >&5
$as_echo_n "checking for $dbfunc in -ldb... " >&6; }
if eval \${$as_ac_Lib+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-ldb  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char $dbfunc ();
int
main ()
{
return $dbfunc ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  eval "$as_ac_Lib=yes"
else
  eval "$as_ac_Lib=no"
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
eval ac_res=\$$as_ac_Lib
	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
$as_echo "$ac_res" >&6; }
if eval test \"x\$"$as_ac_Lib"\" = x"yes"; then :
  with_database_berkdb=yes need_libdb=yes
fi

  fi

  if test "$with_database_berkdb" = "yes"; then
    cat >>confdefs.h <<_ACEOF
#define DB_H_FILE "$db_h_file"
_ACEOF

    $as_echo "#define HAVE_BERKELEY_DB 1" >>confdefs.h

    test "$need_libdb" = "yes" && LIBS="-ldb $LIBS" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-ldb\" to \$LIBS"; fi
  else with_database_berkdb=no
  fi
fi

if test "$with_database_gdbm $with_database_dbm $with_database_berkdb" \
     != "no no no"; then
  $as_echo "#define HAVE_DATABASE 1" >>confdefs.h

fi

if test "$with_socks" = "yes"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for SOCKSinit in -lsocks" >&5
$as_echo_n "checking for SOCKSinit in -lsocks... " >&6; }
if ${ac_cv_lib_socks_SOCKSinit+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lsocks  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char SOCKSinit ();
int
main ()
{
return SOCKSinit ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_socks_SOCKSinit=yes
else
  ac_cv_lib_socks_SOCKSinit=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_socks_SOCKSinit" >&5
$as_echo "$ac_cv_lib_socks_SOCKSinit" >&6; }
if test "x$ac_cv_lib_socks_SOCKSinit" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_LIBSOCKS 1
_ACEOF

  LIBS="-lsocks $LIBS"

fi

  test -n "$ac_cv_lib_socks_SOCKSinit" && $as_echo "#define HAVE_SOCKS 1" >>confdefs.h

fi

if test "$usage_tracking" = "yes"; then
  $as_echo "#define USAGE_TRACKING 1" >>confdefs.h

  LIBS="-Bstatic -lut -Bdynamic $LIBS" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-Bstatic -lut -Bdynamic\" to \$LIBS"; fi
fi

if test "$with_bignum" = "gmp"; then
  ac_fn_c_check_header_mongrel "$LINENO" "gmp.h" "ac_cv_header_gmp_h" "$ac_includes_default"
if test "x$ac_cv_header_gmp_h" = xyes; then :

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for __gmpz_init in -lgmp" >&5
$as_echo_n "checking for __gmpz_init in -lgmp... " >&6; }
if ${ac_cv_lib_gmp___gmpz_init+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lgmp  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char __gmpz_init ();
int
main ()
{
return __gmpz_init ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_gmp___gmpz_init=yes
else
  ac_cv_lib_gmp___gmpz_init=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_gmp___gmpz_init" >&5
$as_echo "$ac_cv_lib_gmp___gmpz_init" >&6; }
if test "x$ac_cv_lib_gmp___gmpz_init" = xyes; then :
  have_mpz_init=yes
fi

fi


  if test "$have_mpz_init" = "yes"; then
    $as_echo "#define WITH_NUMBER_TYPES 1" >>confdefs.h

    $as_echo "#define WITH_GMP 1" >>confdefs.h

    LIBS="-lgmp $LIBS" &&  if test "$verbose" = "yes"; then echo "    Prepending \"-lgmp\" to \$LIBS"; fi
  else
    { echo "Error:" "Required GMP numeric support cannot be provided." >&2; exit 1; }
  fi
elif test "$with_bignum" = "mp"; then
  for library in "" "-lcrypto"; do
    ac_fn_c_check_header_mongrel "$LINENO" "mp.h" "ac_cv_header_mp_h" "$ac_includes_default"
if test "x$ac_cv_header_mp_h" = xyes; then :

      { $as_echo "$as_me:${as_lineno-$LINENO}: checking for mp_mfree in -lmp" >&5
$as_echo_n "checking for mp_mfree in -lmp... " >&6; }
if ${ac_cv_lib_mp_mp_mfree+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lmp $library $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char mp_mfree ();
int
main ()
{
return mp_mfree ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_mp_mp_mfree=yes
else
  ac_cv_lib_mp_mp_mfree=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_mp_mp_mfree" >&5
$as_echo "$ac_cv_lib_mp_mp_mfree" >&6; }
if test "x$ac_cv_lib_mp_mp_mfree" = xyes; then :
  have_mp_mfree=yes; break
else

	{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for mfree in -lmp" >&5
$as_echo_n "checking for mfree in -lmp... " >&6; }
if ${ac_cv_lib_mp_mfree+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lmp $library $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char mfree ();
int
main ()
{
return mfree ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_mp_mfree=yes
else
  ac_cv_lib_mp_mfree=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_mp_mfree" >&5
$as_echo "$ac_cv_lib_mp_mfree" >&6; }
if test "x$ac_cv_lib_mp_mfree" = xyes; then :
  have_mfree=yes; break
fi

fi

fi


  done
  if test "$have_mp_mfree" = "yes"; then
    $as_echo "#define MP_PREFIX 1" >>confdefs.h

    LIBS="$LIBS -lmp" &&  if test "$verbose" = "yes"; then echo "    Appending \"-lmp\" to \$LIBS"; fi
    if test "$library" != ""; then
      LIBS="$LIBS $library" &&  if test "$verbose" = "yes"; then echo "    Appending \"$library\" to \$LIBS"; fi
    fi
    ac_fn_c_check_func "$LINENO" "mp_move" "ac_cv_func_mp_move"
if test "x$ac_cv_func_mp_move" = xyes; then :
  $as_echo "#define HAVE_MP_MOVE 1" >>confdefs.h

fi

  elif test "$have_mfree" = "yes"; then
    LIBS="$LIBS -lmp" &&  if test "$verbose" = "yes"; then echo "    Appending \"-lmp\" to \$LIBS"; fi
    if test "$library" != ""; then
      LIBS="$LIBS $library" &&  if test "$verbose" = "yes"; then echo "    Appending \"$library\" to \$LIBS"; fi
    fi
    ac_fn_c_check_func "$LINENO" "move" "ac_cv_func_move"
if test "x$ac_cv_func_move" = xyes; then :
  $as_echo "#define HAVE_MP_MOVE 1" >>confdefs.h

fi

  else
    { echo "Error:" "Required MP numeric support cannot be provided." >&2; exit 1; }
  fi
  $as_echo "#define WITH_NUMBER_TYPES 1" >>confdefs.h

  $as_echo "#define WITH_MP 1" >>confdefs.h

fi

if test "$cross_compiling" = yes; then :
  { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error $? "cannot run test program while cross compiling
See \`config.log' for more details" "$LINENO" 5; }
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
int main(int c,char **v){return 0;}
_ACEOF
if ac_fn_c_try_run "$LINENO"; then :
  :
else

  echo ""
  echo "*** PANIC *** The C compiler can no longer build working executables."
  echo "*** PANIC *** Please examine the tail of config.log for runtime errors."
  echo "*** PANIC *** The most likely reason for this problem is that configure"
  echo "*** PANIC *** links with shared libraries, but those libraries cannot be"
  echo "*** PANIC *** found at run time."
  echo "*** PANIC ***"
  echo "*** PANIC *** On a Linux system, edit /etc/ld.so.conf and re-run ldconfig."
  echo "*** PANIC *** On other systems, try telling configure where to find the"
  echo "*** PANIC *** shared libraries using the --with-site-runtime-libraries option"
  echo "*** PANIC ***"
  echo "*** PANIC *** Another way to shoot yourself in the foot is to specify"
  echo "*** PANIC *** --with-FEATURE when FEATURE is not actually installed"
  echo "*** PANIC *** on your system.  Don't do that."
  exit 1
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
  conftest.$ac_objext conftest.beam conftest.$ac_ext
fi


if test "$win32_processes" != "yes"; then
  $as_echo "#define HAVE_UNIX_PROCESSES 1" >>confdefs.h

fi


if test "$with_modules" = "yes"; then
  ld_libs_module=
else

T=""
for W in $ldap_libs $postgresql_libs $canna_libs; do if test -z "$T"; then T="$W"; else T="$T $W"; fi; done
ld_libs_module="$T"

fi


T=""
for W in $CFLAGS; do if test -z "$T"; then T="$W"; else T="$T $W"; fi; done
CFLAGS="$T"


T=""
for W in $extra_objs; do if test -z "$T"; then T="$W"; else T="$T $W"; fi; done
extra_objs="$T"


T=""
for W in -DHAVE_CONFIG_H $c_switch_site $c_switch_machine $c_switch_system; do if test -z "$T"; then T="$W"; else T="$T $W"; fi; done
c_switch_general="$T"


T=""
for W in $c_switch_x_site $c_switch_gtk $X_CFLAGS; do if test -z "$T"; then T="$W"; else T="$T $W"; fi; done
c_switch_window_system="$T"


T=""
for W in $c_switch_general $c_switch_window_system; do if test -z "$T"; then T="$W"; else T="$T $W"; fi; done
c_switch_all="$T"


T=""
for W in $ld_switch_site $ld_switch_machine $ld_switch_system $ld_switch_run; do if test -z "$T"; then T="$W"; else T="$T $W"; fi; done
ld_switch_general="$T"


T=""
for W in $ld_switch_x_site; do if test -z "$T"; then T="$W"; else T="$T $W"; fi; done
ld_switch_window_system="$T"


T=""
for W in $ld_switch_general $ld_switch_window_system; do if test -z "$T"; then T="$W"; else T="$T $W"; fi; done
ld_switch_all="$T"


T=""
for W in $LIBS $libs_machine $libs_system $libs_standard; do if test -z "$T"; then T="$W"; else T="$T $W"; fi; done
ld_libs_general="$T"


T=""
for W in $X_EXTRA_LIBS $libs_x $libs_gtk $X_PRE_LIBS; do if test -z "$T"; then T="$W"; else T="$T $W"; fi; done
ld_libs_window_system="$T"


T=""
for W in $ld_libs_window_system $ld_libs_general $ld_libs_module; do if test -z "$T"; then T="$W"; else T="$T $W"; fi; done
ld_libs_all="$T"


if test "$with_modules" = "no"; then
  MAKE_SUBDIR="$MAKE_SUBDIR src" &&  if test "$verbose" = "yes"; then echo "    Appending \"src\" to \$MAKE_SUBDIR"; fi
fi


internal_makefile_list="Makefile.in src/.gdbinit.in"
SUBDIR_MAKEFILES=''
test -d lock || mkdir lock
for dir in $MAKE_SUBDIR; do
  case "$dir" in */* )     ( for d in `echo $dir | sed 's:/: :g'` ; do
        test -d "$d" || mkdir "$d"; cd "$d"
      done ) ;;
   * ) test -d "$dir" || mkdir "$dir" ;;
  esac

T=""
for W in $SUBDIR_MAKEFILES $dir/Makefile $dir/GNUmakefile; do if test -z "$T"; then T="$W"; else T="$T $W"; fi; done
SUBDIR_MAKEFILES="$T"


T=""
for W in $internal_makefile_list $dir/Makefile.in; do if test -z "$T"; then T="$W"; else T="$T $W"; fi; done
internal_makefile_list="$T"

done




for dir in src/s src/m; do
  if test ! -d "$dir" ; then
    echo Making symbolic link to "$srcdir/$dir"
    ${LN_S} "$srcdir/$dir" "$dir"
  fi
done

if test "$need_modules_common" = "yes"; then
  for dir in modules/common; do
    if test ! -d "$dir" ; then
      echo Making symbolic link to "$srcdir/$dir"
      ${LN_S} "$srcdir/$dir" "$dir"
    fi
  done
fi

if test "$verbose" = "yes"; then
  echo ""
  for var in extra_objs    c_switch_general  c_switch_window_system  c_switch_all   ld_switch_general ld_switch_window_system ld_switch_all     ld_libs_general   ld_libs_window_system   ld_libs_all; do eval "echo \"$var = '\$$var'\""; done
  echo ""
fi



if test -f "$srcdir/TAGS" -a ! -f "TAGS"; then
  test "$verbose" = "yes" && echo "creating TAGS"
  echo "
$srcdir/TAGS,include" > "TAGS"
fi

if test "$__SUNPRO_C" = "yes"; then
  test "$verbose" = "yes" && echo "creating .sbinit"
  ( echo "# For use with Sun WorkShop's Source browser."
    echo "# See sbquery(1) and sbinit(4) for more information"
    for dir in $MAKE_SUBDIR; do echo "import $dir"; done
  ) > .sbinit
fi

rm -f core



















PREFIX=$prefix
while true; do
  case "$PREFIX" in
    *\$* ) eval "PREFIX=$PREFIX" ;;
    *) break ;;
  esac
done




EXEC_PREFIX=$exec_prefix
while true; do
  case "$EXEC_PREFIX" in
    *\$* ) eval "EXEC_PREFIX=$EXEC_PREFIX" ;;
    *) break ;;
  esac
done




INFODIR=$infodir
while true; do
  case "$INFODIR" in
    *\$* ) eval "INFODIR=$INFODIR" ;;
    *) break ;;
  esac
done


infopath=$with_infopath


INFOPATH=$with_info_path
while true; do
  case "$INFOPATH" in
    *\$* ) eval "INFOPATH=$INFOPATH" ;;
    *) break ;;
  esac
done


test -n "$with_user_packages" && with_early_packages=$with_user_packages
early_packages=$with_early_packages


EARLY_PACKAGE_DIRECTORIES=$with_early_packages
while true; do
  case "$EARLY_PACKAGE_DIRECTORIES" in
    *\$* ) eval "EARLY_PACKAGE_DIRECTORIES=$EARLY_PACKAGE_DIRECTORIES" ;;
    *) break ;;
  esac
done


test -n "$with_system_packages" && with_late_packages=$with_system_packages
late_packages=$with_late_packages


LATE_PACKAGE_DIRECTORIES=$with_late_packages
while true; do
  case "$LATE_PACKAGE_DIRECTORIES" in
    *\$* ) eval "LATE_PACKAGE_DIRECTORIES=$LATE_PACKAGE_DIRECTORIES" ;;
    *) break ;;
  esac
done


test -n "$with_legacy_packages" && with_last_packages=$with_legacy_packages
last_packages=$with_last_packages


LAST_PACKAGE_DIRECTORIES=$with_last_packages
while true; do
  case "$LAST_PACKAGE_DIRECTORIES" in
    *\$* ) eval "LAST_PACKAGE_DIRECTORIES=$LAST_PACKAGE_DIRECTORIES" ;;
    *) break ;;
  esac
done


package_path=$with_package_path


PACKAGE_PATH=$with_package_path
while true; do
  case "$PACKAGE_PATH" in
    *\$* ) eval "PACKAGE_PATH=$PACKAGE_PATH" ;;
    *) break ;;
  esac
done


lispdir=$with_lispdir


LISPDIR=$with_lispdir
while true; do
  case "$LISPDIR" in
    *\$* ) eval "LISPDIR=$LISPDIR" ;;
    *) break ;;
  esac
done


moduledir=$with_moduledir


MODULEDIR=$with_moduledir
while true; do
  case "$MODULEDIR" in
    *\$* ) eval "MODULEDIR=$MODULEDIR" ;;
    *) break ;;
  esac
done


sitelispdir=$with_sitelispdir


SITELISPDIR=$sitelispdir
while true; do
  case "$SITELISPDIR" in
    *\$* ) eval "SITELISPDIR=$SITELISPDIR" ;;
    *) break ;;
  esac
done




SITEMODULEDIR=$sitemoduledir
while true; do
  case "$SITEMODULEDIR" in
    *\$* ) eval "SITEMODULEDIR=$SITEMODULEDIR" ;;
    *) break ;;
  esac
done


etcdir=$with_etcdir


ETCDIR=$with_etcdir
while true; do
  case "$ETCDIR" in
    *\$* ) eval "ETCDIR=$ETCDIR" ;;
    *) break ;;
  esac
done


archlibdir=$with_archlibdir


ARCHLIBDIR=$with_archlibdir
ARCHLIBDIR=$with_archlibdir
while true; do
  case "$ARCHLIBDIR" in
    *\$* ) eval "ARCHLIBDIR=$ARCHLIBDIR" ;;
    *) break ;;
  esac
done


docdir=$with_docdir


DOCDIR=$with_docdir
while true; do
  case "$DOCDIR" in
    *\$* ) eval "DOCDIR=$DOCDIR" ;;
    *) break ;;
  esac
done




















RECURSIVE_MAKE_ARGS="\$(MFLAGS) CC='\$(CC)' CFLAGS='\$(CFLAGS)' LDFLAGS='\$(LDFLAGS)' CPPFLAGS='\$(CPPFLAGS)'"


native_sound_lib=$with_native_sound_lib







if test "$with_prefix" = "yes"; then
  $as_echo "#define PREFIX_USER_DEFINED 1" >>confdefs.h

fi

if test "$with_site_lisp" = "no"; then
  $as_echo "#define INHIBIT_SITE_LISP 1" >>confdefs.h

fi
if test "$with_site_modules" = "no"; then
  $as_echo "#define INHIBIT_SITE_MODULES 1" >>confdefs.h

fi


T=""
for W in $ac_configure_args; do if test -z "$T"; then T="$W"; else T="$T $W"; fi; done
ac_configure_args="$T"

ac_configure_args=" $ac_configure_args"
cat >>confdefs.h <<_ACEOF
#define EMACS_CONFIGURATION "$ac_cv_build"
_ACEOF

cat >>confdefs.h <<_ACEOF
#define EMACS_CONFIG_OPTIONS "$ac_configure_args"
_ACEOF



null_string=""
cat >>confdefs.h <<_ACEOF
#define LD_SWITCH_X_SITE $null_string
_ACEOF

cat >>confdefs.h <<_ACEOF
#define LD_SWITCH_X_SITE_AUX $null_string
_ACEOF

cat >>confdefs.h <<_ACEOF
#define C_SWITCH_X_SITE $null_string
_ACEOF

cat >>confdefs.h <<_ACEOF
#define LD_SWITCH_SITE $null_string
_ACEOF

cat >>confdefs.h <<_ACEOF
#define C_SWITCH_SITE $null_string
_ACEOF



if   test "$with_system_malloc" = "yes"; then $as_echo "#define USE_SYSTEM_MALLOC 1" >>confdefs.h

elif test "$with_debug_malloc"  = "yes"; then $as_echo "#define USE_DEBUG_MALLOC 1" >>confdefs.h

					      $as_echo "#define USE_SYSTEM_MALLOC 1" >>confdefs.h

fi
test "$GCC"                  = "yes" && $as_echo "#define USE_GCC 1" >>confdefs.h

test "$XEMACS_CC_GPP"        = "yes" && $as_echo "#define USE_GPLUSPLUS 1" >>confdefs.h

test "$with_external_widget" = "yes" && $as_echo "#define EXTERNAL_WIDGET 1" >>confdefs.h

test "$with_kkcc"            = "yes" && $as_echo "#define USE_KKCC 1" >>confdefs.h

test "$with_newgc"           = "yes" && $as_echo "#define NEW_GC 1" >>confdefs.h

test "$have_vdb_posix"       = "yes" && $as_echo "#define VDB_POSIX 1" >>confdefs.h

test "$have_vdb_fake"        = "yes" && $as_echo "#define VDB_FAKE 1" >>confdefs.h

test "$with_quick_build"     = "yes" && $as_echo "#define QUICK_BUILD 1" >>confdefs.h

test "$with_purify"          = "yes" && $as_echo "#define PURIFY 1" >>confdefs.h

test "$with_quantify"        = "yes" && $as_echo "#define QUANTIFY 1" >>confdefs.h

test "$with_valgrind"        = "yes" && $as_echo "#define USE_VALGRIND 1" >>confdefs.h

test "$with_pop"             = "yes" && $as_echo "#define MAIL_USE_POP 1" >>confdefs.h

test "$with_kerberos"        = "yes" && $as_echo "#define KERBEROS 1" >>confdefs.h

test "$with_hesiod"          = "yes" && $as_echo "#define HESIOD 1" >>confdefs.h

test "$with_union_type"      = "yes" && $as_echo "#define USE_UNION_TYPE 1" >>confdefs.h

test "$with_pdump"           = "yes" && $as_echo "#define PDUMP 1" >>confdefs.h

test "$with_dump_in_exec"    = "yes" && $as_echo "#define DUMP_IN_EXEC 1" >>confdefs.h

test "$with_ipv6_cname"      = "yes" && $as_echo "#define IPV6_CANONICALIZE 1" >>confdefs.h






(
if test -f /etc/osversion; then   echo "osversion: `cat /etc/osversion`"
else
  echo "uname -a: `uname -a`"
fi
echo ""
echo "$progname $ac_configure_args"
) > Installation

if test ! -z ${emacs_beta_version} ; then
  if test -z "${emacs_is_beta}" ; then
	xemacs_betaname=".${emacs_beta_version}"
  else
	xemacs_betaname="-b${emacs_beta_version}"
  fi
else
  xemacs_betaname=""
fi

(
echo "

XEmacs ${emacs_major_version}.${emacs_minor_version}${xemacs_betaname} \"$xemacs_codename\" $xemacs_extra_name configured for \`$ac_cv_build'."

echo "
Compilation Environment and Installation Defaults:"
echo "  Source code location:              $srcdir"
echo "  Installation prefix:               $prefix"
if test -n "$with_site_includes"; then
  echo "  Additional header files:           $with_site_includes"
fi
if test -n "$with_site_libraries"; then
  echo "  Additional libraries:              $with_site_libraries"
fi
if test -n "$with_site_prefixes"; then
  echo "  Additional prefixes:               $with_site_prefixes"
fi
if test -n "$runpath"; then
  echo "  Runtime library search path:       $runpath"
fi

if test -n "$opsysfile"
then echo "  Operating system description file: \`$opsysfile'"
else echo "  Not using any operating system description file"
fi
if test -n "$machfile"
then echo "  Machine description file:          \`$machfile'"
else echo "  Not using any machine description file"
fi

echo "  Compiler version:                  $compiler_version"
if test -n "$gcc_compiler_specs"; then
  echo "    - GCC specs file:                $gcc_compiler_specs"
fi
echo "    - Compiler command:              $XEMACS_CC $XE_CFLAGS"
if test "$CC" != "$XEMACS_CC"; then
  echo "  Compiler version for lib-src:      (detection code unimplemented)"
  echo "    - Compiler command for lib-src:  $CC $CFLAGS"
  if test "$xemacs_cc_cc_mismatch" = "yes"; then
    echo "  WARNING: CC and XEMACS_CC mismatched; check CFLAGS carefully."
  fi
fi
echo "  libc version:                      $libc_version"
echo "  Relocating allocator for buffers:  $with_rel_alloc"
echo "  GNU version of malloc:             ${GNU_MALLOC}${GNU_MALLOC_reason}"
case "$ld_switch_site" in
  *nocombreloc*) echo "  Linking with \`-z nocombreloc'.
    - Consider configuring with --with-pdump." ;;
esac

echo "
Window System:"
if test "$with_msw" = "yes"; then
  echo "  Compiling in support for the Microsoft window system."
fi
if test "$with_x11" = "yes"; then
  echo "  Compiling in support for the X window system:"
  echo "    - X Windows headers location:                 $x_includes"
  echo "    - X Windows libraries location:               $x_libraries"
  if test "$with_xauth" != yes; then
    echo "    - Xau (X authority) not available."
  fi
  if test "$with_wmcommand" != no; then
    echo "    - Handling WM_COMMAND properly."
  fi
  if test "$with_fontconfig" = "yes"; then
    echo "    - Using fontconfig to manage fonts."
  fi
  if test "$with_xft_emacs" = "yes"; then
    echo "    - Compiling in support for Xft antialiased fonts (EXPERIMENTAL)."
  fi
fi
if test "$need_motif" = "yes" ; then
  echo "  Compiling in support for Motif."
  if test "$have_lesstif" = "yes"; then
    echo "    - Using LessTif implementation."
  fi
  echo "  *WARNING*  Many versions of Motif are buggy, requiring workarounds."
  echo "             You are likely to experience slow redisplay."
  echo "             You may need to install vendor patches to Motif."
  echo "             See PROBLEMS for more information."
fi
if test "$need_athena" = "yes"; then
  echo "  Compiling in support for the Athena widget set:"
  echo "    - Athena headers location:                    $athena_h_path"
  echo "    - Athena library to link:                     $athena_lib"
fi
case "$with_menubars" in
  gtk   ) echo "  Using GTK menubars."   ;;
  lucid ) echo "  Using Lucid menubars." ;;
  motif ) echo "  Using Motif menubars."
          echo "  *WARNING*  The Motif menubar implementation is currently buggy."
          echo "             We recommend using the Lucid menubar instead."
          echo "             Re-run configure with --with-menubars='lucid'." ;;
    msw ) echo "  Using MS-Windows menubars." ;;
esac
if test "$with_xft_menubars" = "yes"; then
  echo "    - Using Xft to render antialiased fonts in menubars."
  echo "      WARNING: This Xft feature will be replaced with a face."
fi
case "$with_scrollbars" in
  gtk    ) echo "  Using GTK scrollbars."        ;;
  lucid  ) echo "  Using Lucid scrollbars."      ;;
  motif  ) echo "  Using Motif scrollbars."      ;;
  athena ) echo "  Using Athena scrollbars."     ;;
     msw ) echo "  Using MS-Windows scrollbars." ;;
esac
case "$with_dialogs" in
  gtk    ) echo "  Using GTK dialog boxes." ;;
  motif  ) echo "  Using Motif dialog boxes."
           if test "$unexec" = "unexaix.o"; then if test "`uname -v`" = 4 -a "`uname -r`" -ge 3; then
             echo "  *WARNING*  The Motif dialog boxes cause problems on AIX 4.3 and higher."
             echo "             We recommend using the Athena dialog boxes instead."
             echo "             Install libXaw and re-run configure with --with-dialogs='athena'."
             echo "             Read the PROBLEMS file for more information."
           fi; fi ;;
  athena ) echo "  Using Athena dialog boxes."     ;;
     msw ) echo "  Using MS-Windows dialog boxes." ;;
esac
case "$with_widgets" in
  gtk    ) echo "  Using GTK native widgets."        ;;
  motif  ) echo "  Using Motif native widgets."      ;;
  athena ) echo "  Using Athena native widgets."     ;;
     msw ) echo "  Using MS-Windows native widgets." ;;
esac
if test "$with_xft_tabs" = "yes"; then
  echo "    - Using Xft to render antialiased fonts in tab controls."
  echo "      WARNING: This Xft feature will be replaced with a face."
fi
if test "$with_xft_gauges" = "yes"; then
  echo "    - Using Xft to render antialiased fonts in progress bars."
  echo "      WARNING: This Xft feature will be replaced with a face."
  echo "      WARNING: This Xft feature not yet implemented; setting ignored."
fi
if test "$with_dragndrop" = yes; then
  echo "  Compiling in support for Drag'n'Drop (EXPERIMENTAL)."
  echo "    -  Drag'n'Drop prototype:                             $dragndrop_proto."
fi

echo "
TTY:"
test "$with_ncurses" = yes && echo "  Compiling in support for ncurses."
test "$with_gpm" = yes && echo "  Compiling in support for GPM (General Purpose Mouse)."

echo "
Images:"
test "$with_gif" = yes && echo "  Compiling in support for GIF images."
if test "$with_xpm" = yes; then
  echo "  Compiling in support for XPM  images."
elif test "$with_x11" = yes; then
  echo "  WARNING: -----------------------------------------------------------"
  echo "  WARNING: Compiling without XPM image support."
  if test "$xpm_problem" != ""; then
    echo "  Reason: $xpm_problem"
  fi
  echo "  WARNING: You should strongly consider installing XPM."
  echo "  WARNING: Otherwise toolbars and other graphics will look suboptimal."
  echo "  WARNING: (a copy may be found in ftp://ftp.xemacs.org/pub/xemacs/aux)"
  echo "  WARNING: -----------------------------------------------------------"
fi
if test "$with_png" = yes; then
  echo "  Compiling in support for PNG  images."
elif test "$window_system" != "none"; then
  echo "  WARNING: -----------------------------------------------------------"
  echo "  WARNING: Compiling without PNG image support."
  if test "$png_problem" != ""; then
    echo "  Reason: $png_problem"
  fi
  echo "  WARNING: You should strongly consider installing the PNG libraries."
  echo "  WARNING: Otherwise certain images and glyphs may not display."
  echo "  WARNING: (a copy may be found in ftp://ftp.xemacs.org/pub/xemacs/aux)"
  echo "  WARNING: -----------------------------------------------------------"
fi
test "$with_jpeg" = yes && echo "  Compiling in support for JPEG images."
test "$with_tiff" = yes && echo "  Compiling in support for TIFF images."
test "$with_xface" = yes && echo "  Compiling in support for X-Face message headers."

echo "
Sound:"
test "$with_sound_native" = yes && echo "  Compiling in support for sound (native)."
test "$with_sound_alsa" = yes && echo "  Compiling in support for ALSA (Advanced Linux Sound Architecture)."
test "$with_sound_nas" = yes && echo "  Compiling in support for NAS (network audio system)."
test "$old_nas" = yes && echo "    - NAS library lacks error trapping; will play synchronously."
test "$with_sound_esd" = yes && echo "  Compiling in support for ESD (Enlightened Sound Daemon)."

echo "
Databases:"
test "$with_database_berkdb" = yes && echo "  Compiling in support for Berkeley database."
test "$with_database_dbm"    = yes && echo "  Compiling in support for DBM."
test "$with_database_gdbm"   = yes && echo "  Compiling in support for GNU DBM."
test "$with_ldap" = yes && echo "  Compiling in support for LDAP."
if test "$with_postgresql" = yes; then
  echo "  Compiling in support for PostgreSQL."
  echo "    - Using PostgreSQL header file:  $libpq_fe_h_file"
  test "$with_postgresqlv7" = yes && echo "    - Using PostgreSQL V7 bindings."
fi

echo "
Internationalization:"
test "$with_mule" = yes && echo "  Compiling in support for Mule (multi-lingual Emacs)."
test "$with_xim" != no && echo "  Compiling in support for XIM (X11R5+ I18N input method)."
test "$with_xim" = motif && echo "    - Using Motif to provide XIM support."
test "$with_xim" = xlib && echo "    - Using raw Xlib to provide XIM support."
test "$with_xfs" = yes && echo "    - Using XFontSet to provide bilingual menubar."
test "$have_canna" = yes && echo "  Compiling in support for Canna on Mule."
if test "$with_wnn" = yes; then
  echo "  Compiling in support for the WNN input method on Mule."
  test "$with_wnn6" = yes && echo "    - Using WNN version 6."
fi

echo "
Mail:"
test "$with_pop" = yes && echo "  Compiling in support for POP mail retrieval."
test "$with_kerberos" = yes && echo "  Compiling in support for Kerberos POP authentication."
test "$with_hesiod" = yes && echo "  Compiling in support for Hesiod POP server access."
test -n "$with_mail_locking" && echo "  Compiling in support for \"$with_mail_locking\" mail spool file locking method."

echo "
Other Features:"
test "$with_ipv6_cname" = no && echo "  Inhibiting IPv6 canonicalization at startup."
test "$with_tooltalk" = yes && echo "  Compiling in support for ToolTalk."
test "$with_workshop" = yes && echo "  Compiling in support for Sun WorkShop."
test "$with_socks" = yes && echo "  Compiling in support for SOCKS."
test "$with_dnet" = yes && echo "  Compiling in support for DNET."
test "$with_modules" = "yes" && echo "  Compiling in support for dynamic shared object modules."
test "$with_bignum" = "gmp" && echo "  Compiling in support for more number types using the GNU MP library."
test "$with_bignum" = "mp" && echo "  Compiling in support for more number types using the BSD MP library."
if test "$with_union_type" = yes ; then
  echo "  Using the union type for Lisp_Objects."
  echo "  WARNING: ---------------------------------------------------------"
  echo "  WARNING: This tends to trigger compiler bugs, especially when"
  echo "  WARNING: combined with MULE and ERROR_CHECKING.  Crashes have"
  echo "  WARNING: been seen with various versions of GCC (up to about 2.95),"
  echo "  WARNING: and recently with Visual C++ as well (mid-2003)."
  echo "  WARNING: More recent versions may be safer, or not."
  echo "  WARNING: ---------------------------------------------------------"
fi
if test "$with_kkcc" = yes ; then
  echo "  Using the new GC mark algorithms (KKCC)."
  echo "  WARNING: ---------------------------------------------------------"
  echo "  WARNING: The new algorithms are experimental. They are enabled by"
  echo "  WARNING: default for this release. Use \`--disable-kkcc' to"
  echo "  WARNING: turn it off."
  echo "  WARNING: ---------------------------------------------------------"
fi
test "$with_newgc" = yes && echo "  Using the new incremental garbage collector and the new allocator."
if test "$have_vdb_posix" = yes ; then
  if test "$have_vdb_sigaction" = yes ; then
    echo "  Using POSIX sigaction() to install fault handler."
  else
    echo "  Using POSIX signal() to install vdb fault handler."
  fi
fi
if test "$have_vdb_win32" = yes ; then
  echo "  Using special WIN32 vdb fault handler."
fi
if test "$have_vdb_mach" = yes ; then
  echo "  Using mach exception mechanism as vdb fault handler."
fi
if test "$have_vdb_fake" = yes && test "$with_vdb" == fake; then
  echo "  Virtual dirty bit write barrier manually disabled."
fi
test "$with_pdump" = yes && echo "  Using the new portable dumper."
test "$with_dump_in_exec" = yes && echo "  Dumping into executable."
test "$with_debug" = yes && echo "  Compiling in support for extra debugging code."
test "$usage_tracking" = yes && echo "  Compiling in support for active usage tracking (Sun internal)."
if test "$with_error_checking_extents $with_error_checking_types $with_error_checking_text $with_error_checking_gc $with_error_checking_malloc $with_error_checking_glyphs $with_error_checking_byte_code $with_error_checking_display $with_error_checking_structures" \
  != "no no no no no no no no no"; then
  echo "  Compiling in support for runtime error checking."
  echo "  WARNING: ---------------------------------------------------------"
  echo "  WARNING: XEmacs will run noticeably more slowly as a result."
  echo "  WARNING: Error checking is on by default for XEmacs beta releases."
  echo "  WARNING: ---------------------------------------------------------"
fi
test "$with_valgrind" = yes && echo "  Compiling in support for memory debugging with Valgrind."
echo ""
) | tee -a Installation
echo ""

ac_config_headers="$ac_config_headers src/config.h lwlib/config.h"



# Remove any trailing slashes in these variables.
test -n "$prefix" &&
  prefix=`echo '' "$prefix" | sed -e 's:^ ::' -e 's,\([^/]\)/*$,\1,'`
test -n "$exec_prefix" &&
  exec_prefix=`echo '' "$exec_prefix" | sed -e 's:^ ::' -e 's,\([^/]\)/*$,\1,'`


if test -r $srcdir/src/depend; then :;
else
  echo "creating $srcdir/src/depend"
  perl $srcdir/src/make-src-depend > $srcdir/src/depend
fi

for file in $internal_makefile_list; do
  case $file in
    src/Makefile.in ) file="src/Makefile.in:src/Makefile.in.in:src/depend" ;;
    modules/* ) file="${file}:${file}.in:modules/common/Makefile.common" ;;
  esac
  ac_config_files="$ac_config_files $file"

done
ac_config_files="$ac_config_files src/paths.h src/xemacs.def.in lib-src/config.values"

test "$with_modules" = "yes" && ac_config_files="$ac_config_files lib-src/ellcc.h"








ac_config_commands="$ac_config_commands default"

cat >confcache <<\_ACEOF
# This file is a shell script that caches the results of configure
# tests run on this system so they can be shared between configure
# scripts and configure runs, see configure's option --config-cache.
# It is not useful on other systems.  If it contains results you don't
# want to keep, you may remove or edit it.
#
# config.status only pays attention to the cache file if you give it
# the --recheck option to rerun configure.
#
# `ac_cv_env_foo' variables (set or unset) will be overridden when
# loading this file, other *unset* `ac_cv_foo' will be assigned the
# following values.

_ACEOF

# The following way of writing the cache mishandles newlines in values,
# but we know of no workaround that is simple, portable, and efficient.
# So, we kill variables containing newlines.
# Ultrix sh set writes to stderr and can't be redirected directly,
# and sets the high bit in the cache file unless we assign to the vars.
(
  for ac_var in `(set) 2>&1 | sed -n 's/^\([a-zA-Z_][a-zA-Z0-9_]*\)=.*/\1/p'`; do
    eval ac_val=\$$ac_var
    case $ac_val in #(
    *${as_nl}*)
      case $ac_var in #(
      *_cv_*) { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: cache variable $ac_var contains a newline" >&5
$as_echo "$as_me: WARNING: cache variable $ac_var contains a newline" >&2;} ;;
      esac
      case $ac_var in #(
      _ | IFS | as_nl) ;; #(
      BASH_ARGV | BASH_SOURCE) eval $ac_var= ;; #(
      *) { eval $ac_var=; unset $ac_var;} ;;
      esac ;;
    esac
  done

  (set) 2>&1 |
    case $as_nl`(ac_space=' '; set) 2>&1` in #(
    *${as_nl}ac_space=\ *)
      # `set' does not quote correctly, so add quotes: double-quote
      # substitution turns \\\\ into \\, and sed turns \\ into \.
      sed -n \
	"s/'/'\\\\''/g;
	  s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1='\\2'/p"
      ;; #(
    *)
      # `set' quotes correctly as required by POSIX, so do not add quotes.
      sed -n "/^[_$as_cr_alnum]*_cv_[_$as_cr_alnum]*=/p"
      ;;
    esac |
    sort
) |
  sed '
     /^ac_cv_env_/b end
     t clear
     :clear
     s/^\([^=]*\)=\(.*[{}].*\)$/test "${\1+set}" = set || &/
     t end
     s/^\([^=]*\)=\(.*\)$/\1=${\1=\2}/
     :end' >>confcache
if diff "$cache_file" confcache >/dev/null 2>&1; then :; else
  if test -w "$cache_file"; then
    if test "x$cache_file" != "x/dev/null"; then
      { $as_echo "$as_me:${as_lineno-$LINENO}: updating cache $cache_file" >&5
$as_echo "$as_me: updating cache $cache_file" >&6;}
      if test ! -f "$cache_file" || test -h "$cache_file"; then
	cat confcache >"$cache_file"
      else
        case $cache_file in #(
        */* | ?:*)
	  mv -f confcache "$cache_file"$$ &&
	  mv -f "$cache_file"$$ "$cache_file" ;; #(
        *)
	  mv -f confcache "$cache_file" ;;
	esac
      fi
    fi
  else
    { $as_echo "$as_me:${as_lineno-$LINENO}: not updating unwritable cache $cache_file" >&5
$as_echo "$as_me: not updating unwritable cache $cache_file" >&6;}
  fi
fi
rm -f confcache

test "x$prefix" = xNONE && prefix=$ac_default_prefix
# Let make expand exec_prefix.
test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'

DEFS=-DHAVE_CONFIG_H

ac_libobjs=
ac_ltlibobjs=
U=
for ac_i in : $LIBOBJS; do test "x$ac_i" = x: && continue
  # 1. Remove the extension, and $U if already installed.
  ac_script='s/\$U\././;s/\.o$//;s/\.obj$//'
  ac_i=`$as_echo "$ac_i" | sed "$ac_script"`
  # 2. Prepend LIBOBJDIR.  When used with automake>=1.10 LIBOBJDIR
  #    will be set to the directory where LIBOBJS objects are built.
  as_fn_append ac_libobjs " \${LIBOBJDIR}$ac_i\$U.$ac_objext"
  as_fn_append ac_ltlibobjs " \${LIBOBJDIR}$ac_i"'$U.lo'
done
LIBOBJS=$ac_libobjs

LTLIBOBJS=$ac_ltlibobjs




: "${CONFIG_STATUS=./config.status}"
ac_write_fail=0
ac_clean_files_save=$ac_clean_files
ac_clean_files="$ac_clean_files $CONFIG_STATUS"
{ $as_echo "$as_me:${as_lineno-$LINENO}: creating $CONFIG_STATUS" >&5
$as_echo "$as_me: creating $CONFIG_STATUS" >&6;}
as_write_fail=0
cat >$CONFIG_STATUS <<_ASEOF || as_write_fail=1
#! $SHELL
# Generated by $as_me.
# Run this file to recreate the current configuration.
# Compiler output produced by configure, useful for debugging
# configure, is in config.log if it exists.

debug=false
ac_cs_recheck=false
ac_cs_silent=false

SHELL=\${CONFIG_SHELL-$SHELL}
export SHELL
_ASEOF
cat >>$CONFIG_STATUS <<\_ASEOF || as_write_fail=1
## -------------------- ##
## M4sh Initialization. ##
## -------------------- ##

# Be more Bourne compatible
DUALCASE=1; export DUALCASE # for MKS sh
if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then :
  emulate sh
  NULLCMD=:
  # Pre-4.2 versions of Zsh do word splitting on ${1+"$@"}, which
  # is contrary to our usage.  Disable this feature.
  alias -g '${1+"$@"}'='"$@"'
  setopt NO_GLOB_SUBST
else
  case `(set -o) 2>/dev/null` in #(
  *posix*) :
    set -o posix ;; #(
  *) :
     ;;
esac
fi


as_nl='
'
export as_nl
# Printing a long string crashes Solaris 7 /usr/bin/printf.
as_echo='\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'
as_echo=$as_echo$as_echo$as_echo$as_echo$as_echo
as_echo=$as_echo$as_echo$as_echo$as_echo$as_echo$as_echo
# Prefer a ksh shell builtin over an external printf program on Solaris,
# but without wasting forks for bash or zsh.
if test -z "$BASH_VERSION$ZSH_VERSION" \
    && (test "X`print -r -- $as_echo`" = "X$as_echo") 2>/dev/null; then
  as_echo='print -r --'
  as_echo_n='print -rn --'
elif (test "X`printf %s $as_echo`" = "X$as_echo") 2>/dev/null; then
  as_echo='printf %s\n'
  as_echo_n='printf %s'
else
  if test "X`(/usr/ucb/echo -n -n $as_echo) 2>/dev/null`" = "X-n $as_echo"; then
    as_echo_body='eval /usr/ucb/echo -n "$1$as_nl"'
    as_echo_n='/usr/ucb/echo -n'
  else
    as_echo_body='eval expr "X$1" : "X\\(.*\\)"'
    as_echo_n_body='eval
      arg=$1;
      case $arg in #(
      *"$as_nl"*)
	expr "X$arg" : "X\\(.*\\)$as_nl";
	arg=`expr "X$arg" : ".*$as_nl\\(.*\\)"`;;
      esac;
      expr "X$arg" : "X\\(.*\\)" | tr -d "$as_nl"
    '
    export as_echo_n_body
    as_echo_n='sh -c $as_echo_n_body as_echo'
  fi
  export as_echo_body
  as_echo='sh -c $as_echo_body as_echo'
fi

# The user is always right.
if test "${PATH_SEPARATOR+set}" != set; then
  PATH_SEPARATOR=:
  (PATH='/bin;/bin'; FPATH=$PATH; sh -c :) >/dev/null 2>&1 && {
    (PATH='/bin:/bin'; FPATH=$PATH; sh -c :) >/dev/null 2>&1 ||
      PATH_SEPARATOR=';'
  }
fi


# IFS
# We need space, tab and new line, in precisely that order.  Quoting is
# there to prevent editors from complaining about space-tab.
# (If _AS_PATH_WALK were called with IFS unset, it would disable word
# splitting by setting IFS to empty value.)
IFS=" ""	$as_nl"

# Find who we are.  Look in the path if we contain no directory separator.
as_myself=
case $0 in #((
  *[\\/]* ) as_myself=$0 ;;
  *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
  done
IFS=$as_save_IFS

     ;;
esac
# We did not find ourselves, most probably we were run as `sh COMMAND'
# in which case we are not to be found in the path.
if test "x$as_myself" = x; then
  as_myself=$0
fi
if test ! -f "$as_myself"; then
  $as_echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
  exit 1
fi

# Unset variables that we do not need and which cause bugs (e.g. in
# pre-3.0 UWIN ksh).  But do not cause bugs in bash 2.01; the "|| exit 1"
# suppresses any "Segmentation fault" message there.  '((' could
# trigger a bug in pdksh 5.2.14.
for as_var in BASH_ENV ENV MAIL MAILPATH
do eval test x\${$as_var+set} = xset \
  && ( (unset $as_var) || exit 1) >/dev/null 2>&1 && unset $as_var || :
done
PS1='$ '
PS2='> '
PS4='+ '

# NLS nuisances.
LC_ALL=C
export LC_ALL
LANGUAGE=C
export LANGUAGE

# CDPATH.
(unset CDPATH) >/dev/null 2>&1 && unset CDPATH


# as_fn_error STATUS ERROR [LINENO LOG_FD]
# ----------------------------------------
# Output "`basename $0`: error: ERROR" to stderr. If LINENO and LOG_FD are
# provided, also output the error to LOG_FD, referencing LINENO. Then exit the
# script with STATUS, using 1 if that was 0.
as_fn_error ()
{
  as_status=$1; test $as_status -eq 0 && as_status=1
  if test "$4"; then
    as_lineno=${as_lineno-"$3"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
    $as_echo "$as_me:${as_lineno-$LINENO}: error: $2" >&$4
  fi
  $as_echo "$as_me: error: $2" >&2
  as_fn_exit $as_status
} # as_fn_error


# as_fn_set_status STATUS
# -----------------------
# Set $? to STATUS, without forking.
as_fn_set_status ()
{
  return $1
} # as_fn_set_status

# as_fn_exit STATUS
# -----------------
# Exit the shell with STATUS, even in a "trap 0" or "set -e" context.
as_fn_exit ()
{
  set +e
  as_fn_set_status $1
  exit $1
} # as_fn_exit

# as_fn_unset VAR
# ---------------
# Portably unset VAR.
as_fn_unset ()
{
  { eval $1=; unset $1;}
}
as_unset=as_fn_unset
# as_fn_append VAR VALUE
# ----------------------
# Append the text in VALUE to the end of the definition contained in VAR. Take
# advantage of any shell optimizations that allow amortized linear growth over
# repeated appends, instead of the typical quadratic growth present in naive
# implementations.
if (eval "as_var=1; as_var+=2; test x\$as_var = x12") 2>/dev/null; then :
  eval 'as_fn_append ()
  {
    eval $1+=\$2
  }'
else
  as_fn_append ()
  {
    eval $1=\$$1\$2
  }
fi # as_fn_append

# as_fn_arith ARG...
# ------------------
# Perform arithmetic evaluation on the ARGs, and store the result in the
# global $as_val. Take advantage of shells that can avoid forks. The arguments
# must be portable across $(()) and expr.
if (eval "test \$(( 1 + 1 )) = 2") 2>/dev/null; then :
  eval 'as_fn_arith ()
  {
    as_val=$(( $* ))
  }'
else
  as_fn_arith ()
  {
    as_val=`expr "$@" || test $? -eq 1`
  }
fi # as_fn_arith


if expr a : '\(a\)' >/dev/null 2>&1 &&
   test "X`expr 00001 : '.*\(...\)'`" = X001; then
  as_expr=expr
else
  as_expr=false
fi

if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
  as_basename=basename
else
  as_basename=false
fi

if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
  as_dirname=dirname
else
  as_dirname=false
fi

as_me=`$as_basename -- "$0" ||
$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
	 X"$0" : 'X\(//\)$' \| \
	 X"$0" : 'X\(/\)' \| . 2>/dev/null ||
$as_echo X/"$0" |
    sed '/^.*\/\([^/][^/]*\)\/*$/{
	    s//\1/
	    q
	  }
	  /^X\/\(\/\/\)$/{
	    s//\1/
	    q
	  }
	  /^X\/\(\/\).*/{
	    s//\1/
	    q
	  }
	  s/.*/./; q'`

# Avoid depending upon Character Ranges.
as_cr_letters='abcdefghijklmnopqrstuvwxyz'
as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
as_cr_Letters=$as_cr_letters$as_cr_LETTERS
as_cr_digits='0123456789'
as_cr_alnum=$as_cr_Letters$as_cr_digits

ECHO_C= ECHO_N= ECHO_T=
case `echo -n x` in #(((((
-n*)
  case `echo 'xy\c'` in
  *c*) ECHO_T='	';;	# ECHO_T is single tab character.
  xy)  ECHO_C='\c';;
  *)   echo `echo ksh88 bug on AIX 6.1` > /dev/null
       ECHO_T='	';;
  esac;;
*)
  ECHO_N='-n';;
esac

rm -f conf$$ conf$$.exe conf$$.file
if test -d conf$$.dir; then
  rm -f conf$$.dir/conf$$.file
else
  rm -f conf$$.dir
  mkdir conf$$.dir 2>/dev/null
fi
if (echo >conf$$.file) 2>/dev/null; then
  if ln -s conf$$.file conf$$ 2>/dev/null; then
    as_ln_s='ln -s'
    # ... but there are two gotchas:
    # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
    # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
    # In both cases, we have to default to `cp -pR'.
    ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
      as_ln_s='cp -pR'
  elif ln conf$$.file conf$$ 2>/dev/null; then
    as_ln_s=ln
  else
    as_ln_s='cp -pR'
  fi
else
  as_ln_s='cp -pR'
fi
rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
rmdir conf$$.dir 2>/dev/null


# as_fn_mkdir_p
# -------------
# Create "$as_dir" as a directory, including parents if necessary.
as_fn_mkdir_p ()
{

  case $as_dir in #(
  -*) as_dir=./$as_dir;;
  esac
  test -d "$as_dir" || eval $as_mkdir_p || {
    as_dirs=
    while :; do
      case $as_dir in #(
      *\'*) as_qdir=`$as_echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #'(
      *) as_qdir=$as_dir;;
      esac
      as_dirs="'$as_qdir' $as_dirs"
      as_dir=`$as_dirname -- "$as_dir" ||
$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
	 X"$as_dir" : 'X\(//\)[^/]' \| \
	 X"$as_dir" : 'X\(//\)$' \| \
	 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
$as_echo X"$as_dir" |
    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
	    s//\1/
	    q
	  }
	  /^X\(\/\/\)[^/].*/{
	    s//\1/
	    q
	  }
	  /^X\(\/\/\)$/{
	    s//\1/
	    q
	  }
	  /^X\(\/\).*/{
	    s//\1/
	    q
	  }
	  s/.*/./; q'`
      test -d "$as_dir" && break
    done
    test -z "$as_dirs" || eval "mkdir $as_dirs"
  } || test -d "$as_dir" || as_fn_error $? "cannot create directory $as_dir"


} # as_fn_mkdir_p
if mkdir -p . 2>/dev/null; then
  as_mkdir_p='mkdir -p "$as_dir"'
else
  test -d ./-p && rmdir ./-p
  as_mkdir_p=false
fi


# as_fn_executable_p FILE
# -----------------------
# Test if FILE is an executable regular file.
as_fn_executable_p ()
{
  test -f "$1" && test -x "$1"
} # as_fn_executable_p
as_test_x='test -x'
as_executable_p=as_fn_executable_p

# Sed expression to map a string onto a valid CPP name.
as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"

# Sed expression to map a string onto a valid variable name.
as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"


exec 6>&1
## ----------------------------------- ##
## Main body of $CONFIG_STATUS script. ##
## ----------------------------------- ##
_ASEOF
test $as_write_fail = 0 && chmod +x $CONFIG_STATUS || ac_write_fail=1

cat >>$CONFIG_STATUS <<\_ACEOF || ac_write_fail=1
# Save the log message, to keep $0 and so on meaningful, and to
# report actual input values of CONFIG_FILES etc. instead of their
# values after options handling.
ac_log="
This file was extended by XEmacs $as_me 21.5, which was
generated by GNU Autoconf 2.69.  Invocation command line was

  CONFIG_FILES    = $CONFIG_FILES
  CONFIG_HEADERS  = $CONFIG_HEADERS
  CONFIG_LINKS    = $CONFIG_LINKS
  CONFIG_COMMANDS = $CONFIG_COMMANDS
  $ $0 $@

on `(hostname || uname -n) 2>/dev/null | sed 1q`
"

_ACEOF

case $ac_config_files in *"
"*) set x $ac_config_files; shift; ac_config_files=$*;;
esac

case $ac_config_headers in *"
"*) set x $ac_config_headers; shift; ac_config_headers=$*;;
esac


cat >>$CONFIG_STATUS <<_ACEOF || ac_write_fail=1
# Files that config.status was made for.
config_files="$ac_config_files"
config_headers="$ac_config_headers"
config_commands="$ac_config_commands"

_ACEOF

cat >>$CONFIG_STATUS <<\_ACEOF || ac_write_fail=1
ac_cs_usage="\
\`$as_me' instantiates files and other configuration actions
from templates according to the current configuration.  Unless the files
and actions are specified as TAGs, all are instantiated by default.

Usage: $0 [OPTION]... [TAG]...

  -h, --help       print this help, then exit
  -V, --version    print version number and configuration settings, then exit
      --config     print configuration, then exit
  -q, --quiet, --silent
                   do not print progress messages
  -d, --debug      don't remove temporary files
      --recheck    update $as_me by reconfiguring in the same conditions
      --file=FILE[:TEMPLATE]
                   instantiate the configuration file FILE
      --header=FILE[:TEMPLATE]
                   instantiate the configuration header FILE

Configuration files:
$config_files

Configuration headers:
$config_headers

Configuration commands:
$config_commands

Report bugs to <xemacs-beta@xemacs.org>."

_ACEOF
cat >>$CONFIG_STATUS <<_ACEOF || ac_write_fail=1
ac_cs_config="`$as_echo "$ac_configure_args" | sed 's/^ //; s/[\\""\`\$]/\\\\&/g'`"
ac_cs_version="\\
XEmacs config.status 21.5
configured by $0, generated by GNU Autoconf 2.69,
  with options \\"\$ac_cs_config\\"

Copyright (C) 2012 Free Software Foundation, Inc.
This config.status script is free software; the Free Software Foundation
gives unlimited permission to copy, distribute and modify it."

ac_pwd='$ac_pwd'
srcdir='$srcdir'
INSTALL='$INSTALL'
test -n "\$AWK" || AWK=awk
_ACEOF

cat >>$CONFIG_STATUS <<\_ACEOF || ac_write_fail=1
# The default lists apply if the user does not specify any file.
ac_need_defaults=:
while test $# != 0
do
  case $1 in
  --*=?*)
    ac_option=`expr "X$1" : 'X\([^=]*\)='`
    ac_optarg=`expr "X$1" : 'X[^=]*=\(.*\)'`
    ac_shift=:
    ;;
  --*=)
    ac_option=`expr "X$1" : 'X\([^=]*\)='`
    ac_optarg=
    ac_shift=:
    ;;
  *)
    ac_option=$1
    ac_optarg=$2
    ac_shift=shift
    ;;
  esac

  case $ac_option in
  # Handling of the options.
  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
    ac_cs_recheck=: ;;
  --version | --versio | --versi | --vers | --ver | --ve | --v | -V )
    $as_echo "$ac_cs_version"; exit ;;
  --config | --confi | --conf | --con | --co | --c )
    $as_echo "$ac_cs_config"; exit ;;
  --debug | --debu | --deb | --de | --d | -d )
    debug=: ;;
  --file | --fil | --fi | --f )
    $ac_shift
    case $ac_optarg in
    *\'*) ac_optarg=`$as_echo "$ac_optarg" | sed "s/'/'\\\\\\\\''/g"` ;;
    '') as_fn_error $? "missing file argument" ;;
    esac
    as_fn_append CONFIG_FILES " '$ac_optarg'"
    ac_need_defaults=false;;
  --header | --heade | --head | --hea )
    $ac_shift
    case $ac_optarg in
    *\'*) ac_optarg=`$as_echo "$ac_optarg" | sed "s/'/'\\\\\\\\''/g"` ;;
    esac
    as_fn_append CONFIG_HEADERS " '$ac_optarg'"
    ac_need_defaults=false;;
  --he | --h)
    # Conflict between --help and --header
    as_fn_error $? "ambiguous option: \`$1'
Try \`$0 --help' for more information.";;
  --help | --hel | -h )
    $as_echo "$ac_cs_usage"; exit ;;
  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
  | -silent | --silent | --silen | --sile | --sil | --si | --s)
    ac_cs_silent=: ;;

  # This is an error.
  -*) as_fn_error $? "unrecognized option: \`$1'
Try \`$0 --help' for more information." ;;

  *) as_fn_append ac_config_targets " $1"
     ac_need_defaults=false ;;

  esac
  shift
done

ac_configure_extra_args=

if $ac_cs_silent; then
  exec 6>/dev/null
  ac_configure_extra_args="$ac_configure_extra_args --silent"
fi

_ACEOF
cat >>$CONFIG_STATUS <<_ACEOF || ac_write_fail=1
if \$ac_cs_recheck; then
  set X $SHELL '$0' $ac_configure_args \$ac_configure_extra_args --no-create --no-recursion
  shift
  \$as_echo "running CONFIG_SHELL=$SHELL \$*" >&6
  CONFIG_SHELL='$SHELL'
  export CONFIG_SHELL
  exec "\$@"
fi

_ACEOF
cat >>$CONFIG_STATUS <<\_ACEOF || ac_write_fail=1
exec 5>>config.log
{
  echo
  sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
## Running $as_me. ##
_ASBOX
  $as_echo "$ac_log"
} >&5

_ACEOF
cat >>$CONFIG_STATUS <<_ACEOF || ac_write_fail=1
#
# INIT-COMMANDS
#
CPP="$CPP"
 MAKE_SUBDIR="$MAKE_SUBDIR"


_ACEOF

cat >>$CONFIG_STATUS <<\_ACEOF || ac_write_fail=1

# Handling of arguments.
for ac_config_target in $ac_config_targets
do
  case $ac_config_target in
    "src/config.h") CONFIG_HEADERS="$CONFIG_HEADERS src/config.h" ;;
    "lwlib/config.h") CONFIG_HEADERS="$CONFIG_HEADERS lwlib/config.h" ;;
    "$file") CONFIG_FILES="$CONFIG_FILES $file" ;;
    "src/paths.h") CONFIG_FILES="$CONFIG_FILES src/paths.h" ;;
    "src/xemacs.def.in") CONFIG_FILES="$CONFIG_FILES src/xemacs.def.in" ;;
    "lib-src/config.values") CONFIG_FILES="$CONFIG_FILES lib-src/config.values" ;;
    "lib-src/ellcc.h") CONFIG_FILES="$CONFIG_FILES lib-src/ellcc.h" ;;
    "default") CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;;

  *) as_fn_error $? "invalid argument: \`$ac_config_target'" "$LINENO" 5;;
  esac
done


# If the user did not use the arguments to specify the items to instantiate,
# then the envvar interface is used.  Set only those that are not.
# We use the long form for the default assignment because of an extremely
# bizarre bug on SunOS 4.1.3.
if $ac_need_defaults; then
  test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
  test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
  test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
fi

# Have a temporary directory for convenience.  Make it in the build tree
# simply because there is no reason against having it here, and in addition,
# creating and moving files from /tmp can sometimes cause problems.
# Hook for its removal unless debugging.
# Note that there is a small window in which the directory will not be cleaned:
# after its creation but before its name has been assigned to `$tmp'.
$debug ||
{
  tmp= ac_tmp=
  trap 'exit_status=$?
  : "${ac_tmp:=$tmp}"
  { test ! -d "$ac_tmp" || rm -fr "$ac_tmp"; } && exit $exit_status
' 0
  trap 'as_fn_exit 1' 1 2 13 15
}
# Create a (secure) tmp directory for tmp files.

{
  tmp=`(umask 077 && mktemp -d "./confXXXXXX") 2>/dev/null` &&
  test -d "$tmp"
}  ||
{
  tmp=./conf$$-$RANDOM
  (umask 077 && mkdir "$tmp")
} || as_fn_error $? "cannot create a temporary directory in ." "$LINENO" 5
ac_tmp=$tmp

# Set up the scripts for CONFIG_FILES section.
# No need to generate them if there are no CONFIG_FILES.
# This happens for instance with `./config.status config.h'.
if test -n "$CONFIG_FILES"; then


ac_cr=`echo X | tr X '\015'`
# On cygwin, bash can eat \r inside `` if the user requested igncr.
# But we know of no other shell where ac_cr would be empty at this
# point, so we can use a bashism as a fallback.
if test "x$ac_cr" = x; then
  eval ac_cr=\$\'\\r\'
fi
ac_cs_awk_cr=`$AWK 'BEGIN { print "a\rb" }' </dev/null 2>/dev/null`
if test "$ac_cs_awk_cr" = "a${ac_cr}b"; then
  ac_cs_awk_cr='\\r'
else
  ac_cs_awk_cr=$ac_cr
fi

echo 'BEGIN {' >"$ac_tmp/subs1.awk" &&
_ACEOF


{
  echo "cat >conf$$subs.awk <<_ACEOF" &&
  echo "$ac_subst_vars" | sed 's/.*/&!$&$ac_delim/' &&
  echo "_ACEOF"
} >conf$$subs.sh ||
  as_fn_error $? "could not make $CONFIG_STATUS" "$LINENO" 5
ac_delim_num=`echo "$ac_subst_vars" | grep -c '^'`
ac_delim='%!_!# '
for ac_last_try in false false false false false :; do
  . ./conf$$subs.sh ||
    as_fn_error $? "could not make $CONFIG_STATUS" "$LINENO" 5

  ac_delim_n=`sed -n "s/.*$ac_delim\$/X/p" conf$$subs.awk | grep -c X`
  if test $ac_delim_n = $ac_delim_num; then
    break
  elif $ac_last_try; then
    as_fn_error $? "could not make $CONFIG_STATUS" "$LINENO" 5
  else
    ac_delim="$ac_delim!$ac_delim _$ac_delim!! "
  fi
done
rm -f conf$$subs.sh

cat >>$CONFIG_STATUS <<_ACEOF || ac_write_fail=1
cat >>"\$ac_tmp/subs1.awk" <<\\_ACAWK &&
_ACEOF
sed -n '
h
s/^/S["/; s/!.*/"]=/
p
g
s/^[^!]*!//
:repl
t repl
s/'"$ac_delim"'$//
t delim
:nl
h
s/\(.\{148\}\)..*/\1/
t more1
s/["\\]/\\&/g; s/^/"/; s/$/\\n"\\/
p
n
b repl
:more1
s/["\\]/\\&/g; s/^/"/; s/$/"\\/
p
g
s/.\{148\}//
t nl
:delim
h
s/\(.\{148\}\)..*/\1/
t more2
s/["\\]/\\&/g; s/^/"/; s/$/"/
p
b
:more2
s/["\\]/\\&/g; s/^/"/; s/$/"\\/
p
g
s/.\{148\}//
t delim
' <conf$$subs.awk | sed '
/^[^""]/{
  N
  s/\n//
}
' >>$CONFIG_STATUS || ac_write_fail=1
rm -f conf$$subs.awk
cat >>$CONFIG_STATUS <<_ACEOF || ac_write_fail=1
_ACAWK
cat >>"\$ac_tmp/subs1.awk" <<_ACAWK &&
  for (key in S) S_is_set[key] = 1
  FS = ""

}
{
  line = $ 0
  nfields = split(line, field, "@")
  substed = 0
  len = length(field[1])
  for (i = 2; i < nfields; i++) {
    key = field[i]
    keylen = length(key)
    if (S_is_set[key]) {
      value = S[key]
      line = substr(line, 1, len) "" value "" substr(line, len + keylen + 3)
      len += length(value) + length(field[++i])
      substed = 1
    } else
      len += 1 + keylen
  }

  print line
}

_ACAWK
_ACEOF
cat >>$CONFIG_STATUS <<\_ACEOF || ac_write_fail=1
if sed "s/$ac_cr//" < /dev/null > /dev/null 2>&1; then
  sed "s/$ac_cr\$//; s/$ac_cr/$ac_cs_awk_cr/g"
else
  cat
fi < "$ac_tmp/subs1.awk" > "$ac_tmp/subs.awk" \
  || as_fn_error $? "could not setup config files machinery" "$LINENO" 5
_ACEOF

# VPATH may cause trouble with some makes, so we remove sole $(srcdir),
# ${srcdir} and @srcdir@ entries from VPATH if srcdir is ".", strip leading and
# trailing colons and then remove the whole line if VPATH becomes empty
# (actually we leave an empty line to preserve line numbers).
if test "x$srcdir" = x.; then
  ac_vpsub='/^[	 ]*VPATH[	 ]*=[	 ]*/{
h
s///
s/^/:/
s/[	 ]*$/:/
s/:\$(srcdir):/:/g
s/:\${srcdir}:/:/g
s/:@srcdir@:/:/g
s/^:*//
s/:*$//
x
s/\(=[	 ]*\).*/\1/
G
s/\n//
s/^[^=]*=[	 ]*$//
}'
fi

cat >>$CONFIG_STATUS <<\_ACEOF || ac_write_fail=1
fi # test -n "$CONFIG_FILES"

# Set up the scripts for CONFIG_HEADERS section.
# No need to generate them if there are no CONFIG_HEADERS.
# This happens for instance with `./config.status Makefile'.
if test -n "$CONFIG_HEADERS"; then
cat >"$ac_tmp/defines.awk" <<\_ACAWK ||
BEGIN {
_ACEOF

# Transform confdefs.h into an awk script `defines.awk', embedded as
# here-document in config.status, that substitutes the proper values into
# config.h.in to produce config.h.

# Create a delimiter string that does not exist in confdefs.h, to ease
# handling of long lines.
ac_delim='%!_!# '
for ac_last_try in false false :; do
  ac_tt=`sed -n "/$ac_delim/p" confdefs.h`
  if test -z "$ac_tt"; then
    break
  elif $ac_last_try; then
    as_fn_error $? "could not make $CONFIG_HEADERS" "$LINENO" 5
  else
    ac_delim="$ac_delim!$ac_delim _$ac_delim!! "
  fi
done

# For the awk script, D is an array of macro values keyed by name,
# likewise P contains macro parameters if any.  Preserve backslash
# newline sequences.

ac_word_re=[_$as_cr_Letters][_$as_cr_alnum]*
sed -n '
s/.\{148\}/&'"$ac_delim"'/g
t rset
:rset
s/^[	 ]*#[	 ]*define[	 ][	 ]*/ /
t def
d
:def
s/\\$//
t bsnl
s/["\\]/\\&/g
s/^ \('"$ac_word_re"'\)\(([^()]*)\)[	 ]*\(.*\)/P["\1"]="\2"\
D["\1"]=" \3"/p
s/^ \('"$ac_word_re"'\)[	 ]*\(.*\)/D["\1"]=" \2"/p
d
:bsnl
s/["\\]/\\&/g
s/^ \('"$ac_word_re"'\)\(([^()]*)\)[	 ]*\(.*\)/P["\1"]="\2"\
D["\1"]=" \3\\\\\\n"\\/p
t cont
s/^ \('"$ac_word_re"'\)[	 ]*\(.*\)/D["\1"]=" \2\\\\\\n"\\/p
t cont
d
:cont
n
s/.\{148\}/&'"$ac_delim"'/g
t clear
:clear
s/\\$//
t bsnlc
s/["\\]/\\&/g; s/^/"/; s/$/"/p
d
:bsnlc
s/["\\]/\\&/g; s/^/"/; s/$/\\\\\\n"\\/p
b cont
' <confdefs.h | sed '
s/'"$ac_delim"'/"\\\
"/g' >>$CONFIG_STATUS || ac_write_fail=1

cat >>$CONFIG_STATUS <<_ACEOF || ac_write_fail=1
  for (key in D) D_is_set[key] = 1
  FS = ""
}
/^[\t ]*#[\t ]*(define|undef)[\t ]+$ac_word_re([\t (]|\$)/ {
  line = \$ 0
  split(line, arg, " ")
  if (arg[1] == "#") {
    defundef = arg[2]
    mac1 = arg[3]
  } else {
    defundef = substr(arg[1], 2)
    mac1 = arg[2]
  }
  split(mac1, mac2, "(") #)
  macro = mac2[1]
  prefix = substr(line, 1, index(line, defundef) - 1)
  if (D_is_set[macro]) {
    # Preserve the white space surrounding the "#".
    print prefix "define", macro P[macro] D[macro]
    next
  } else {
    # Replace #undef with comments.  This is necessary, for example,
    # in the case of _POSIX_SOURCE, which is predefined and required
    # on some systems where configure will not decide to define it.
    if (defundef == "undef") {
      print "/*", prefix defundef, macro, "*/"
      next
    }
  }
}
{ print }
_ACAWK
_ACEOF
cat >>$CONFIG_STATUS <<\_ACEOF || ac_write_fail=1
  as_fn_error $? "could not setup config headers machinery" "$LINENO" 5
fi # test -n "$CONFIG_HEADERS"


eval set X "  :F $CONFIG_FILES  :H $CONFIG_HEADERS    :C $CONFIG_COMMANDS"
shift
for ac_tag
do
  case $ac_tag in
  :[FHLC]) ac_mode=$ac_tag; continue;;
  esac
  case $ac_mode$ac_tag in
  :[FHL]*:*);;
  :L* | :C*:*) as_fn_error $? "invalid tag \`$ac_tag'" "$LINENO" 5;;
  :[FH]-) ac_tag=-:-;;
  :[FH]*) ac_tag=$ac_tag:$ac_tag.in;;
  esac
  ac_save_IFS=$IFS
  IFS=:
  set x $ac_tag
  IFS=$ac_save_IFS
  shift
  ac_file=$1
  shift

  case $ac_mode in
  :L) ac_source=$1;;
  :[FH])
    ac_file_inputs=
    for ac_f
    do
      case $ac_f in
      -) ac_f="$ac_tmp/stdin";;
      *) # Look for the file first in the build tree, then in the source tree
	 # (if the path is not absolute).  The absolute path cannot be DOS-style,
	 # because $ac_f cannot contain `:'.
	 test -f "$ac_f" ||
	   case $ac_f in
	   [\\/$]*) false;;
	   *) test -f "$srcdir/$ac_f" && ac_f="$srcdir/$ac_f";;
	   esac ||
	   as_fn_error 1 "cannot find input file: \`$ac_f'" "$LINENO" 5;;
      esac
      case $ac_f in *\'*) ac_f=`$as_echo "$ac_f" | sed "s/'/'\\\\\\\\''/g"`;; esac
      as_fn_append ac_file_inputs " '$ac_f'"
    done

    # Let's still pretend it is `configure' which instantiates (i.e., don't
    # use $as_me), people would be surprised to read:
    #    /* config.h.  Generated by config.status.  */
    configure_input='Generated from '`
	  $as_echo "$*" | sed 's|^[^:]*/||;s|:[^:]*/|, |g'
	`' by configure.'
    if test x"$ac_file" != x-; then
      configure_input="$ac_file.  $configure_input"
      { $as_echo "$as_me:${as_lineno-$LINENO}: creating $ac_file" >&5
$as_echo "$as_me: creating $ac_file" >&6;}
    fi
    # Neutralize special characters interpreted by sed in replacement strings.
    case $configure_input in #(
    *\&* | *\|* | *\\* )
       ac_sed_conf_input=`$as_echo "$configure_input" |
       sed 's/[\\\\&|]/\\\\&/g'`;; #(
    *) ac_sed_conf_input=$configure_input;;
    esac

    case $ac_tag in
    *:-:* | *:-) cat >"$ac_tmp/stdin" \
      || as_fn_error $? "could not create $ac_file" "$LINENO" 5 ;;
    esac
    ;;
  esac

  ac_dir=`$as_dirname -- "$ac_file" ||
$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
	 X"$ac_file" : 'X\(//\)[^/]' \| \
	 X"$ac_file" : 'X\(//\)$' \| \
	 X"$ac_file" : 'X\(/\)' \| . 2>/dev/null ||
$as_echo X"$ac_file" |
    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
	    s//\1/
	    q
	  }
	  /^X\(\/\/\)[^/].*/{
	    s//\1/
	    q
	  }
	  /^X\(\/\/\)$/{
	    s//\1/
	    q
	  }
	  /^X\(\/\).*/{
	    s//\1/
	    q
	  }
	  s/.*/./; q'`
  as_dir="$ac_dir"; as_fn_mkdir_p
  ac_builddir=.

case "$ac_dir" in
.) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
*)
  ac_dir_suffix=/`$as_echo "$ac_dir" | sed 's|^\.[\\/]||'`
  # A ".." for each directory in $ac_dir_suffix.
  ac_top_builddir_sub=`$as_echo "$ac_dir_suffix" | sed 's|/[^\\/]*|/..|g;s|/||'`
  case $ac_top_builddir_sub in
  "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
  *)  ac_top_build_prefix=$ac_top_builddir_sub/ ;;
  esac ;;
esac
ac_abs_top_builddir=$ac_pwd
ac_abs_builddir=$ac_pwd$ac_dir_suffix
# for backward compatibility:
ac_top_builddir=$ac_top_build_prefix

case $srcdir in
  .)  # We are building in place.
    ac_srcdir=.
    ac_top_srcdir=$ac_top_builddir_sub
    ac_abs_top_srcdir=$ac_pwd ;;
  [\\/]* | ?:[\\/]* )  # Absolute name.
    ac_srcdir=$srcdir$ac_dir_suffix;
    ac_top_srcdir=$srcdir
    ac_abs_top_srcdir=$srcdir ;;
  *) # Relative name.
    ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
    ac_top_srcdir=$ac_top_build_prefix$srcdir
    ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
esac
ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix


  case $ac_mode in
  :F)
  #
  # CONFIG_FILE
  #

  case $INSTALL in
  [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
  *) ac_INSTALL=$ac_top_build_prefix$INSTALL ;;
  esac
_ACEOF

cat >>$CONFIG_STATUS <<\_ACEOF || ac_write_fail=1
# If the template does not know about datarootdir, expand it.
# FIXME: This hack should be removed a few years after 2.60.
ac_datarootdir_hack=; ac_datarootdir_seen=
ac_sed_dataroot='
/datarootdir/ {
  p
  q
}
/@datadir@/p
/@docdir@/p
/@infodir@/p
/@localedir@/p
/@mandir@/p'
case `eval "sed -n \"\$ac_sed_dataroot\" $ac_file_inputs"` in
*datarootdir*) ac_datarootdir_seen=yes;;
*@datadir@*|*@docdir@*|*@infodir@*|*@localedir@*|*@mandir@*)
  { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&5
$as_echo "$as_me: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&2;}
_ACEOF
cat >>$CONFIG_STATUS <<_ACEOF || ac_write_fail=1
  ac_datarootdir_hack='
  s&@datadir@&$datadir&g
  s&@docdir@&$docdir&g
  s&@infodir@&$infodir&g
  s&@localedir@&$localedir&g
  s&@mandir@&$mandir&g
  s&\\\${datarootdir}&$datarootdir&g' ;;
esac
_ACEOF

# Neutralize VPATH when `$srcdir' = `.'.
# Shell code in configure.ac might set extrasub.
# FIXME: do we really want to maintain this feature?
cat >>$CONFIG_STATUS <<_ACEOF || ac_write_fail=1
ac_sed_extra="$ac_vpsub
$extrasub
_ACEOF
cat >>$CONFIG_STATUS <<\_ACEOF || ac_write_fail=1
:t
/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
s|@configure_input@|$ac_sed_conf_input|;t t
s&@top_builddir@&$ac_top_builddir_sub&;t t
s&@top_build_prefix@&$ac_top_build_prefix&;t t
s&@srcdir@&$ac_srcdir&;t t
s&@abs_srcdir@&$ac_abs_srcdir&;t t
s&@top_srcdir@&$ac_top_srcdir&;t t
s&@abs_top_srcdir@&$ac_abs_top_srcdir&;t t
s&@builddir@&$ac_builddir&;t t
s&@abs_builddir@&$ac_abs_builddir&;t t
s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
s&@INSTALL@&$ac_INSTALL&;t t
$ac_datarootdir_hack
"
eval sed \"\$ac_sed_extra\" "$ac_file_inputs" | $AWK -f "$ac_tmp/subs.awk" \
  >$ac_tmp/out || as_fn_error $? "could not create $ac_file" "$LINENO" 5

test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
  { ac_out=`sed -n '/\${datarootdir}/p' "$ac_tmp/out"`; test -n "$ac_out"; } &&
  { ac_out=`sed -n '/^[	 ]*datarootdir[	 ]*:*=/p' \
      "$ac_tmp/out"`; test -z "$ac_out"; } &&
  { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: $ac_file contains a reference to the variable \`datarootdir'
which seems to be undefined.  Please make sure it is defined" >&5
$as_echo "$as_me: WARNING: $ac_file contains a reference to the variable \`datarootdir'
which seems to be undefined.  Please make sure it is defined" >&2;}

  rm -f "$ac_tmp/stdin"
  case $ac_file in
  -) cat "$ac_tmp/out" && rm -f "$ac_tmp/out";;
  *) rm -f "$ac_file" && mv "$ac_tmp/out" "$ac_file";;
  esac \
  || as_fn_error $? "could not create $ac_file" "$LINENO" 5
 ;;
  :H)
  #
  # CONFIG_HEADER
  #
  if test x"$ac_file" != x-; then
    {
      $as_echo "/* $configure_input  */" \
      && eval '$AWK -f "$ac_tmp/defines.awk"' "$ac_file_inputs"
    } >"$ac_tmp/config.h" \
      || as_fn_error $? "could not create $ac_file" "$LINENO" 5
    if diff "$ac_file" "$ac_tmp/config.h" >/dev/null 2>&1; then
      { $as_echo "$as_me:${as_lineno-$LINENO}: $ac_file is unchanged" >&5
$as_echo "$as_me: $ac_file is unchanged" >&6;}
    else
      rm -f "$ac_file"
      mv "$ac_tmp/config.h" "$ac_file" \
	|| as_fn_error $? "could not create $ac_file" "$LINENO" 5
    fi
  else
    $as_echo "/* $configure_input  */" \
      && eval '$AWK -f "$ac_tmp/defines.awk"' "$ac_file_inputs" \
      || as_fn_error $? "could not create -" "$LINENO" 5
  fi
 ;;

  :C)  { $as_echo "$as_me:${as_lineno-$LINENO}: executing $ac_file commands" >&5
$as_echo "$as_me: executing $ac_file commands" >&6;}
 ;;
  esac


  case $ac_file$ac_mode in
    "default":C) for dir in . $MAKE_SUBDIR; do
  (
    cd $dir

    if test -r "Makefile.in"; then
          rm -f junk.c
    < Makefile.in \
      sed -e '/^# Generated/d' \
          -e 's%/\*\*/#.*%%' \
          -e 's/^ *# */#/' \
          -e '/^##/d' \
          -e '/^#/ {
p
d
}'        \
	  -e '/./ {
s/\([\"]\)/\\\1/g
s/^/"/
s/$/"/
}'  > junk.c;

      echo creating $dir/Makefile
$CPP -I. -I${srcdir}/src  junk.c \
  | sed -e 's/^\#.*//'		\
	-e 's/^[ TAB][ TAB]*$//'\
	-e 's/^ /	/'		\
	-e '/^[ ]*$/d'	\
	-e '/^\"/ {
	s/\\\([\"]\)/\1/g
	s/^[ TAB]*\"//
	s/\"[ TAB]*$//
}'				\
	-e 's/^XCOMM /\# /' > Makefile.new
    chmod 444 Makefile.new
    mv -f Makefile.new Makefile

      echo creating $dir/GNUmakefile
$CPP -I. -I${srcdir}/src -DUSE_GNU_MAKE junk.c \
  | sed -e 's/^\#.*//'		\
	-e 's/^[ TAB][ TAB]*$//'\
	-e 's/^ /	/'		\
	-e '/^[ ]*$/d'	\
	-e '/^\"/ {
	s/\\\([\"]\)/\1/g
	s/^[ TAB]*\"//
	s/\"[ TAB]*$//
}'				\
	-e 's/^XCOMM /\# /' > Makefile.new
    chmod 444 Makefile.new
    mv -f Makefile.new GNUmakefile

    fi
    if test -r ".gdbinit.in"; then
          rm -f junk.c
    < .gdbinit.in \
      sed -e '/^# Generated/d' \
          -e 's%/\*\*/#.*%%' \
          -e 's/^ *# */#/' \
          -e '/^##/d' \
          -e '/^#/ {
p
d
}'        \
	  -e '/./ {
s/\([\"]\)/\\\1/g
s/^/"/
s/$/"/
}'  > junk.c;

      echo creating $dir/.gdbinit
$CPP -I. -I${srcdir}/src  junk.c \
  | sed -e 's/^\#.*//'		\
	-e 's/^[ TAB][ TAB]*$//'\
	-e 's/^ /	/'		\
	-e '/^[ ]*$/d'	\
	-e '/^\"/ {
	s/\\\([\"]\)/\1/g
	s/^[ TAB]*\"//
	s/\"[ TAB]*$//
}'				\
	-e 's/^XCOMM /\# /' > Makefile.new
    chmod 444 Makefile.new
    mv -f Makefile.new .gdbinit

    fi
    if test -r ".dbxrc.in"; then
          rm -f junk.c
    < .dbxrc.in \
      sed -e '/^# Generated/d' \
          -e 's%/\*\*/#.*%%' \
          -e 's/^ *# */#/' \
          -e '/^##/d' \
          -e '/^#/ {
p
d
}'        \
	  -e '/./ {
s/\([\"]\)/\\\1/g
s/^/"/
s/$/"/
}'  > junk.c;

      echo creating $dir/.dbxrc
$CPP -I. -I${srcdir}/src  junk.c \
  | sed -e 's/^\#.*//'		\
	-e 's/^[ TAB][ TAB]*$//'\
	-e 's/^ /	/'		\
	-e '/^[ ]*$/d'	\
	-e '/^\"/ {
	s/\\\([\"]\)/\1/g
	s/^[ TAB]*\"//
	s/\"[ TAB]*$//
}'				\
	-e 's/^XCOMM /\# /' > Makefile.new
    chmod 444 Makefile.new
    mv -f Makefile.new .dbxrc

    fi
    if test -r "xemacs.def.in"; then
      rm -f junk.c
      cp xemacs.def.in junk.c
      echo creating $dir/xemacs.def
$CPP -I. -I${srcdir}/src  junk.c \
  | sed -e 's/^\#.*//'		\
	-e 's/^[ TAB][ TAB]*$//'\
	-e 's/^ /	/'		\
	-e '/^[ ]*$/d'	\
	-e '/^\"/ {
	s/\\\([\"]\)/\1/g
	s/^[ TAB]*\"//
	s/\"[ TAB]*$//
}'				\
	-e 's/^XCOMM /\# /' > Makefile.new
    chmod 444 Makefile.new
    mv -f Makefile.new xemacs.def

    fi
    rm -f junk.c
  )
done

sed < config.status >> lib-src/config.values \
  -e '/{ac_dA}.*{ac_dB}.*{ac_dC}.*{ac_dD}$/!d' \
  -e 's/\${ac_dA}\(.*\)\${ac_dB}.*\${ac_dC}\(.*\)\${ac_dD}/\1 \2/' \
  -e 's/^\([^ ]*\) $/\1 ""/' \
  -e 's/ 1$/ t/'

 ;;

  esac
done # for ac_tag


as_fn_exit 0
_ACEOF
ac_clean_files=$ac_clean_files_save

test $ac_write_fail = 0 ||
  as_fn_error $? "write failure creating $CONFIG_STATUS" "$LINENO" 5


# configure is writing to config.log, and then calls config.status.
# config.status does its own redirection, appending to config.log.
# Unfortunately, on DOS this fails, as config.log is still kept open
# by configure, so config.status won't be able to write to it; its
# output is simply discarded.  So we exec the FD to /dev/null,
# effectively closing config.log, so it can be properly (re)opened and
# appended to by config.status.  When coming back to configure, we
# need to make the FD available again.
if test "$no_create" != yes; then
  ac_cs_success=:
  ac_config_status_args=
  test "$silent" = yes &&
    ac_config_status_args="$ac_config_status_args --quiet"
  exec 5>/dev/null
  $SHELL $CONFIG_STATUS $ac_config_status_args || ac_cs_success=false
  exec 5>>config.log
  # Use ||, not &&, to avoid exiting from the if with $? = 1, which
  # would make configure fail if this is the last instruction.
  $ac_cs_success || as_fn_exit 1
fi
if test -n "$ac_unrecognized_opts" && test "$enable_option_checking" != no; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: unrecognized options: $ac_unrecognized_opts" >&5
$as_echo "$as_me: WARNING: unrecognized options: $ac_unrecognized_opts" >&2;}
fi

